Small Business Server 2000 Online Help

BackOffice Server 2000 Online Help

Welcome to Microsoft® Small Business Server 2000 Online Help and Information. Follow one of the links below, or select a topic from the Contents section for information about that topic.

Introducing Small Business Server 2000

Feature Tours

Planning and Installation

Managing Small Business Server 2000

Managing Client Computers

Internet Connections

Server Health and Monitoring

Troubleshooting

© 2000 Microsoft Corporation. All rights reserved.


Welcome to Small Business Server 2000

The Microsoft® Small Business Server 2000 integrated server suite of applications reduces the cost and complexity of developing, deploying, and managing networks and line-of-business applications. The suite supports integration with the Microsoft Windows® 2000 Server network operating system and individual Microsoft server components. It also supports existing client software, databases, applications, and networks. This integration reduces complexity, simplifies management, and improves performance. The scalability and reliability of Small Business Server 2000 enable small businesses to more effectively integrate information sharing, decision support, collaboration, workflow, and network management into their existing network environments.

Related Topics

Features at a Glance

Links to Product Home Pages


Features at a Glance

Small Business Server 2000 includes the following components:

Microsoft Windows 2000 Server with Service Pack 1

Windows 2000 Server builds on the strengths of Microsoft Windows NT technology by integrating standards-based directory, Web, application, communication, and file and print services with high reliability and efficient management. It also supports the latest advances in networking hardware, which provides the best foundation for integrating your business with the Internet.

Small Business Server Management Features

Small Business Server 2000 includes the following management features, which enable administrators to perform common administrative tasks:

Snap-ins:

Small Business Server snap-ins are designed to assist with common server management tasks. Two snap-ins are included with Small Business Server 2000:

  • BackOffice Home. Provides a visual representation of server health by using the Server Status View.
  • BackOffice Manager. Enables you to create and save customized queries of Active Directory objects.

Preconfigured management consoles:

Small Business Server 2000 management consoles are preconfigured with a number of management snap-ins, which enable administrators to manage the server more easily and efficiently. You can use the consoles as they are, customize them to suit your specific needs, or create new custom consoles. The following management consoles are included with Small Business Server 2000:

  • Small Business Server Administrator Console. This is a tree-oriented console that is designed for network administrators.
  • Small Business Server Personal Console. This is a task-oriented console that is designed for power users and junior-level administrators.

Wizards:

  • Add User Wizard. Automates the task of creating a new Windows 2000 Server user account with access to Small Business Server resources.
  • Set Up Computer Wizard. Helps you add computers to your network and install client applications.
  • Add Shared Folder Wizard. Automates the tasks of creating a new Small Business Server shared folder, granting access to users and groups, and publishing the folder in Active Directory.
  • Add Security Group Wizard. Enables you to add a security group to Active Directory and add members to the group.
  • Add Distribution Group Wizard. Enables you to add a distribution group to Active Directory and add members to the group.

Many other wizards are included with Small Business Server 2000.

For more information about using Small Business Server management features, refer to Chapter 7, "Administration," in the Small Business Server 2000 Planning and Installation guide.

Small Business Server Monitoring and Reporting

Small Business Server 2000 provides administrators with the following tools to view the current state of their server health and to automatically send notifications for events that require attention. These tools include:

Health Monitor 2.1

Health Monitor 2.1 is a powerful real-time monitoring tool for administrators. Health Monitor collects system data, such as performance counters and service status, and generates a detailed status summary view of your server. You can also configure Health Monitor to automatically notify administrators when it detects a problem.

Server Status View

Server Status View appears each time that you open the Small Business Server Administrator Console or access the BackOffice Home snap-in. This view provides a snapshot of critical events, performance counters, and services that you have chosen to monitor.

Server Status Reports

You can configure Small Business Server to send regular reports on your server's status automatically, including the condition of your hardware, application health, and system performance. Reports can be sent by e-mail or fax to administrators and then be used to build historical views of server usage, thus enabling administrators to plan for future upgrades or required maintenance.

Small Business Server Internet Connection Wizard

The Small Business Server Internet Connection Wizard helps you to configure Small Business Server as the gateway that connects your network to the Internet. The wizard enables you to configure Windows 2000 networking.

Shared Modem Service and Shared Fax Service

Small Business Server 2000 offers communication services that enable users to send and receive faxes and dial-out by using a pool of shared modems.

Shared Fax Service enables users to send faxes directly from their desktops by using a single modem or multiple shared fax modems. From the Small Business Server Administrator Console, administrators can manage the fax queue and thus configure fax calling times and priorities.

Microsoft Connector for POP3 Mailboxes

Small Business Server 2000 includes a POP3 mail connector that enables organizations to retrieve messages from mailboxes that are set up by their Internet service provider (ISP). The POP3 connector ensures that a company can have its own domain name, without hosting an SMTP server.

Microsoft Management Console 1.2

Microsoft Management Console (MMC) 1.2 is a flexible and well-integrated management console that is based on 32-bit editions of Windows. MMC 1.2 enables administrators, whether they are connected through a network or remotely, to perform task-based management of both Windows 2000 Server and Small Business Server services and applications. You can use MMC to create task-oriented management consoles, which you can then save and distribute to administrators.

Windows Terminal Services

With Windows Terminal Services, you can use an Internet connection and a Web browser—for example, a dial-up connection and Microsoft Internet Explorer 5.0—to manage Small Business Server from remote locations. Terminal Services enables you to perform the same management functions as if you were working on the server console.

Microsoft Internet Information Services 5.0

Internet Information Services (IIS) enables users to host and manage Web sites to share information, create Web-based business applications, and extend file, print, media, and communication services to the Web.

Microsoft SQL Server 2000

The SQL Server 2000 relational database management system uses an industry-standardized language, Structured Query Language (SQL), to provide a powerful client/server platform for delivering business applications effectively across multiple protocol and software environments. SQL Server builds on the power, scalability, and manageability of Windows 2000 Server to provide reliable database management for hundreds of simultaneous users.

By using XML and HTTP standards, SQL Server 2000 also provides an easier way to present database information on dynamic Web pages.

Microsoft Exchange 2000 Server and Microsoft Outlook 2000 Service Release 1

Exchange Server client/server messaging offers a messaging foundation for the most demanding business communication environments. Users can exchange information with each other, with users on the Internet, and with other messaging systems. They can send documents, spreadsheets, graphics, and other items in e-mail messages, and view or post items in public folders.

Exchange 2000 Server includes an improved Web client with which users can view their own e-mail inboxes, calendars, contacts, tasks, and Exchange Public Folders. Users can connect by using a Web browser to retrieve their Exchange-based data without configuring any special settings on their computers.

Exchange 2000 Server provides greater scalability and connectivity with more systems, including Lotus Notes, PROFS, and SNADS. New features enable a wide range of collaborative solutions from departmental workflow to cross-divisional, line-of-business applications. Management is also easier with the addition of customer-requested administrative features, such as deleted item recovery.

For more information about Exchange Server, refer to Microsoft Exchange Server documentation.

Microsoft Internet Security and Acceleration Server 2000

The Internet Security and Acceleration (ISA) Server 2000 extensible firewall and Web cache server provides multilayered Internet security while improving network response time and efficiency. ISA Server features distributed and hierarchical caching, which provides better scalability and performance. In addition, it serves as a gateway with firewall-class security between a local network and the Internet, thus reducing the cost of connecting to the Internet and running an intranet.

ISA Server offers numerous enhancements that enable a network to evolve along with a business. For more information about ISA Server, refer to ISA Server documentation.

Internet Explorer 5.01

Internet Explorer 5.01 is a full-featured Internet browser that provides a consistent, organized way to navigate Web sites. The browser implements and adheres to the latest Internet standards. To make it easier to deploy Internet Explorer throughout an organization, Small Business Server 2000 includes the Microsoft Internet Explorer Administration Kit.


Links to Product Home Pages

The Small Business Server Web site provides product information about Small Business Server 2000, solutions for technology needs, software that is available for download, and a comprehensive list of available resources.

In addition, the home page of the product Web site contains information about deployment, support, developers, and partners, and also provides free software trials. Each component within the Small Business Server 2000 suite of applications has its own home page.

Windows 2000 Server

SQL Server

Exchange Server

Internet Security and Acceleration Server

Internet Explorer

Microsoft Outlook


Introductory Tours

Small Business Server 2000 includes several tours that introduce you to Small Business Server features and concepts.

Click one of the following links to view a feature tour.

Introducing Microsoft Small Business Server 2000

Planning Your Small Business Server Installation

Remote Administration Using Terminal Services

Using Management Consoles

Sending Faxes

Introduction to Server Health and Monitoring

Connecting to the Internet

Deploying Client Applications Security


Planning and Installation

Planning and Installation Online contains instructions for installing Microsoft® Small Business Server 2000. It also provides basic information about product use and features.

Planning and Installation Online.


Small Business Server Connectivity

Microsoft® Small Business Server 2000 enables you to connect to several types of external networks, including public networks such as the Internet, local area networks (LANs) such as an intranet, fax networks, and voice networks. To use all of the Small Business Server connection types, you must have the following types of adapters installed on the server:

  • A network interface card (NIC) to connect to the LAN
  • An external adapter (one of many devices, including an additional network adapter card, modem, xDSL router, cable modem, or other device) to connect to external networks such as the Internet
  • A fax device to provide dedicated fax services
  • A modem or pool of modems to provide incoming and outbound networking connectivity

Configuring Small Business Server Connectivity

You must configure the Small Business Server computer before it will have full network connectivity and before you grant users access to certain network resources.

To Do

Local Networking

Small Business Server is designed to be the domain controller with print and file services for the LAN. You can connect client computers to the Small Business Server computer and install client applications over the internal network.

Managing Client Computers

External Networking

Small Business Server is designed to be the primary gateway between your internal network and external networks such as the Internet. When you set up Small Business Server as a gateway, you can configure the Small Business Server to be a firewall and to manage remote connections through a virtual private network (VPN).

Managing Internet Connections

Managing Remote Connections

Fax and Modem Networking

You can provide fax and modem services to the local Small Business Server network by using Shared Fax Service and Shared Modem Service.

Managing Faxes

Managing Shared Modems


To Do

You must configure the Small Business Server computer before it will have full network connectivity and before you grant users access to certain network resources.

Configure Remote Access

Enable Network Connections Disabled By Small Business Server 2000 Setup


Configuring Remote Access

You can configure remote access before or after the installation of the hardware (modems or network cards) that is necessary for remote access. In either case, you must determine which network scenario—either a dial-up network or a VPN—you want to use to support remote access.

If you use a VPN configuration with a firewall, you must configure the VPN server by using the appropriate VPN wizard. If you use Microsoft Internet Security and Acceleration (ISA) Server 2000 as your firewall, configure your VPN server with the ISA Server VPN Configuration Wizard. If you use RRAS as your VPN server, use the Routing and Remote Access Server Setup Wizard to configure the firewall. For more information on the remote access wizards, refer to http://support.microsoft.com/support/kb/articles/Q256/6/44.ASP.

To configure a VPN on Small Business Server by using ISA Server

  1. From the Small Business Server Administrator Console, expand the Microsoft Internet Security and Acceleration Server snap-in, expand the node that lists the Small Business Server computer name, and then click the Network Configuration node to display the Configure Network Connection taskpad.
  2. Click Configure VPN (Local) to start the ISA Server VPN Configuration Wizard.
  3. Follow the on-screen instructions to complete the wizard.

To configure remote access on Small Business Server

  1. Open Routing and Remote Access
    Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  2. By default, the Small Business Server computer is listed as the server. If you want to use another server, perform the following procedure:
    1. Click the Server Status node, click Action, and then click Add Server.
    2. Click All Routing and Remote Access Computers, and then type the domain name of the server that you want to use.
    3. Click OK to add the new server to the Console Tree.
  3. In the Console Tree, select the server that you want to enable, click Action, and then click Configure and Enable Routing and Remote Access to start the Routing and Remote Access Server Setup Wizard.
  4. Follow the on-screen instructions to complete the wizard.

Important If you have two NICs installed on Small Business Server as part of the network scenario, you must be certain that both NICs have an active link before configuring RRAS. If only one NIC is connected, the unconnected card is configured to use the Automatic Private IP Addressing (APIPA) range of IP addresses (169.254.x.x).

Related Topics

Using a Virtual Private Network


Enabling Network Interfaces Disabled During Small Business Server 2000 Setup

To ensure a valid network configuration during installation, Small Business Server 2000 Setup disables all NICs except the network interface that was defined during Small Business Server Setup. This includes any external network interface that you manually disabled for security purposes before upgrading to Windows 2000 Server.

Before you establish any Internet connection to the Small Business Server computer, by using either the Small Business Server Internet Connection Wizard or manual configuration, you must re-enable all disabled network interfaces on the server computer.

Important Before re-enabling a network interface, you must ensure that the interface is connected to a valid network and has a valid IP address. If the Small Business Server computer’s external network interface is a DHCP client, you need to configure ISA Server to permit the DHCP configuration information through the firewall.

To configure ISA Server

  1. From the Small Business Server Administrator Console, expand the Internet Security and Acceleration Server 2000 snap-in.
  2. Expand Servers and Arrays, expand Your Server, expand Access Policy, and then click IP Packet Filters.
  3. In the Details Pane, right-click the DHCP Client filter, and then click Enable.
  4. In the Console Tree, under the Internet Security and Acceleration Server 2000 snap-in, expand Monitoring and then click Services.
  5. In the Details Pane, stop and then restart the Firewall service.
  6. Close the Small Business Server Administrator Console.

To check the network connection for proper IP address and network settings

  1. Click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the network connection that you want to re-enable, and then click Properties.
  3. Review the IP address settings for this connection and ensure that they represent a valid range on the external network. The IP address of the connection should not be the same as the internal network (usually in the 192.168.xx.xx range) because external network interfaces with this IP address range may complicate DNS, WINS, and DHCP settings.

To re-enable a network connection

  1. Click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the additional network connection that you want to re-enable, and then click Enable. Repeat this step for any additional network connections that you need to re-enable.


Configuring Small Business Server as a Gateway

Small Business Server can serve as a gateway between the internal network and the Internet. When configured as a gateway, Small Business Server answers all the Internet connection requests from the client computers that are on the network and establishes the external connection on their behalf. This configuration also enables you to configure a firewall on the Small Business Server network by using the Internet Acceleration and Security (ISA) Server 2000.

To set up Small Business Server as a gateway, run the Small Business Server Internet Connection Wizard. The Small Business Server Internet Connection Wizard creates a new network connection to the ISP and configures the Small Business server applications to use the gateway connection.

Important Do not use the Internet Explorer Internet Connection Wizard that is displayed on the server desktop to configure Small Business Server as a gateway. You must use the Small Business Server Internet Connection Wizard to configure Small Business Server as a gateway. Follow the procedures listed below to configure the Internet Explorer Internet Connection Wizard to use an existing Small Business Server gateway configuration.

The Small Business Server Internet Connection Wizard performs the following tasks:

  • Configures the network hardware (modem, terminal adapter, router, or full-time broadband connection) that you use to connect to the Internet.
  • Creates a new network connection to an ISP (if one does not already exist on the server).
  • Configures network adapters to the IP addresses and subnet masks that you specify.
  • Creates a new SMTP connector for Exchange 2000 Server to the ISP.
  • Configures Small Business Server applications to use your domain name.
  • Configures the signal that is used to retrieve e-mail from the ISP.
  • Configures ISA Server as a firewall (if ISA Server is installed and the firewall options are selected).

Note The Small Business Server Internet Connection Wizard does not perform any DNS configuration. You must configure the DNS server to route requests to your domain name.

To configure Small Business Server as a gateway

  1. Start the Small Business Server Internet Connection Wizard
    From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Internet, and then click Manage Connections from the Details Pane.
  2. Follow the on-screen instructions to select a connection method, enter ISP information, and configure network and e-mail properties.

To configure the Internet Explorer Internet Connection Wizard to use an existing Small Business Server gateway

The Internet Explorer Internet Connection Wizard launches the first time you run Internet Explorer from the Small Business Server computer. Use the following procedures to configure the Internet Explorer Internet Connection Wizard to use existing network and Internet settings.

  1. Double-click Connect to the Internet on the desktop to start the Internet Explorer Internet Connection Wizard on the Small Business Server computer.
  2. On the Welcome page, choose I want to set up my Internet connection manually, or I want to connect through a local area network (LAN).
  3. On the Setting Up Your Internet Connection page, select I connect through a local area network (LAN).
  4. On the Local Area Network Internet Configuration page, select Automatic discovery of proxy server.
  5. On the Set Up Your Internet Mail Account page, select No.
  6. Follow the on-screen instructions to complete the wizard.


Managing Small Business Server

For information about managing Small Business Server 2000, click one of the following links.

Management Consoles

Users

Printers

E-mail

POP3 Mail

Shared Folders

Disks

Remote Connections

Internet Connections

Shared Fax Service

Shared Modems

Client Computers

Adding Client Licenses


Management Consoles

Microsoft® Small Business Server 2000 enables an administrator to manage the server completely from Microsoft Management Console (MMC) version 1.2. By using a management console that is configured for Small Business Server, administrators can view and configure any server application from any computer that is connected to the network.

Small Business Server Management Consoles

Small Business Server management consoles are preconfigured with all the snap-ins, taskpads, and tasks that are necessary to manage your Small Business Server network. You can use the preconfigured consoles as they are, customize them according to your requirements, or create your own custom consoles.

You can start users in one of the preconfigured Small Business Server management consoles or in a customized management console when they log on through Microsoft Windows® 2000 Terminal Services. To grant users access to your management consoles, you must grant Terminal Services privileges to users and configure the Small Business Server computer to accept Terminal Services connections.

Small Business Server includes the following preconfigured management consoles:

  • Small Business Server Administrator Console
  • Small Business Server Personal Console

Small Business Server Snap-ins

Each Small Business Server snap-in is designed to manage a particular server application or network resource. You can add or remove Small Business Server snap-ins from your management consoles as you add or remove resources from your Small Business Server network.

After installation, you can use the preconfigured snap-ins as they are or customize them to your requirements. You can change how snap-ins query particular Active Directory™ directory service objects or change the display to use particular taskpads and tasks. You can also add or remove snap-ins from the management consoles that you distribute to others to control which management tasks are available to individual users.

Small Business Server includes the following preconfigured snap-ins:

  • BackOffice Home snap-in
  • BackOffice Manager snap-in
  • Windows 2000 Active Directory Users & Computers snap-in
  • Windows 2000 Computer Management snap-in
  • Exchange 2000 Server snap-in
  • Internet Security and Acceleration Server 2000 snap-in
  • Microsoft Shared Fax snap-in
  • Health Monitor snap-in
  • Windows 2000 Terminal Services snap-in
  • Internet Information Services snap-in
  • BackOffice To Do List snap-in

Small Business Server Scripts and Wizards

All preconfigured Small Business Server management consoles provide links to scripts and wizards to assist users with common management tasks.

You can use the Small Business Server scripts and wizards to perform the following tasks:

  • Add client computers to the Small Business Server network
  • Add security groups
  • Add software to client computers
  • Add user accounts
  • Change your Internet service provider (ISP) password
  • Configure network printers
  • Configure Server Status Reports
  • Create distribution groups
  • Create shared folders
  • Manage faxes
  • Set up an Internet connection
  • Synchronize e-mail with your ISP

Related Topics

Best Practices

New Ways to Do Familiar Tasks


Server Management Roles

During setup, your Small Business Server computer is promoted to a domain controller. As the domain controller, Small Business Server maintains the master copy of the Active Directory database and manages domain member users and computers through password authentication, Group Policies, and connection restrictions.

Small Business Server cannot be part of another domain. In addition, Small Business Server applications cannot be distributed across multiple servers. If you need multiple server functionality, you must upgrade to BackOffice Server 2000.

Small Business Server is limited to a maximum of 50 client computer licenses. You must purchase the appropriate number of client licenses to connect your client computers to your server.

Note You can promote a member server to a domain controller during Small Business Server Setup or by using the DCPROMO application in Windows 2000.

Related Topics

Managing Client Computers


New Ways to Do Familiar Tasks

Small Business Server includes several new features that provide easier ways to carry out familiar Small Business Server tasks.

Using Management Consoles

Small Business Server uses Microsoft Management Console (MMC) to accomplish the network management tasks that were on the Small Business Server 4.5 Web-based interface. Small Business Server has two preconfigured management consoles: Small Business Server Administrator Console and Small Business Server Personal Console.

The Small Business Server Administrator Console is intended for the advanced network administrator. This console includes all the snap-ins and predefined queries that you need to manage Active Directory objects on your network. In addition, all the standard MMC console views and toolbars are enabled.

The Small Business Server Personal Console is intended for a first-time administrator or power user on your network. This console contains links to the most common network tasks and uses taskpads to guide administrators through their work. Most of the standard MMC console views and toolbars are disabled in this console.

You can use either of these consoles as a template to create management consoles of your own.

Using Taskpads

Small Business Server arranges the Details Pane of a management console into a task-friendly layout known as a taskpad view. The taskpad view is similar to the Small Business Server 4.5 Web-based interface in that it uses icons and hyperlinks to launch common tasks. Taskpads improve upon the Web-based interface by enabling administrators to customize icons, tasks, and commands to fit their individual needs.

Using Security Groups

You can define access to network resources by assigning users to one or more of the predefined Small Business Server security groups. Each user's security group membership can now follow him or her throughout Active Directory and determine the resources that are available to the user from any machine on the network.

Using User Templates

Small Business Server enables you to use any existing user's settings as a template to create new users. Using a template enables you to quickly configure a user's security group membership, distribution lists membership, company or personal information, and e-mail and Internet connection settings. You can define or apply a user template from the Add User Wizard.

Using Terminal Services for Remote Administration

Remote administrators and power users can now access Small Business Server through a Terminal Services client. The graphical user interface that appears when using Terminal Services is the same graphical user interface that appears when logging on to the server directly.

Using the BackOffice Home Snap-in

Server health and status can be monitored with the BackOffice Home snap-in. Administrators can use the BackOffice Home snap-in to configure reports and schedule regular status updates to be sent by e-mail. The BackOffice Home snap-in also provides helpful links to the Small Business Server Web site and Online Help.

Related Topics

Best Practices

Small Business Server Snap-ins


Small Business Server Snap-ins

Snap-ins are individual server management components that are loaded into the Microsoft Management Console as tools to help network administrators perform their tasks. A snap-in can work independently or extend the functionality of other snap-ins.

The building blocks that make up Small Business Server management consoles are the object-specific snap-ins. Small Business Server provides two stand-alone snap-ins: BackOffice Manager and BackOffice Home. Other snap-ins are provided by the individual server products (such as Microsoft Exchange 2000 Server, Internet Security and Acceleration (ISA) Server 2000, and SQL Server Enterprise Manager) and by Active Directory. A stand-alone snap-in can be added as a node to a management console or as an extension to another snap-in.

You can add or remove snap-ins to create your own customized management consoles. To further customize your consoles, you can create taskpad views to display and arrange tasks that are associated with a particular snap-in or with multiple snap-ins.

BackOffice Manager Snap-in

The BackOffice Manager snap-in provides a management shell to create and save customized queries of Active Directory objects such as users, groups, printers, and computers. You can customize queries by adding or removing the columns displayed for query results, adding or removing the context menu actions associated with an Active Directory object, and creating taskpad views to manage the objects found by a query.

The preconfigured Small Business Server management consoles include five saved query nodes under BackOffice Manager. The following tables list the context menu items and columns displayed for each of the default BackOffice query nodes in the Small Business Server predefined management consoles.

Small Business Server Administrator Console

Query node | Context menu items | Displayed columns
Users | Add User Add members to a group Reset Password Disable Account Delete | Description Exchange Home Server Logon Name Telephone Number X500 Distinguished Name
Security Groups | Add Group Delete | Description X500 Distinguished Name
Distribution Groups | Add Group Delete | Description X500 Distinguished Name
Printers | Add Printer Modify Printer Properties Manage Print Jobs | Location Model Server Name Share Name
Computers | Set Up Computer Add Software to Computer Configure Set Up Computer Wizard Manage View Event Log Remove Client Computer | Description Operating System Operating System Version

Note You can learn more about a BackOffice Manager query node by selecting Edit Query in the context sensitive help.

Small Business Server Personal Console

Query node† | Available Tasks† | Displayed columns
Users | Add User Add members to a group Reset Password | Description Logon Name Telephone Number
Security Groups | Add Group | Description
Distribution Groups | Add Group | Description
Printers | Add Printer Modify Printer Properties Manage Print Jobs | Location Model Server Name Share Name
Computers | Set Up Computer Add Software to Computer Configure Set Up Computer Wizard Manage View Event Log Remove Client Computer | Description Operating System Operating System Version

† In the Small Business Server Personal Console, the query nodes and the context menu items are not displayed because the Console Tree is hidden. However, these items can still be accessed by using the Favorites links and the taskpad tasks respectively.

Note You can learn more about a BackOffice Manager query node by selecting Edit Query in the context sensitive help.

BackOffice Home Snap-in

The BackOffice Home snap-in is a centralized source for all server health and status information. By default, the BackOffice Home snap-in displays information about Health Monitor alerts, performance counters, and service status, but you can customize the view to fit your administrative needs. Administrators can use the BackOffice Home snap-in to configure reports and schedule regular status updates to be sent by e-mail. The BackOffice Home snap-in also provides helpful links to the Small Business Server Web site and Online Help.

Related Topics

Customizing Management Consoles


Best Practices

You can get the most out of Small Business Server by following these best practices of management technique.

Using Templates to Add Users

Small Business Server enables you use any existing user's settings as a template to create new users.

Using Templates to Add Users

Changing Existing Consoles to Create New Consoles

You can quickly create your own management consoles by changing the snap-ins and tasks that are included in the preconfigured Small Business Server consoles.

Changing Existing Consoles to Create New Consoles

Using Security Groups to Control Access to Resources

When created, all users are assigned to security groups. Using security groups to manage access to system resources increases your network security.

Using Security Groups to Control Access to Resources

Designing Consoles

Learn some of the conceptual details of and best practices for making your management consoles.

Customizing Management Consoles

Related Topics

New Ways to Do Familiar Tasks


Using Templates to Add Users

User templates let administrators create new user accounts by copying the properties from an existing user account. Small Business Server contains three predefined user accounts that are part of the BackOffice Template Users security group. These accounts appear as templates in the Add User Wizard.

When a template is selected, the following items are copied from the template user to the new user:

  • All security group and distribution group memberships
  • All address information found on the Address tab in the User Property dialog box
  • Terminal Services settings found on the Environment tab in the User Property dialog box
  • Remote access settings found on the Dial-in tab in the User Property dialog box

Note Individual access rights that are assigned to a user, such as permissions on a shared folder or network printer, are not copied to the template. The template only inherits the access rights of the propagated groups. For example, all users created from the BackOffice User template have access to Internet connections members of the BackOffice Internet Users security group. However, granting the BackOffice Users account access to a particular shared folder or printer does not grant all users that are built on this template access to the particular network resource.

You can create new user templates by adding users to the BackOffice Template Users security group. After you add a user to the Members list of this security group, it becomes available as a user template in the Add User Wizard.

By default, the BackOffice Template Users security group contains three members. Expand the following nodes to view the group memberships and access to resources for each default member.

Small Business User

By default, the Small Business User has the following group memberships and access to resources.

Group membership | Provides access to
Domain Users (W) | Shared folders (read), printers (print), fax devices (submit faxes)
BackOffice Internet Users | Internet browsing

All groups listed are global security groups unless otherwise indicated. The groups created by Microsoft Windows 2000 Server are marked (W).

Small Business Power User

By default, the Small Business Power User has the same group memberships as the Small Business User and also has the following administrative-level access to resources.

Group membership | Provides access to
BackOffice Remote Operators | Logon rights to the server via Windows 2000 Terminal Services
BackOffice Fax Operators | Fax devices (submit and manage devices)
BackOffice Folder Operators | Shared Folders (Full control)
  • Machine Local Admins (domain local group) (W)
 Logon rights to the local computer, copy and read files on the server, and create folders
  • Server Operators (domain local group) (W)
 Administer domain server
Back Office Mail Operators | Microsoft Exchange mailboxes
Account Operators (domain local group) (W) | User, group, and computer objects
Print Operators (domain local group) (W) | Printers

All groups listed are global security groups unless otherwise indicated. The groups created by Windows 2000 Server are marked (W). If a global group is a member of one or more domain local groups, the domain local groups are listed as bulleted items beneath the global group.

Small Business Administrator

By default, the Small Business Administrator has the same group memberships as the Small Business User and also has the following administrative-level access to resources.

Group membership | Provides access to
Domain Admins | Unrestricted access to domain
  • Administrators
 Unrestricted access to domain

All groups listed are global security groups unless otherwise indicated. The groups created by Windows 2000 Server are marked (W).

Related topics

Add a User Template to the Add User Wizard


Changing Existing Consoles to Create New Consoles

Small Business Server contains two management consoles (Small Business Server Administrator Console and Small Business Server Personal Console) that you can change to create your own consoles. Making changes to an existing console is the fastest and easiest method to create a new management console. By starting with an existing console, and then adding and removing snap-ins, taskpads, and tasks, you can create functional consoles with minimal effort.

To change an existing console, you must open it in author mode. After you have created a new console, you can save it and then distribute it to users by placing a copy in their Application Data folder.

Related Topics

Customizing Management Consoles


Using Security Groups to Control Access to Resources

Small Business Server controls access to network resources by using Microsoft Windows 2000 security groups. By default, Small Business Server uses global security groups to control access rights to all network resources, such as server applications and shares. To give a Small Business Server user access to any particular network resource, the administrator adds the user to the global security group that controls the particular network resource.

To follow the Small Business Server security group scheme, an administrator creates a Windows 2000 global security group for each network resource and only adds users to the global groups that control the appropriate network resources. Administrators can also use or customize the preconfigured Small Business Server user templates to create users with predefined group memberships.

Example of using security groups to control resources

Suppose the fictional company A Datum Corporation has the following users and resources to manage:

Table 1

Users | Network resources
Alpha Beta Delta Gamma | Fax Network Printer: PRNT001 Shared Folder: Payroll Shared Folder: Product Information

First, the administrator uses the Add Security Group Wizard to create global security groups for each network resource listed in Table 1. Next, the administrator configures each network resource for use by only the global security group created for it. For example, the administrator can use the Add Shared Folder Wizard to grant members of the Payroll Users security group exclusive access to the Payroll shared folder.

Table 2

Global security groups | Network resources
Fax Users | Fax
Printer Users | Network Printer: PRNT001
Payroll Users | Shared Folder: Payroll
Product Users | Shared Folder: Product Information

Next, the administrator uses the Add User to Group task to assign the users listed in Table 1 to their appropriate global security groups listed in Table 2. The final result is listed in Table 3 below.

Table 3

Global security groups | Assigned users
Fax Users | Alpha and Beta
Printer Users | Alpha, Beta, Delta, and Gamma
Payroll Users | Delta and Gamma
Product Users | Alpha and Beta

Related Topics

Add a Security Group

Add a User to a Security Group

Share a Folder

Control User Access to a Shared Folder


Customizing Management Consoles

Small Business Server uses Microsoft Management Console (MMC) to give administrators a single interface from which to manage hardware, software, and network objects. Small Business Server has two preconfigured management consoles that are sufficient for most administrative needs:

  • Small Business Server Administrator Console (ITProSBSConsole.msc)
  • Small Business Server Personal Console (MySBSConsole.msc)

You can also change these consoles to create your own management consoles, which users can access when they log on to the server through Microsoft Windows 2000 Terminal Services.

Designing Consoles

Before you create a new console, identify the tasks that the console will perform, the components it will administer, the snap-ins and controls that it will use to perform the tasks, and the level of access you will grant to the person who will use the console. After you have a console design, you can open an existing console and add or remove snap-ins and tasks as necessary. To create or edit a console you must open the console in author mode.

Adding or Removing Snap-ins

The first step in creating a custom console is adding or removing the required snap-ins from the Console Tree.

You can create a new console with a specific snap-in as the top node of the Console Tree (known as the Console Root) by right-clicking the desired snap-in and selecting New Window from Here. You can then add any additional snap-ins from Add/Remove Snap-in on the Console menu.

If you are customizing an existing console, use Add/Remove Snap-in on the Console menu to change the snap-ins in the console. After you have added a snap-in to a console, you can enable or disable any associated snap-in extensions. When you enable an extension, it is automatically placed under the selected snap-in as a node in the Console Tree.

For detailed snap-in customization steps, refer to the following links:

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Customize Query List Views

Adding Taskpads

After you have configured the console with all necessary snap-ins and extensions, you can add one or more taskpads.

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used to accomplish a variety of functions, including launching executable files, running scripts, accessing Web pages, and launching other management consoles.

Many preconfigured taskpads are included with Small Business Server. The Favorites tab of either of the pre-configured Small Business Server management consoles contains taskpads for users, security groups, shared folders, printers, e-mail, faxes, and computers. These taskpads are especially helpful for novice users and users who do not need to know about moving through the Console Tree, which can be hidden from view.

You might want to create or change a taskpad for the following reasons:

  • To add commonly used tasks
  • To remove unneeded tasks
  • To group a sequence of related tasks
  • To simplify the list of tasks and options available to particular users

For detailed taskpad customization steps, refer to the following links:

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing the Console View

Not every console administrator needs all the functionality provided by MMC. Before making a console available to users, you can customize the console view to fit the intended administrator. You can customize the following console elements:

  • Console Tree
  • Description bar
  • Status bar
  • Snap-in buttons
  • Snap-in menus
  • Standard buttons
  • Standard menus
  • Details Pane columns
  • Taskpad navigation tabs
  • Favorites entries

Customize the Console View

Add an Item to the Console Favorites Menu

Set Console to User or Author Mode

The console access mode determines whether a console administrator can change the console view, add or remove snap-ins and taskpads, or save console changes. Every console must be saved in one of the access modes described below.

Author Mode

Setting a console to author mode grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

After author mode is set as the access mode for a console, MMC continues to open that console in author mode until it is saved in a user mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Setting a console to user mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, single window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties. Also prevents users from creating new windows.

Set a Console to User or Author Mode

Save the Console File

After you have finished configuring a custom console, save the file.

Make the Console File Available Through Terminal Services

After you save a console file, you can configure a user to start in a particular management console whenever they log on to the server through Windows 2000 Terminal Services.

Save and Distribute Custom Console Files

More Information

For more information, refer to "Authoring MMC Consoles" in the Microsoft Management Console Online Help.

Related Topics

Best Practices

New Ways to Do Familiar Tasks


How To

Small Business Server uses Microsoft Management Console (MMC) to administer and manage network resources. Use the following information to design, create, and change management consoles.

Managing Snap-ins

Learn how to add and remove stand-alone snap-ins and their extensions.

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Managing Taskpads

Learn how to create, change, and remove taskpad views.

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing the BackOffice Manager Snap-in

Learn how to customize the BackOffice Manager snap-in by adding queries, Active Directory objects, and context menus.

Add a Query Node to the BackOffice Manager Snap-in

Add an Aggregator Node to the BackOffice Manager Snap-in

Add an Active Directory Object to the BackOffice Manager Snap-in

Customize Query List Views

Define the Context Menu for BackOffice Manager Queries

Customizing Console Views

Learn how to display or hide management console elements and set the console mode.

Customize the Console View

Set a Console to User or Author Mode

Add an Item to the Console Favorites Menu

Saving and Distributing Console Files

Learn how to save and distribute your custom console files.

Save and Distribute Custom Console Files

Give Users Access to Terminal Services

Configure Users' Terminal Services Start Up with the Add User Wizard

Viewing Server Health and Status

Learn how to display the health and status of your server.

View Server Status

Adding Security Groups

Learn how to add new security groups to manage your network resources.

Add a Security Group

Related Topics

Best Practices

New Ways to Do Familiar Tasks


Add a Stand-Alone Snap-in to a Console

You can customize Small Business Server by adding stand-alone snap-ins to your existing consoles or by creating new consoles. Small Business Server provides several stand-alone snap-ins that you can add to your consoles.

To add a stand-alone snap-in to a console

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In the Add/Remove Snap-in dialog box, click the Standalone tab.
  4. In the Snap-ins added to list, select the node or Console Root to which you want to add the snap-in, and then click Add.
  5. In the Available Standalone Snap-ins list, select a stand-alone snap-in, and then click Add. Type any additional information that you are prompted to provide. Repeat this step for any additional snap-ins that you want to add.
  6. When you have finished adding snap-ins, click Close to accept your new snap-in or snap-ins.
  7. Click OK to add the new snap-in or snap-ins to the Console Tree.

Related Topics

Small Business Server Snap-ins


Add an Extension to a Snap-in

You can add extensions to some snap-ins to increase or change their functionality.

To add an extension to a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. In the Console Tree, click the snap-in that you want to change.
  3. Click Console, and then click Add/Remove Snap-in.
  4. In the Add/Remove Snap-in dialog box, click the Extensions tab.
  5. In the Snap-ins that can be extended list, select the snap-in to which you want to add the extension.
  6. By default, the Add all extensions check box is selected. If you want to add only particular extensions, clear this check box, and then select the check boxes for the extensions you want to add.
  7. Click OK to add the extensions.

Related Topics

Small Business Server Snap-ins


Remove a Snap-in from a Console

You can customize Small Business Server by removing snap-ins from your existing consoles. You may want to remove certain snap-ins to control the items that users can manage.

Note Removing a snap-in from a console removes all the taskpads and tasks associated with that snap-in.

To remove a stand-alone snap-in from a console

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In the Add/Remove Snap-in dialog box, click the Standalone tab.
  4. In the Snap-ins added to list, select the snap-in that you want to remove, and then click Remove. Repeat this step for any additional snap-ins that you want to remove.
  5. Click OK to close the dialog box.

Related Topics

Small Business Server Snap-ins


Remove an Extension from a Snap-in

Removing an extension from a snap-in removes all the tasks associated with that extension. The other functions of the snap-in are not affected.

To remove an extension from a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In the Add/Remove Snap-in dialog box, click the Extensions tab.
  4. In the Snap-ins that can be extended list, select the snap-in from which you want to remove the extension or extensions.
  5. Clear the Add all extensions check box, and then select the check boxes for the extensions you want to remove.
  6. Click OK to remove the extensions.

Related Topics

Small Business Server Snap-ins


Create a Taskpad

You can add and customize taskpad views to display only the tasks that your intended administrator needs.

To create a new taskpad for a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in for which you want to create a taskpad.
  3. Click Action, and then click New taskpad view to start the New Taskpad View Wizard.
  4. Follow the on-screen instructions to complete the wizard. You can add new tasks to the taskpad by selecting the Start New Task Wizard check box at the end of the wizard.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View

Add a Task to a Taskpad


Delete a Taskpad

You can customize Small Business Server management consoles by deleting the taskpad view that is associated with a particular snap-in. After a taskpad has been deleted, it cannot be recovered. It must be re-created.

To delete a taskpad from a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in that contains the taskpad that you want to delete.
  3. Click Action, and then click Delete Taskpad View.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View


Add a Task to a Taskpad

A task can be any command on a console menu or command line, such as an executable file, script, or URL. You can add tasks to a taskpad from the New Task Wizard or the taskpad properties page.

To add a task to a taskpad

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in that contains the taskpad that you want to change.
  3. Click Action, and then click New Taskpad View to start the New Task Wizard.
  4. Select a task type:
    • Menu Command. Runs a command from a menu.
    • Shell Command. Runs a script, starts a program, and opens a Web page.
    • Navigation. Navigates to a view that you selected on the Favorites tab.
  5. Follow the on-screen instructions to complete the New Task Wizard.
  6. Click OK to save the new taskpad view.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View


Delete a Task from a Taskpad

You can delete tasks that you do not want users or other administrators to use from a taskpad. You can also delete tasks from the default Small Business Server management consoles and then save them as custom management consoles (.msc files) for your power users or remote administrators.

To delete a task from a taskpad

  1. Open the management console in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in that contains the taskpad that you want to change.
  3. Click Action, and then click Edit Taskpad View.
  4. Click the Tasks tab. In the Task list, select the task that you want to remove, and then click Remove.
  5. Click OK to save the new taskpad view.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View


Add a Query Node to the BackOffice Manager Snap-in

You can use query nodes to create and save custom queries in the BackOffice Manager snap-in.

To add a query node

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the BackOffice Manager snap-in, click Action, point to New, and then click Query Node to start the Add Query Node Wizard.
  3. Click Next, and then in the Display name box, type a name for the query node.
  4. Click Create Query to select your query objects and options.
  5. Use the Find dialog box to specify the Active Directory objects and queries for your query node. Click OK to close the Find dialog box.
  6. If your query includes new object classes, the wizard prompts you to define the context menu items and query list view that you want available for these objects. Follow the on-screen instructions to define the context menus and display properties for the new objects or to skip to the end of the wizard.

Tip Add only the context menu items and display properties that the intended administrator will need to manage this Active Directory object.

  7. Follow the on-screen instructions to complete the Add Query Node Wizard.

Related Topics

Define the Context Menu for BackOffice Manager Queries

Customize Query List Views

Small Business Server Snap-ins


Add an Aggregator Node to the BackOffice Manager Snap-in

Use aggregator nodes to group one or more query nodes in the BackOffice Manager snap-in.

To add an aggregator node

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the BackOffice Manager snap-in, click Action, point to New, and then click Aggregator Node.
  3. Type a display name for the new aggregator node, and then select the appropriate check boxes for any scope or filter that you want to apply to lower-level query nodes.
  4. Click OK to create the aggregator node.

Related Topics

Small Business Server Snap-ins


Add an Active Directory Object to the BackOffice Manager Snap-in

You must add new Active Directory objects to the BackOffice Manager snap-in when you add the snap-in to a new management console or when you create a query of previously undefined Active Directory objects.

In the preconfigured Small Business Server management consoles, the BackOffice Manager snap-in recognizes the following Active Directory objects:

  • Computer
  • Group
  • Printer
  • User

Note You can add new objects to the BackOffice Manager snap-in by using either the procedures below or by using the Add Query Node Wizard.

To add an Active Directory object to the BackOffice Manager snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, click the BackOffice Manager snap-in.
  3. Click Action, and then click Properties.
  4. Click the Objects tab, and then click Add to start the Add Object Wizard.
  5. Follow the on-screen instructions to complete the wizard.

Related Topics

Add Query Node to the BackOffice Manager Snap-in

Small Business Server Snap-ins


Customize Query List Views

Each query node that is managed by the BackOffice Manager snap-in returns a list of objects and attributes for list view items. You can customize a query list view to display information that is appropriate for your console administrators.

To customize a query list view

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the query node that you want to customize, click Action, and then click Properties.
  3. Click the Columns tab. In the Object Class list, select the object that you want to view.
  4. Under Columns, select the check boxes next to the column headers that you want to display or hide.
  5. Click OK to save changes to the list view.

Related Topics

Small Business Server Snap-ins


Define the Context Menu for BackOffice Manager Queries

The BackOffice Manager snap-in enables you to define the context menu that is listed for each query. The context menu lists the available tasks that can be performed on the Active Directory objects that are returned by the query. You can customize these tasks to match a user's requirements or security level.

The context menus appear in the Action menu and in the context-sensitive menu that appears when a user right-clicks an item in the Details Pane.

Note A context menu is not visible unless there are objects to display from the query. However, you can still define the contents of the context menu for a query even if there are no objects to display.

To define the context menu for a BackOffice Manager query

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the query node that you want to customize.
  3. Click Action, and then click Properties.
  4. Click the Context Menu tab, and then select the check boxes for the context menu items you want to add or remove. You can also select a menu item and use the Move Up and Move Down buttons to change the order of menu items.
  5. Click OK to save your changes.

Related Topics

Add a Query Node to the BackOffice Manager Snap-in

Add an Active Directory Object to the BackOffice Manager Snap-in


Customize the Console View

You can customize the console view to display or hide the menus, toolbars, and status bars that are available to console administrators.

To customize the console view

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click View, and then click Customize.
  3. In the Customize View dialog box, select the check boxes for MMC elements and snap-in features that you want to view or hide.

    MMC elements

    • To display or hide the Console Tree, select or clear the Console Tree check box.
    • To display or hide the Action and View menus, select or clear the Standard menus (Action and View) check box.
    • To display or hide the console toolbar, select or clear the Standard toolbar check box.
    • To display or hide the status bar at the bottom of the console window, select or clear the Status bar check box.
    • To display or hide the description bar along the top of the Details Pane, select or clear the Description bar check box.
    • To display or hide the tabs along the bottom of the Details Pane, select or clear the Taskpad navigation tabs check box.

    Important If you clear the Standard menus (Action and View) check box and close the Customize View dialog box, you cannot access commands on the Action and View menus, including the Customize command. In this situation, to access the Customize View dialog box, click the system menu (the icon in the upper-left corner of the console), and then click Customize View.

    Notes

    • As you select or clear check boxes, view the console to confirm that the changes that appear are what you expect.
    • If you hide the Console Tree, the Favorites tab, if applicable, still appears.
    • If you hide the Action and View menus, the Favorites menu, if applicable, still appears.

    4. Snap-in features

    • To display or hide menus specific to snap-ins, select or clear the Menus check box.
    • To display or hide toolbars specific to snap-ins, select or clear the Toolbars check box.

    Note When you select or clear the Menus and Toolbars check boxes, the menus and toolbars are displayed or hidden for all snap-ins in the console, not just the currently selected snap-in. If selecting and clearing the check boxes does not change the view, the currently selected snap-in does not have custom menus or toolbars.

  4. Click OK to save your changes.


Set a Console to User or Author Mode

When building a custom console, you can assign to the console one of two general access options: author mode or user mode. In user mode you can specify one of three levels of access: full access, limited access (multiple window), or limited access (single window).

Author Mode

Setting a console to author mode grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

After author mode is set as the access mode for a console, MMC continues to open that console in author mode until it is saved in user mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Setting a console to user mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, single window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties. Also prevents users from creating new windows.

To set a management console to user or author mode

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Options.
  3. In the Console Mode list, select the author or user mode that you want to set for the console.
  4. Select or clear the check boxes for any options that you want to grant or deny users:
    • Enable context menus on taskpads in this console. Displays the list of context menu tasks that are available when the user right-clicks an object in the management console.
    • Do not save changes to this console. Prevents users from saving changes to the console.
    • Allow the user to customize views. Enables the user to add or remove management console menus, toolbars, and the Console Tree.
  5. Click OK to close the Options dialog box.
  6. Close the console, and then click Yes when you are prompted to save console settings.


Add an Item to the Console Favorites Menu

You can add any currently selected item to the Favorites menu of a management console.

To add an item to the console Favorites menu

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the snap-in or taskpad view that you want to add to the Favorites menu. You can add only items that you are currently viewing.
  3. Click Favorites, and then click Add to Favorites.

Related Topics

Customizing Management Consoles


Save and Distribute Custom Console Files

You can create custom console files by adding or removing multiple snap-ins, tasks, toolbars, and menus, and then saving them together in a management console (.msc file). After you create them, you can make your custom console files available to users, who can then manage Small Business Server from their computers by using Microsoft Windows 2000 Terminal Services. This is helpful in businesses where you want power users to perform certain common and repetitive network tasks, such as user and group management, without granting them access to unneeded or restricted network maintenance tasks.

Small Business Server includes two preconfigured consoles: the Small Business Server Administrator Console and the Small Business Server Personal Console. You can use these two consoles as templates to create and customize your own consoles.

To save a custom console file

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Add any snap-ins, taskpads, tasks, and custom views that you want for this console.
  3. When you complete your customization, click Console, and then click Save As.
  4. In the Save in list, select the folder on the Small Business Server computer in which you want to save the new console file.

    Tip You can distribute your custom management consoles by saving them to the All Users Application Data folder and creating a shortcut to the console in the Start menu. The Application Data folder is a hidden folder that is located at the following path:
    <drive letter>:\Documents and Settings\All Users\Application Data

  5. In the File name box, type a unique name for your new console file.
  6. Click Save to save the console file.

To distribute a custom management console

You can distribute your custom management consoles by using two methods:

  • Copy the console file to a shared folder on the Small Business Server computer.
  • Copy the console file to the All Users Application Data folder.

To use custom management consoles

To use your custom management consoles, users must use Windows 2000 Terminal Services to connect to your Small Business Server computer, log on to the server, and open the custom management consoles that are stored on the server.

Tip You can make your custom management consoles available to users by copying the console files in the All Users Application Data folder and creating a Start Menu shortcut to the file in each user's personal Application Data folder. The Application Data folder is a hidden folder that is located at the following path:
<drive letter>:\Documents and Settings\All Users\Application Data

Important Only users that have server logon rights can log on to the Small Business Server computer by using Terminal Services.

Related Topics

Give Users Access to Terminal Services


Grant Users Access to Terminal Services

You can administer your Small Business Server network from any computer that is connected to your network by using Microsoft Windows 2000 Terminal Services. By default, only Administrators can use Terminal Services to log on to the Small Business Server computer. Users can access Terminal Services by using Terminal Services Client software or Internet Explorer.

Grant Terminal Services access to members of the BackOffice Remote Operators group

The following steps grant all members of the BackOffice Remote Operators security group permission to log on to the Small Business Server computer. You may want to implement additional security features, such as establishing Windows 2000 Group Policies, to keep members of BackOffice Remote Operators from viewing or making unauthorized changes to files on the Small Business Server computer.

Note By default, the Small Business Template Power User is a member of the BackOffice Remote Operators security group. When you grant Terminal Services access to the BackOffice Remote Operators security group, all new users created by using the Small Business Template Power User automatically have Terminal Services access rights.

To configure the Terminal Services Configuration snap-in

  1. From the Small Business Server Administrator Console, expand the Terminal Services Configuration snap-in, and then click the Connections folder.
  2. From the Details Pane, right-click the network connection for your server (for example, RDP-TCP), and then click Properties.
  3. Click the Permissions tab, click Add, select the domain local security group BackOffice Remote Operators, click Add, and then click OK.
  4. Select the User Access check box, and then click OK to close the Connection Properties dialog box.

To configure the Domain Controller Security Policy

  1. Click Start, point to Programs, point to Administrative Tools, and then click Domain Controller Security Policy.
  2. Expand Security Settings, expand Local Policies, and then click User Rights Assignment.
  3. From the Details Pane, right-click Log on Locally, and then click Security.
  4. Select the Define these policy settings check box, click Add, click Browse, and then select the domain local security group BackOffice Remote Operators.
  5. Click Add, click OK to add the group, click OK to add a user or group, and then click OK to close the Security Policy Setting dialog box.

Run Terminal Services from Internet Explorer

Users can run Terminal Services from Internet Explorer by connecting to the Web-based Small Business Server console. Users can access the Web-based console without installing Terminal Services Client software.

  1. Browse to the Web-based Small Business Server console that is located at:

    http://servername/myconsole

    where servername is the name of your Small Business Server computer.

  2. Users must enter a valid user name and password to access the server.

Install Terminal Services software on the client computer

Client computers can access the Small Business Server computer by using Windows 2000 Terminal Services.

To install the Windows 2000 Terminal Services Client software, you can connect to the Terminal Service Clients shared folder and then run the appropriate setup application or create installation floppy disks from the Terminal Services Client Creator on the Small Business Server computer. You can use the installation floppy disks to install Terminal Services on any client computer running Windows.

To install Terminal Services Client software from the Terminal Service Clients shared folder

  1. From the client computer, click Start, click Run, and then type one of the following network paths:
    • For Terminal Services on a 16-bit client computer running Windows:
      \\servername\tsclient\net\win16\setup.exe

      where servername is the name of your Small Business Server computer.

    • For Terminal Services on a 32-bit client computer running Windows:
      \\servername\tsclient\net\win32\setup.exe

      where servername is the name of your Small Business Server computer.

  2. Follow the on-screen instructions to install Terminal Services Client software.

To create installation disks for Terminal Services Client software

  1. From the Small Business Server computer, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Client Creator.
  2. In the Network Client or Service pane, select one of the following entries:
    • Terminal Services for 16-bit Windows. Select this option to install Terminal Services Client on a client computer running Windows 3.1. This option requires four floppy disks.
    • Terminal Services for 32-bit x 86 Windows. Select this option to install Terminal Services Client on a client computer running Windows 95, Windows 98, Windows ME, Windows NT, or Windows 2000. This option requires two floppy disks.
  3. In the Destination Drive list, select the drive letter of your server's floppy disk drive, and then select the Format disk(s) check box if you need to format the floppy disks.
  4. Click OK to create the installation floppy disks.

To install Terminal Services Client software on the client computer from the installation disks

  1. Place the Terminal Services Client software installation disk 1 in the floppy disk drive of the client computer.
  2. Run the SETUP application on disk 1.
  3. Follow the on-screen instructions to install the Terminal Services Client software.

Run Terminal Services Client software from a computer connected to the network

After the remote computer has the necessary Terminal Services Client software, you can connect to the Small Business Server computer at any time.

Note The remote computer must have a network connection to the Small Business Server computer for a Terminal Services connection to be established. This may require the remote computer to first make an RRAS connection to the Small Business Server computer.

To run the Terminal Services Client software

  1. Click Start, point to Programs, point to Terminal Services Client, and then click Terminal Services Client.
  2. Configure the Terminal Services window:
    • Server. Select or type the server name to which you want to connect.
    • Screen Area. Select a screen resolution for your Terminal Services window.
  3. Click Connect to establish the Terminal Services connection to the Small Business Server computer.
  4. The user must enter a valid user name and password to access the server.


Configure Users' Terminal Services Startup with the Add User Wizard

The Add User Wizard can automatically configure user accounts to start in one of the Small Business Server management consoles when they log on to the server through Windows 2000 Terminal Services. Small Business Server Setup copies the management console to the server in the All Users Application Data folder. Users with local logon rights to the server can then access the management console through Terminal Services.

To configure a user's Terminal Services startup from the Add User Wizard

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click the Users query node.
  2. Right-click any user in the Details Pane, and then click Add User.
  3. Follow the on-screen instructions to create a new user. On the User Properties page of the wizard, click Specify individual settings for this user.
  4. Follow the on-screen instructions to define the user template. On the Connection Access page of the wizard, click the Allow logon to Terminal Server check box, and then select one of the three option buttons described below.
    • Start end user console. Starts users in the Small Business Server Personal Console when they log on through Terminal Services. Users can also access this console from the Start menu shortcut that is created by Small Business Server setup.

      Note By default, users created from the Small Business Template Power User start Terminal Services in the end user console.

    • Start full desktop. Starts users with a full Windows desktop when they log on through Terminal Services. Users can access either the Small Business Server Administrator Console or the Small Business Server Personal Console from the Start menu shortcuts that are created by Small Business Server setup.

      Note By default, users created from the Small Business Template Administrator start Terminal Services in the full desktop.

    • Start the following program at login. Starts a specific program when the user logs on to Terminal Services.
  5. Follow the on-screen instructions to complete the Add User Wizard.

Related Topics

Save and Distribute Custom Console Files


View Server Status

You can view information about the health and status of your server from the BackOffice Home snap-in and the Health Monitor snap-in.

The BackOffice Home snap-in provides a general summary of your server's health and status. The BackOffice Home snap-in is available in both the Small Business Server Administrator Console and the Small Business Server Personal Console, and it can also be included in your custom management consoles.

The Health Monitor snap-in provides more detailed information about your server's health and status. You can use the Health Monitor snap-in to configure custom actions for particular server conditions. The Health Monitor snap-in is available in the Small Business Server Administrator Console and can also be included in your custom management consoles.

To view server status from the BackOffice Home snap-in

  1. To open the BackOffice Home snap-in, do one of the following:
    • From the Small Business Server Administrator Console, expand the Console Tree, and then click BackOffice Home.
    • From the Small Business Server Personal Console Favorites, click Home.
  2. The BackOffice Home snap-in lists Health Monitor alerts, performance counters, and services.

To view server status from the Health Monitor snap-in

  1. From the Small Business Server Administrator Console, expand the Console Tree, and then click Health Monitor.
  2. Use the Health Monitor snap-in to view detailed server status information or to configure actions based on server conditions.

Related Topics

Customize Server Status View

Small Business Server Snap-ins


Add a Security Group

You can create new security groups to manage your Small Business Server resources and users. If you are following the Small Business Server security group scheme, add users to global security groups and add network resources, such as printers, faxes, or shared folders, to domain local security groups.

To add a security group

The way that you access the Add Security Wizard depends on the Small Business Server management console that you use.

  1. Do one of the following:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, click Security Groups, right-click any user in the Details Pane, and then click Add Group.
    • From the Small Business Server Personal Console, click the Security Groups Favorites link, and then click Add Group in the Details Pane.
  2. Follow the on-screen instruction to complete the Add Security Group wizard.

Related Topics

Using Security Groups to Control Access to Resources


Managing Users

As the network administrator, you can manage network users by creating user accounts, granting user access to network resources, and monitoring user connections and usage.

Adding Users

You must create a user account for each user that must have access to network resources. User accounts consist of a logon name, a password, and one or more security group memberships that define the network resources that the user can access.

Figure 1 Adding users to Small Business Server

As an administrator, you can add user accounts to Microsoft® Small Business Server by using the Add User Wizard. You can work with the user templates to quickly and easily set up a user with preset security group memberships, account restrictions, and contact information.

You can also save an existing user's profile as a user template by adding it to the BackOffice Templates Users group.

Add a User

Adding Users to Security Groups

A security group defines access permissions that are available to its member users. As an administrator, you can use your security group memberships to limit your users' network resource access, such as their access to shared folders and management consoles.

Figure 2 Assigning users to groups and resources

You can assign users to security groups by using the Add User Wizard user templates or the Small Business Server management consoles.

Add a User to a Security Group

Manage User Access to Network Resources

Applying Group Policies

You can use Small Business Server in conjunction with Microsoft Windows® 2000 Group Policy. You can apply Group Policy to your entire Small Business Server domain, or only to particular groups, computers, or users. For more information about Group Policy, refer to Windows 2000 Help.

Applying Windows 2000 Group Policies

Maintaining User Accounts

Small Business Server management consoles enable you, and any designated administrators or power users, to quickly and efficiently maintain user accounts by reviewing and changing user account information.

Review or Change User Information

Change User Passwords

Disable a User Account

Delete a User Account

Troubleshooting User Accounts

Troubleshooting provides additional information to help manage user accounts.

Troubleshooting User Management


Best Practices

Small Business Server provides several ways to help you quickly and efficiently manage user accounts.

Adding Users from Templates

User templates provide a quick and easy way to add a new user with predefined security groups memberships and account information.

Adding Users from Templates

Applying Windows 2000 Group Policies

Microsoft Windows 2000 Group Policies provide administrators with detailed control over how users find and access Active Directory objects in Small Business Server.

Applying Windows 2000 Group Policies


Adding Users from Templates

The Add User Wizard enables you to create a user account from an existing user template. Security group memberships, account restrictions, and any predefined contact information are copied from the saved template to the new user. By using the user template, you can reduce the repetitive task of setting up a new user.

Small Business Server comes with the following three predefined user templates.

Small Business Administrators

Use this template for any user to which you want to grant full administrative rights on Small Business Server. Administrators are able to add and remove programs, create and change management consoles, manage user accounts, and control all network resources such as shared folders.

Small Business Power Users

Use this template for users to which you want to grant limited administrative rights on Small Business Server. Power users are able to view and add user accounts, access most shared folders and server-side applications, and use management consoles through Microsoft Windows 2000 Terminal Services.

Small Business Users

Use this template for typical Small Business Server users. Users are able to access e-mail, the Internet, printers, and the shared folders from which they are not excluded by Group Policies.

You can review and change these default templates from the Properties dialog box in the Security Groups section of either Small Business Server console.

You can also add users to the list of template users. Users who are added to the BackOffice Template Users security group appear as template options the next time you run the Add User Wizard.

Related Topics

Add a User to BackOffice Template Users


Applying Windows 2000 Group Policies

If your client computers are running Microsoft Windows 2000, you can set up Small Business Server to use the Group Policy features of Windows 2000. Group Policies enable an administrator to define and customize many Windows settings for a user or client computer, including items that are available on the Windows desktop, logon scripts, available menu items, and security settings. You can define Group Policies that apply to a particular computer, a specific user, a domain, or an organizational unit.

Small Business Server does not require Group Policy, but Group Policies can greatly enhance network security. Before applying Group Policy to Small Business Server, refer to "Checklist: Implementing Group Policy through Active Directory" in Windows 2000 Online Help.

To access the Group Policy snap-in from the Small Business Server Administrator Console

  1. From the Small Business Server Administrator Console Tree, expand the Active Directory Users and Computers node.
  2. Right-click the Active Directory object to which you want to apply Group Policy (for example, your Small Business Server domain), and then click Properties.
  3. Click the Group Policy tab. From the Group Policy Object Links, click Group Policy.

    From this dialog box you can add, remove, or edit Group Policies. For more information or instructions on setting up Group Policies, refer to Windows 2000 Help.

  4. Click Close to apply Group Policy.

Important Group Policies apply only to computers running Windows 2000.

Related Topics

Best Practices


Disabling User Accounts

Occasionally, you may want to inactivate a user account that you no longer need. Small Business Server offers two ways to remove a user account, by either disabling it or deleting it. However, in most instances it is better to disable an unneeded user account than to delete it permanently.

A disabled user account cannot be used by Small Business Server to log on to a network or to access network resources. Because the account still exists, it retains useful information about security group memberships, contact information, and network usage. Disabled accounts can also be used as a template for other users, can provide historical data for planning or tracking purposes, and can be reactivated if needed.

A deleted user account, however, is permanently erased from Active Directory and cannot be recovered.

Disabled accounts do not take up much disk space because user account disk usage is, in general, minimal. Most Small Business Server computers never have enough user accounts to pose a storage problem.


How To

Small Business Server uses Microsoft Management Console (MMC) to help you manage user accounts. Click the following links to add, change, or remove Small Business Server users.

Adding Users

You can learn how to add new users or existing users to the list of available templates.

Add a User

Add a User Template to the Add User Wizard

Adding Users to Security Groups

You can learn how to add users to new or existing security groups and how to set user-specific account restrictions.

Add a User to a Security Group

Control User Access to Resources

Managing User Templates

You can learn how to add users to, change, and remove user templates.

Add a User Template to the Add User Wizard

Change User Template Properties

Remove a User Template

Updating User Accounts

You can learn how to view, set, and change user account information, including network passwords.

Set User Account Restrictions

Change User Passwords

Removing User Accounts

You can learn how to disable and delete inactive user accounts.

Disable a User Account

Delete a User Account


Add a User

With the Add User Wizard, you can create a user account that has access to Small Business Server. The features of the Add User Wizard depend on the console from which you access it.

If you access the Add User Wizard from the Small Business Server Personal Console, you can only add the user from an existing user template.

If you access the Add User Wizard from the Small Business Server Administrator Console, you can change all user properties, regardless of whether you are using a template.

To add a new user

  1. Start the Add User Wizard
    From the Small Business Server Personal Console, click Users from the Favorites list, and then click Add User from the Details Pane.
  2. Follow the on-screen instructions to complete the wizard.

Related Topics

Adding Users from Templates


Add a User to a Security Group

Every user must be a member of at least one security group. A user's security group memberships determine which network resources the user can access and change. You can add, remove, or change a user's security group membership from either of the preconfigured Small Business Server management consoles.

To add a user to a security group

The way in which you add users to a security group depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Add Members to Group.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Add User to Group.
  2. In the Select Groups dialog box, click the group or groups to which you want to add the user, and then click Add.
  3. Click OK when finished.

Note Small Business Server recognizes all Microsoft Windows 2000 predefined security groups and any groups that you define through Active Directory.

Related Topics

Add a User

Applying Group Policies


Add a User Template to the Add User Wizard

You can add user templates to the Add User Wizard by changing the BackOffice Templates Users security group. You can also add a user to the list of user templates from the Add User Wizard.

Note You cannot add user templates from the Add User Wizard when you start the wizard from the Small Business Server Personal Console.

To add a user account to BackOffice Template Users manually

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Security Groups.
  2. In the Details Pane, right-click the BackOffice Template Users group, and then click Properties.
  3. Click the Members tab, and then click Add.
  4. From the Select Users, Contacts, or Computers dialog box, click a user account, and then click Add. Repeat this step for any additional users that you want to add to BackOffice Template Users.
  5. Click OK to close the Select Users, Contacts, or Computers dialog box.
  6. Click OK to close BackOffice Template Users Properties.

To use the Add User Wizard to add a user template

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. In the Details Pane, right-click any user, and then click Add User.
  3. Follow the on-screen instructions to create a new user. On the User Properties page of the wizard, click Specify individual settings for this user, and then select the Use these settings to create a new template check box.
  4. Follow the on-screen instructions to define the user template.
  5. Your new user template will be available the next time you run the Add User Wizard.

Related Topics

Adding Users from Templates


#Change User Template Properties

You can change user template properties, such as group membership and Terminal Services access rights, from either of the preconfigured Small Business Server management consoles.

To change user template properties

The way in which you change user template properties depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user template in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user template in the Details Pane, and then click Change User Properties.
  2. Click the tab for the user property or properties that you want to change, make your changes, and then click OK to close the dialog box.

Note By default, the Small Business Server user templates include Small Business User, Small Business Power User, and Small Business Administrator.

Related Topics

Adding Users from Templates

Add a User


Remove a User Template

If you no longer need a user template, you can remove it from the BackOffice Template User security group.

To remove a user template

The way in which you remove a user template depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Security Groups, right-click the BackOffice Template Users account in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Security Groups Favorites link, select the BackOffice Template Users account in the Details Pane, and then click Change User Properties.
  2. Click the Members tab, click the user account that you want to remove, and then click Remove.
  3. Click Yes to close the Active Directory dialog box.
  4. Click OK to close BackOffice Template Users Properties.

Related Topics

Adding New Users from Templates

Add a New User


Review or Change User Information

You may need to change an employee's personal information, add a user to a distribution list, or change a group to which a user belongs. You can perform these steps by using either of the preconfigured Small Business Server management consoles.

To change user account information

The way in which you change user account information depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change User Properties.
  2. In the User Properties dialog box, follow the on-screen instructions to review or change user account information as needed.


Reset User Passwords

You can reset user passwords by using either of the preconfigured Small Business Server management consoles.

To change a user network password

The way in which you start the Reset Password Wizard depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Reset Password.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Reset Password.
  2. Follow the on-screen instructions to complete the wizard.


Set User Account Restrictions

In addition to assigning users to security groups, administrators can control user access to the Small Business Server network by setting user-specific account restrictions. This includes logon hours, password expirations, and available Microsoft Exchange features.

To set user-specific account restrictions

The way in which you set user account restrictions depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change User Properties.
  2. In the User Properties dialog box, click the tab for the account features on which you want to restrict user access, and then click Help for more information.
  3. Click OK when you are finished defining account restrictions.

Related Topics

Review or Change Printer Properties

Control User Access to a Shared Folder


Disable a User Account

Disabled accounts cannot access network resources—whether they are shared folders, network printers, or applications—until the accounts are reactivated. You can disable and reactivate user accounts from either of the preconfigured Small Business Server management consoles.

To disable a user account

The way in which you disable user accounts depends on the Small Business Server management console you use.

Perform one of the following steps:

  • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Disable Account.
  • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, click Change Users Properties, click the Account tab, select the Account is disabled check box in the Account Options pane, and then click OK.

To reactivate a user account

The way in which you reactivate user accounts depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change Users Properties.
  2. Click the Account tab, clear the Disable Account check box in the Account Options pane, and then click OK.

Related Topics

Disabling User Accounts


Delete a User Account

You can permanently delete a user account from the Small Business Server Administrator Console.

Deleted user accounts are removed from Active Directory and cannot be recovered. Unless you are certain that you do not need the user account and the information it contains, you should disable rather than delete a user account. Disabled accounts can be reactivated and used as templates for new users.

Note You cannot delete a user account from the Small Business Server Personal Console.

To delete a user account

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. In the Details Pane, right-click a user name from the list, and then click Delete.
  3. In the Delete User dialog box, click Yes to remove the user account.

Important This procedure does not remove a user's client computer from Small Business Server. Although the user no longer has access rights, the computer is still recognized by the server. To completely remove a client computer from a Small Business Server network, you can rename the computer or install a new operating system with a new computer name and then physically remove the network connection from the client computer.

Related topics

Disabling User Accounts


Troubleshooting Users

To view available troubleshooting topics, click one of the following links.

New User Unable to Logon or Access E-mail

User Unable to Connect Through Windows 2000 Terminal Services

User Account Gets Locked Out

Applications With Service Accounts Fail

Difficulty Logging On With a New User Account


Managing Printers

Network users can share printer resources when you install a shared printer on your computer running Microsoft® Small Business Server 2000.

Figure 1 Sharing a printer by using Small Business Server

Small Business Server supports all printers on the Microsoft Windows® 2000 Hardware Compatibility List.

Adding or Removing a Printer

After installing Small Business Server, you can add, remove, and configure the network printers directly from either of the preconfigured Small Business Server management consoles.

  • Add a Printer
  • Remove a Printer

Changing Printer Properties

You can use either of the preconfigured Small Business Server management consoles to access printer settings, such as port assignments, security, sharing, and print options, such as page separators.

  • Review or Change Printer Properties
  • Control User Access to a Printer

Managing Print Jobs

Until a document is finished printing on a shared printer, it appears in the job list for that printer. While a print job is in the job list, you can view pending print jobs, change the order of print jobs, and pause, resume, or cancel print jobs from either of the Small Business Server management consoles.

  • View or Manage Print Jobs
  • Delete a Print Job
  • Change the Order of Jobs in the Print Queue
  • Configure Separator Pages
  • Disable Print Job Notification

Troubleshooting Printers

Troubleshooting provides additional information to help you manage printers.

  • Troubleshooting Printers


Add a Printer

After connecting a printer to your server, you must configure Small Business Server to recognize the new printer.

To add a printer to Small Business Server

  1. Turn on the printer.
  2. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Printers, right-click the printer name in the Details Pane, and then click Add Printer.
    • From the Small Business Server Personal Console, under Favorites, click Printers, and then click Add Printer.
  3. Follow the on-screen instructions to complete the wizard.


Review or Change Printer Properties

You can configure your shared printers to add separator pages, disable print notification, adjust print resolutions, and set paper sources.

To configure printer properties

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to configure, and then click Properties.
  3. Click the tab that contains the property that you want to set, and then follow the on-screen instructions to change that property.
  4. After you finish configuring the printer properties, click OK to save your changes.


View or Manage Print Jobs

You can view the server’s current print jobs, and you can pause, resume, or cancel jobs in the print queue.

To manage print jobs

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Printers, right-click the printer name in the Details Pane, and then click Manage.
    • From the Small Business Server Personal Console, start the Manage Print Jobs Wizard
      From the Small Business Server Personal Console, click Printers from the Favorites list, select the printer to manage from the Details Pane, and then click Manage Print Jobs from the Details Pane.
  2. Follow the on-screen instructions to complete the wizard.

Important You cannot launch the Manage Print Jobs Wizard unless you have print jobs in the print queue.

Related Topics

Delete a Print Job


Delete a Print Job

As an administrator or member of the Print Operators group, you can delete any pending print job on your shared printers by using either the Small Business Server Administrator Console or the Small Business Server Personal Console. Users can delete only their own print jobs unless they have been explicitly granted printer management rights.

To delete a print job from a Small Business Server management console

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Printers, right-click the printer name in the Details Pane, and then click Manage.
    • From the Small Business Server Personal Console, under Favorites, click Printers, select the printer to manage from the Details Pane, and then click Manage Print Jobs.
  2. Follow the on-screen instructions to complete the wizard.

To delete a print job from the Microsoft Windows 2000 print queue

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Double-click the printer from which you want to delete print jobs.
  3. Select a document or documents that you want to delete from the printer queue.
  4. Click Document, and then click Cancel to delete the print jobs.

Note You cannot delete a print job that is at the top of the print queue or is in the process of printing.

Related Topics

View or Manage Print Jobs


Control User Access to a Printer

If your users are having problems printing, you can review the groups and users that have permissions to share the printer.

To manage a shared printer

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to manage, and then click Sharing.
  3. Verify that Shared is selected and that the share name is correct.

Related Topics

Applying Windows 2000 Group Policies


Change the Order of Jobs in the Print Queue

As an administrator or member of the Print Operators group, you can change the order of jobs in the print queue by altering the priority of a print job. Users can change only the order of their own print jobs unless they have been explicitly granted printer management rights.

To change the priority of a print job

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Double-click the printer that you are using.
  3. Double-click the document that you want to move.
  4. Click the General tab, and then move the Priority slider to increase or decrease the document priority.

Changing the priority of a print job usually changes the order in which the job is printed. For example, if three print jobs are waiting to be printed, and Job Three is given a priority higher than Job Two, then Job Three prints before Job Two.

Note You cannot change the order of a job while it is printing.


Configure Separator Pages

You can separate print jobs with a customized separator page. Separator pages (also called banner pages) are used at the beginning of each print job to make it easier for users to find their print jobs among others at the printer.

To add separator pages between your print jobs

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to configure for separator pages, and then click Properties.
  3. On the Advanced tab, click Separator Page.
  4. Click Browse.
  5. Select an available separator page file (separator files have a .sep suffix).
  6. Click Open, click OK to close the Separator Page dialog box, and then click OK to save your printer's properties.

Note The following four separator page files are included with Windows 2000 Server:

  • Pcl.sep: Switches the printer to PCL printing and prints a page before each document.
  • Pscript.sep: Switches the printer to PostScript printing, but does not print a separator page before each document.
  • Sysprint.sep: Prints a page before each document.
  • Sysprtj.sep: Prints a page before each document and sets Japanese fonts if available.

Pcl.sep is compatible with PCL printers. Pscript.sep, Sysprint.sep, and Sysprtj.sep are compatible with PostScript printers.

Important Separator pages do not work with a fax printer.


Disable Print Job Notification

You can disable all Microsoft Windows 2000 print job notifications from your Small Business Server computer. Print job notification sends a message to your monitor confirming that a print job has finished printing.

To disable print job notification

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Click File, and then click Server Properties.
  3. Click the Advanced tab.
  4. Clear the Notify when remote documents are printed check box.
  5. Click OK to save your changes.


Remove a Printer

To remove a printer from your network, you must remove it from Microsoft Windows 2000 Server.

To remove a network printer

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to remove, and then click Delete.
  3. Click Yes to remove the printer from your network.


Troubleshooting Printers

To view available troubleshooting topics, click one of the following links.

Print Job Finishes But Nothing Prints

Problems Installing a Printer Driver on a Client Computer

Cannot Find a Printer In the Shared Printer List

Problems Deleting a Print Job

Cannot Connect to a Network Printer


Managing Shared Folders

You can share files over the network by giving users access to shared folders that are located on the Microsoft® Small Business Server network. If a user wants to share files, he or she can copy them to a shared folder so that other users can access them.

Figure 1 Sharing files over the network

Sharing Folders

Sharing a folder makes a file accessible over the Small Business Server network. When you create a shared folder or share an existing folder on the server, users gain access to the folder, all of the files in the folder, and all of the subfolders and their contents. After a folder is shared, you can assign access rights to users. To learn how to share or unshare a folder, click one of the following links:

Share a Folder

Unshare a Folder

Controlling Access Rights

You control access to shared folders by assigning users to security groups and by defining the permissions that each group has.

Figure 2 Setting access to shared folders

Access rights give you control over which users can view and use shared folders and files. Access types include the following permissions:

Read permission, which enables:

  • Viewing file names and subfolder names.
  • Traversing to subfolders.
  • Viewing data in files.
  • Running program files.

Change permission, which enables all read permissions, plus:

  • Adding files and subfolders.
  • Changing data in files.
  • Deleting subfolders and files.

Full Control is the default permission that is applied to any new shares that you create. It enables all read and change permissions, plus:

  • Changing permissions (NTFS files and folders only).
  • Taking ownership (NTFS files and folders only).

To learn how to control access rights, click the following links:

View All Shared Folders

Control User Access to a Shared Folder

Set Permissions on a File or Folder


Best Practices

The following best practices help you manage your Small Business Server shared folders.

Using the Default Small Business Server Shared Folders

Using Security Groups to Restrict Access to Shared Folders


Using the Default Small Business Server Shared Folders

Small Business Server installs and configures several shared folders during setup. The following table lists some of the shared folders that are created during setup and how Small Business Server uses them.

Shared folder | Intended usage | Share permissions
ClientApps5 | Store and distribute client applications | Everyone
Clients | Stores client setup information and logon scripts | Everyone
Company | Central location for company shared folders and files | Domain Users
Fax Clients | Stores Shared Fax Service client setup information | Administrators Everyone
MpClients | Stores Shared Modem Service client setup information for various Windows operating systems | Administrators Everyone
Mspclnt | Stores Internet Security and Acceleration Server 2000 client setup information | Everyone
Terminal Services Client | Stores Windows 2000 Terminal Services client setup information | Administrators Domain Users
Users | Central location for users to store folders and files | Administrators Domain Users

Note Shared folders with share permissions to the Everyone group, which is a Windows 2000 special identity, grant access to all authenticated users on the domain including anonymous users and guests.

You can customize any of the default shared folders to better suit your needs, but it is recommended that you limit your customization to the ClientApps5, Company, and Users shared folders. The following table lists some recommended customizations for these shared folders.

Shared folder | Recommended customizations
ClientApps5 | Add new subfolders for each new client application (for example, Microsoft Office) that you want to distribute to your client computers.
Company | Add new subfolders for company wide data.
Users | Add new subfolders for each user.

If you need greater security over the Small Business Server default shared folders, you can customize the share permissions to enable only specific users or groups to access the shared folder. Refer to the related topics listed below for more information about customizing the security permissions of shared folders.

Related Topics

Using Security Groups to Restrict Access to Shared Folders


Using Security Groups to Restrict Access to Shared Folders

If you use the default selections, all shared folders that are created with the Add Shared Folder Wizard will grant full control access to members of the Administrators and BackOffice Folder Operators security groups. Members of the Domain Users security group, which includes all users created from Small Business Template Users, will have only read access to shared folders that are created on the Small Business Server computer.

If you need greater control over shared folders, you can change the default share settings in the Add Shared Folder Wizard to restrict user access to a shared folder. For example, if you want to restrict read access on a shared folder to a particular group, you can configure the Domain Users security group to have no share permissions and grant a custom security group exclusive access. The following sections illustrate how you can do this.

Suppose the fictional company A Datum Corporation has the following users and shared folders to manage:

Table 1

Users | Shared folders
Alpha Beta Delta Gamma | Payroll Product Information

The administrator decides to grant only the users Alpha and Beta read access to the Payroll shared folder. However, the administrator wants to grant all users read access to the Product Information shared folder.

The administrator first creates four new user accounts by using the Add User Wizard. The administrator creates each new user account by using the Small Business User template. By default, this template makes all four users members of the Domain Users security group and grants them access to all shared folders.

Next, the administrator uses the Add Security Group Wizard to create a new global security group called Payroll Users. This global group will be given exclusive read access to the Payroll shared folder. The administrator now uses the Add User to Group Wizard to assign users Alpha and Beta to the new global security group. The final result is listed in Table 2.

Table 2

Global security groups | Assigned users
Payroll Users | Alpha and Beta
Domain Users | Alpha, Beta, Delta, and Gamma

Now the administrator uses the Add Shared Folder Wizard to create and customize the share permissions on the Payroll shared folder. On the Share Permissions page of the wizard, the administrator adds the Domain Users security group and clears the read, change, and full control access options. This prevents Domain users from accessing the Payroll shared folder. Lastly, the administrator adds the Payroll Users security group and selects the read, change, and full control access options. The final result is listed in Table 3.

Table 3

Global security groups | Access to Payroll shared folder
Payroll Users | Read, change, and full control
Domain Users | No access

Based on the share permissions listed in Table 3, only the users Alpha and Beta, as members of the Payroll Users global security group, have access to the Payroll shared folder. As members of the Domain Users security group, however, users Alpha, Beta, Delta, and Gamma have access to the Product Information shared folder.

Related Topics

Add a New Security Group

Add a User to a Security Group

Share a Folder

Control User Access to a Shared Folder


How To

Learn how you can use the Small Business Server management consoles to manage shared folders.

View All Shared Folders

Share a Folder

Unshare a Folder

Control User Access to a Shared Folder

Set Permissions on a File or Folder


View All Shared Folders

You can view the files and folders that are currently being used by client computers that are connected to the server.

To view shared folders

  1. Click the Shared Folders Taskpad
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list.
  2. The Shared Folders taskpad lists each shared folder's name, path, type of network connection, and current number of clients that are redirected to it.

Note You must select a shared folder from the list before you can activate the Change Folder Properties and Stop Sharing tasks.

Related Topics

Share a Folder


Share a Folder

You can share your existing folders or create new shared folders on your server.

To share a folder

  1. Start the Add Shared Folder Wizard
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list, and then click Add Folder from the Details Pane.
  2. Follow the on-screen instructions to complete the wizard.


Unshare a Folder

If you need to restrict access to a shared folder, you can unshare (stop sharing) the folder so that no one can access the files.

To unshare a folder

  1. Click the Shared Folders Taskpad
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list.
  2. In the list that appears, select a shared folder.
  3. Click Stop Sharing.
  4. Click OK to confirm.

Related Topics

Control User Access to a Folder


Control User Access to a Shared Folder

Small Business Server enables you to define which users and groups have permission to gain access to or change shared folders and their contents.

To set security for a folder

  1. Click the Shared Folders Taskpad
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list.
  2. In the list that appears, select a shared folder, and then click Change Folder Properties.
  3. Click the Security tab.
  4. Select users or groups to grant or deny them permissions to this folder.
  5. Select the Allow or Deny check boxes to set the Full Control, Modify, Read & Execute, List Folder Contents, Read, and Write permissions that you want for the selected users or groups.

Related Topics

Applying Windows 2000 Group Policies


Set Permissions on a File or Folder

Small Business Server enables you to define which users and groups have permission to read, write, or execute particular files or shared folders.

To set user permissions for a folder

  1. Click the Shared Folders Taskpad
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list.
  2. In the list that appears, select a shared folder, and then click Change Folder Properties.
  3. Click the Share Permissions tab.
  4. Select users and groups to grant or deny them permissions to this folder.
  5. Select the Allow or Deny check boxes to set the Full Control, Change, and Read permissions that you want for the selected group.
  6. Click OK to save the permissions that you have chosen.

Related Topics

Applying Windows 2000 Group Policies


Troubleshooting Folders

To view a troubleshooting topic, click one of the following links.

Shared Folders List View Disappears After Using the Stop Sharing Task

User Cannot Access a Shared Folder

Cannot Access a File in a Shared Folder


Managing E-mail

Microsoft® Small Business Server 2000 manages incoming and outgoing electronic mail (e-mail) by using Microsoft Exchange 2000 Server. With Microsoft Outlook® 2000 running on client computers, users can send and receive e-mail messages, track and store information in public folders, schedule meetings, review e-mail from remote locations, and customize their workspace.

E-mail and the Internet

Connecting your organization to an Internet service provider (ISP) enables your network users to exchange e-mail messages with Internet users. When a user on your network sends a message to an Internet user, the message is sent to the Exchange 2000 Server and is then delivered to its remote destination.

Figure 1 Sending e-mail messages from a client in a Small Business Server environment

Small Business Server can accommodate various connection types, including dial-up connections such as analog modem and Integrated Services Digital Network (ISDN), and dedicated connections such as xDSL and cable. If you have a dial-up connection, you can configure the server to dial out to your ISP periodically to retrieve and deliver Internet mail. You can also use the Send and Receive Mail Now option to download mail from your ISP immediately. For more information about connection types, contact your ISP.

E-mail Protocols

By default, Exchange 2000 Server uses Simple Mail Transfer Protocol (SMTP) to route e-mail messages, but you can also configure it to retrieve Post Office Protocol 3 (POP3) mail messages and route them to existing Exchange mailboxes. To support POP3 mailboxes, you must install the Microsoft Connector for POP3 Mailboxes that is provided with Small Business Server.

Install the Microsoft Connector for POP3 Mailboxes

Configuring Exchange 2000 Server Settings

You can use Small Business Server to configure Exchange Server in two ways: by using the Small Business Server Internet Connection Wizard or by using the Exchange 2000 Server snap-in. The Small Business Server Internet Connection Wizard is available only from the Small Business Server Administrator Console. The Exchange 2000 Server snap-in is available from either the Small Business Server Administrator Console or the Exchange 2000 System Manager Console.

Managing Distribution Groups

You can use distribution groups to organize individuals, such as members of a team, under a single e-mail name. Distribution groups can contain the e-mail addresses of individual e-mail recipients and other distribution groups.

After you create a distribution group, you can assign an owner to manage the group membership. The owner can be any Exchange Server user.

Related Topics

Best Practices

How To


Best Practices

The following best practices will help you to optimize the way in which Small Business Server manages your e-mail.

Limiting Mailbox Sizes

Setting Message Delivery Restrictions

Using the Small Business Server Internet Connection Wizard to Configure Exchange 2000 Server


Limiting Mailbox Sizes

Small Business Server retrieves and stores all the e-mail messages for your organization's domain. Administrators might want to limit mailbox size to save disk space on the server, monitor disk space usage, and prevent individual users from using too much disk space on the server.

Administrators can use the Exchange 2000 Server snap-in to set and manage mailbox size limits. The snap-in provides five ways to do this:

Setting the size limit that sends a warning to a user

You can use the warning size limit to monitor disk space usage and prompt users to manage their mailbox size. If users often exceed their warning limit mailbox size, instruct them to create personal folders (PST) on their local computers in which they can store older e-mail messages that take up server disk space.

Setting the size limit to prevent a user from sending additional e-mail messages

You can use the prevent-sending e-mail size limit to enforce disk space limits. If users often exceed this size limit, instruct users to create personal folders (PST) on their local computers to reduce the amount of e-mail stored on the server.

Setting the size limit to prevent a user from sending and receiving additional e-mail messages

You can use the prevent-sending and prevent-receiving e-mail size limit to enforce disk space limits. If users often exceed this size limit, you might want to create a recipient policy that limits the size of incoming e-mail messages.

Setting the number of days that the system retains deleted e-mail messages

You can retain deleted e-mail messages for a number of days in case you want to recover or archive them. Until the e-mail messages are actually deleted, they remain part of the user's mailbox and increase its size. If users often exceed their mailbox size limits, you might want to reduce the number of days that the system retains e-mail messages before it automatically deletes them. A lower value causes the system to delete messages more often, which provides disk space for new and stored messages. Before setting or changing this value, you might want to design a backup plan to archive e-mail messages before deletion.

Setting the number of days that the system retains deleted mailboxes

You can retain deleted mailboxes for a number of days so that you can recover or archive them if necessary. Until a mailbox is deleted from the system, it continues to use disk space on the server. A lower value causes the system to delete mailboxes more often, which provides disk space for other mailboxes. Before setting or changing this value, you might want to design a backup plan to archive mailbox contents before deletion.

Related Topics

Designing and Testing a Backup Plan

Setting Disk Quotas

Setting Message Delivery Restrictions


Setting Message Delivery Restrictions

If you want to limit the disk space that e-mail messages use, you can block delivery of messages that exceed a certain file size or number of recipients, or originate from a specific sender. Setting message restrictions is one way to limit unwanted e-mail messages or prevent delivery of e-mail messages from designated senders.

Administrators can use the Exchange 2000 Server snap-in to set and manage message delivery restrictions. The snap-in provides four ways to do this:

Setting the size limit of incoming messages

You can set a size limit on incoming e-mail messages to prevent delivery of large messages, such as chain letters, that you do not want to accept. E-mail messages that are refused can remain in your ISP mailbox or be returned to the original sender. Before setting this delivery restriction, you might want to contact your ISP to determine how the ISP manages refused messages. You might also want to review your e-mail usage and select a reasonable size limit to ensure that the system receives acceptable e-mail messages.

Setting the size limit of outgoing messages

You can set a size limit on outgoing e-mail messages to block the sending of large messages, such as chain letters, that you do not want to send. E-mail messages that are refused transmission remain in the Exchange user's mailbox and generate an Event Log entry. Before setting this delivery restriction, you might want to review your e-mail usage and select a reasonable size limit to ensure that the system sends acceptable e-mail messages.

Setting the maximum number of recipients listed in a message

You can set a limit on the maximum number of recipients of a message to block transmission of e-mail messages that contain too many recipients. Use this setting to block bulk mailings that are sent to a large group of recipients and are often unsolicited. This setting can interfere with typical e-mail exchanges if you set a value that is less than the total number of users on your network. Before setting this delivery restriction, you might want to review your e-mail usage and select a reasonable recipient limit to ensure that the system transmits acceptable e-mail messages.

Filtering messages from designated senders

You can use the sender filter to refuse delivery of e-mail messages from certain senders, such as bulk mailers or from sites with unacceptable content. This setting filters e-mail messages based only on the sender's e-mail address.

If you need additional filtering options, such as blocking specific file types in e-mail attachments, refer to Exchange 2000 Server Online Help.

Related Topics

Set Message Delivery Restrictions


Using the Small Business Server Internet Connection Wizard to Configure Exchange 2000 Server

Administrators can use the Small Business Server Internet Connection Wizard to perform many of the tasks that are necessary to properly configure Exchange 2000 Server. You can use this wizard to quickly and easily complete the following tasks:

  • Adding and configuring SMTP and POP3 connectors
  • Creating a recipient policy to define "reply to" addresses
  • Configuring the way in which you send and receive e-mail from your ISP
  • Scheduling when you send and receive e-mail

You can rerun the Small Business Server Internet Connection Wizard to review and change any of these Exchange configurations. Changes to your Exchange configuration take effect only after you complete the wizard.

Important Any changes that you make with the Small Business Server Internet Connection Wizard replace the existing Exchange settings. If you want to retain manually configured SMTP or POP3 settings, you must specify in the wizard to retain existing settings.


How To

Small Business Server uses Exchange 2000 Server to retrieve and route e-mail messages. You can use the following information to configure and manage Exchange 2000 Server.

Adding E-mail Connectors

Learn how to add an Exchange Server connector to manage an e-mail protocol.

Configure an E-mail Connector

Configuring Exchange Server Settings

Learn how to configure Exchange Server to manage SMTP e-mail.

Set E-mail Delivery Frequency

Synchronize E-mail Messages Now

Set Default Character Set

Change the "Reply To" E-mail Address for Users

Set Message Delivery Restrictions

Set Mailbox Size Limits

View Mailbox Usage Information

View SMTP E-mail Queues

Create a Distribution Group

Add or Remove Members from a Distribution Group

Delete a Distribution Group

Enable Small Business Template Power User to Create Exchange Mailboxes for New Users


Configure an E-mail Connector

Microsoft Exchange 2000 Server stores all the configuration information for an e-mail protocol as a connector. One way to configure the SMTP and POP3 connectors is to run the Small Business Server Internet Connection Wizard. You can also use the Small Business Server Internet Connection Wizard to change the Exchange Server configuration if you change your Internet connection method or e-mail protocol.

Before running the Small Business Server Internet Connection Wizard, you can collect your network configuration information by using one of the Small Business Server ISP Information Forms.

To configure an e-mail connection

  1. Start the Small Business Server Internet Connection Wizard
    From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Internet, and then click Manage Connections from the Details Pane.
  2. Follow the on-screen instructions to configure your Exchange server to use your Internet connection.

Note The Small Business Server Internet Connection Wizard replaces any existing Exchange configuration unless you specifically instruct it to retain existing settings.


Set E-mail Delivery Frequency

You can specify how often Small Business Server contacts your ISP to download e-mail messages. One way to do this is to run the Small Business Server Internet Connection Wizard, but alternatively, you can set a custom e-mail delivery schedule by using the Exchange 2000 Server snap-in.

You can set the e-mail delivery frequency from either the Small Business Server Administrator Console or the Exchange System Manager console.

To set mail delivery frequency from the Small Business Server Internet Connection Wizard

  1. Start the Small Business Server Internet Connection Wizard
    From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Internet, and then click Manage Connections from the Details Pane.
  2. Follow the on-screen instructions to set e-mail delivery frequency.

Note You cannot create a custom schedule from the Small Business Server Internet Connection Wizard. To create a custom schedule, you must use the Exchange 2000 Server snap-in.

To manually set mail delivery frequency from the Exchange 2000 Server snap-in

  1. From the Exchange System Manager console, expand the Exchange node for your organization, expand the Connectors node, right-click the connector type that your e-mail uses, and then click Properties.
  2. 51Click the Delivery Options tab, and then perform one of the following steps:
    • To use one of the predefined delivery schedules, click one of the delivery schedules listed in the Connection Time list.
    • To create a customized schedule, click Customize, and then select the exact days and time periods when you want to deliver e-mail.
  3. Click OK to save the new delivery schedule.


Synchronize E-mail Messages Now

You can trigger Exchange 2000 Server to send and receive messages at any time by using the Synchronize Mail task that is available on both default Small Business Server management consoles.

To trigger Exchange 2000 Server to send and receive e-mail messages now

The way in which you access the Synchronize Mail task depends on the Small Business Server management console that you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the Exchange node for your organization.
    • From the Small Business Server Personal Console Favorites list, click E-mail.
  2. In the Details pane, click Synchronize Mail. When you click Synchronize Mail, the server delivers incoming and sends outgoing e-mail messages that are waiting in the Exchange queue.

    Note If the server is not currently connected to your ISP, the server automatically dials your ISP when you click Synchronize Mail.


Set Default Character Set

You can set the default character set of your e-mail messages to any of the International Organization for Standardization (ISO) character sets, to render other languages.

You can do this from the Small Business Server Administrator Console or the Exchange System Manager console.

To set the default character set

  1. Expand the Exchange node for your organization, expand the Global Settings node, and then click Internet Message Formats.
  2. In the Details Pane, right-click Default, and then click Properties.
  3. Click the Message Format tab.
  4. In the MIME and Non-MIME lists, select a character set.
  5. Click OK to save the character set.


Change the "Reply-To" E-mail Address for Users

By default, the Small Business Server Internet Connection Wizard sets the "Reply To" e-mail address of all users to the domain name of the Small Business Server network.

To set a different "Reply-To" e-mail address for all users

  1. From the Exchange 2000 Server snap-in, expand the Exchange node for your organization, expand the Recipients node, and then click Recipient Policies.
  2. Right-click Default Policy, and then click Properties.
  3. Click the E-mail Addresses tab, select the connector type that your e-mail system uses (for example, SMTP), and then click Edit.
  4. In the Address box, type the domain name that you want to use as the "Reply-To" address for e-mail users, and then click OK to set the address.
  5. Click OK to close the Default Policy Properties dialog box.

To add a different "Reply-To" e-mail address for a particular user

  1. From the Exchange 2000 Server snap-in, expand the BackOffice Manager node for your organization, and then click Users.
  2. Right-click the user name that you want to change, and then click Properties.
  3. Click the E-mail Addresses tab, click New, select the connector type that your e-mail uses (for example, MS or SMTP), and then click OK.
  4. In the E-mail address box, type the domain name that you want to use as the "Reply-to" address for this user, and then click OK to set the address.
  5. Click OK to close the User Properties dialog box.


Set Message Delivery Restrictions

You can restrict delivery of e-mail messages by setting criteria such as maximum e-mail file size, maximum number of recipients, and senders from which delivery is denied.

Set message delivery restrictions from the Small Business Server Administrator Console.

To set limits on e-mail file size

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Global Settings node, right-click Message Delivery, and then click Properties.
  2. Click the Defaults tab, and then set the file size limits that you want.
    • Outgoing message size can be set to No limit or a maximum size in kilobytes (KB).
    • Incoming message size can be set to No limit or a maximum size in KB.
  3. Click OK to set file size limits.

To set limits on the number of e-mail recipients

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Global Settings node, right-click Message Delivery, and then click Properties.
  2. Click the Defaults tab, and then set the recipients limits that you want.
    • Recipient limits can be set to No limit or a maximum number of recipients.
  3. Click OK to set number of recipient limits.

To filter e-mail from specific senders

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Global Settings node, right-click Message Delivery, and then click Properties.
  2. Click the Filtering tab, and then do one of the following:
    • To add a new filter, click Add, type the e-mail address of the sender (the address must include a fully qualified domain name such as someone@microsoft.com), and then click OK to add the address to the filtered senders list.
    • To edit a filter, in the Filtered Senders list, select a sender address, click Edit, and then type the new e-mail address for this sender (the address must include a fully qualified domain name such as someone@microsoft.com).
    • To remove a filter, in the Filtered Senders list, select a sender address, and then click Remove.
  3. Click OK to save filtering options.


Set Mailbox Size Limits

You can limit the size of mailboxes in a mailbox store by setting mailbox size limits. Each mailbox in a mailbox store has the same size limit.

Set mailbox size limits from the Small Business Server Administrator Console.

To set limits on mailbox size

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Servers node, expand the node that lists your server name, expand First Storage Group, right-click Mailbox Store, and then click Properties.
  2. Click the Limits tab, and then perform one or more of the following steps:
    • To set a warning limit size, in the Issue warning at (KB) box, type a number.
    • To set a prohibit send size, in the Prohibit send at (KB) box, type a number.
    • To set a prohibit send and receive size, in the Prohibit send and receive at (KB) box, type a number.
    • To set the time limit to keep deleted items, in the Keep deleted items for (days) box, type a number.
    • To set the time limit to keep deleted mailboxes, in the Keep deleted mailboxes for (days) box, type a number.
  3. Click OK to close the Properties dialog box.


View Mailbox Usage Information

The Exchange 2000 Server snap-in lists usage information about all the mailboxes on your server.

View mailbox usage information from the Small Business Server Administrator Console.

To view mailbox usage information

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Servers node, expand the node that lists your server name, expand First Storage Group, expand Mailbox Store, and then click Mailboxes.

    Note If you have manually configured the computer running Exchange 2000 Server, you might need to expand the Routing Group and First Routing Group nodes before the Servers node is visible.

  2. The Details Pane lists all the mailboxes that are in use on the server and their usage information. You can use the procedures below to customize the view of mailbox usage information.

To customize the view of mailbox usage information

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Servers node, expand the node that lists your server name, expand First Storage Group, expand Mailbox Store, right-click Mailboxes, point to View, and then click Choose Columns.
  2. To change the columns available for view, perform one of the following steps:
    • To add a column, in the Hidden Columns list, select a column name, and then click Add. Repeat this step for each column that you want to add, and then click OK to update the column view.
    • To remove a column, in the Displayed Columns list, select a column name, and then click Remove. Repeat this step for each column that you want to remove, and then click OK to update the column view.


View SMTP E-mail Queues

You can use the Exchange 2000 Server snap-in to view the queue status of SMTP e-mail messages that are awaiting delivery on your server.

View e-mail queue status from the Small Business Server Administrator Console or the Exchange System Manager console.

To view SMTP e-mail queues

  1. From the Small Business Server Administrator Console or the Exchange System Manager console, expand the Exchange node for your organization, expand the Servers node, expand the node that lists your server name, expand the Protocols node, expand the SMTP node, expand the Default SMTP Virtual Server node, and then click Queues.
  2. The Details Pane lists all the queues and their current status. You can use the procedures below to customize the view of e-mail queues.

To customize the view of e-mail queues

  1. From the Small Business Server Administrator Console or the Exchange System Manager console, expand the Exchange node for your organization, expand the Servers node, expand the node that lists your server name, expand the Protocols node, expand the SMTP node, expand the Default SMTP Virtual Server node, right-click Queues, point to View, and then click Choose Columns.
  2. To change the columns available for view, perform one of the following steps:
    • To add a column, in the Hidden Columns list, select a column name, and then click Add. Repeat this step for each column that you want to add, and then click OK to update the column view.
    • To remove a column, in the Displayed Columns list, select a column name, and then click Remove. Repeat this step for each column that you want to remove, and then click OK to update the column view.


Create a Distribution Group

You can use distribution groups to send e-mail messages to groups of users or security groups. You can create distribution groups with the Add Distribution Groups Wizard that is available in either of the preconfigured Small Business Server management consoles.

To create a distribution group

The way in which you access the Add Distribution Group Wizard depends on the Small Business Server management console that you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, and then click Exchange 2000 Server. In the Details Pane, click Add E-mail Group.
    • From the Small Business Server Personal Console Favorites list, click E-mail. In the Details Pane, click Add E-mail Group.
  2. Follow the on-screen instructions to add contact information for the group and to add users and security groups as members.


Add or Remove Distribution Group Members

You can add or remove users or security groups from a distribution group from either the Small Business Server Administrator Console or the Small Business Server Personal Console.

To add members to a distribution group

The way in which you access distribution group properties depends on the Small Business Server management console that you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Distribution Groups. In the Details Pane, right-click the distribution group that you want to change, and then click Properties.
    • From the Small Business Server Personal Console Favorites list, click E-mail. In the Details Pane, click Change Group Properties.
  2. Click the Members tab, and then click Add. In the list that appears, select a user or security group, and then click Add. Repeat this step for any additional user or security group that you want to add.
  3. Click OK to finish adding users and security groups.
  4. Click OK to close the Properties dialog box.

To remove members from a distribution group

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Distribution Groups. In the Details Pane, right-click the distribution group that you want to change, and then click Properties.
    • From the Small Business Server Personal Console Favorites list, click E-mail. In the Details Pane, click Change Group Properties.
  2. Click the Members tab. In the list that appears, select a user or a security group, click Remove, and then click Yes to confirm removal. Repeat this step for any additional user or security group that you want to remove.
  3. Click OK to close the Properties dialog box.


Delete a Distribution Group

You can only delete distribution groups from the Small Business Server Administrator Console or a custom management console with similar administrative functions.

To delete a distribution group

  1. Expand the BackOffice Manager node, and then click Distribution Groups.
  2. In the Details Pane, right-click the distribution group that you want to delete, and then click Delete.

Caution You cannot recover a distribution group after you have deleted it.


Enable Small Business Template Power Users to Create Exchange Mailboxes for New Users

By default, only administrators have the ability to create mailboxes in Exchange 2000 Server for new users. However, you can use the following steps to grant the Small Business Template Power User account the ability to create Exchange mailboxes for new users. This enables all user accounts you create from the Small Business Template Power User account the ability to create mailboxes for new users by using the Add User Wizard.

Note By default, the Small Business Template Power User is a member of the global security group BackOffice Mail Operators.

To delegate control to the Small Business Template Power User account

  1. From the Small Business Server Administrator Console, right-click the Exchange Organization node, and then click Delegate Control to start the Exchange Administration Delegation Wizard.
  2. Click Next to go to the Users or Groups page of the wizard, click Add, click Browse, select the BackOffice Mail Operators global group, and then click OK.
  3. From the Role drop-down list, select Exchange View Only Administrator, and then click OK to close the Delegate Control dialog box.
  4. Follow the on-screen instructions to complete the wizard.

Related Topics

Adding Users from Templates


Troubleshooting E-mail

To view a troubleshooting topic, click one of the following links.

Unable to Access a Delegated Mailbox

NNTP Events 420 and 421 Are Filling Up the Event Log

Internet Services Manager Shows Stop Sign Icons On Exchange Virtual Directories

Setting Up a Filter in Exchange

Adding a Mail Exchanger (MX) Record to a DNS Server

TURN or ETRN Signal Not Downloading E-mail from ISP

Unable to Send Attachments in E-mail

E-mail Doesn’t Get Sent – Remains in Outbox

Duplicate Contacts

Unable to Browse After Installing Internet Security and Acceleration 2000 Server


Managing POP3 E-Mail

By using the Microsoft Connector for POP3 Mailboxes, you can access and download e-mail from an existing POP3 account and configure Exchange 2000 Server to automatically route the messages to your users.

Figure 1. Retrieving POP3 e-mail from Small Business Server

Important To use the Microsoft Connector for POP3 Mailboxes, you must have an existing POP3 account through your ISP and install the Microsoft Connector for POP3 Mailboxes during Exchange 2000 Server setup.

The Microsoft Connector for POP3 Mailboxes offers three types of routing options for POP3 e-mail.

  1. POP3 Global Mailbox. You can route POP3 e-mail to multiple Exchange users by configuring a POP3 Global Mailbox. The connector routes the e-mail that is retrieved from your ISP POP3 account by matching the name listed in the "To" line to the e-mail alias of a corresponding Exchange user.
  2. POP3 User Mailboxes. You can route all POP3 e-mail to a particular Exchange user on your Small Business Server by configuring one or more POP3 User Mailboxes. The connector routes all e-mail that is retrieved from your ISP POP3 account to the Exchange user listed in the user mailbox.
  3. POP3 Mailing Lists. You can route POP3 e-mail sent to a generic address to one or more Exchange users by configuring a POP3 Mailing List. The connector routes e-mail from your ISP POP3 account that was sent to a generic e-mail address, such as someone@microsoft.com, by matching the name listed in the "To" line to a mailing list entry. The connector then routes the e-mail message to the Exchange user or distribution group that is listed in the POP3 mailing list entry.

Related Topics

Best Practices

How To


Best Practices

The following best practices will help you to optimize the way that Small Business Server manages incoming POP3 e-mail.

Retrieving POP3 E-mail Regularly

Migrating from POP3 to SMTP E-mail


Retrieving POP3 E-mail Regularly

To ensure that your POP3 mailboxes do not fill up at your ISP and start rejecting messages, configure the Microsoft Connector for POP3 Mailboxes to check your POP3 accounts on a regular basis.

Set your e-mail retrieval frequency based on your business needs and the volume of e-mail that you receive. You can also contact your ISP to determine the amount of storage capacity that your POP3 e-mail accounts have and set your retrieve frequency to accommodate this capacity.

If you receive notices from your ISP about exceeding disk quota limits or NDR (Non-Delivery Report) notices, increase the retrieval frequency of your POP3 e-mail.

Related Topics

Set POP3 E-mail Delivery Frequency

Retrieve POP3 E-mail Now


Migrating from POP3 to SMTP E-mail

As your business grows and your number of e-mail users increases, you may want to migrate your Internet mail from ISP-hosted POP3 accounts to locally-hosted SMTP accounts on your Small Business Server computer. Locally hosted e-mail accounts are managed and maintained by Microsoft Exchange 2000 Server.

The benefits of hosting e-mail locally on your Small Business Server computer include:

  • Routine exposure of your domain name, because all e-mail correspondence contains the domain name.
  • Direct control over e-mail accounts, because you can add, remove, or change accounts without having to contact your ISP.
  • Central repository of all mail and mailboxes, because you can back up all the e-mail messages and settings.

To migrate to SMTP Internet mail, complete the following steps:

  1. Register a domain name for your company. Contact your ISP for help with registering a domain name.
  2. Configure a Domain Name System (DNS) server to route requests for your domain name to your Small Business Server computer. You should contact your ISP to assist you in the proper configuration of DNS. For more information about DNS configuration, refer to Windows 2000 Server Help.
  3. Depending on the type of Internet connection you currently have, you may need to upgrade to a continuous connection type. You must have a continuous connection to use SMTP-based Internet mail with Exchange 2000 Server.
  4. Run the Small Business Server Internet Connection Wizard and select Use SMTP for Internet Mail on the Configure Internet Mail Settings page of the wizard. Running the Small Business Server Internet Connection Wizard configures your Exchange 2000 Server to route Internet e-mail by using the DNS server you configured in step 2. For more information about configuring Exchange to route e-mail using DNS, refer to Exchange 2000 Server Help.

Related Topics

Registering Your Domain Name

Connecting to the Internet

Using the Small Business Server Internet Connection Wizard to Configure Exchange Server 2000


How To

Small Business Server uses the Microsoft Connector for POP3 Mailboxes to retrieve and route POP3 e-mail messages. Use the following information to configure and manage the Microsoft Connector for POP3 Mailboxes.

Add a POP3 Global Mailbox

Add a POP3 User Mailbox

Route POP3 E-mail from an External Mailing List

Enable and Configure POP3 Diagnostic Logging

Set POP3 E-mail Delivery Frequency

Retrieve POP3 E-mail Now

Change the 'Reply-To' E-mail Address of Exchange Users with POP3 Mailboxes

Configure Microsoft Connector for POP3 Mailboxes to Trigger Router

Enable Small Business Template Power User to Create Exchange Mailboxes for New Users


Install the Microsoft Connector for POP3 Mailboxes

You can install the Microsoft Connector for POP3 Mailboxes from Windows 2000 Add/Remove Programs. Use the following procedures to install the Connector for POP3 Mailboxes.

To install the Microsoft Connector for POP3 Mailboxes

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Add/Remove Programs.
  3. Click Microsoft Small Business Server 2000, and then click Change/Remove to start Setup.
  4. Follow the on-screen instructions to proceed to the Component Selection page of the wizard.
  5. Expand the Small Business Server node, expand the Connectivity node, and then select the Install option for the Microsoft Connector for POP3 Mailboxes component.
  6. Follow the on-screen instructions to complete setup. You will need to have your Small Business Server installation discs or digital videodisc to add the Microsoft Connector for POP3 Mailboxes.

Note Setup places a snap-in for the Connector for POP3 Mailboxes in the Small Business Server Administrator Console. You can find the connector snap-in as a sub-node underneath your Exchange snap-in.

After you install the Connector for POP3 Mailboxes, run the Small Business Server Internet Connection Wizard to configure the connector.

Related Topics

Using the Small Business Server Internet Connection Wizard to Configure Exchange 2000 Server


Add a POP3 Global Mailbox

Exchange 2000 Server can retrieve and distribute e-mail messages from a POP3 global mailbox. A POP3 global mailbox retrieves and stores messages from several e-mail accounts (or e-mail aliases) in a single POP3 mailbox. After Exchange 2000 Server retrieves the messages, it routes them by matching the account or alias names listed in the e-mail message headers to existing Exchange mailboxes.

Important To use the Microsoft Exchange Connector for POP3 Mailboxes, you must have an existing POP3 account through your ISP and install the Microsoft Exchange Connector for POP3 Mailboxes during Exchange 2000 Server setup.

To retrieve e-mail messages from a POP3 global mailbox, Exchange requires the ISP account information for this mailbox. You can add ISP account information by using the Small Business Server Internet Connection Wizard or the Microsoft Connector for POP3 Mailboxes snap-in.

Tip Use the Small Business Server Internet Connection Wizard the first time you configure Exchange 2000 Server, and then use the Microsoft Connector for POP3 Mailboxes snap-in to make any further changes to your Exchange 2000 Server configuration.

To add a POP3 global mailbox with the Microsoft Connector for POP3 Mailboxes snap-in

  1. Expand the Exchange node for your organization, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the Connect & Download tab.
  3. In the Global ISP Mail Hosts pane, click Add.
  4. In the Properties dialog box, type the following information:
    • Account name. Type the account name that is used to connect to your POP3 account.
    • POP3 Mail Server. Type the domain name of your ISP's POP3 mail server.
    • Password. Type the password that is used to connect to your ISP's POP3 mail server. Your password is saved as a case-sensitive string.
    • Confirm Password. Type your password again to confirm it.
    • Authentication method. Choose one of the following authentication methods: Basic authentication, Authenticated POP, and CRAM-MD5 encryption.

      Note You must ask your ISP which authentication method to use to log on and retrieve your POP3 mail.

  5. Click OK to add the POP3 global mailbox.
  6. Click OK to close the Properties dialog box.

To add a POP3 global mailbox with the Small Business Server Internet Connection Wizard

  1. From the Small Business Server Administrator Console, click Internet Information Services from the Console Tree, click the Tips – Connecting to the Internet tab at the bottom of the Details Pane, and then click Manage Connections.
  2. Follow the on-screen instructions to add a POP3 global mailbox.

Note The Small Business Server Internet Connection Wizard replaces any existing account information.


Add a POP3 User Mailbox

You can configure Microsoft Exchange 2000 Server to retrieve e-mail messages from a POP3 mailbox at your ISP and send them to a single Exchange user mailbox. After you have configured Exchange to recognize your POP3 user mailbox, all messages from the selected POP3 account are sent to the single designated Exchange user, regardless of the e-mail account names or e-mail aliases listed in the POP3 mailbox. The Microsoft Connector for POP3 Mailboxes does not leave copies of e-mail on the POP3 server.

Important To use the Microsoft Connector for POP3 Mailboxes, you must have an existing POP3 account through an ISP and install the Microsoft Connector for POP3 Mailboxes during Exchange 2000 Server setup.

To configure a POP3 user mailbox, you must use the Small Business Server Internet Connection Wizard or the Microsoft Connector for POP3 Mailboxes snap-in.

Tip Use the Small Business Server Internet Connection Wizard the first time you configure Exchange 2000 Server, and then use the Microsoft Connector for POP3 Mailboxes snap-in to make any further changes to your Exchange 2000 Server configuration.

Important After you have added a POP3 user mailbox, you must change the "Reply-To" address of the Exchange user to use the POP3 e-mail account name as the primary "Reply To" address. Unless you change the "Reply-To" address, the user's Exchange e-mail address will be listed in all e-mail messages. E-mail messages may also be lost, unless your ISP recognizes your Exchange e-mail address as a valid e-mail alias.

To add a POP3 user mailbox with the Microsoft Connector for POP3 Mailboxes snap-in

  1. Expand the Exchange node for your organization, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the User Mailboxes tab.
  3. In the Global ISP Mail Hosts pane, click Add.
  4. Type the following information in the Properties dialog box:
    • Account name. Type the account name that is used to connect to your POP3 account.
    • 17POP3 Mail Server. Type the domain name of your ISP's POP3 mail server.
    • Password. Type the password that is used to connect to your ISP's POP3 mail server. Your password is saved as a case-sensitive string.
    • Confirm Password. Type your password again to confirm it.
    • Authentication method. Select one of the following authentication methods: Basic authentication, Authenticated POP, and CRAM-MD5 encryption.

      Note You must ask your ISP which authentication method to use to log on and retrieve your POP3 mail.

    • Exchange recipient. In the list of users, select the Exchange user that you want to receive the POP3 e-mail.
  5. Click OK to add the POP3 user mailbox.
  6. Click OK to close the Properties dialog box.

To add a POP3 user mailbox with the Small Business Server Internet Connection Wizard

  1. From the Small Business Server Administrator Console, click Internet Information Services from the Console Tree, click the Tips – Connecting to the Internet tab at the bottom of the Details Pane, and then click Manage Connections.
  2. Follow the on-screen instructions to add a POP3 user mailbox.

Note The Small Business Server Internet Connection Wizard replaces any existing account information.

To change the "reply-to" e-mail address of the Exchange recipient

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click the Users query node.
  2. From the Details Pane, right-click the user name of the POP3 User Mailbox Exchange recipient that you want to change, and then click Properties.
  3. Click the E-mail Addresses tab, click New, select SMTP Address, and then click OK.

    Tip Create a New SMTP "reply-to" address rather than editing the existing SMTP address. If you edit the existing SMTP address the Exchange recipient may not be able to send and receive e-mail from your internal network.

  4. In the E-mail address box, type the POP3 account name that corresponds to the POP3 User mailbox, and then click OK to set the address.
  5. Select the SMTP connector you created, and then click Set as Primary. This e-mail address will now be the primary "reply-to" e-mail address for this user.
  6. Click OK to close the User Properties dialog box.


Route POP3 E-mail from an External Mailing List

You can configure Exchange 2000 Server to retrieve e-mail messages that are sent to a POP3 mailbox from an external mailing list. These messages may or may not have an address that matches an e-mail address in your internal domain. For example, you might have a subscription to a news mailing list called XYZ News that is sent to your POP3 mailbox.

Important To use the Microsoft Connector for POP3 Mailboxes, you must have an existing POP3 account through your ISP and install the Microsoft Connector for POP3 Mailboxes during Exchange 2000 Server setup.

To distribute the mailing list messages to the proper Exchange user mailboxes, you must define a mailing list entry in the Microsoft Connector for POP3 Mailboxes snap-in. The mailing list entry defines the way that e-mail messages with a nonspecific entry in the "Send-To" line (for example, someone@microsoft.com) are routed in Exchange. You can route mailing list entries to individual Exchange mailboxes or to Exchange distribution groups.

Important The Microsoft Connector for POP3 Mailboxes snap-in cannot route mailing list messages sent with a blank "Send-To" line that have been routed by BCC.

The Microsoft Connector for POP3 Mailboxes snap-in is available from the Small Business Server Administrator Console.

To add a POP3 mailing list entry

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the Mailing Lists tab, and then click Add.
  3. In the Mailing List Routing dialog box, type the following information:
    • Mailing List E-mail Address. Type the account name listed in the "Send-To" line of the mailing list message. Exchange uses this account name to identify the messages that need to be routed as a mailing list.
    • Mailing List Display Name. Some external mailing lists use a "friendly name" in the To: line instead of an e-mail address. To route the e-mail correctly, the Display Name field should include the name that will be displayed to the recipient in the e-mail message. It is not necessary for the display name to match the e-mail address.
    • Exchange User. To choose the Exchange user or distribution group that you want to receive the POP3 mail, click Browse.
  4. Click OK to add the mailing list entry.
  5. Click OK to close the Properties dialog box.


Enable and Configure POP3 Diagnostic Logging

The Microsoft Connector for POP3 Mailboxes snap-in contains an optional diagnostic logging feature to help you track and troubleshoot your POP3 connections. After you enable this option, you can review the Windows 2000 Event Log for any POP3 diagnostic-logging events.

The Microsoft Connector for POP3 Mailboxes snap-in is available from the Small Business Server Administrator Console.

To enable and configure POP3 diagnostic logging

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the Diagnostic Logging tab, and then select the Enable event logging on the services check box to enable POP3 diagnostic logging.
  3. To set the logging level of a service, in the Services list, select a service, and then select one of the following options for the logging level that you want to set:
    • None. Logs only Critical Errors.
    • Minimum. Logs Security Audit Success and Failure Messages and Critical Errors.
    • Medium. Logs Information Messages, Security Audit Success and Failure Messages, and Critical Errors.
    • Maximum. Logs all POP3 events.

Note You can set each service to a different logging level.

  4. Click OK to save your diagnostic logging settings.


Set POP3 E-mail Delivery Frequency

You can set how often Small Business Server contacts your ISP to download POP3 e-mail messages. One way to do this is to run the Small Business Server Internet Connection Wizard, but alternatively, you can set the mail delivery frequency through the Microsoft Connector for POP3 Mailboxes snap-in.

You can set the e-mail delivery frequency from the Small Business Server Administrator Console.

Tip Use the Small Business Server Internet Connection Wizard the first time you configure Microsoft Exchange 2000 Server, and then use the Microsoft Connector for POP3 Mailboxes snap-in to make any additional changes to your Exchange 2000 Server configuration.

To manually set e-mail delivery frequency from the Microsoft Connector for POP3 Mailboxes snap-in

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Connectors node, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the Connect & Download tab, click Schedule, and then do one of the following: Select a predefined delivery schedule option. To create a customized schedule, click Custom Intervals, and then select the exact days and time periods when you want to deliver e-mail.
  3. Click OK to save the new delivery schedule.

Note You can select Router Trigger to specify a command line program that triggers your network router before attempting to retrieve POP3 e-mail messages.

To set e-mail delivery frequency from the Small Business Server Internet Connection Wizard

  1. From the Small Business Server Administrator Console, click Internet Information Services from the Console Tree, click the Tips – Connecting to the Internet tab at the bottom of the Details Pane, and then click Manage Connections.
  2. Follow the on-screen instructions to set mail delivery frequency.

Note You cannot create a custom schedule from the Small Business Server Internet Connection Wizard. To create a custom schedule, you must use the Microsoft Connector for POP3 Mailboxes snap-in.


Retrieve POP3 E-mail Messages Now

You can retrieve all e-mail (including POP3 and SMTP) messages from your ISP at any time by using the Synchronize Mail task. Retrieve POP3 mail by using the Microsoft Connector for POP3 Mailboxes snap-in.

To retrieve all e-mail now with the Synchronize Mail task

The way that you access the Synchronize Mail task depends on the Small Business Server management console that you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, click the Exchange node for your organization. In the Details Pane, click Synchronize Mail.
    • From the My Small Business Server Console Tree, click E-mail. In the Details Pane, click Synchronize Mail.
  2. When you click Synchronize Mail, the server delivers incoming and sends outgoing e-mail messages that are waiting in your ISP's POP3 mail queue.

To retrieve POP3 e-mail now from the Microsoft Connector for POP3 Mailboxes snap-in

The Microsoft Connector for POP3 Mailboxes snap-in is available from the Small Business Server Administrator Console.

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the Connect & Download tab, and then click Retrieve Now.
  3. Click OK to close the POP3 Gateway Connector dialog box.

Note You can select Router Trigger to specify a command line program that triggers your network router before it attempts to retrieve POP3 e-mail.


Change the 'Reply-To' E-mail Address of Exchange Users with POP3 Mailboxes

By default, the Small Business Server Internet Connection Wizard sets the "Reply-To" e-mail address of all users to the domain name of the Small Business Server network. Unless you have registered your domain name with your ISP, users who send mail to POP3 accounts will not have a valid "Reply-To" e-mail address listed in their outgoing messages.

To prevent any problems with undelivered messages, change the "Reply-To" e-mail addresses of Exchange users with POP3 mailboxes to match the e-mail address of the POP3 account.

To change the "reply-to" e-mail address of an Exchange recipient

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click the Users query node.
  2. From the Details Pane, right-click the user name of the POP3 User Mailbox Exchange recipient, and then click Properties.
  3. Click the E-mail Addresses tab, click New, select SMTP Address, and then click OK.

    Tip Create a New SMTP "reply-to" address rather than editing the existing SMTP address. If you edit the existing SMTP address the Exchange recipient may not be able to send and receive e-mail from your internal network.

  4. In the E-mail address box, type the POP3 account name that corresponds to the POP3 User mailbox, and then click OK to set the address.
  5. Select the SMTP connector you created, and then click Set as Primary. This e-mail address is now the primary "reply-to" e-mail address for this user.
  6. Click OK to close the User Properties dialog box.


Configure Microsoft Connector for POP3 Mailboxes to Trigger Router

You can configure the Microsoft Connector for POP3 Mailboxes snap-in to send a custom trigger to your router before attempting to download e-mail. The trigger can use a command line program to prepare the router for external network traffic.

To configure the POP3 Router Trigger

The Microsoft Connector for POP3 Mailboxes snap-in is available from the Small Business Server Administrator Console.

  1. From the Small Business Server Administrator Console, expand the Exchange node for your organization, right-click the Microsoft Connector for POP3 Mailboxes snap-in, and then click Properties.
  2. Click the Connect & Download tab, and then click Router Trigger.
  3. Type the command line trigger for your router, and then click OK.
  4. Click OK to close the POP3 Gateway Connector dialog box.

Related Topics

Retrieve POP3 E-mail Now


Managing Disks

The Disk Administrator tool in Microsoft® Windows NT® version 4.0 and earlier has been replaced in Microsoft Windows® 2000 with the Microsoft Management Console (MMC) Disk Management snap-in. The Disk Management snap-in introduces new disk layouts to improve manageability and recoverability. Further enhancements include a remote administration snap-in and an expanded fault-tolerance feature set. Also, most volume configuration changes now do not require you to restart the computer.

You can access the Disk Management snap-in from the Small Business Server Administrator Console. The Disk Management snap-in enables you to manage various drives on your computer, which typically include the floppy disk drive, at least one hard disk drive, the CD-ROM drive, and possibly a tape drive.

Related Topics

Best Practices

How To


Best Practices

You can make the most of Small Business Server by following these best practices of disk management.

Using Windows 2000 Enhanced Storage Features

To maximize the Microsoft Windows 2000 enhanced storage features included with Small Business Server, use disks formatted with the NTFS file system and establish fault-tolerance storage by using dynamic disks.

Formatting Disks as NTFS

Using Dynamic Disks

Establishing Fault Tolerance

Using Disk Quotas

You can manage your disk usage by setting disk quotas.

Setting Disk Quotas


Formatting Disks as NTFS

By default, Small Business Server runs on the NTFS file system that is part of your Microsoft Windows 2000 Server installation. If you add new disks or want to divide existing disks into new partitions, you can format them as NTFS. Disks formatted as NTFS offer a number of enhancements over other file systems, including:

  • Improved security through Microsoft Active Directory directory service.
  • Better disk compression.
  • Support for hard disks up to 2 terabytes in size.

    The maximum drive size for NTFS is much greater than the drive size for FAT. Therefore, as the drive size increases, performance with NTFS does not degrade as it does with FAT.

  • The ability to use dynamic disks and dynamic volumes to create fault-tolerant systems.
  • The ability to enable and set disk quotas so that users do not interfere with other users' disk usage.

Related Topics

Establishing Fault Tolerance

Using Dynamic Disks


Setting Disks Quotas

Disk quotas are a new feature in NTFS that administrators can use to control disk storage on Small Business Server. Quotas enable administrators to limit the amount of disk space that a user can occupy on Small Business Server shared folders or on the local client machine (NTFS only). You can use disk quotas to monitor overall volume use and to prevent individual users from affecting other users' volume use.

Disk quotas are tracked on a per-user, per-volume basis, and users are responsible only for the files that they own. Quotas are tracked independently for different volumes, even if the volumes are different partitions on the same physical drive. If you have multiple shares on the same volume, however, the quotas assigned to that volume apply to all the collective shares. Use of the shares cannot exceed the assigned volume quota.

Small Business Server administrators can use the Disk Management snap-in to perform the following tasks:

  • Enable or disable disk quotas on a volume.
    • Prevent users from saving new data when a disk quota is exceeded.
    • Assign soft and hard quota limits to new users. When a user exceeds a warning level (soft limit), an event is logged. When a user exceeds a hard limit, an Out-of-Disk error message appears.
    • View disk quota information for each user by using the Quota Entries view.

The following sections describe some best practices for managing disk quotas.

Applying Appropriate Disk Quota Limits

If you enable disks quotas, be sure to apply quota limits that match the collective users' disk space requirements. You can start by classifying users according to the amount of disk space that you anticipate they will require (for example, users who develop marketing graphics might require a large amount of disk space). Next, structure your volumes and shared folders to accommodate the classes that you created. After you set up the volumes and shared folder, you can apply disk quotas to limit the amount of disk space users can consume.

Setting Default Limits

You can set moderately restrictive default limits for all user accounts and then change these limits to allocate more disk space to users who work with large files.

Allowing for Growth

You can set quota limits at levels that allow for disk space usage growth. When quota increases are warranted, you can increase them by a percentage of the current value.

Deleting Obsolete Users' Quota Entries

When a user no longer needs to use a particular volume (for example, he or she leaves the company), you can delete the user's quota entry for that volume. You can then delete, move, or take ownership of any files that the user owns. This helps you to maximize the use of volume space.

Reserving Installations for Administrators

If disk quota settings are enabled on the volume on which Windows components and programs are installed, you can prevent users from exceeding their quota limits by allowing only members of the Administrators group to install Windows components and programs.

Related Topics

Enable Volume Disk Quotas

Set User-Specific Disk Quotas


Using Dynamic Disks and Volumes

Small Business Server can be installed on and managed from a Microsoft Windows 2000 Server computer by using dynamic disks and volumes. Dynamic disks and volumes are a feature of Windows 2000 Server that enable the Disk Management snap-in to maintain your disk's storage organization independent of the disk's partition table.

Although dynamic disks and volumes offer more flexibility and increased file security over basic disks and partitions, they are not compatible with earlier file systems and can be difficult to maintain. You may want to consider upgrading to dynamic disks if you:

  • Are interested in establishing fault-tolerant disk mirrors to protect your Small Business Server data.
  • Anticipate adding more disk storage to support Small Business Server and want to take advantage of volume extension.
  • Anticipate needing more than the four-disk divisions in basic disks.

Note You can subdivide a physical disk into any number of dynamic disks, provided that there is available disk space to create a new disk.

Consider the following important factors before you upgrade your disks:

  • Only computers running Windows 2000 can access dynamic volumes.
  • After disks have been upgraded to dynamic disks and volumes, you cannot convert them back to basic disks and partitions.
  • After you convert system volume and boot volume to dynamic volumes, you cannot extend them.

For additional information about dynamic disks and volumes, refer to Windows 2000 Help.

Related Topics

Establishing Fault Tolerance


Establishing Fault Tolerance

If you have upgraded your Small Business Server installation to dynamic disks and volumes, you can protect your data from disk failures by using mirrored volumes. Mirrored volumes are fault tolerant because they duplicate, or mirror, your data on two physical disks. If one disk fails, the data on the failed disk becomes unavailable, but the system continues operation by using the mirrored volume. When you mirror a volume, Microsoft Windows 2000 lists the disk as fault tolerant in Disk Management.

When a mirrored volume fails, you must break the mirrored volume to expose the remaining volume as a separate volume with its own drive letter. You can then create a new mirrored volume with free space of the same size or greater on another disk.

For more information about mirrored volumes and fault tolerance, refer to Windows 2000 Help.

Related Topics

Set Up a Disk Mirror


How To

Small Business Server lets you manage your physical disks and their logical divisions with the Disk Management snap-in. The following information guides you through the Disk Management snap-in.

Format New Disk Partitions as NTFS

Convert Existing FAT and FAT32 Disk Partitions to NTFS

Enable Volume Disk Quotas

Set User-Specific Disk Quotas

Set Up a Disk Mirror

Change the Drive Letter for a Disk or CD-ROM

Related Topics

Best Practices


Format New Disk Partitions as NTFS

You can use Microsoft Windows 2000 file compression and security features when formatting new disk partitions as NTFS.

To format a disk partition as NTFS

  1. On the Windows desktop, double-click My Computer
    From the Windows 2000 desktop, double-click My Computer.
    Right-click the disk partition that you want to convert, click Format, and then specify the following options:
    • In the File system box, click NTFS.
    • In the Allocation unit size box, click a desired unit size.
    • In the Volume label box, type a name for the volume.
    • In the Format options area, select the Quick Format or Enable Compression check boxes (if you want to use these options).
  3. Click Start to convert the partition.

Important

  • You can convert only FAT or FAT32 volumes to NTFS.
  • Formatting a disk removes all information from the disk.
  • You cannot format a disk if files are open, the contents of the disk are displayed, or the disk contains the system or boot partition.

Note

  • Quick Format removes files from the disk without scanning the disk for bad sectors. Use this option only if the disk has been previously formatted and you are sure the disk is not damaged.
  • Enable Compression compresses all the files and folders on a volume.

Related Topics

Formatting Disks as NTFS


Convert Existing FAT and FAT32 Disk Partitions to NTFS

If you want to upgrade the file system on Small Business Server to NTFS, you must run the following command prompt operation.

Important Back up the data on your partition before converting it.

To convert a disk partition to NTFS

  1. Open Command Prompt
    Click Start, point to Programs, point to Accessories, and then click Command Prompt.
  2. At the command prompt, type
    convertdrive_letter:/fs:ntfs

    where drive_letter specifies the drive you want to convert to NTFS.

  3. Press ENTER to start the conversion.

Important

  • You can convert only FAT or FAT32 volumes to NTFS.
  • You cannot convert the current drive. If the convert command cannot lock the drive, you receive a prompt to convert it the next time the computer restarts.

Related Topics

Back Up Files to Tape


Enable Volume Disk Quotas

You can enable volume disk quotas from Microsoft Windows 2000 Server.

To enable volume disk quotas

  1. On the Windows desktop, double-click My Computer
    From the Windows 2000 desktop, double-click My Computer.
  2. Right-click the volume for which you want to add new disk quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, select the Enable quota management check box.
  5. Click the Limit disk space to option. This activates the fields for setting disk space limits and warning levels.
  6. Type a numeric value in the text fields, and click a disk space unit from the drop-down list. You can type any decimal value (for example, 20.5 MB) that does not exceed the maximum capacity of the volume.
  7. Select any quota logging options that you want, and then click OK to enable the disk quota.

Important

  • You can set disk quotas only on volumes with an NTFS file system.
  • You must be an administrator or a member of the Administrators group to set disk quotas.

Note

  • When you enable disk quotas on a volume, any user with write access to the volume who has not exceeded his or her quota limit can store data on the volume. The first time a user writes data to a quota-enabled volume, default values for disk space limit and warning level are automatically assigned by the quota system.
  • You can use the New Quota Entry feature to set up different quota limits and warning levels for a particular user. This is useful when you do not want to use the default disk space limit and warning level values for a particular user. Typically, the default disk space limit and warning level values established by the volume administrator are sufficient for new users of the volume.


Set User-Specific Disk Quotas

You can set user-specific disk quotas from Microsoft Windows 2000 Server.

To assign user-specific disk quotas

  1. On the Windows desktop, double-click My Computer
    From the Windows 2000 desktop, double-click My Computer.
    .
  2. Right-click the volume for which you want to add new disk quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota properties page, click Quota Entries.
  5. In the Quota Entries window, click the Quota menu, and then click New Quota Entry.
  6. In the Select Users dialog box, use the Look in list box to select the name of the domain or workgroup from which you want to select user names. Click a user name (or shift-click for a range of user names), click Add, and then click OK.
  7. In the Add New Quota Entry dialog box, specify one of the following options, and then click OK to enable the disk quota.

    Do not limit disk usage tracks disk space usage without limiting disk space.

    Limit disk space to activates the fields for limiting disk space and setting warning levels. Type a numeric value in the text fields, and select a disk space unit from the drop-down list. You can type any decimal value (for example, 20.5 MB) that does not exceed the maximum capacity of the volume.

Important

  • You can set disk quotas only on volumes with an NTFS file system.
  • You must be an administrator or a member of the Administrators group to set disk quotas.

Note

  • When you enable disk quotas on a volume, any user with write access to the volume who has not exceeded their quota limit can store data on the volume. The first time a user writes data to a quota-enabled volume, default values for disk space limit and warning level are automatically assigned by the quota system.
  • You can use the New Quota Entry feature to set up different quota limits and warning levels for a particular user. This is useful when you do not want to use the default disk space limit and warning level values for a particular user. Typically, the default disk space limit and warning level values established by the volume administrator are sufficient for new users of the volume.


Set Up a Disk Mirror

Disk mirroring creates a dynamically updated copy of a disk, which increases reliability and safeguards your data. If one disk is damaged, your data is safe on the mirrored disk. However, the process may slow the performance of your system.

To create a mirrored volume, you first create a new volume by using free space on another disk. If the second volume is larger, the remaining space becomes free space. The same drive letter is used for the mirrored volume and the second volume. Any existing volume—even the system and boot volumes—can be mirrored to another volume of the same size or greater on another disk by using either the same controller or a different controller. When creating mirrored volumes, it is best to use disks of the same size, model, and manufacturer.

To create mirrored volumes

  1. Open Disk Management
    Click Start, point to Programs, point to Administrative Tools, and then click Computer Management. Expand the Storage node from the Console Tree and then click Disk Mangement.
  2. Right-click the unallocated space on one of the dynamic disks where you want to create the mirrored volume, and then click Create Volume. This starts the Create Volume Wizard.
  3. In the Create Volume Wizard, click Next, click Mirrored volume, and then follow the on-screen instructions to complete the wizard.

Important Disk mirroring can be set up only with dynamic disks and volumes.

Note Any existing partition, including the system and boot partitions, can be mirrored to another partition of equal or greater size on another disk by using the same controller or a different controller.

Related Topics

Using Dynamic Disks


Change the Drive Letter of a Disk or CD-ROM

You can use the Microsoft Windows 2000 Server Disk Management utility to configure the drive letters of hard disks and CD-ROMs. You need to create disks with identical drive letters if you are implementing dynamic disks for fault tolerance.

To assign, change, or remove a drive letter

  1. Open Disk Management
    Click Start, point to Programs, point to Administrative Tools, and then click Computer Management. Expand the Storage node from the Console Tree and then click Disk Mangement.
  2. Right-click a partition, logical drive, or volume, and then click Change Drive Letter and Path.
  3. From the Change Drive Letter and Paths window, perform one of the following steps:
    • To assign a drive letter, click Add, select the drive letter that you want to use, and then click OK.
    • To remove a drive letter, select it, and then click Remove.
    • To change a drive letter, click it, click Edit, click the drive letter that you want to use, and then click OK.

Important

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. You may also need to review your network policy settings.
  • The Disk Management utility must have exclusive access to the volume or drive that you are changing. If another application is using the volume or drive, you may receive an error message. If this occurs, close all programs accessing the volume or drive, and then click the Change Drive Letter and Path command again.

Note

  • You cannot change the drive letter of the system volume or boot volume.
  • You can use up to 24 drive letters, from C through Z. Drive letters A and B are reserved for floppy disk drives. However, if you do not have a floppy disk drive B, you can use the letter B to name a network drive.
  • Windows 2000 enables the static assignment of drive letters on volumes, partitions, and CD-ROM drives. Therefore, you permanently assign a drive letter to a specific partition, volume, or CD-ROM drive. When you add a new hard disk to an existing computer system, it does not affect statically assigned drive letters.


Managing Backups

Backing up the data on your network protects you from losses caused by disk drive failures, power outages, viruses, and other disasters.

Fig. 1 Backing Up Your Data

Designing a Backup Plan

Implementing a good backup plan is an essential part of disaster recovery. Your backup plan should include details about the types of backup your company performs, who performs them, how often they are performed, and how information is restored. Complete your backup plan by testing that you can successfully back up and restore your data from backup files.

Designing and Testing a Backup Plan

Types of Backup

Installing a Backup Tape Drive

The typical method for a small business to back up data is to install a tape drive into the server computer. Select a tape drive from the Windows 2000 Hardware Compatibility List.

Set Up Your Backup Tape Drive

Performing Backups

After you have designed a backup plan and set up a backup tape drive, you will perform various backup steps. Your specific plan and circumstances dictate which of the following steps you perform and how often you perform each one.

Create an Emergency Repair Disk

Back Up Files to Tape

Restore Files from a Backup Tape

Schedule an Unattended Backup


Types of Backup

The Microsoft Windows 2000 Backup utility used by Small Business Server supports five methods of backing up data on your computer or network.

Copy backup

A copy backup copies all selected files but does not mark each file as backed up (in other words, the archive attribute is not cleared). Copying is useful if you want to back up files between normal and incremental backups because copying does not affect these other backup operations.

Daily backup

A daily backup copies all selected files that have been changed on the day that the daily backup is performed. A daily backup is a good way to capture regularly updated content such as e-mail messages, news, and application data. The backed-up files are not marked as backed up (in other words, the archive attribute is not cleared).

Differential backup

A differential backup copies files created or changed since the last normal or incremental backup. A differential backup is a good way to capture regularly updated content such as e-mail messages, news, and application data. It does not mark files as backed up (in other words, the archive attribute is not cleared). If you are performing a combination of normal and differential backups, restoring files and folders requires that you have both the last normal and the last differential backup.

Incremental backup

An incremental backup copies only those files created or changed since the last normal or incremental backup. An incremental backup is a good way to track critical application data. It marks files as backed up (in other words, the archive attribute is cleared). If you use a combination of normal and incremental backups, you must have the last normal backup set as well as all incremental backup sets to restore your data.

Normal (Full) backup

A normal or full backup copies all selected files and marks each file as backed up (in other words, the archive attribute is cleared). A normal backup enables you to recover from a catastrophic server or hardware failure without reinstalling or reconfiguring Small Business Server. With normal backups, you need only the most recent copy of the backup file or tape to restore all of the files. You usually perform a normal backup the first time you create a backup set.

Note The normal backup option can require a large portion of system resources and may involve taking Small Business Server offline during the backup process.

Backup and Restore Requirements

Backing up your data by using a combination of normal backups and incremental backups requires the least amount of storage space and is the quickest backup method. However, recovering files can be time-consuming and difficult because the backup set might be stored on several disks or tapes.

Backing up your data by using a combination of normal backups and differential backups is more time-consuming, especially if your data changes frequently, but it is easier to restore the data because the backup set is usually stored on only a few disks or tapes.

Other Backup Software

If you have installed a third-party backup application, follow the directions for that application.

Related Topics

Designing and Testing a Backup Plan

Back Up Files to Tape

Add a User to the Backup Operators Security Group


Best Practices

The following practices will assist you in backing up and restoring data from your Small Business Server computer.

Designing and Testing a Backup Plan

Installing the Correct Tape Driver for Windows 2000

Windows 2000 Server Hardware Compatibility List


Designing and Testing a Backup Plan

Designing and testing a backup plan is essential for protecting your business information. Implementing a tested backup plan ensures that your organization can recover quickly from a server or application failure.

Backup Plan Design Considerations

Addressing the following issues helps you design a backup plan:

  • What folders and files are essential to maintaining your Small Business Server network?
  • How frequently do the folders and files change, and how many of these changes do you need to capture with a backup?
  • How much data do you expect to store?
  • Do you require constant access to your Small Business Server computer or can you designate maintenance and backup times with limited or no access?
  • Where will your backup media be stored, and who will have access to them?
  • Who will perform your backups and, if necessary, restorations?

Deciding What to Back Up

Back up any data that you consider critical to your business. Typically this includes files that are shared throughout your organization, such as the files in the Company or Users shared folders. You may want to encourage your users to store files in shared folders to ensure that user files are backed up with the Small Business Server computer. Typical choices of client computers to back up are:

  • A computer that has many important documents scattered throughout the disk drive.
  • A computer that will be upgraded to newer hardware or software.

Planning Your Backup Schedule

The Backup utility provided with Windows 2000 can automatically back up any computer on the network. The frequency of your backups depends on how often the data changes and on its value to you. It is recommended that you schedule a complete backup of all system files, applications, and data at least weekly. If the data changes often, schedule frequent incremental backups, in which you back up only files that have changed since the last backup.

Backup Storage

Tapes should be stored in an off-site location that protects your backup tapes from fire, water, and other hazards. If you use a fireproof safe for storage, ensure that it is specifically designed to protect magnetic media. Tapes can be alternated after a third full backup tape is available. It is best to have at least three copies of important data to protect against tape failure or loss.

Backups also protect your data against viruses, some of which may take weeks to appear. Therefore, keep backup tapes for a month or more to ensure that you can restore a system from a recent backup.

Testing Your Backup Plan

Testing your backup plan ensures that you can recover data, restore your server, and get your users reconnected to the network in the event of a server or application failure. As part of your backup plan, you should periodically back up and restore some files from a recent backup. This ensures that you can recover all of your data if the need arises.

Fig. 1 Recovering Your Data from a Tape Drive

Until you have actually performed an entire backup and restore process, you cannot be certain that your backup plan will be effective for disaster recovery. Testing your backup plan is the best way to ensure that you have correctly configured all the user permissions, hardware settings, and media handling processes necessary to restore the data.

Backup Log

You may want to create a log book that tracks the following information:

  • The date and time at which each backup was started and who started it
  • The type of backup (full, incremental, or differential)
  • The duration of the backup
  • The number of tapes included in the backup
  • Any special cases that require backups for different computers or files

Related Topics

Types of Backup

Add a User to the Backup Operators Security Group


Installing the Correct Tape Driver for Windows 2000

Installing the correct tape drivers involves the following steps:

  1. Connecting the tape drive to your computer.
  2. Loading the appropriate device drivers for the tape drive.
  3. Configuring the tape driver’s properties and settings.

To ensure that the device functions properly, follow the tape drive manufacturer’s installation instructions. This may require you to shut down and unplug your computer, and then connect the device to the appropriate port or insert it into the appropriate slot.

If the device is Plug and Play, hardware detection and setup happens automatically. If the device is not Plug and Play, use the Add/Remove Hardware Wizard in Control Panel to tell Small Business Server what type of device you are installing.

After the device drivers are loaded onto your system, Small Business Server configures the properties and settings for the device.

Note You must be logged on as an administrator or as a member of the Administrators group to install a device by using the Add/Remove Hardware Wizard in Control Panel.

Related Topics

Set Up Your Backup Tape Drive


Windows 2000 Server Hardware Compatibility List

For the most current compatibility information, visit the following link:

Windows 2000 Server Hardware Compatibility List


How To

You can use the native Microsoft Windows 2000 features to back up and restore your Small Business Server data. Use the following links to learn how.

Restricting Backups to Specific Users

Learn how to add users to the Backup Operators security group so that they can back up files on the Small Business Server computer.

Add a User to the Backup Operators Security Group

Configuring Backup Hardware

Learn how to configure your tape drive for Windows 2000 Server.

Set Up Your Backup Tape Drive

Using an Emergency Repair Disk

Learn how to create and use an Emergency Repair Disk to restore a corrupted Windows 2000 Server configuration.

Create an Emergency Repair Disk

Restore Windows 2000 from an Emergency Repair Disk

Backing Up Data

Learn how to back up your data onto tape and how to schedule unattended backups.

Back Up Files to Tape

Schedule an Unattended Backup

Restoring Data

Learn how to restore your data from a backup tape.

Restore Files from a Backup Tape


Add a User to the Backup Operators Security Group

You can assign special user accounts to the Backup Operators security group to assist in Small Business Server maintenance. Users added to the built-in Backup Operators security group can back up and restore files on the Small Business Server computer, regardless of the security settings on those files. Backup Operators can schedule backup tasks but cannot change the system’s backup devices and drivers.

To add an existing user to the Backup Operators group

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. Right-click the user you want to add to the Backup Operators security group, and then click Add members to Group.
  3. Select Backup Operators from the list, and then click OK to assign the group.

To create a new user in the Backup Operators group

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. From the Details Pane, right-click any user name, and then click Add User.
  3. Follow the on-screen instructions to create a new user. On the User Properties page of the wizard, select the Specify individual settings for this user option, and then continue to the next page of the wizard.
  4. On the Group Membership page of the wizard, click Browse, expand the node listing your server name, select the Builtin folder, click OK, and then select Backup Operators from the list of security groups.
  5. Follow the on-screen instructions to complete the wizard.

Related Topics

Applying Windows 2000 Group Policies


Set Up Your Backup Tape Drive

The typical way to back up data is to install a tape drive on the computer that is running Small Business Server. Microsoft Windows 2000 Server automatically detects the tape drive and starts the Add/Remove Hardware Wizard if the tape drive is a model listed on the Windows 2000 Server Hardware Compatibility List. The tape drive should be ready to use after running the wizard, but if it is not, you can update the drivers manually from the Computer Management snap-in available in the Small Business Server Administrator Console.

To configure your tape drive manually

  1. Turn on the tape drive.
  2. When prompted for the Windows 2000 Server disc, insert Small Business Server Disc 1 into the disc drive.
  3. Open Tape Drives
    Click Start, point to Programs, point to Administrative Tools, click Computer Management. From the Console Tree, click Device Manager, and then click Tape drives.
  4. Right-click the tape drive, click Properties, and then click the Driver tab.
  5. Click Update Driver, and follow the on-screen instructions to complete driver configuration.

Small Business Server is now ready to back up and restore files.

Related Topics

Installing the Correct Tape Driver for Windows 2000

Windows 2000 Server Hardware Compatibility List


Create an Emergency Repair Disk

Using the Emergency Repair Disk Wizard, you can create an emergency repair disk to repair and restart a damaged Microsoft Windows 2000 system.

An emergency repair disk captures Windows system settings that can be used to restore the Windows environment if files become damaged. It is recommended that you create a new emergency repair disk each time you make a significant change to the server hardware or software configuration.

To create an emergency repair disk

  1. Start the Emergency Repair Disk utility
    Click Start, point to Programs, point to Accessories, point to System Tools, click Backup, and then click Emergency Repair Disk.
  2. Follow the on-screen instructions to create the emergency repair disk.

Note An emergency repair disk can restart only the Windows operating system. It cannot restore applications or data. To protect applications and data, you should design, test, and implement a backup plan.

Related Topics

Restore Windows 2000 from an Emergency Repair Disk


Restore Windows 2000 from an Emergency Repair Disk

You can repair and restore a Microsoft Windows 2000 Server configuration from an emergency repair disk.

To restore a Windows 2000 Server installation from an emergency repair disk

  1. Place the emergency repair disk in the computer’s floppy disk drive.
  2. Restart the system. Windows 2000 starts from the emergency repair disk.
  3. Follow the on-screen instructions to repair the Windows 2000 configuration.

Important Restoring Windows 2000 Server by using an emergency repair disk should be the last option when you try to save valuable data. An emergency repair disk is not a backup of the system. It can only restore the last saved Windows 2000 Server configuration and does not restore any applications or data. After you have restored the Windows system, however, you might be able to see the disk drives and save the data files (if they have not been corrupted). To fully restore Small Business Server after using an emergency repair disk, perform a restore from the last full backup.

Related Topics

Create an Emergency Repair Disk

Restore Files from a Backup Tape


Back Up Files to Tape

Before you can back up Small Business Server, you must have a tape drive installed.

If you have a computer running Microsoft SQL Server, run the SQL Server Backup Wizard before you run the Microsoft Windows 2000 Backup Wizard. After the SQL Server backup is completed, or if you do not have SQL Server, run the Windows 2000 Backup Wizard to back up Small Business Server. For more information, consult SQL Server Books Online.

To back up Small Business Server

  1. Start the Backup Wizard
    Click Start, point to Programs, point to Accessories, point to System Tools, click Backup, and then click Backup Wizard.
  2. Insert a tape in the tape drive. If you have a blank mini-cartridge tape that has not been formatted, you must format it before you use it for backup.
  3. Follow the on-screen instructions to complete the wizard.

Important Only users who are in the Administrators or Backup Operators security groups can back up all the files on the server. All other users are limited to backing up their own files or the files to which they have access.

Related Topics

Backup Operators and System Rights


Restore Files from a Backup Tape

Perform the following steps to restore backup information to the local hard disk. By default, the backup files will be restored to their original directories, replacing any existing information.

If you used the Microsoft Windows 2000 Backup utility to back up Microsoft SQL Server data, first restore the database files to the hard drive. Then use the SQL Server Backup utility to restore the databases. For more information, see SQL Server Books Online.

To restore a backup version of Small Business Server

  1. Start the Restore Wizard
    Click Start, point to Programs, point to Accessories, point to System Tools, click Backup, and then click Restore Wizard.
  2. Insert the tape containing the backup information you want to restore.
  3. Follow the on-screen instructions to complete the wizard.

Related Topics

Back Up Files to Tape


Schedule an Unattended Backup

You should schedule the computer running Small Business Server for periodic unattended backups. The best time to schedule unattended backups is during non-business hours when the users are not using the system.

To schedule an unattended backup

  1. Start the Backup Wizard
    Click Start, point to Programs, point to Accessories, point to System Tools, click Backup, and then click Backup Wizard.
  2. Follow the on-screen instructions to complete the Backup Wizard.

Note You must be a member of the Administrators or Backup Operators security groups to back up all the files and folders on the server.

Related Topics

Backup Operators and System Rights


Troubleshooting Backup

To view a troubleshooting topic, click one of the following links.

Cannot Back Up a File


Managing Remote Connections

Microsoft® Routing and Remote Access Service (RRAS) enables home and mobile users to work as if they were connected directly to the network. They can send and receive e-mail messages, fax documents, print files, and gain access to shared folders just as they would in the office.

Figure 1 Dial-Up Networking environment

Configuring Routing and Remote Access Service

RRAS is a networking service that manages remote users who connect to Microsoft Small Business Server 2000 by using a modem or other network connection. RRAS verifies a user's logon information and maintains the remote connection until it is terminated by the user, by network policy settings (such as timeout for idle connections), or by a network administrator.

By default, RRAS is not configured on Small Business Server during setup because it can be configured for two different network scenarios: a virtual private network (VPN) or a dial-up network. Before installing RRAS, you must determine which networking scenario that you plan to support.

Configure RRAS

Granting or Revoking Remote Access

Users must have remote access privileges to connect to your server remotely. By default, all Small Business Server user accounts have their remote access privileges disabled. However, an administrator can grant or revoke remote access privileges for an individual user by editing the user's logon preferences. The administrator can also specify how long the user can connect to the server remotely.

Grant or Revoke Remote Access Permissions for a User

Related Topics

Best Practices


Best Practices

You can get the most out of Small Business Server by following these best practices for remote access.

Using a Virtual Private Network

You can set up a virtual private network (VPN) by using a dedicated network connection. The VPN provides continuous network access for remote users and administrators.

Using a Virtual Private Network

Using a Dial-up Network

You can create a dial-up network by configuring a dedicated modem or modems on the server.

Using a Dial-up Network

Related Topics

Configure RRAS


Using a Virtual Private Network

A virtual private network (VPN) is a useful way for users to obtain a remote access connection to Small Business Server through the Internet. A VPN is the extension of a private network across shared or public networks. A good example is the Internet. A VPN allows you to send data between two computers across a shared or public network in a manner that emulates the properties of a point-to-point private link.

To emulate a point-to-point link, data is encapsulated, or wrapped, with a header that provides routing information. This header lets data traverse shared or public networks and be routed to its endpoint. To emulate a private link, the data is encrypted for confidentiality. Packets that are intercepted on the shared or public network are indecipherable without the encryption keys.

From a remote user's perspective, the VPN is a point-to-point connection between the computer, the VPN client, and the organization server—the VPN server. The exact infrastructure of the shared or public network is irrelevant because it appears logically as if the data is sent over a dedicated private link.

To set up a VPN, you must configure a VPN server, which can be Small Business Server or another Microsoft Windows 2000 Server running Routing and Remote Access Service (RRAS), and a VPN client, which can be any computer running Windows 95 or later with a TCP/IP network connection.

Using Small Business Server as a VPN Server

To use Small Business Server as a VPN server you must have a full-time network connection to the VPN. You can establish a dedicated link with an existing network adapter card or install a new network adapter card. In either case, the dedicated link must have a connection to a public network, such as the Internet. You must configure this network connection by using one of the two wizards described below.

If you are using the Internet Security and Acceleration (ISA) Server 2000 as a firewall between your internal network and the VPN, you should use the ISA VPN Wizard to configure your VPN. Using the ISA VPN Wizard ensures that your normal network traffic, as well as the VPN traffic, can pass through the firewall. If you are not using a firewall, you can use the Routing and Remote Access Server Setup Wizard to configure your server as a VPN server.

Using Another Windows 2000 Server as a VPN Server

If your network includes another Windows 2000 Server, you can configure it as the VPN server. The VPN server must be configured as a member server of Small Business Server to provide remote Small Business Server access. In addition, you must configure RRAS on Small Business Server to point to, and use, the VPN server. The external VPN server must still have the full-time network connection, as described earlier.

Related Topics

Configure RRAS


Using a Dial-up Network

Dial-up networks use modems to connect remote users to Small Business Server. At a minimum, a dial-up network must have one modem on the client computer and one modem on the server computer that is configured for RRAS use. However, for most purposes it is recommended that you install and use multiple modems on the Small Business Server network. The following sections describe various Dial-Up Networking (DUN) environments, based on the number of modems available to Small Business Server.

Single Modem Servers

Small Business Server with a single modem installed can host DUN, but this configuration can cause problems. One problem is that a single modem can make only one connection at a time. For example, if the modem is hosting a remote connection, it cannot simultaneously host other remote users or dial out to make connections to the Internet. Likewise, any time the modem is in use for faxing or connecting to the Internet, it cannot host any remote connection. This environment is the least preferable DUN environment for Small Business Server.

Dual Modem Servers

Small Business Server with two modems offers much more flexibility than the single-modem environment. With two available modems, one Small Business Server user has the option of making an outgoing connection at the same time that another user is making an incoming connection. Likewise, if both modems are free and have been configured for use by RRAS, two lines are available for remote access. This environment is the minimum recommended DUN environment for Small Business Server.

Multiple Modem or Modem Pool Servers

Any business with a high demand for Internet access or remote connections should consider installing either a minimum of three modems or a dedicated modem pool. With an array of modems to use, you can configure one modem as a dedicated fax modem, another modem as a host for Internet connections, and any additional modems or modem pools as hosts for remote connections. If you install multiple modems on your server, you may want to use Modem Sharing Service to distribute client modem requests to an available modem. Modem Sharing Service can support up to four modems. This environment is the preferred DUN environment for Small Business Server.

Related Topics

Configure RRAS

Managing Shared Modems


How To

Users can gain access to Small Business Server remotely by using Microsoft RRAS. Use the following information to configure Small Business Server for remote access.

Configure RRAS

Grant or Revoke Remote Access Permissions for a User


Configure RRAS

You can configure Microsoft Routing and Remote Access Service (RRAS) before or after the installation of necessary hardware (modems or network cards) for remote access. In either case, you must determine which network scenario—either a dial-up network or a VPN—you want to use to support remote access.

If you use a VPN configuration with a firewall, you must configure the VPN server by using the appropriate VPN wizard. If you use Internet Security and Acceleration (ISA) Server 2000 as your firewall, configure your VPN server with the ISA VPN Wizard. If you use RRAS as your VPN server, use the RRAS VPN wizard to configure your firewall.

To configure RRAS on Small Business Server

  1. Open Routing and Remote Access
    Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  2. By default, the Small Business Server computer is listed as the server. If you want to use another server for RRAS, use the following procedures.
    1. Click Action, and then click Add Server.
    2. Click All Routing and Remote Access Computers, and then type the domain name of the server that you want to use.
    3. Click OK to add the new server to the Console Tree.
  3. In the Console Tree, select the server that you want to enable, click Action, and then click Configure and Enable Routing and Remote Access to start the Routing and Remote Access Server Setup Wizard.
  4. Follow the on-screen instructions to complete the wizard.

Important If you have two network adapter cards installed on Small Business Server as part of your network scenario, you must be certain that both network adapter cards are connected before configuring RRAS. If only one network adapter card is connected, the unconnected card is configured to use an improper range of IP addresses (169.254.x.x), which prevents remote access.

To configure a VPN on Small Business Server by using ISA Server

  1. From the Small Business Server Administrator Console, expand the Microsoft Internet Security and Acceleration Server snap-in, expand the node that lists your Small Business Server computer name, and then click the Network Configuration node to display the Configure Network Connection taskpad.
  2. Click Configure VPN (Local) to start the ISA VPN Wizard.
  3. Follow the on-screen instructions to complete the wizard.

Related Topics

Best Practices


Grant or Revoke Remote Access Permission for a User

User accounts cannot access Small Business Server remotely until you grant them remote access privileges. You can grant a user account remote access permission when creating the user from the Add User Wizard or from the BackOffice Manager snap-in that is available from the Small Business Server Administrator Console.

Important You must also configure your server to accept remote access connections from the users and groups that you grant permission.

To grant or revoke remote access permission for a user

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click the Users query.
  2. In the Details Pane, right-click the user account name for which you want to grant or revoke permission, and then click Properties.
  3. Click the Dial-in tab.
  4. In the Remote Access Permission (Dial-in or VPN) pane, click either Allow Access or Deny Access.
  5. Click OK to add or revoke remote access permission.

Related Topics

Configure RRAS

Give Users Access to Terminal Services


Troubleshooting Remote Connections

To view a troubleshooting topic, click one of the following links.

Remote Computers Cannot Establish RRAS Connection to Server

Cannot Log On to Terminal Services Due Because There are Too Many Open Sessions

Modem Doesn’t Hang Up

Incoming Calls Always Answered by RAS

Client Dial-up Settings Lost After Client Installation


Shared Fax Service

Shared Fax Service enables users to send and receive faxes from desktop computers by using fax devices that are located on servers.

Click one of the following links to access Help and information for Shared Fax Service.

Shared Fax Service Administration Online Help.

Shared Fax Service Client Help.


Troubleshooting Shared Fax Service

To view a troubleshooting topic, click one of the following links.

Shared Fax Service Not Sending Faxes to New Modem

Client Computer Does Not Receive E-mail Notification of Fax


Managing Shared Modems

Shared Modem Service enables anyone on your network to use the modems that are installed on your server. By using Shared Modem Service, a user can connect to a shared modem and use it just as if it were connected to a COM port on his or her computer.

Installing Modems

Microsoft® Small Business Server 2000 supports all modems on the Microsoft Windows® 2000 Server Hardware Compatibility List. You can view the list at the following location on the Internet:

http://www.microsoft.com/windows2000/upgrade/compat/default.asp

Business class modems are recommended for heavy use.

Sharing Modems

Sharing modems on your Small Business Server network provides the following benefits:

  • Reduced hardware costs. Users no longer need modems for their individual computers. If a user is using a third-party application that requires a dial-up connection, he or she can connect to a shared modem and use it just as if it were connected to a COM port on the computer. This means your business can get the most from your modems and phone lines by sharing access to them.
  • Reduced wait times. If you have more than one shared modem, BackOffice Server selects a modem that is available.
  • Reduced administration time. With shared modems, you spend less time setting up and configuring modems.

You can share any modem that is installed on Small Business Server. However, you should consider the following factors when selecting modems to share:

  • Each shared modem for dialing out should have its own dedicated phone line so that incoming voice or fax calls are not blocked.
  • The quantity of modems that is required for your organization should be based on how essential the use of a modem is to each person's job. If many employees dial out often, you need more modems.
  • Modems of the same brand and model simplify modem sharing. You can share modems of the same type in a single modem pool and save time when configuring client computers.
  • You can share as many as four modems of the same type in each modem pool.
  • External modems may be easier to use, because it is possible to reset them without restarting the server.

Using Calling Cards

Small Business Server supports the use of calling cards. A calling card is a set of information that applications use to create the sequence of numbers to dial for a particular call. This is convenient for frequently dialed numbers.

Related Topics

How to Manage Modems and Modem Pools


How To

This section outlines the basic steps that are required to manage modems and modem pools on your network.

Adding or Removing Modems

You can add and remove modems that are attached to Small Business Server.

Add a Modem

Remove a Modem

Managing Modem Pools

You can manage shared modems by creating a modem pool, adding modems to and removing modems from a modem pool, viewing the status of a modem pool, and configuring modem dialing rules.

Automatically Configure a Modem Pool

Create a Modem Pool

Remove a Modem Pool

Add a Modem to a Modem Pool

Remove a Modem from a Modem Pool

View the Status of a Modem Pool

Disconnect a Client from a Modem Pool

Add a Dialing Location

Using Calling Cards

You can use calling cards with applications that support them.

Create a Calling Card

Remove a Calling Card

Use a Predefined Calling Card


Add a Modem

Before you follow these steps, install the modem into the computer according to the manufacturer's instructions. If the modem has its own power supply, turn it on.

To add a modem

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Click Add to start the Add/Remove Hardware Wizard.
  3. Click Next to enable Windows to detect your modem.
  4. If your modem is not detected, click Next to select your modem from the list.

Note To ensure that you have the latest driver installed, visit the modem manufacturer's Web site or review the modem package material.

  5. Follow the on-screen instructions to complete the wizard.

Related Topics

Add a Modem to a Modem Pool

Configuring RRAS


Remove a Modem

There are two ways to remove a modem. The first way is to disable the modem to make it unavailable for use. By doing this, the modem remains physically installed on the server and can easily be enabled for future use. The second way is to remove the modem. This is necessary if you are physically removing the modem from the server.

To disable a modem

  1. Click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Administrator Console.
  2. Double-click Computer Management (Local), double-click System Tools, and then double-click Device Manager.
  3. In the Details Pane, double-click Modems.
  4. Right-click the modem that you want to disable, click Disable, and then click Yes to confirm.

To remove a modem

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Select a modem from the list, and then click Remove.
  3. Click Yes to confirm, and then click OK to close Phone and Modem Options.

Important If the modem is an internal modem, you must also physically remove the modem card from your computer; otherwise, your system may detect the hardware automatically and try to reinstall it.


Add a Dialing Location

Dialing locations are used to store specific dialing information about the location you are dialing from, and are used by telephony applications such as Shared Fax Service and Shared Modem Service. They can contain dialing rules and calling card information. A dialing location called New Location was created during setup. You can change this dialing location or add additional dialing locations.

To add a dialing location

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Click the Dialing Rules tab, and then click New.
  3. In the Location name box, type a name for your new dialing location.
  4. In the Country/region list, select your geographical location, and then type your area code in the box provided.
  5. Under Dialing rules, type the numbers that you dial to access outside lines for local calls and for long-distance calls. Leave the boxes blank if this does not apply to you.
  6. If your location uses the call-waiting feature, select the To disable call waiting, dial check box. In the list that appears, select the dialing sequence that disables call waiting. If the list does not contain an appropriate selection, type the applicable dialing sequence in the space provided.
  7. Select either Tone dialing (default) or Pulse dialing.
  8. If you want to use a calling card, click the Calling card tab. In the Card Types list, select the appropriate calling card. If there is no appropriate calling card, click New to create a new entry.
  9. Click OK to save your changes.

Related Topics

Calling Cards


Automatically Configure a Modem Pool

When Shared Modem Service is first set up, no modem pools are configured. You can use the Auto Configure option to automatically configure a modem pool. Auto Configure scans your server for modem devices, and then groups them into modem pools according to the modem type. If a modem is not defined on a port, the serial port is added to the list of available ports.

Tip It is recommended that, if you have multiple modems, you remove any fax modems from the modem pools.

To use the Auto Configure option

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Configuration tab, and then click Auto Configure.
  3. Click Apply, and then click OK to close the Configuration Changed dialog box.
  4. Click the Status tab, and then select Modem Pool to choose the modem.
  5. Click Apply.
  6. Click the General tab.
  7. Click Stop to stop Shared Modem Service.

Note The modem pools are not available to users until Shared Modem Service is restarted.

To restart Shared Modem Service

  1. Click Start, point to Programs, point to Administrative Tools, and then click Services.
  2. Right-click Shared Modem Service, and then click Restart.


Create a Modem Pool

Follow these steps to create a modem pool on your server.

To create a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Configuration tab, and then click Add.
  3. In the Pool Name box, type the name that you want to assign to the modem pool. This is the name that users see when they view the modem pools to which they want to connect.
  4. In the Description box, type a description for the pool name that you just entered.
  5. Click OK to confirm.
  6. All available COM ports that correspond to the selected modem type appear in the Available for Pool list. Select an available COM port, and then click the arrow to move your selection to the Assigned to Pool list. A modem can use as many as four ports. Repeat this step for each additional port that you want to add.
  7. Click Apply to apply your configuration.
  8. Click the Status tab. In the Modem Pool list, select each modem pool to verify that no one is currently connected to a modem pool.
  9. Click the General tab.

Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted. Before restarting Shared Modem Service, verify that none of your network users is currently using a shared modem.

  10. Click Stop to stop the Shared Modem Service.

Note Modems cannot belong to multiple modem pools. If you want to include a modem that already belongs to an existing pool, you must first remove that modem from its current pool.

Related Topics

Remove a Modem from a Modem Pool


Remove a Modem Pool

Follow the steps below to remove a modem pool from your server. If the Shared Modem Service is already started, you must stop and then restart the service to activate your changes.

To remove a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab. In the Modem Pool list, select the modem pool that you want to remove. Verify that no one is using the modem pool.
  3. Click the Status tab. In the Modem Pool list, select each modem pool to verify that no one is currently connected to a modem pool.
  4. Click the Configuration tab.
  5. In the Pool list, select the modem pool that you want to remove.
  6. Click Remove, and then click Yes to confirm.

    Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted. Before restarting Shared Modem Service, verify that none of your network users is currently using a shared modem.

  7. Click Apply.
  8. Click OK.
  9. Click the General tab.
  10. Click Stop to stop the Shared Modem Service. Click Yes to confirm that you want to stop Shared Modem Service.
  11. Click Start to restart Shared Modem Service.


Add a Modem to a Modem Pool

You must create modem pools before you can add a modem to a modem pool. All modems in the pool must be of identical make and model.

To add a modem to a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Configuration tab.
  3. In the Pool list, select the modem pool to which you want to add a modem.
  4. In the Available for Pool list, select an available COM port, and then click the arrow to move your selection to the Assigned to Pool list. A modem pool can include as many as four ports. Repeat this step for each additional port that you want to add.
  5. Click Apply to apply your configuration. Click OK to close the Configuration Changed dialog box.

    Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted. Before restarting Shared Modem Service, verify that none of your network users is currently using a shared modem.

  6. Click the Status tab. In the Modem Pool list, select each modem pool to verify that no one is currently connected to a modem pool.
  7. Click the General tab.
  8. Click Stop to stop Shared Modem Service. Click Yes to confirm that you want to stop Shared Modem Service.
  9. Click Start to restart Shared Modem Service.


Remove a Modem from a Modem Pool

Removing a modem from a modem pool removes it from only Shared Modem Service. It does not remove the modem from the server.

To remove a modem from a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab.
  3. In the Modem Pool list, select each of the modem pools to verify that no one is currently connected to a modem pool.
  4. Click the Configuration tab.
  5. In the Pool list, select the modem pool from which you want to remove a modem.
  6. Under Assigned to Pool, select the COM port that represents the modem that you want to remove. To move the selected COM port to the Available for Pool list, click the arrow.
  7. Click Apply to apply your changes. Click OK to close the Configuration Changed dialog box.

Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted.

  8. Click OK to exit the Shared Modem Service Admin page.
  9. Click Start, point to Programs, point to Administrative Tools, and then click Services.
  10. Right-click Shared Modem Service, and then click Restart.


View the Status of a Modem Pool

Follow these steps to view the status of a modem pool, including the number of active connections and the users that are connected.

To view the status of a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab.
  3. In the Modem Pool list, select the modem pool that you want to view. The status of the modem pool, including connection information, appears.
  4. Click OK to close the Shared Modem Service Admin page.


Disconnect a Client From a Modem Pool

You can manually disconnect clients from a modem pool.

To disconnect a client from a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab.
  3. In the Modem Pool list, select the modem pool that the client is currently using.
  4. In the list that appears, select the user, and then click Disconnect.

Note Clients do not receive any warning before they are disconnected.

  5. Click OK to exit the Shared Modem Service Admin page.


Calling Cards

A calling card is a set of information that is used to dial a particular call. The calling card can include a calling card number that can be dialed at a specific time during call placement. However, the calling card does not have to specify a calling card number. To help you remember them, you can name calling cards anything you choose.

The Calling Card configuration page is accessible from Phone and Modem Options in Control Panel. It includes predefined settings for several popular calling cards, including Sprint, MCI, British Telecom, France Telecom Mercury, and Telecom New Zealand. You can use the predefined settings or change them to create your own calling cards.

On the Calling Card page, you can add new calling cards, edit existing calling cards, and remove calling cards that are no longer needed.

Related Topics

Use a Predefined Calling Card

Create a Calling Card

Remove a Calling Card

Dialing Rules


Use a Predefined Calling Card

Small Business Server automatically includes predefined settings for several popular calling cards, including Sprint, MCI, British Telecom, France Telecom Mercury, and Telecom New Zealand. Before using the calling card, you must change the card by adding a PIN number and, if necessary, an account number.

To use a predefined calling card

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click Dialing Rules, select the location from which you are dialing, and then click Edit.
  3. Click the Calling Card tab.
  4. In the list that appears, select a calling card type.
  5. In the Account number box, type your account number, if necessary.
  6. In the Personal ID number box, type a PIN number.
  7. If you want to make any additional configurations to the card settings, click Edit.
  8. Click OK to save your calling card settings.


Create a Calling Card

The information that is stored in a calling card includes the name, card number, and the dialing rules for local, long-distance, and international calls. Small Business Server automatically includes predefined settings for several popular calling cards, including Sprint, MCI, British Telecom, France Telecom Mercury, and Telecom New Zealand. You can use the predefined settings or change them to create your own calling cards.

To create a calling card

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click the Dialing Rules tab, select your dialing location, and then click Edit.
  3. Click Calling Card, and then click New.
  4. In the Calling card name box, type a descriptive name for your new calling card.
  5. In the Personal identification number box, type a PIN number.
  6. Click the Long Distance tab, and then select the appropriate calling card sequence for this calling card.
  7. Click the International tab, and then select the appropriate calling card sequence for this calling card.
  8. Click the Local Calls tab, and then select the appropriate calling card sequence for this calling card.
  9. When you have finished selecting calling card sequences, click OK.
  10. Click OK to close the Edit Location page.

Note The calling card is not tied to a specific location and therefore is available for general use.

  11. Click OK to exit the Phone and Modem Options dialog box.

Related Topics

Dialing Rules


Remove a Calling Card

Follow these steps to remove a calling card.

To remove a calling card

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click Dialing Rules, select the location from which you are calling, and then click Edit.
  3. Click Calling Card.
  4. Select the calling card that you want to remove, and then click Delete.
  5. Click Yes to confirm.
  6. Click OK to close the Edit Location dialog box.
  7. Click OK to close the Phone and Modem Options dialog box.


Dialing Rules

You can use the following characters to define rules for dialing calls.

Enter | To
0-9 | Dial telephone numbers
ABCD | Dial characters (tone dialing only; used for special control on some systems)
E | Dial the country/region code
F | Dial the area code (city code)
G | Dial the local number
H | Dial the card number
*,# | Dial special characters (tone dialing only)
T | Dial subsequent numbers (tone dialing only)
P | Dial subsequent numbers (pulse dialing)
, | Pause for a fixed time
! | Lash (1/2 second on hook, 1/2 second off hook)
W | Wait for second dial tone
@ | Wait for quiet answer (ringback followed by 5 seconds of silence)
$ | Wait for calling card prompt tone
? | Suspend dialing until user provides input


Managing Internet Connections

Microsoft® Small Business Server 2000 is designed to serve as a gateway between your network and the Internet. To access the Internet, you must connect Small Business Server to an Internet service provider (ISP), and then define which users and groups will have Internet access permissions. As your business grows, you might want to change your Internet settings and connections to accommodate the increased Internet usage.

Connecting to the Internet

If you want Small Business Server to communicate with the Internet, you must first establish an Internet connection by using an ISP. After you have established an Internet connection, you can use the Small Business Server Internet Connection Wizard to configure your server for Internet usage. Before running the Small Business Server Internet Connection Wizard, print and complete the appropriate Small Business Server ISP Information Form for assistance in completing the wizard.

After the Small Business Server Internet Connection Wizard is complete, you can manage your Internet connection from a Small Business Server management console. The two preconfigured consoles enable you to run the Small Business Server Internet Connection Wizard and change ISP passwords for Internet access.

Fig. 1 Connecting Small Business Server to the Internet

Managing Client Internet Access and Usage

You can quickly and easily define which users have Internet access by using security groups. For example, if you create users from one of the BackOffice User Templates groups, your Small Business Server users will automatically belong to a global security group with Internet access permissions.

To manage Internet access, you can add or remove users from a global security group with Internet access permissions, such as the BackOffice Internet Users global security group.

You can also use Microsoft Internet Security and Acceleration (ISA) Server to manage and monitor Internet usage. ISA Server enables you to create policies to further define or limit how users can access the Internet. You can also use ISA Server to create a firewall, generate Internet access reports, or track your users' Internet activity.

You can configure ISA Server as your network firewall by using the Small Business Server Internet Connection Wizard. You can also use the ISA Server tools to further refine your firewall and network settings.

Related Topics

Connecting to the Internet

Connect Small Business Server to an ISP


Best Practices

You can make the most of Small Business Server Internet management features by following these best practices.

Connecting to the Internet

Using Small Business Server as a Gateway

Registering Your Domain Name

Establishing Internet Security


Connecting to the Internet

Small Business Server is designed to serve as a gateway between your network and the Internet. To establish contact with the Internet, you need to connect Small Business Server to an Internet service provider (ISP), and then configure it to use the ISP connection.

Before selecting an ISP, review the information in the following sections to determine how you will provide Internet services such as e-mail, Web hosting, and security. These services can be provided by Small Business Server or by your ISP.

Small Business Server can provide the following services:

  • SMTP-based and POP3-based e-mail through Microsoft Exchange 2000 Server
  • Instant messaging through Exchange 2000 Server
  • Secure Web hosting, including Secure Sockets Layer (SSL), through Microsoft Internet Information Services (IIS) 5.0
  • Increased security with firewall and caching services provided by Microsoft Internet Security and Acceleration (ISA) Server 2000
  • Remote access through Microsoft Windows 2000 Terminal Services

The following sections outline how to maximize these services when connecting Small Business Server to the Internet.

Hosting E-mail at an ISP

Small Business Server is designed to act as a gateway to the Internet by periodically retrieving and distributing e-mail that is stored at your ISP. You can configure Exchange 2000 Server to act as the e-mail gateway by using the Small Business Server Internet Connection Wizard. The benefits of hosting e-mail at your ISP include:

  • Lower setup costs, because you do not need to purchase and maintain a constant Internet connection or configure Domain Name System (DNS) software to route e-mail.
  • Ease of use, because the preconfigured Small Business Server wizards and management consoles help you manage the Internet connection and Exchange 2000 Server settings.

If you decide to host e-mail locally from Small Business Server, you must have a continuous Internet connection and configure DNS to route e-mail to your server. You must also manually configure Exchange 2000 Server to route your e-mail by using DNS. For more information, refer to the following section.

Hosting E-mail on Small Business Server

You can host Internet e-mail on Small Business Server by using Exchange 2000 Server and DNS. To do so, you must purchase a continuous connection to the Internet, configure DNS to route e-mail to your server, and manually configure Exchange 2000 Server to route your e-mail by using DNS. The benefits of hosting e-mail on Small Business Server include:

  • Exposure of your domain name, because all e-mail correspondence contains the domain name.
  • Direct control over e-mail accounts, because you can add, remove, or change accounts without having to contact your ISP.
  • Central repository of all mail and mailboxes, because you can back up all the mail messages and settings.

If you decide to host e-mail at an ISP later, you can use the Small Business Server Internet Connection Wizard to configure the Exchange 2000 Server as an e-mail gateway. For more information, refer to the previous section.

Hosting Web Sites at an ISP

Although Small Business Server is a full-featured Web server, it is designed primarily to host an intranet site and to manage client access to the Internet. You get the best performance when you host intranet sites on Small Business Server and use an ISP to host your Internet sites. The benefits of hosting your Web site at an ISP include:

  • Greater network bandwidth, because your network does not suffer from the latency generated by frequent Internet requests.
  • Lower hardware costs, because you do not need to purchase additional network resources to support incoming and outgoing network traffic.

To maximize the services provided by your ISP, select a Web-hosting ISP that supports the following features:

  • High-bandwidth connections to your Web site, because an ideal ISP supports both high-speed connections and numerous simultaneous connections.
  • Technical support, preferably 24 hours a day, 7 days a week.
  • Sophisticated reporting, such as total Web site hits, user access listings by domain or IP address, and time-of-day statistics.
  • Secure access to update your content, such as an SSL connection.
  • Sufficient storage space, preferably enough space for future growth.

If you decide to host your Web site on Small Business Server, you must configure ISA Server to accept incoming HTTP requests.

Providing Sufficient Bandwidth for Your Users

As the gateway to the Internet, the Small Business Server Internet connection primarily determines network bandwidth. If you want to provide Internet access and e-mail to all users, consider high-bandwidth Internet connections—such as ISDN, DSL, or cable. To maximize high-bandwidth Internet connections, select an ISP that supports the following features:

  • Business purpose connections, because some ISPs do not support business traffic.
  • Static IP address, because it enables you to use network features such as a virtual private network.
  • Firewalls, because some ISPs do not support user access through firewalls.

As your business grows, it is recommended that you upgrade your Internet connection and change your access policies accordingly.

Related Topics

Small Business Server ISP Information Forms

Using a Virtual Private Network

Using a Dial-up Network


Using Small Business Server as a Gateway

Small Business Server is designed to serve as a gateway between your network and the Internet. When you create an Internet connection from the Small Business Server Internet Connection Wizard, you can provide Internet access to your entire network.

All client computer Internet requests are forwarded to Internet Security and Acceleration (ISA) Server 2000. ISA Server can increase Small Business Server Internet connection speeds by connecting to external sites, caching frequently accessed Internet content, and then forwarding the content to client computers.

Using Small Business Server as a gateway provides the following advantages:

  • Network setup time is reduced.
    • You only need to configure Internet connections from Small Business Server.
    • Client computers are automatically configured to use Small Business Server for Internet connections.
    • You can use the Small Business Server Internet Connection Wizard to quickly and easily set up your network, e-mail, and security features.
  • Improved network security.
    • ISA Server can be configured as a firewall between your internal network and the Internet.
    • There is only a single point of entry to monitor.
  • Greater control over Internet usage.
    • You can create access policies to control Internet content and protocols.
    • Internet efficiency and network performance are improved by using caching.

To use Small Business Server as a gateway, you must first contact your ISP to gather connection information, and then run the Small Business Server Internet Connection Wizard to configure the Internet connection. After you enter the required information in the wizard, it automatically creates the network connection settings.

If you do not use Small Business Server as a gateway, you must configure all your network settings manually. In addition, your network might be in an unprotected state that is vulnerable to security threats.

Related Topics

Small Business Server ISP Information Forms

Configure an Internet Connection


Registering your Domain Name

You must register the domain name of your Small Business Server network before you can access your Web pages and send e-mail over the Internet.

You can contact your ISP to determine whether it registers domain names, or you can register a domain name online through one of several domain name registering services. To review a list of accredited domain name registrars, contact [image] InterNIC. The Accredited Registrar Directory provides a listing—accredited by the Internet Corporation for Assigned Names and Numbers (ICANN)—of domain name registrars that are currently accepting domain name registrations.


Establishing Internet Security

You can establish a secure presence on the Internet by using the following Small Business Server features:

  • Network authentication
  • Network firewall capabilities
  • 5Data encryption

The following sections outline how to maximize these security features. For more information about establishing Internet security, refer to Knowledge Base article Q164882 available on the Internet at:

Microsoft Search

Using Network Authentication

By default, all users must log on to the Small Business Server domain before they can access network resources such as an Internet connection. If you want to grant a user access to the Internet, you must first create a user account and then assign the user to a security group that has Internet access permissions—such as the Small Business Server Users global security group.

After successfully logging on to the Small Business Server domain, users can access Internet services such as Web browsing and e-mail through the Small Business Server network.

Using a Network Firewall

You can use Internet Security and Acceleration (ISA) Server 2000 as a firewall between the Small Business Server network and the Internet. A firewall enables you to deny access to unwanted incoming network traffic and hide IP addresses that are accessed through the internal network.

To configure ISA Server as a network firewall, you must install multiple network adapter cards in the Small Business Server computer. At a minimum, you should have one network adapter to manage internal network traffic and another network adapter to manage external network traffic. For specific recommendations, refer to the Windows 2000 Server Hardware Compatibility List, available on the Internet at:

http://www.microsoft.com/hcl/

For more information about setting up a firewall, refer to Internet Security and Acceleration Server 2000 online Help.

Using Data Encryption

You can use data encryption to protect Web sites that you host on your Small Business Server computer by using the Secure Sockets Layer (SSL) protocol. For more information about using SSL on your Web sites, refer to Secure Sockets Layer Help.

To avoid diminishing the performance of your entire Web site, consider using SSL only for folders that contain highly sensitive information, such as form submissions or credit card information.

Related Topics

Add a User

Using a Virtual Private Network


How To

Small Business Server can serve as a gateway between your network and the Internet. To create and configure Small Business Server as a gateway to the Internet, you can use the following procedures.

Adding Internet Connections

Learn how to connect Small Business Server to an ISP and configure the Small Business Server network to use the ISP.

Connect Small Business Server to an ISP

Configure an Internet Connection

Controlling Internet Access

Learn how to control which Internet sites and protocols users can access.

Control User Access to the Internet

Control User Access to Specific Sites

Optimizing Internet Usage

Learn how to optimize Internet usage with cache sizes and how to generate Internet access reports.

Set Cache Configuration Properties

Generate Internet Access Reports


Connect Small Business Server to an ISP

Before you can provide Internet access to your Small Business Server network, you must create a connection to an ISP. After you have established an ISP connection, you can use the Small Business Server Internet Connection Wizard to provide Internet access permissions to the entire network.

To create a connection to your ISP

  1. Start the Small Business Server Internet Connection Wizard
    From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Internet, and then click Manage Connections from the Details Pane.
  2. Follow the on-screen instructions to enter the contact information for your ISP.

Related Topics

Configure an Internet Connection

Small Business Server ISP Information Forms


Configure an Internet Connection

You can use the Small Business Server Internet Connection Wizard to configure your network to recognize and access your ISP account. After you finish the wizard, all of your client computers and users can access the Internet through the Small Business Server Internet connection.

To configure an Internet connection

  1. Start the Small Business Server Internet Connection Wizard
    From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Internet, and then click Manage Connections from the Details Pane.
  2. Follow the on-screen instructions to select a connection method, an ISP, and e-mail properties.

Related Topics

Connect Small Business Server to an ISP


Control User Access to the Internet

All Small Business Server accounts are members of the BackOffice Internet Users global security group by default. This security group grants access to external networks such as the Internet. You can quickly and easily control user access to the Internet by adding or removing users from this security group, or you can define your own access policies by using Internet Security and Acceleration (ISA) Server 2000, which is included with Small Business Server. You can also create, change, or remove custom access policies by using ISA Server. For more information about custom access policies, refer to the Internet Security and Acceleration Server 2000 Online Help.

To add or remove a user from the BackOffice Internet Users global security group

  1. From the Small Business Server Administrator Console Tree, expand the BackOffice Manager snap-in, and then click Users.
  2. In the Details Pane, right-click the user to whom you want to grant or deny Internet access, and then click Properties.
  3. Click the Member Of tab, and then perform one of the following steps:
    • To add a user to the BackOffice Internet Users global security group, click Add, click BackOffice Internet Users, click Add, and then click OK to confirm the addition.
    • To remove a user from the BackOffice Internet Users global security group, click BackOffice Internet Users, click Remove, and then click Yes to confirm the removal.
  4. Click OK to save the user account information.

    Note If you add or remove users regularly from the BackOffice Internet Users global security group to control Internet access, you might want to consider creating a new user template that is explicitly denied access to the Internet.


Control User Access to Specific Sites

By default, all Small Business Server accounts are members of the Internet Users global security group, which grants them access to all external sites. You can control user access to particular Internet sites by defining your own access policies through Internet Security and Acceleration (ISA) Server 2000, which is included with Small Business Server.

To create a custom array policy

Define Policy Elements

  1. Define the network objects to which you want to allow or deny access.
    • Schedules. Set the time periods during which your firewall rules are active. You can set your firewall rules to be active at all times or only during certain hours.
      Procedures:
      1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand Servers and Arrays, expand the node that lists your server name, expand Policy Elements, and then click Schedules.
      2. On the Action menu, click New, and then click Schedule.
      3. Type a schedule name and description, and then click the boxes next to the days and times during which you want firewall rules to be active.
      4. Click OK to set the schedule.
  • Destination Sets. Define the domain names of other computers on your network or external Web sites. You can allow or deny access to the computers or external Web sites that are listed in a destination set.
    Procedures:
    1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand Servers and Arrays, expand the node that lists your server name, expand Policy Elements, and then click Destination Sets.
    2. On the Action menu, click New, and then click Set.
    3. Type a set name and description, and then click Add.
    4. Type a computer name or IP address range, and then click OK.
    5. Click OK to add the destination set.
  • Client Address Sets. Define the IP addresses of the client computers on your internal network. You can allow or deny access to the Internet based on the IP address of the client computer.
    Procedures:
    1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand Servers and Arrays, expand the node that lists your server name, expand Policy Elements, and then click Client Address Sets.
    2. On the Action menu, click New, and then click Set.
    3. Type a set name and description, and then click Add.
    4. Type the IP address range of the client computers on your network, and then click OK.
    5. Click OK to add the client address set.
  • Protocol Definitions. Define the network protocols that your network uses and recognizes. You can allow or deny access to certain Internet content by restricting the Internet protocols that are recognized and accepted by your firewall.
    Procedures:
    1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand Servers and Arrays, expand the node that lists your server name, expand Policy Elements, and then click Protocol Definitions.
    2. To review a protocol's definition, in the Details Pane, double-click a protocol name.
    3. To add a new protocol definition, from the Console Tree, right-click Protocol Definitions, point to New, and then click Definition to launch the New Protocol Definition Wizard.
    4. Follow the on-screen instructions to complete the wizard.
  • Content Groups. Group files by MIME content type or file extension. You can allow or deny access to certain Internet content by restricting the MIME content-type or file extensions that are recognized and accepted by your firewall.
    Procedures:
    1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand Servers and Arrays, expand the node that lists your server name, expand Policy Elements, and then click Content Groups.
    2. To review a content group's definition, in the Details Pane, double-click a content group name.
    3. To add a new content group, from the Console Tree, right-click Content Groups, point to New, and then click Content Group.
    4. Type a content group name and description. In the Available types list, select a MIME content-type or file extension, and then click Add.
    5. Click OK to add the content group.

    • Note For more information about defining Policy Elements, refer to Internet Security and Acceleration Server 2000 Help.

    Create an Array Policy to allow or deny access to specific sites and content

  • From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand Servers and Arrays, expand the node that lists your server name, expand Access Policy, and then click Site and Content Rules.
  • On the Action menu, click New, and then click Rule to launch the New Site and Content Rule Wizard.
  • Follow the on-screen instructions to complete the wizard.


Set Cache Configuration Properties

The Internet Security and Acceleration (ISA) Server 2000 snap-in allows you to download Internet sites and cache them locally on your Small Business Server. Caching sites often improves and increases user connection speed and the network bandwidth that is available for other Internet connections.

To set cache configuration properties

  1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand the node for your Small Business Server computer, and then click Cache Configuration to display the Configure Caching taskpad in the Details Pane.
  2. To enable caching properties, click Configure Cache Policy, and then click the tab for the caching property that you want to enable. For more information about caching properties, refer to Internet Security and Acceleration Server 2000 Help.
  3. To schedule a content download task, expand Cache Configuration, right-click the Scheduled Content Download Jobs folder, point to New, and then click Job to start the Schedule Content Download Job Creation Wizard. Follow the on-screen instructions to complete the wizard.
  4. To configure available cache drives and their sizes, expand Cache Configuration, and then expand the Drives folder. In the Details Pane, right-click the Small Business Server computer name, and then click Properties. From the list of cache drives, select a drive. In the text box, type a cache file size, click Set to change the cache file size, and then click OK to close the dialog box.


Generate Internet Access Reports

The Internet Security and Acceleration (ISA) Server 2000 snap-in enables you to generate daily summaries and reports about Internet usage.

To enable daily summaries

  1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand the node for your Small Business Server computer, and then expand Monitoring Configuration.
  2. Right-click the Report Jobs folder, and then click Properties.
  3. Click the Log Summaries tab, and then select the Enable Daily and Monthly Summary check box. You can also set the location to save the summary and the length of the summary history.
  4. Click OK to save the new settings.

To enable reports

  1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand the node for your Small Business Server computer, and then expand Monitoring Configuration.
  2. Right-click the Report Jobs folder, and then click Properties.
  3. To enable reports, click the General tab, and then select the Enable Reports check box. You can also set the location to save the reports.
  4. Click OK to save the new settings.

To schedule a report

  1. From the Small Business Server Administrator Console Tree, expand the Internet Security and Acceleration Server snap-in, expand the node for your Small Business Server computer, and then expand Monitoring Configuration.
  2. Right-click the Report Jobs folder, point to New, and then click Scheduled Report.
  3. From the General tab properties page, enter a schedule name and description, and then select the Enable check box.
  4. Click the Period tab, and then click a time period.
  5. Click the Schedule tab, and then select the report generation and recurrence pattern that you want.
  6. Click the Credentials tab, and type the user name and password necessary to view the report.
  7. Click OK to save the schedule.


Troubleshooting Internet Connections

To view a troubleshooting topic, click one of the following links.

Cannot Revert Changes Made to ISP Password

Unable to Access Internet With Internet Connection Sharing

Users Are Prompted for a User Name and Password When Logging on to a Web Site That Has Been Set Up for Anonymous Users

Communications Applications Fail to Connect to the Internet

Unable to Resolve DNS Names


Managing Client Computers

Microsoft® Small Business Server 2000 enables you to set up, configure, and manage the client computers connected to your network. By using the Set Up Computer Wizard, you can add computers to your network and install client applications.

Adding Client Computers

You must add and configure client computers to your network before users can access Small Business Server resources. Small Business Server supports a variety of Microsoft Windows® 2000 Server client operating systems, including Microsoft Windows NT® version 4.0, Windows 95, Windows 98, Windows Me, and Windows 2000. With Small Business Server, you can also support file and print sharing on other client operating systems, such as UNIX®, Linux, and Macintosh®, by installing the proper client service software on the server computer.

Much of the client computer setup process can be automated by using the Set Up Computer Wizard and a Networking Setup Disk. Before adding client computers, it may be helpful to create a network plan that lists client computer names, the applications you want to install, and the user accounts to add to each client.

Figure 1 Adding client computers to Small Business Server

Installing Client Applications

You can use the Set Up Computer Wizard to install client applications on new or existing client computers on your network. This wizard is useful for adding applications that were skipped during the original client setup or for replacing applications that were accidentally removed from a client computer.

Figure 2 Installing applications on client computers from Small Business Server

Related Topics

Managing Remote Connections


Best Practices

Use the following best practices to help you manage client computers and client applications.

Creating a Networking Setup Disk

Using the ClientApps5 Shared Folder to Store Client Applications


Creating a Networking Setup Disk

You can use the Set Up Computer Wizard to create a Networking Setup Disk that can configure all the client computers on your Small Business Server network. The Networking Setup Disk stores all the user names and client computer names that are present on the Small Business Server computer at the time the disk is created.

To reduce the number of configuration steps involved with networking setup, you may want to delay creating the Networking Setup Disk until you have added all the user names and computer account names that you want on your Small Business Server network. You can also update an existing Networking Setup Disk by running the Set Up Computer Wizard again to overwrite the existing list of user names and computer account names.

Related Topics

Connect Client Computers to Small Business Server


Using the ClientApps5 Shared Folder to Store Client Applications

Small Business Server Setup creates the ClientApps5 shared folder, which is where the client applications you selected during setup are installed. You can also use this shared folder to store and distribute additional client applications that you add to your server later.

By default, the ClientApps5 shared folder is located at:

<BackOffice Install Drive>:\ClntApps\ClientApps5

To distribute client applications, you can copy the application files to a shared folder on the Small Business Server computer. You can also use the application's administrative setup to configure product identification information and copy the application to the server. If the application does not have an administrative setup program, copy the application files manually to a shared folder on the Small Business Server computer.

After you have copied a client application to the server, you can configure the Set Up Computer Wizard to include a listing for the new application. The client application will then be listed as an installation option for your client computers.

Related Topics

Customize the Set Up Computer Wizard


How To

Use the following information to manage client computers and client applications.

Connect Client Computers to Small Business Server

Add Software to an Existing Computer

Customize the Set Up Computer Wizard

Disable a Client Computer

Accessing the Client Help Page

Add User Licenses


Connecting Client Computers to Small Business Server

Client computer setup is a two-part process.

  1. Add a computer account or accounts to the Small Business Server network and create a Networking Setup Disk by using the Set Up Computer Wizard.
  2. Use the Networking Setup Disk to configure the network connection between the client computer and the Small Business Server computer.

Note You can configure additional client computers by using the same Networking Setup Disk, provided that you have set up accounts for the additional computers.

After a client computer is connected to the Small Business Server network, you can install client applications on the computer over the network.

To create a Networking Setup Disk

The way you access the Set Up Computer Wizard depends on which Small Business Server management console you use.

  1. Complete one of the following steps:
    • From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Set Up Client Computers, and then click Set Up Computer.
    • From the Small Business Server Personal Console, on the Favorites tab, click Computers, and then click Set Up Client Computer.
  2. Follow the on-screen instructions to configure the computer name, and then select the applications that you want to install on the client computer.
  3. When prompted, insert a formatted floppy disk into your floppy disk drive. This disk is used as your Networking Setup Disk.

Tip If you are adding multiple client computers, you must run the Set Up Computer Wizard for each computer account. Do not create a Networking Setup Disk (step 3) until you add the last computer account.

To connect a client computer to the Small Business Server

  1. Log on to the client computer as an administrator, and then insert the Networking Setup Disk that you created into the floppy disk drive of the client computer.
  2. Run the Setup application found on the Networking Setup Disk to start the Client Network Setup Wizard.
  3. The Networking Setup Disk contains the list of all existing computer accounts on your Small Business Server network from the time the disk was created. Follow the on-screen instructions to select the appropriate client computer name. You can also type a client computer name that is not on the list.

    WARNING A client computer name that is typed manually must match an existing account name on the Small Business Server network. If the client computer name does not exist on the network, the computer will not be connected to the Small Business Server network.

  4. The Networking Setup Disk also contains a list of all existing user accounts on your Small Business Server computer from the moment the disk was created. If the client computer is running Windows 2000 or Windows NT 4.0, the wizard prompts you to select a user account name or names. You may also type a user account name that is not on the list. These user accounts are added to the local Administrators Group and the users can then install applications.

    WARNING Any user account names that you type manually must match an existing account name on the Small Business Server network or the networking setup will fail.

  5. If the client computer is running Windows 2000, the wizard prompts you to type a user account name and password. This account must have permissions to join a client computer to the domain.
  6. When you finish the Client Network Setup Wizard, follow the on-screen instructions to complete the networking setup.
  7. After the networking setup is complete, the client computer can access the Small Business Server network. The next time a user logs on to the client computer, the client applications that you selected will be installed.

Important

  • A client computer must have a physical network connection to run the Networking Setup Disk.
  • Disable any auto-logon programs on the client computer. After completing a client setup, you can then reactivate the auto-logon program and verify that the logon domain, account, and password information are correct.

Related Topics

Add Software to Existing Client Computers


Adding Software to Existing Client Computers

You can add software to client computers by using the Set Up Computer Wizard. To use this wizard you must log on to the server with a user account that has permissions to add, remove, and modify computer objects to and from Active Directory. By default, members of the Small Business Administrators, Small Business Power Users, or Account Operator security groups have these rights.

From the Client Setup Extensibility Wizard, you can add or remove applications from the list of available applications in the Set Up Computer Wizard. By default, this wizard provides only applications that were installed during Small Business Server Setup. You must use the Client Setup Extensibility Wizard to make applications, such as Microsoft Office, available to your client computers.

Use the Set Up Computer Wizard to select which of the available applications to install on a client computer. You can use the Add User Wizard or manually create a logon script that triggers the download of the appropriate software to the client computer the next time a user logs on.

Run the Set Up Computer Wizard

The Set Up Computer Wizard enables you to pick the target client computers and select the applications to be downloaded from the Small Business Server network.

To add software to a client computer

The way you access the Set Up Computer Wizard depends on which Small Business Server management console you use.

  1. Complete one of the following steps:
    • From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, and then click Set Up Client Computers.
    • From the Small Business Server Personal Console, on the Favorites tab, click Computers.
  2. From the Details Pane, click the name of the computer to which you want to add software. Complete one of the following steps:
    • From the Small Business Server Administrator Console, click Add Software to an Existing Computer.
    • From the Small Business Server Personal Console, click Assign Client Software.
  3. Follow the on-screen instructions to select the client computer and applications that you want to install.

Related Topics

Connect Client Computers to Network


Customizing the Set Up Computer Wizard

To distribute applications to client computers, you must customize the Set Up Computer Wizard so that it lists all available applications on the server computer. You can customize the Set Up Computer Wizard by using the Client Setup Extensibility Wizard.

The following sections describe how you can add an application to the Set Up Computer Wizard, using Microsoft Office as an example.

Copy Application Software to the Server

Before you can add an application to the Set Up Computer Wizard, you must copy it to a shared folder on the Small Business Server computer. If the client application (for example, Microsoft Office) has an administrative setup mode, you can perform an administrative setup to install and copy the client application to a shared folder on the server. If the client application does not have an administrative setup mode, you can copy the application files and folders to a shared folder on the server.

To copy application software to the Small Business Server network

  1. In a Small Business Server shared folder, create a destination folder or folders for the client application.

    Example

    Bob at A Datum Corporation wants to deploy Microsoft Office Small Business Edition over his Small Business Server network. Bob uses the Small Business Server Administrator Console to create a new shared folder called Microsoft Office Small Business Edition.

  2. Insert the client application installation floppy disk, compact disc, or digital video disc into the appropriate Small Business Server computer drive, and then perform an administrative installation, if available, or copy the contents of the client application to the destination folder.

    Warning Do not install the client application on the Small Business Server computer unless the application has an administrative setup mode.

For more information about how to copy files and folders, refer to Windows 2000 Help.

Example

Bob inserts Microsoft Office Small Business Edition Disc 1 into the Small Business Server computer (drive E:), and then launches Office setup in administrative mode by using the Run command:

E:\SETUP.EXE \a

The administrative setup enables Bob to customize his copy of Office so that later installations will use the company contact information and product identification number he entered during administrative setup.

Run the Client Setup Extensibility Wizard

After the client application is copied to the Small Business Server shared folder, you can run the Client Setup Extensibility Wizard to edit the application name and setup path.

To run the Client Setup Extensibility Wizard

The way you access the Client Setup Extensibility Wizard depends on which Small Business Server management console you use.

  1. Complete one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, click Computers, click the Tips–Setting Up Client Computers tab in the Details Pane, and then click Define Client Applications.
    • From the Small Business Server Personal Console, click Computers in the Details Pane, and then click Define Client Applications.
  2. Follow the on-screen instructions to type an application name and set the path and install command that is necessary for the client application.

    Note The setup path must be a network path that includes the server name. For example:
    \\servername\application\SETUP.EXE

Important

  • To include a client application in the Client Setup Extensibility Wizard, the application must have a setup procedure that can be called and run by using the command line. Refer to your client application documentation for more information about installation from the command line.
  • You must type an installation command for each operating system from which the application can be run. If you leave the installation path and command blank for a particular operating system, the application will not be installed on client computers that use that operating system.

    Example

    As the primary network administrator for his company, Bob uses the Small Business Server Administrator Console and clicks Define Client Applications, which starts the Set Up Computer Wizard in extensibility mode.

    On the Properties page, Bob clicks Add to launch the Client Setup Extensibility Wizard. When asked for a Display Name for the new application, Bob types Microsoft Office Small Business Edition.

    On the Installation Path and Commands page, Bob types the network path to his Small Business Server (\\ADatumCorp) and to the shared folder (\OfficeSBE) that he created earlier for Microsoft Office. He then types SETUP.EXE as the installation command. The full installation path and command looks like this:

    \\ADatumCorp\OfficeSBE\SETUP.EXE

    After Bob completes the Client Setup Extensibility Wizard, Microsoft Office Small Business Edition appears as an installation option in the Set Up Computer Wizard.

Related Topics

Add Software to Existing Client Computers


Removing a Client Computer

You can remove a client computer by using the Computers taskpad in either of the two preconfigured Small Business Server management consoles. Removed computers can no longer access network resources.

To remove a client computer from the Small Business Server network

  1. Complete one of the following steps:
    • From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, and then click Set Up Client Computers.
    • From the Small Business Server Personal Console, on the Favorites tab, click Computers.
  2. From the Details Pane, select the client computer you want to remove, and then click Remove Client Computer.


Accessing the Client User Guide

Users can access the Client User Guide to view general information about client applications, links to common user functions, and troubleshooting tips.

To view the Client User Guide

  1. Open your browser.
  2. Enter the following URL:
    http://servername/intranet/default.asp
    where servername is the name of your Small Business Server computer.


Adding Client Licenses

You can add client licenses to your Small Business Server installation by purchasing Client Add Packs in increments of 5 users or 20 users. Client Add Packs can raise the total number of client access licenses to a maximum of 50 users. If you need more than 50 user licenses, you must upgrade to BackOffice Server 2000.

To add user licenses

  1. Insert the Small Business Server Client Add Pack disk into the floppy disk drive of the Small Business Server computer.
  2. Start the Client Add Pack Setup
    Click Start, click Run, type a:\SETUP.EXE, and then click OK.
  3. Follow the on-screen instructions to type your Client Add Pack password and add the new user licenses.


Manually Create a Logon Script and Home Folder for a Small Business Server User

If you manually create a user from Active Directory, you must create a logon script and home folder for the user to access all the features of the Setup Computer Wizard.

Note A logon script and home folder is automatically created for users who are added by using the Add User Wizard.

To create a logon script for a Small Business Server user

  1. Click Start, point to Programs, point to Accessories, and then click Notepad.
  2. Create a logon script with the following entry:
    \\servername\Clients\Setup\SBSCLNT.exe \s servername

    where servername is the name of the Small Business Server computer.

  3. From Notepad, click File, click Save As, and then save the logon script as SBS_LOGON_SCRIPT.bat in the following location:
    <system drive>:\<windows folder>\SYSVOL\sysvol\domain\scripts

    where <system drive> is the drive letter where Small Business Server is installed and <windows folder> is the folder where your Windows system files are installed, for example, WINNT.

To configure Small Business Server user properties

  1. Click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Expand the node listing your server name, click the Users folder, right-click the user that you want to configure from the Details Pane, and then click Properties.
  3. Click the Profile tab, and then from the User Profile pane, type SBS_LOGON_SCRIPT.bat in the Logon Script text box.
  4. From the Home Folder pane, click the Connect button, and then type the following path:
    \\servername\users\username

    where servername is the name of your Small Business Server computer and username is the logon name of the user.

  5. Click OK to close the Properties dialog box.

Related Topics

Add a User


Troubleshooting Client Computer Setup

To view a troubleshooting topic, click one of the following links.

Seeing Another User’s Folder on Your Desktop

Unable to Connect a Client Computer to the Mail Server

Client Applications Cannot Be Installed on Client Computers

User Cannot Access the Correct E-mail on a Shared Computer

Client Computer Cannot Join Domain

Cannot Migrate Client Computer to Small Business Server Domain

Client Computer Logon Errors


Server Health and Monitoring

Microsoft® Small Business Server 2000 includes new features that let you monitor the condition of your servers, receive alerts when errors occur, and collect periodic snapshots of system status.

These features include:

BackOffice Home Snap-in

The BackOffice Home snap-in combines new management features and monitoring functionality to provide administrators with summary information about the health of connected servers. The BackOffice Home snap-in appears by default when you open Small Business Server Administrator Console. From the BackOffice Home snap-in, you can access and configure Server Status View and Server Status Reports.

Server Status View

The Server Status View appears each time you open Small Business Server Administrator Console or access the BackOffice Home snap-in. This view provides a current snapshot of critical events, performance counters, and services that you have chosen to monitor.

Server Status Reports

You can configure Small Business Server to send regular reports of the server's status automatically. The reports can include hardware condition, application health, and system performance. After they are generated, Server Status Reports can be sent in e-mail to administrators. When kept on file, these reports provide historical views of server resource use, which you can use to plan future upgrades and required maintenance. By default, Small Business Server sends Server Status Reports as text files, but they can also be attached in Extensible Markup Language (XML) format. You can attach log files to Server Status Reports to provide additional information about server health. The text files can also be faxed.

Health Monitor 2.1 (HealthMon)

Health Monitor 2.1 is designed to provide critical performance information on processes in Small Business Server and Microsoft Windows® 2000 Server. It uses information that is provided by Windows Management Instrumentation (WMI) events, which enables administrators to set critical or warning thresholds.

Related Topics

  BackOffice Home Snap-in

  How To


Introduction to Health Monitor 2.1

Health Monitor 2.1 (HealthMon) is included in Microsoft Small Business Server 2000 as a powerful real-time monitoring tool for administrators. HealthMon centrally collects system data such as system events, performance counters, and service status. The graphical interface enables you to select and display a list of servers in an organization, which provides easy access to several categories of information for each server that you want to monitor.

Administrators can use HealthMon to set critical or warning thresholds, and set up alerts for notification if these thresholds are exceeded.

Data types that you can monitor in Health Monitor 2.1

Data type | Description
Windows Management Instrumentation (WMI) instances, data queries, and event queries | WMI data (such as the amount of available disk space on all drives) and event notification (for example, the creation of a logical disk).
Performance Monitor counters | System-level resources such as the default server, logical disk, memory, paging file, physical disk, and processor.
Microsoft Windows NT events | Hardware, software, system, and Windows events.
Application services and processes | Status of a service or an active process (whether the service or process is running, paused, stopped, or started).
File or folder properties | Name, location, and size of specific files.
Hypertext Transfer Protocol (HTTP) addresses | Specified sites on Web servers (whether the site can be accessed and Web forms are being processed correctly).
Internet Control Message Protocol (ICMP) properties | Systems that can be tested through the ICMP protocol.

HealthMon provides exception-based, real-time status information that is grouped by system-level resources (such as processor, memory, physical disk, and server work queues) and by server applications and processes (such as SQL Server, Exchange Server, and Internet Information Services). A series of thresholds are provided by default, but the administrator can adjust these based on network need.

In response to a problem, HealthMon enables you to customize actions, such as sending alerts by e-mail or pager, writing a problem to a log file, running a script, and executing a command-line action.

For more information about configuring and using HealthMon, refer to Health Monitor Online Help.


BackOffice Home Snap-in

The BackOffice Home snap-in combines new management features and monitoring functionality to manage and display a graphical snapshot of the current health of the server. The BackOffice Home snap-in is loaded by default in the Small Business Server Administrator Console and the Small Business Server Personal Console, but you can also add it to new or existing consoles as with other snap-ins.

The BackOffice Home snap-in provides administrators with two key tools for managing server health.

Server Status View

Server Status View gives administrators of any level a view of the overall health of the servers and the issues that need attention. Administrators can customize the Server Status View to display only those performance counters and services that are critical to the organization.

Server Status View alerts are captured from Health Monitor 2.1. The alerts display server status by using the following icons:

Critical Error

Warning

No Connection

Graphs display performance counter values that are measured by percentage.

Services that are configured to start automatically by default appear in the Server Status View when they are not running. You can monitor additional services by selecting them on the Server Status View Configuration Properties page.

Server Status Reports

In addition to providing Server Status View, the BackOffice Home snap-in can be used to configure Small Business Server to automatically create and send Server Status Reports to administrators by e-mail or fax. You can customize Server Status Reports to include information about hardware condition, application health, and system performance. You can also attach log files to the reports that are sent by e-mail. Log files can help administrators troubleshoot system problems.

You can schedule Server Status Reports to run at any time and at repeated intervals. You can also export reports in XML format.

When kept on file, these reports provide valuable historical information about server usage that you can use to plan upgrades and required maintenance.

Related Topics

Display Server Status View

Customize Server Status View

Configure Server Status Reports

Grant Access to Server Status View


How To

Display Server Status View

Customize Server Status View

Configure Server Status Reports

Send Server Status Report Immediately

Grant Access to Server Status View


Client User Guide

This user guide provides information and instructions for using features provided by Microsoft® Small Business Server 2000.

  • Connecting to the Network. Accessing the Small Business Server network.
  • Using E-mail. How to use Microsoft Outlook® to send messages.
  • Faxing Documents. How to use either Outlook or the Fax Wizard to send faxes.
  • Managing Schedules. How to use the Outlook Calendar to add appointments, arrange meetings, and track events.
  • Using Shared Folders. How to share files on the network.
  • Using Shared Modems. How to connect to shared modems.
  • Establishing Remote Access. How to use a dial-up connection to access the Small Business Server network.
  • Printing Documents. How to connect to printers on the network.
  • Connecting to the Internet. How to connect to the Internet.

Microsoft bCentral™ small business portal offers services to help you start, market, and manage your business on the Web. For more information, refer to the bCentral Web site at:

http://www.bcentral.com


Connecting to the Network

You can log on to the Microsoft® Small Business Server 2000 network and use the files and tools set up for you by your Network Administrator.

When you turn on your computer, you are asked to type your user name and password to connect to the network. When you are connected, you have a desktop designed for you by your network administrator, with access to the tools and files that you need. When your administrator asks you to install new programs, follow the on-screen instructions to compete the installation wizards.

Related Topics

Open the Small Business Server Personal Console

Change Your Windows Network Password


Open the Small Business Server Personal Console

If your network administrator has designated you as a power user or administrator, you may have access to the Small Business Server Personal Console, a simplified server management console.

To open the Small Business Server Personal Console

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In the Address window, type http://servername/myconsole (where servername is the name of your server).
  3. Log on by using your user name and password. The Small Business Server Personal Console opens.


Change Your Windows Network Password

You can change the password you use to log on to the Small Business Server network.

To change your password on a Windows 2000 or Windows NT4.0 Computer

  1. Press CTRL-ALT-DEL to open Windows Security.
  2. Click Change Password.
  3. Type your current password, and then your new password. You must type your new password twice for confirmation.
  4. Click OK.

To change your password on a Windows 95/98 Computer

  1. On the desktop, click Start, point to Settings, and then click Control Panel.
  2. Double-click Passwords.
  3. Click Change Other Passwords.
  4. Click Microsoft Networking, and then click Change.
  5. Type your current password, and then your new password. You must type your new password twice for confirmation.
  6. Click OK.

To change your password on a Windows Me Computer

  1. On the desktop, click Start, point to Settings, and then click Control Panel.
  2. If all Control Panel options are not visible, click View All Control Panel Options.
  3. Double-click Passwords.
  4. Click Change Other Passwords.
  5. Click Microsoft Networking, and then click Change.
  6. Type your current password, and then your new password. You must type your new password twice for confirmation.
  7. Click OK.


Connecting to the Internet

You can gain access to the Internet by using Microsoft® Internet Explorer.

Related Topics

Gain Access to the Internet


Gain Access to the Internet

You can use Internet Explorer to gain access to the Internet, and search for information that will help you to do your job.

To gain access to the Internet

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. Internet Explorer opens to the home page your administrator has selected, with Favorites pointing to useful Web pages.

Note Your administrator can set Internet permissions that enable you to access those parts of the Internet that are relevant to your work.


Using Shared Folders

You can use folders located on other computers in your network, and create shortcuts to them so that you can open them conveniently from your desktop.

Related Topics

View Shared Folders

Create A Shortcut to a Shared Folder


View Shared Folders

You can view the files and folders that you have been given access to by opening My Network Places. You can also access files in the Company folder, and in your personal shared folder, by double-clicking the shortcuts on your desktop.

To view shared folders

  • Right-click My Network Places, and then click Explore.

You can open folders that you have been given access to, and work with them as if they were on your own computer.


Create a Shortcut to a Shared Folder

You should automatically have shortcuts to the Company and Users shared folders. If these shortcuts are accidentally deleted, or if you want to create a new shortcut, you can do the following.

To create a new shortcut to a shared folder

  1. Right-click the client computer desktop.
  2. Point to New and then click Shortcut.
  3. Type the path to the shortcut. For example:

\\servername\company or

\\servername\users\username

(where servername is the name of your server, and username is your user name)

If you do not know the path, click Browse to browse for the correct folder.

  4. Click Next.
  5. Type a name for your new shortcut, and then click Finish.


Printing Your Documents

You can connect your computer to a network printer, print documents, or cancel printing jobs.

Related Topics

Add a Printer

Print a Document

Cancel a Print Job


Print a Document

You can print documents using a printer that your administrator has connected to your network.

To print a document from a Windows-based program

  • On the File menu, click Print, verify that the selections for Printer, Page range, Copies, and Zoom are correct, and then click OK to start the print job.


Add a Printer

You can add a network printer to print your documents and files.

To add a printer

  1. Click Start, point to Settings, click Printers, and then double-click Add Printer.
  2. Click Next. On the Local or Network Printer page of the wizard, select one of the following options:
    • For Windows NT Workstation, select Network Printer Server.
    • For Windows 95/98, select Network Printer.
    • For Windows 2000, select Network Printer.
    • For Windows Me, select Network Printer.
  3. Follow the on-screen instructions to complete the wizard.

To connect to a printer from the Web

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In the Address window, type http://servername/printers (with servername being the name of your server).
  3. Double-click the printer you want to add.
  4. Under the heading Printer Actions, click the link Connect.


Cancel a Print Job

You can cancel a pending print job on your shared printer.

To cancel a print job

  1. Click Start, point to Settings, and then click Printers.
  2. Double-click the printer from which you want to cancel a print job.
  3. Select from the printer queue the print job that you want to cancel.
  4. Click Document, and then click Cancel to cancel the print job.

Note You may not be able to cancel a print job that is at the top of the print queue or is in the process of printing.


Faxing Your Documents

You can send a document or cover page by fax, or print the document to a fax server.

Related Topics

Configure Outlook Fax Options

Send a Fax From a Windows-Based Program

Send a Fax from an E-mail Program

Send a Cover Page Fax

Set the Fax Machine as Your Default Printer

Manage Outgoing Faxes

Manage Incoming Faxes

Customize a Fax Cover Page


Configure Outlook Fax Options

Before you can use Outlook to send a fax message, you must install the Microsoft Shared Fax Mail Transport service.

To install Microsoft Shared Fax Mail Transport

  1. On the Tools menu in Outlook, click Services.
  2. Click Add, select Microsoft Shared Fax Mail Transport, and then click OK to add the service. Click OK again to acknowledge that the service is added.
  3. Click OK to close Services.
  4. From the File menu, click Exit and Log Off to exit Outlook.
  5. When you re-start Outlook, Shared Fax Mail Transport installs.

To configure default properties for faxes sent by Outlook

  1. On the Tools menu in Outlook, click Services.
  2. Click Microsoft Shared Fax Mail Transport, click Properties, and then do one or more of the following:
    • If you want to include cover pages, click Include cover page with faxes, and then click the cover page template that you want to use.
    • If, when sending multiple-recipient faxes, you want to receive a single delivery notification receipt for all recipients, click Single delivery receipt for multiple recipients.
    • If you want to change the default font characteristics, click Set Font.

To change user information on cover pages

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. On the Tools menu, click User Information, select the entry that you want to change, and then type the information as you want it to appear on cover pages.


Send a Fax from a Windows-Based Program

You can send any Windows document as a fax.

To send a fax from a Windows-based program

  1. Open or create the document to be sent as a fax in any Windows-based program that contains a Print command.
  2. On the File menu, click Print, verify that SharedFax on server_name or \\server_name\SharedFax is selected as your printer (The actual name varies depending on how it appears in the Print dialog box), and then click OK to start the Send Fax Wizard.
  3. Follow the on-screen instructions to complete the Send Fax Wizard.

Note In many applications, SharedFax remains the active printer for that application until you select another printer option. Some Windows-based applications can be used to send faxes with Shared Fax Service, but will only print to the computer's default printer. In other applications, the Print dialog box opens the document in a second application from which you can set SharedFax as your printer to send the fax.


Sending a Fax from an E-Mail Program

You can create a fax message and send it by using Outlook, just as you create and send e-mail messages. You can also select multiple fax and e-mail recipients. Messages are sent to e-mail contacts through e-mail; they are sent to fax contacts through Shared Fax Service.

To send a fax from Outlook

  1. Open a new e-mail message in Outlook.
  2. In the To box, type either of the following:
    1. The name of a defined fax contact.
    2. The fax number of a contact who does not appear in your address book. Enter the number as it should be dialed.
  3. In the Subject box, type a subject.
  4. Type the body of the message or attach the document that you want to fax to the recipient, and then click Send.

Note Outlook is compliant with a MAPI client interface, enabling it to work with Shared Fax Service. To determine if Outlook is fax-compatible, open Outlook. On the Help menu, click About Microsoft Outlook. If Corporate or Workgroup appears above the version number, Outlook is MAPI configured. Exchange Server and Outlook 97 are automatically set up as Corporate or Workgroup.


Send a Cover Page Fax

You can send only cover page faxes from the Shared Fax Service Console. These are the simplest faxes to send. You cannot attach documents or files to a cover page fax.

To send a cover page fax from the Shared Fax Service Console

  1. To open the Shared Fax Service Console, click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. Click the New Fax button on the toolbar or, on the File menu, click Send A New Fax. This starts the Send Fax Wizard.
  3. Follow the on-screen instructions to complete the wizard.

Note If you have more than one fax printer installed, you must select a fax printer from a list when you start the sending process. On the Tools menu, click Server Status, or double-click the icon in the status bar.


Set the Fax Machine as Your Default Printer

You can set a fax machine as your default printer, which automatically sends any document you print as a fax.

To set a fax machine as your default printer

  1. Click Start, point to Settings, and then click Printers.
  2. Right-click SharedFax, and then click Set as Default Printer.

Notes

  • After setting SharedFax as your default printer, if you actually want to print a document, remember to return to Printers to select another printer device. Otherwise, the Send Fax Wizard will start each time you try to print.
  • Even if SharedFax is not your default printer, you can still send faxes with Shared Fax Service. Change your active printer to SharedFax in the Print dialog box of the application from which you want to send the fax. In the File menu of the application, click Print. Select SharedFax as your printer.


Manage Outgoing Faxes

You can manage outgoing fax jobs from the Outbox in the Shared Fax Client Console. All outgoing faxes appear in the Outbox of the Shared Fax Client Console. You can view the current status of each fax job in the Status column, the total number of pages, and which page is currently being sent.

To view the outgoing fax queue

  1. Open the Shared Fax Client Console: Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Outbox.

To pause and resume an outgoing fax job

  1. Open the Shared Fax Client Console: Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Outbox.
  3. In the Details Pane, right-click the fax job that you want to pause, and then click Pause.
  4. To resume the transmission of a paused fax, right-click the fax that you want to resume, and then click Resume.

To delete an outgoing fax job

  1. Open the Shared Fax Client Console: Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Outbox.
  3. In the Details Pane, right-click the fax job that you want to delete, click Delete, and then click Yes to confirm.

To delete multiple fax jobs

  1. Open the Shared Fax Client Console: Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Outbox.
  3. In the Details Pane, select the fax jobs that you want to delete (use CTRL to select multiple items), and then click the Delete button on the toolbar.


Manage Incoming Faxes

You can use the Microsoft Shared Fax Client Console to manage faxes as your computer receives them.

To check incoming fax status

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Incoming.
  3. The status of incoming faxes appears in the Details Pane in the Status and Extended status columns.

To view incoming fax properties

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Incoming.
  3. In the Details Pane, right-click the fax that you want to view, and then click Properties.

To delete an incoming or received fax

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Incoming or Inbox.
  3. In the Details Pane, right-click the fax that you want to delete, and then click Delete.

Note If you delete a fax from the Incoming folder, during the receiving stage (when the fax shows an In progress status), senders receive notification of an unsuccessful transmission. If you delete a fax after it was successfully received, but failed to route, senders received notification of a successful transmission despite your having irretrievably deleted it.

To view a received fax

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. In the Console Tree, click Inbox.
  3. In the Details Pane, right-click the fax that you want to view, and then click View.


Customize a Fax Cover Page

Microsoft Shared Fax Client sends a fax cover page that can include your company, name, and other information. You can create, change, and delete fax cover pages.

To create a new cover page

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. On the Tools menu, click Personal Cover Pages.
  3. Click New.
  4. In the Cover Page Editor, use the various tools that you want to create your new cover page template, and then save the template.

Note Newly created cover pages appear in the Personal Cover Pages dialog box and are stored in the default folder.

To add an existing cover page

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. On the Tools menu, click Personal Cover Pages.
  3. Click Add.
  4. Browse to find the folder that contains the .cov file (cover page template) that you want to add to your list, and then select the file that you want.

To change a cover page

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. On the Tools menu, click Personal Cover Pages.
  3. Select from the list the cover page that you want to change, and then click Open.
  4. In the Fax Cover Page Editor, make the changes that you want, and then save the .cov file.

To delete a cover page

  1. Click Start, point to Programs, point to Microsoft Shared Fax Client, and then click Client Console.
  2. On the Tools menu, click Personal Cover Pages.
  3. Select from the list the cover page that you want to delete, click Delete, and then click Yes to confirm.

Note You can save .cov files only in the default folder location.


Using Shared Modems

You can connect your computer to a modem connected to the Microsoft® Small Business Server 2000 network, and use it to contact other computers.

Related Topics

Connecting to a Shared Modem


Connect to a Shared Modem

Small Business Server enables you to share a modem that your administrator has installed on the network with other clients.

To connect a Windows 2000 Professional computer to a shared modem

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Phone And Modem Options.
  3. Click the Modems tab, and then click Add to start the Add/Remove Hardware Wizard.
  4. Follow the on-screen instructions to complete the wizard.

To connect a Windows NT4.0 computer to a shared modem

During client setup, a modem sharing port is installed on your computer. To use this shared port, you must first install a modem and then configure it to use the shared port.

To install a modem

  1. Click Start, point to Settings, click Control Panel, and then double-click Phone and Modem Options.
  2. Follow the on-screen instructions to install a modem. Install the modem that matches the modem attached to the server computer.

To configure a modem sharing port

  1. Click Start, point to Settings, click Control Panel, and then double-click Ports.
  2. Click Add.
  3. Click Modem Sharing Port.
  4. For COM Port Number, accept the default COM port or any available port from the drop-down list.
  5. For Server, accept the default server name.
  6. For Pool, type the name of the modem pool on the server you want to connect to.
  7. Click OK.

To Connect a Windows 95/98 computer to a shared modem

During client setup, a modem sharing port is installed on your computer. This port is connected to the shared modems configured on the Small Business Server computer.

To use the modem sharing port that was configured during client setup

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Add/Remove Programs.
  3. Select Modem Sharing Client for Windows, and then click Add/Remove.
  4. Ensure that Add a Modem Sharing Port is selected, and then click Next.
  5. Type the path to a shared modem on the Small Business Server computer.
  6. Click Finish.
  7. Click OK to close the Add/Remove Programs utility.

To Connect a Windows Me computer to a shared modem

During client setup, a modem sharing port is installed on your computer. This port is connected to the shared modems configured on the Small Business Server computer.

To use the modem sharing port that was configured during client setup

  1. Click Start, point to Settings, and then click Control Panel.
  2. If all Control Panel options are not visible, click View All Control Panel Options.
  3. Double-click Add/Remove Programs.
  4. Select Microsoft Shared Modem Service Client.
  5. Select Add a shared modem service port, and then click Next.
  6. Type the path to a shared modem on the Small Business Server computer.
  7. Click Finish.
  8. Click OK to close the Add/Remove Programs utility.


Establishing Remote Access

You can gain access to the Microsoft® Small Business Server 2000 network from any computer, by using a dial-up connection. Some versions of Microsoft Windows® require that Dial-Up Networking be installed.

Related Topics

Install Dial-up Networking

Create a Dial-Up Connection

Add a Dialing Location


Installing Dial-Up Networking

You may need to install Dial-Up Networking (DUN) on the computer to connect remotely with the server.

To install DUN on a computer running Windows 2000 Professional or Windows Me

If you are running the Windows 2000 Professional or the Windows Me operating system, DUN is installed on the Small Business Server 2000 client computer automatically with the rest of the software.

To install DUN on a computer running Windows NT Workstation

If you are running the Windows NT Workstation operating system, you must install Remote Access Service (RAS) software on the computer before you can remotely connect to the Small Business Server computer or dial-out to the local ISP. You will need the original installation discs for Windows NT.

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Network, and then click the Services tab.
  3. Click Add, and then select Remote Access Service.
  4. Follow the on-screen instructions to complete the installation.
  5. Note You must reapply the most recent Service Pack for Windows NT after installing RAS. For information on Windows NT Service Packs, refer to http://microsoft.com/ntworkstation/.

To install DUN on a computer running Windows 95 or Windows 98

If you are running either the Windows 95 or the Windows 98 operating system, you must install DUN software on the computer before you can connect to the Small Business Server computer remotely or dial-out to the local ISP. You will need the original Windows installation floppy disks or compact discs.

Note For the latest DUN software update, refer to the Microsoft Web site at:
http://www.microsoft.com

For Windows 95, it is recommended that you download the Dial-Up Networking Update. For information about this download, refer to: http://www.microsoft.com/windows95/downloads/contents/WURecommended/S_WUNetworking/dun13win95/Default.asp

  1. Click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Click the Windows Setup tab.
  3. Under Components, select Communications, and then click Details.
  4. In the Communications box, under Components, select the Dial-Up Networking check box, and then click OK.
  5. On the Add/Remove Programs Properties page, click OK.
  6. When asked, insert the original Windows installation floppy disks or compact discs.
  7. The System Settings Change dialog box appears, informing you that the computer must be restarted for the new settings to take effect. Click Yes to restart the computer.


Create a Dial-up Connection

You can set up a connection to dial into your Small Business Server network when you are using a computer that is not directly connected to it.

To create a dial-up connection from a Windows 2000 Professional computer

  1. Click Start, point to Settings, point to Network and Dial-up Connections, and then click Make New Connection to start the Network Connection Wizard.
  2. Follow the on-screen instructions to complete the wizard. You will need the phone number of the network to which you want to connect.
To create a dial-up connection from a Windows Me computer
  • Click Start, point to Settings, point to Dial-up Networking, and then click Make New Connection to start the Network Connection Wizard.
  • Follow the on-screen instructions to complete the wizard. You will need the phone number of the network to which you want to connect.

    • To create a dial-up connection from a Windows NT Workstation computer

    1. On your desktop, double-click the My Computer icon and then double-click the Dial-Up Networking icon.
    2. Do one of the following:
      • If you have not previously created a Phonebook entry, a message appears informing you that the Phonebook is empty. Click OK to start the New Phonebook Entry Wizard.
      • If your Phonebook already contains an entry, click New to start the New Phonebook Entry Wizard.
      3. Follow the on-screen instructions to complete the wizard.

    To create a dial-up connection from a Windows 95 or Windows 98 computer

    1. On your desktop, double-click the My Computer icon and then double-click the Dial-Up Networking icon.
    2. If this is the first time you have activated Dial-Up Networking, the Welcome to Dial-Up Networking page appears. Click Next to start the New Connection Wizard.
    3. If Dial-Up Networking was previously activated, double-click the Make New Connection icon. The Make New Connection page appears.
    4. Follow the on-screen instructions to complete the wizard.


Add a Dialing Location

Dialing locations are used to store specific dialing information about the location you are dialing from, and are used by telephony applications such as Shared Fax Service and Shared Modem Service. Dialing locations can contain dialing rules and calling card information. A dialing location called New Location was created during setup. You can add additional dialing locations.

To add a dialing location for a Windows 2000 Professional computer

  1. Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click the Dialing Rules tab, and then click New.
  3. In the Location name box, type a name for your new dialing location.
  4. In the Country/region list, select your geographical location, and then type your area code in the box provided.
  5. Under Dialing rules, type the numbers that you dial to access outside lines for local calls and for long-distance calls. Leave the boxes blank if this does not apply to you.
  6. If your location uses the call-waiting feature, select the To disable call waiting, dial check box. In the list that appears, select the dialing sequence that disables call waiting. If the list does not contain an appropriate selection, type the applicable dialing sequence in the space provided.
  7. Select either Tone dialing (default) or Pulse dialing.
  8. If you want to use a calling card, click the Calling card tab. In the Card Types list, select the appropriate calling card. If there is no appropriate calling card, click New to create a new entry.
  9. Click OK to save your changes.

To configure a dialing location for a Windows NT Workstation computer

  1. On your desktop, double-click My Computer and then double-click Dial-Up Networking.
  2. Under Phonebook entry to dial, select the phonebook entry you want to configure from the drop-down list.
  3. To rename the default location (displayed under Dialing from), click Location.
  4. In the Location Settings box, click Location list to open the Locations dialog box.
  5. Under New location, replace the selected name with the new location name, click Replace, and then click OK.
  6. If your phone system requires that you dial a prefix to get an outside line, follow the steps below.
    1. Select the appropriate Prefix from the drop-down list. If the prefix you need is not listed, click Prefix list. The Phone Number Prefixes properties page appears.
    2. In the New prefix box, type the dialing sequence for the prefix. You can use commas between numbers to add a brief pause in dialing.
    3. Click Add. You can control where a prefix is displayed in the Prefixes list by selecting it, and then using the UP ARROW or DOWN ARROW keys to reposition it.
  7. If the number you are calling requires additional input to complete the connection, follow these steps to configure a phone number suffix.
    1. Select the appropriate Suffix from the drop-down list. If the suffix that you need is not listed, click Suffix list. The Phone Number Suffixes properties page appears.
    2. In the New suffix box, type the dialing sequence for the suffix. You can use commas between numbers to add a brief pause in dialing.
    3. Click Add. You can control where a suffix is displayed in the Suffixes list by selecting it, and then using the UP ARROW or DOWN ARROW keys to reposition it.
  8. Click OK. The complete number to be dialed appears under Phone number preview.
  9. Click Close.

To configure a dialing location for a Windows 95, Windows 98 or Windows Me computer

  1. On your desktop, double-click My Computer and then double-click Dial-Up Networking.
  2. Double-click the connection icon you want to configure.
  3. Click Dial Properties.
  4. After you have finished changing dial properties, click OK, and then close the dial-up connection.


Connecting to Small Business Server by a Virtual Private Network

To configure a client computer to use a virtual private network (VPN) connection to the Small Business Server computer, refer to the appropriate section below.

To configure a VPN connection, you must obtain the following information from your Small Business Server network administrator:

  • Your Small Business Server computer host name or IP address (for example, adatumcorp.com or 192.168.42.1)
  • Your ISP contact information
  • The authentication method used to connect to your Small Business Server computer

Windows 2000 Professional

To make a VPN connection

  1. Click Start, point to Settings, and then click Dial-up Connections.
  2. Double-click Make New Connection, and then click Next.
  3. Click Connect to a private network through the Internet, and then click Next.
  4. Click Do not dial the initial connection, and then click Next.
  5. Type the host name or IP address of the Small Business Server computer to which you are connecting, and then click Next.
  6. Select the connection availability option that you want to use, as follows:
    • For all users. All users logged on to the Windows 2000 Professional computer can use the VPN connection.
    • Only for myself. Only the current user can use the VPN connection.
  7. Type a name for the connection, and then click Finish.

Windows NT Workstation 4.0

To establish a VPN connection across the Internet, you must first install the Point-to-Point Tunneling Protocol (PPTP) on the computer running Windows NT Workstation 4.0.

To install PPTP

  1. Click Start, point to Settings, click Control Panel, double-click Network, and then click the Protocols tab.
  2. Click Add, select Point To Point Tunneling Protocol, and then click OK. Windows may ask you for the driver disk. Use your Windows NT 4.0 Workstation installation disk to find the PPTP driver.

    Note To install PPTP, you must have installed Windows NT 4.0 Service Pack 3.0 or later.

  3. After the protocol is loaded, Remote Access Services (RAS) Setup is invoked. You must add at least one VPN port as a port in RAS Setup. You can install up to 256 VPN ports. Each VPN can be connected to a network.

    To add a RAS device

    1. Click Add.
    2. In the RAS Capable Devices list, select a device.
    3. Click OK to close the Add RAS Device dialog box.

    To configure a RAS device

    1. Click Configure.
    2. Select a port usage: Dial-out only, Receive calls only, or Dial-out and receive calls.
    3. Click OK to close the dialog box.

    To specify network protocols used by a RAS device

    1. Click Network.
    2. Select the network protocols used by your VPN: NetBEUI, TCP/IP, or IPX.
    3. Click OK to close the dialog box.
  4. Reapply your Windows NT 4.0 Service Pack, and then restart the computer.

To set up a VPN connection to the Small Business Sever network

  1. Double-click My Computer, double-click Dial-up Networking, and then click New to create a new phonebook entry for the Small Business Server computer.
  2. Configure your VPN phonebook entry by completing the following steps.
    1. Click the Basic tab, and then configure the following properties.
      • Entry Name. Type a label to identify your VPN connection.
      • Phone Number. Type the IP address or host name of your Small Business Server computer. For example, type:
      adatumcorp.com

      or

      192.168.42.1
      • Dial Using. Select the VPN port that is used to connect to your Small Business Server computer. For example, RRASPPTPM (VPN1).
    2. Click the Server tab, and then configure the following properties.
      • Dial-up Server Type. Select PPP.
      • Network Protocols. Select the TCP/IP check box.
      • TCP/IP Settings. Select dynamic or static IP addresses for your connection and Name Server depending on your Small Business Server network configuration.
    3. Click the Security tab, and then configure the following properties.
      • Authentication and Encryption Policy. Select Accept only encrypted authentication.

    Note After you have a phonebook entry set up, to check and modify phonebook settings, click More, and then click Edit Entry And Modem Properties.

  3. Dial your ISP to make your connection to the Internet.
  4. While you are still connected to your ISP, dial-out to the Small Business Server computer to establish the PPTP connection.

Note You will have two dial-up connections open at the same time.

Windows Me

To install the Microsoft VPN adapter

  1. Click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Click the Windows Setup tab, select the Communications component, and then click Details.
  3. Select the Virtual Private Networking component, and then click OK to close the details window.
  4. Click OK to install the component. You will be asked to restart your client computer.

To set up a VPN connection to the Small Business Sever network

  1. Click Start, point to Settings, click Control Panel, and then double-click Dial-Up Networking.

If you do not see the item that you want, click View all Control Panel options, and then double-click the item.

  2. Double-click Make New Connection.

If this is your first Dial-Up Networking (DUN) connection, you will be asked to make a new connection.

  3. Follow the on-screen instructions to complete the Make New Connection Wizard.
  4. In the Select a Device list, click Microsoft VPN Adapter, and then click Next.
  5. In the Host Name or IP Address box, type the name or IP address of the Small Business Server. For example, type:

adatumcorp.com

or

192.168.42.1

If you do not know the name or IP address of the virtual private networking server for your network, contact your system administrator.

  6. Click Next, and then click Finish.

Note To create a VPN connection across the Internet, you must also create a DUN connection to your Internet access provider.

Windows 98

To install the Microsoft VPN adapter

  1. Click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Click the Windows Setup tab, select the Communications component, and then click Details.
  3. Select the Virtual Private Networking component, and then click OK to close the details window.
  4. Click OK to install the component. You will be asked to restart your client computer.

To set up a VPN connection to the Small Business Sever network

  1. Double-click My Computer, double-click Dial-Up Networking, and then click Make New Connection.

If this is your first DUN connection, you will be asked to make a new connection.

  2. In the Select a Device list, click Microsoft VPN Adapter, and then click Next.
  3. In the Host Name or IP Address box, type the name or IP address of the Small Business Server. For example, type:

adatumcorp.com

or

192.168.42.1

If you do not know the name or IP address of the virtual private networking server for your network, contact your system administrator.

  4. Click Next, and then click Finish.

Note To create a VPN connection across the Internet, you must also create a DUN connection to your Internet access provider.


Using E-mail

You can send and receive e-mail through the Internet, or between users on your network, by using Microsoft® Outlook® 2000.

You can also access Outlook email and other features through the Web, using your Microsoft Internet Explorer. You can reach Outlook Web Access at http://servername//exchange, where servername is the name of your server.

Related Topics

Send a Message

Change a Distribution Group


Send a Message

Using Outlook, you can send an e-mail message to another user on your network or on the Internet.

To send an e-mail message

  1. Click Start, point to Programs, and then click Microsoft Outlook.
  2. On the Tool Bar, click New. A new untitled mail message form opens on your screen.
  3. To address a message to primary or carbon copy recipients, type the names of the recipients in the To or Cc boxes. Separate multiple names with semicolons (;). Press the TAB key to move to the next entry box.
  4. The Subject is an optional entry. You can type a brief subject line in the box to provide a summary of your message.
  5. Type your message in the area below the Subject box.
  6. To attach a file to your message, on the Insert menu, click File. A browse box appears in a new window. Select the file that you want to attach to your message and then click OK.
  7. To send the message, click Send.
  9. If Microsoft Instant Messaging is available to you, you can also send and receive instant messages from other users on your network. This can be a helpful way to exchange information with your colleagues in real time.

You can also access Outlook email and other features through the Web, using your Microsoft Internet Explorer. Outlook Web Access can be accessed at http://servername//exchange, where servername is the name of your server.


Change a Distribution Group

Follow these steps to change (modify) a distribution group from your computer. You must have the appropriate access rights before you can make changes.

To change a distribution group

  1. Click Start, point to Programs, and then click Microsoft Outlook.
  2. Click the Tools menu and then click Address Book.
  3. From the Global Address List or your personal address list, double-click the distribution group (DG) to be modified.
  4. Click Modify Members.
  5. Modify the list by adding or removing names as needed.
  6. Click OK twice.
  7. Close the Address Book.


Managing Schedules

You can create appointments, schedule meetings, and schedule all-day events by using Microsoft® Outlook®.

You can also access Outlook scheduling and other features through the Web, using your Microsoft Internet Explorer. You can reach Outlook Web Access at http://servername//exchange, where servername is the name of your server.

Related Topics

Create an Appointment

Schedule a Meeting

Create an Event


Schedule an Appointment

You can use Outlook to schedule appointments. Appointments are activities that you schedule in your Calendar that do not involve inviting other people or reserving resources.

To schedule an appointment

  1. Click Start, point to Programs, and then click Microsoft Outlook.
  2. On the File menu, point to New, and then click Appointment.
  3. In the Subject box, type a brief message about your appointment.
  4. In the Location box, enter the location of your appointment.
  5. Select the start date and time, and then select the end date and time, or to set aside the entire day, select the box labeled All day event.
  6. If you want to be reminded of your appointment, select the box labeled Reminder and then select the reminder interval that you want.
  7. Select Free, Tentative, Busy, or Out of Office to indicate how you want the appointment to be labeled in the Calendar.
  8. Type a note to yourself in the message window.
  9. Click Save and Close to save your appointment.

You can also access Outlook scheduling and other features through the Web using your Microsoft Internet Explorer. You can reach Outlook Web Access at http://servername//exchange, where servername is the name of your server.


Schedule a Meeting

You can use Outlook to create and send meeting requests and reserve resources for face-to-face meetings or for online meetings.

To schedule an meeting

  1. Click Start, point to Programs, and then click Microsoft Outlook.
  2. On the File menu, point to New, and then click Meeting Request.
  3. In the To box, type the names of individuals that you want to attend the meeting. Separate names with a semicolon (;).
  4. The Subject box is an optional entry. You can type a brief subject line in the box to provide the subject of the meeting.
  5. The Location box is an optional entry. You can enter the location of the meeting.
  6. Select the start date and time, and then select the end date and time, or to set aside the entire day, select the box labeled All day event.
  7. If you want to be reminded of your meeting, select the box labeled Reminder, and then select the reminder interval that you want.
  8. Select Free, Tentative, Busy, or Out of Office to indicate how you want the meeting to be labeled in the Calendar.
  9. Type a note in the message window to add more information about the meeting.
  10. Click the Attendee Availability tab to view the schedules of the requested attendees. If the meeting times you requested conflict with events already scheduled for any of the attendees, click AutoPick to let the Calendar function find the nearest available time period for all requested attendees.
  11. To add attendees to the meeting, click Invite Others and select names from the address list.
  12. Click Send to send the meeting request to all requested attendees. As attendees respond, their free/busy status is updated with the dates and times for your meeting.

To check the status of all attendees

  1. Click the Calendar icon, and then double-click the meeting request that you want to check. The Appointment and Meeting Planner window opens, displaying the details of the meeting.
  2. Click the Attendee Availability tab to display the response from each attendee.

You can also access Outlook scheduling and other features through the Web using your Microsoft Internet Explorer. You can reach Outlook Web Access at http://servername//exchange, where servername is the name of your server.


Create an Event

You can use Outlook to create events on your Calendar that mark upcoming activities such as a trade show, a vacation, or a seminar.

To create an event

  1. Click Start, point to Programs, and then click Microsoft Outlook.
  2. On the View menu, point to Go to and then click Calendar.
  3. On the Actions menu, click New All Day Event.
  4. In the Subject box, type a brief message about the event.
  5. In the Location box, enter the location of the event.
  6. By default, the All day event check box is selected. You can clear this check box and select the specific start and end periods in the boxes provided.
  7. If you want to be reminded of your event, select the box labeled Reminder and then select the reminder interval that you want.
  8. Select Free, Tentative, Busy, or Out of Office to indicate how you want the event to be labeled in the Calendar.
  9. Type a note to yourself in the message window.
  10. Click Save and Close to save the event.

You can also access Outlook scheduling and other features through the Web using your Microsoft Internet Explorer. You can reach Outlook Web Access at http://servername//exchange, where servername is the name of your server.


Troubleshooting Microsoft Small Business Server 2000

This section contains links to information about general troubleshooting issues. Click a link to view related information.

Small Business Server 2000 Release Notes

The Small Business Server 2000 Release Notes contain last-minute information about setup and integration issues.

Small Business Server Troubleshooters for Messaging and Network Access

Small Business Server Troubleshooters help you diagnose and solve common technical problems that are occurring with your computer. When you start a troubleshooter, you must answer a series of questions about the problem you are having.

Troubleshooting by Task

Click the following links to view available troubleshooting topics by task.

  • Users
  • Shared Folders
  • E-mail
  • Remote Connections
  • Backup
  • Internet Connections
  • Network Connectivity

Troubleshooting by Component

Click the following links to view available troubleshooting topics by component.

  • Shared Fax Service
  • Shared Modem Service
  • Printers
  • Client Computer Setup
  • Server Setup
  • Server Health and Monitoring

Small Business Server Information Roadmap

The Small Business Server Information Roadmap is your guide to resources for both learning and running Microsoft Small Business Server 2000.


Troubleshooting by Task

To view a list of available troubleshooting topics, click one of the following links.

Troubleshooting Users

Troubleshooting Shared Folders

Troubleshooting E-mail

Troubleshooting Remote Connections

Troubleshooting Internet Connections

Troubleshooting Network Connectivity

Troubleshooting Backups

Troubleshoot by Component


Troubleshooting Network Connectivity

To view a troubleshooting topic, click one of the following links.

Exchange Server Reports Errors Starting Services


Troubleshooting by Component

To view a list of available troubleshooting topics, click one of the following links.

Microsoft Shared Fax Service

Modems

Printers

Client Computer Setup

Server Setup

Server Health and Monitoring

Troubleshoot by Task


Troubleshooting Modems

To view a troubleshooting topic, click one of the following links.

Problems Dialing Out Using a Shared Modem

Modem Doesn’t Hang Up

Modem Dials Randomly


Troubleshooting Server Setup

To view a troubleshooting topic, click one of the following links.

The Courier V. Everything Modem Is Unable to Dial Out after a Server Upgrades

Unable to Locate the Web Publishing Wizard


Troubleshooting Server Health and Monitoring

To view a troubleshooting topic, click one of the following links.

Processor Monitoring

Memory Monitoring

Disk Monitoring

File System Monitoring

System Monitoring

Security Monitoring

Network Monitoring

Changes Made to Home Snap-in Server Status View Not Saved


Worldwide Subsidiaries

For information on support available in your country or region, contact the Microsoft subsidiary nearest you.

For information on support available in the United States and Canada, see Getting Help from Microsoft Product Support Services

in the Small Business Server 2000 Planning and Installation guide.

Important Phone numbers for Microsoft subsidiaries are subject to change. For the most recent listing, please visit http://support.microsoft.com/directory and select Worldwide Support on the menu bar. If there is no Microsoft subsidiary office in your country or region, please contact the establishment from which you obtained your Microsoft product.

Argentina

Microsoft de Argentina S.A.

Fax: (54-11) 4316-1922

Customer Service: (54-11) 4316-4600

Technical Support Phone (54-11) 4316-4664

Armenia

See Russia

Australia

Microsoft Pty. Ltd.

Phone: 13 20 58

Fax: 612 9023 5021

Technical Support Phone: 13 20 58

Austria

Microsoft Ges.m.b.H.

Phone:(+43) 1 610 64 -0

Fax: (+43) 1 610 64 -200

InfoServices: 08000-123 345, Fax: +43-2236-64595, InfoService@microsoft.at

Direct Services (Updates, etc.): +43-1- 795 67028, Fax: +43-1-795 67029,austria@msdirectservices.com

Standard Support (Installation and Handling): +43-1-50222-2255

Azerbaijan

See Russia

Belgium

Microsoft NV

Phone: +32 2 7043000

Fax: +32 2 7043535

TechNet Subscription: +353 1 703 8738

MSDN Subscription: +32 2 5138684

Microsoft Information Center: +32 2 5133113

Technical Support:

· +32 2 513 32 74 (Dutch speaking)

· +32 2 502 34 32 (English speaking)

· +32 2 513 22 68 (French speaking)

Belarus

See Russia

Bolivia

See Uruguay

Brazil

Microsoft Informatica Ltda.

Phone: (55) (11) 5514 - 7100

Fax: (55) (11) 5514 - 7106/5514-7107

Technical Support:

· Phone: (55) (11) 5504-2155

· Fax: (55) (11) 5504-2227

· Automatic Fax: (55) (11) 5506-8506

· Bulletin Board Service: (55) (11) 5506-1234

Customer Services: (55) (11) 822-5764

Customer Services Fax: (55) (11) 822-6227

Canada

Microsoft Canada Co.

Head Office Phone: 1 (905) 568-0434

Customer Information Centre: 1 (800) 563-9048

Technical Support:

· Desktop Systems including Microsoft Windows 95: (905) 568-4494

· Microsoft Office and Office Components: (905) 568-2294

· Other Standard Technical Support: (905) 568-3503

· Priority Support Information: (800) 668-7975

· Text Telephone (TTY/TDD) (905) 568-9641

Caribbean

Microsoft Caribbean, Inc.

Phone: (809) 273-3600

Fax: (809) 273-3636

Technical Support/Soporte Tecnico: (408) 953-8086

Support E-mail/Correo Electronico para Soporte Tecnico: mscasup

Customer Service/Centro de Servicios: (800) 297-5982 for area codes 787 & 809 only

Customer Service E-mail/Correo Electronico para Atencion a Usarios: msccatus

Central America

Technical Support/Soporte Tecnico: (506) 298-2020

Support E-mail/Correo Electronico para Soporte Tecnico: mscasup

Customer Service/Centro de Servicios: (506) 298-2000

Customer Service E-mail/Correo Electronico para Atencion a Usarios: mscarsup

Chile

Microsoft Chile S.A.

Phone: 56-2-330-6000

Fax: 56-2-330-6190

Customer Service: 56-2-800-330600

Personal Operating System and Applications:

· Phone: 56-2-330-6222

· Fax: 56-2-341-1439

China

Microsoft (China) Co. Ltd

6/F, Beijing Sigma Center

No. 49, Zhichun Road, Haidian District

Beijing, 100080, PRC

Phone: 011-86-10-6261 7711

Fax: 011-86-10-6253 6630

Microsoft Asia Regional Engineering Center

19th - 20th Floor, Metro Tower

No. 30 Tian Yao Qiao Road,

Shanghai, 200030, P.R.C.

Phone: 011-86-21-64691188/ 011-86-21-6469 8899

Fax: 011-86-21-6469 1166 / 011-86-21-6469 9900

Colombia

Microsoft Colombia

Carrera 7a. # 71-21 Torre B Piso 7

Santa Fé de Bogotá

Phone: (571)3173838

Fax: (571) 3173494

Technical Support:

Línea de Respuesta Bogota

Phone: 524-0404

Other cities: 9800-10595

Fax: (091) 524-0405

Croatia

Microsoft Hrvatska d.o.o.

Trg D. Petrovica 3

10 000 Zagreb

Croatia

Phone: 385 1 4802 500

Fax: 385 1 4843 688

Product Support Phone Number 385 1 393539, e-mail: hot-line@microsoft.hr

Customer Service + 385 0800 300 300, e-mail: info-line@microsoft.hr

Czech Republic

Microsoft s.r.o.

Phone (+420) (2) 611 97 111

Fax: (+420) (2) 611 97 100

Technical Support: (+420) (2) 2150 3222

Denmark

Microsoft Denmark

Phone: (45) (44) 89 01 00

Fax: (45) 44 68 55 10

Technical Support:

· Phone: (45) 44 89 01 11

· Microsoft Sales Support: (45) 44 89 01 90

· Microsoft FastTips: (45) 44 89 01 44 (Document 303030 in FastTips contains detailed instructions)

· Microsoft MSDL (BBS): (45) 44 66 90 46

Dominican Republic

See Central America

Dubai

Microsoft Middle East

Phone: (971) 4 3973888

Fax: (971) 4 3972244

Technical Support (Personal Operating Systems & Desktop Applications only):

Phone: (971) (4) 3975443

Fax: (971) (4) 3972304

E-mail: mswsgulf@microsoft.com

Customer Service Center (Version upgrade / TechNet and MSDN subscription):

Phone: (971) (4) 3975752

Fax: (971) (4) 3972304

Ecuador

Corporation Microsoft del Ecuador S.A.

Phone/PBX: (593 2) 460453

Fax: (593 2) 463093

Customer Service: (593 2) 258025

Technical Support: (593 2) 258025

Egypt

Technical Support (Personal Operating Systems & Desktop Applications, and Development Tools “Installation ONLY”):

Tel no.: 202 - 338 8724

202 - 338 9794

Fax: (202) 360 4976

E-mail: mssupport@gbrands.com

England

See United Kingdom

Estonia

Technical Support: (+372) 650 49 99

Finland

Microsoft OY

Phone: +358-(0)9-525 501

Fax: +358-(0)9-878 8770

Technical Support:

· Phone: +358-(0)9-525 502 5026

· Standard +358 (0) 9-525-502-500

· Priority: +358 (0) 9-525-502-20

France

Phone: (011)(33) 825 827 829 (*)

Customer Svc. Phone: (011)(33) 0 825 827 829 (*)

Fax: (33) 01 64-46-06-60

Telex: MSPARIS 604322

Customer Svc. Phone: (011)(33) 0 825 827 829 (*)

Technical Support Phone: (011)(33) 825 827 829 (*) access code 1020

Technical Support Fax: (011)(33) 1 69 28 00 28

(*) indigo number 0,99 F TTC per minute

French Polynesia

See France

Georgia

See Russia

Germany

Microsoft GmbH

Phone: 089/3176-0

Fax: 089/3176-1000

Telex: (17) 89/83 28 MS GMBH D

Information: 089/3176 1199

Prices, updates, etc.: 01805 / 25 11 99

Standard Support (Installation and Handling): 01805/67 22 55

General information about Microsoft Support in Central Europe: Fax: 1805-25-1191

Greece

Microsoft Hellas, S.A.

Phone: (30)(1)6806-775 through (30)(1)6806-779

Fax: (30)(1)6806 780

Technical Support:

· Phone: (30) (1) 6806111

· Fax: (30) (1) 6809528

Gulf & Eastern Mediterranean

PO Box 52244

Dubai, UAE

Tel: 971 4 3973888

Fax: 971 4 3972244

Personal Support Contact Details: (Personal Operating Systems & Desktop Applications ONLY)

Gulf (Bahrain, Malta, Qatar and United Arab Emirates)

Phone - 971 4 3975443

Fax - 971 4 3972304

E-Mail = mswsgulf@microsoft.com

Lebanon (Cyprus and Lebanon)

Phone - 961 1 983348

Fax - 961 1 983349

E-Mail = mts@lebanon-online.com.lb

Oman

Phone - 968 691191

Fax - 968 698568

E-Mail = mspss@gto.net.om

Pakistan

Phone: 92 21 111 674357

Fax: 92 21 4533370

E-mail: mssupport@nets.net.pk

Customer Service Center (Version upgrade / TechNet and MSDN

subscription):

Phone: (971) (4) 3975752

Fax: (971) (4) 3972304

Hong Kong SAR, PRC

Microsoft Hong Kong SAR, PRC Limited

Fax: (852)2560-2217

Microsoft Information Hotline: (852)2804-4234

Personal Technical Support: (852) 2804-4222

Professional Technical Support: (852) 2804-4288

Hungary

Microsoft Hungary

Phone: (+36) (1) 437-2800

Fax: (+36) (1) 437-2899

Customer Services: (+36) (1) 267-4636 (2MSINFO)

Technical Support: (+36) (1) 267-7846 (2MSSUGO)

Iceland

See Denmark

India

Microsoft India

Phone: (91) (80) 559-5733, (91) (11) 6294600,6294601 , (91) (22) 2850193

Fax: (91) (80) 559-7133, (91) (11) 629-2650

Indonesia

Microsoft Indonesia - Jakarta

Technical Support:

· Phone: 62 21 570 42 54

· Fax: 62 21 520 81 22

Ireland

Technical Support:

Phone: 706 5353

See United Kingdom

Israel

Microsoft Israel Ltd.

Reception:

Phone: +972-9-952-5353

Fax: +972-9-952-5333

Customer Service & Information Center:

Phone: +972-9-9525400

Fax: +972-9-9525411

Technical Free Support for Windows, Office and Microsoft Fun:

Phone: +972-9-9525400

Fax: +972-9-9525403

Italy

Microsoft Srl

Phone: (39) (2) 70-398-398

Fax: (39) (2) 7039-2020

Microsoft Rome Office: (39) (6) 5095-01 - Fax: (39) (6) 5095-0600

Customer Service (New product info, product literature): (39) (2) 70-398-398

Operatori del Settore IT (Customer Service for IT): (39) (2) 70-398-398

Technical Support: (39) (2) 70-398-398

Microsoft Consulting Service: (39) (2) 70-398-398

Japan

Microsoft Company Ltd.

Technical Support (Standard Support): (81) (3) 5354-4500

Technical Support options/ Support Contract: (81) (3) 5354-4700

Channel Marketing Information Center (Presales Product Support):

· Tokyo Phone: (81) (3) 5454-2300

· Osaka Phone: (81) (6) 6245-6995

Customer Service Phone (Version upgrade/Registration):

· Phone: (81) (48) 226-5500

· Fax: (81) (48) 226-5511

Kazakhstan

See Russia

Kingdom of Saudi Arabia

Phone: +966-1-488-1165

Fax: +966-1-488-1576

Technical Support (Personal Operating System and Desktop Applications only):

· Phone: 800 124 0500 (toll free within Saudi Arabia)

· Fax: 966-1-4740576

Kyrgyzstan

See Russia

Korea

Microsoft CH

Phone: (82) (2) 531-4500

Fax: (82) (2) 531-1724

Game and Hardware Service Center: 080-645-1000 (toll free domestic only)

Customer Satisfaction Center: 080-985-2000 (toll free domestic only), (82) (2) 558-8161

Technical Support Center: (82) (2) 508-0040

Microsoft FastTips: (82) (2) 3453-7555

Support Sales: (82) (2) 531-4544

Internet: http://www.microsoft.com/korea/support/default

Kuwait

PO Box 5244

13053 Safat

Tel: +965-243-0248

Fax: +965-243-0249

Technical Support (Personal Operating Systems, Desktop Applications and Developer Tools ONLY):

Tel: +965-243-1071

Latin America

Microsoft Latin American Headquarters (U.S.A.)

Phone: (305) 489-4800

Fax: (305) 491-1616

Customer Service: (425) 936-8661

Technical Support: (214) 714-9100

Liechtenstein

See Switzerland

Luxembourg

Microsoft NV

Phone: +32 2 730 39 11

Microsoft Support Network Info. Center +31-800-9977-57

TechNet Subscription: +353-1-703 8738

MSDN Subscription: +353-1-708-8690

Microsoft Information Center: +32-2-481 52 52

Bulletin Board: +32 2 726 85 45 (1200/2400/9600/14400 bd, 8N1, ANSI)

Technical Support:

· +32 2 513 32 74 (Dutch speaking)

· +32 2 502 34 32 (English speaking)

· +32 2 513 22 68 (French speaking)

See also Luxembourg

Malaysia

Microsoft (Malaysia) Sdn Bhd:

Phone: +6 (03) 757-2266

Fax: +6 (03) 757-2265

Customer Services:

· Phone: Toll-free - 1-800-88-3249

· Fax: +6 (03) 758-5011

Technical Support:

· Phone: +6 (03) 793-9595

· Fax: +6 (03) 295-2065

México

Microsoft México, S.A. de C.V.

267-2110 Atencion a Distribuidores

265-3380 Atencion a Clientes

265-3399 Soporte Sistemas Operativos y Applicaciones de Escritorio

267-2190 Soporte de Servidores y Herramientas de Desarrollo

Fast Tips: (52)(5) 2612199

Microsoft BBS 628-6200/02 MSMEXICO sin password

See also México

Middle East

Microsoft Middle East

Phone: (971) 4 397 3888

Fax: (971) 4 397 2244

Technical Support (Personal Operating Systems & Desktop Applications ONLY):

· Phone: (971) (4) 397 5443

· Fax: (971) (4) 397 2304

· E-mail: mswsgulf@microsoft.com

Customer Service Center (Version upgrade / TechNet and MSDN subscription):

· Phone: (971) (4) 299 5082

· Fax: (971) (4) 299 5097

Morocco

Microsoft Afrique du Nord et de l'Ouest

Phone: (212) 2 95 80 80

Fax: (212) 2 95 85 85

Netherlands, The

Jaar 2000 informatie centrum

Netherlands: (020) 5001033

Belgium: +32-2 7043000

Luxemburg: +32-2-5139979

Support and Services

Product Support:

· Netherlands (Dutch): (020) 5001005

· Netherlands (English): (020) 5001053

· Belgium (Dutch): +32 2 513 31 13

· Belgium (French): +32 2 513 22 68

· Belgium (English): +32 2 502 34 32

· Luxemburg (French): +32 2 513 2268

· Luxemburg (English): +32 2 502 3432

Microsoft Consulting Services Benelux

Netherlands, Belgium and Luxemburg: +31 (0)20 5001005

Information Services and Subscriptions

TechNet

· Netherlands: (020) 5001035

· Belgium: +32 2 5022176

· Luxemburg: +32 2 5022176

Microsoft Developer Network

· Netherlands: (020) 5001037

· Belgium: +32 2 5138684

· Luxemburg: +32 2 5138684

New Zealand

New Zealand

Microsoft New Zealand Ltd

Phone: 64 (9) 357-5800

Fax: 64 (9) 357-0868

Technical Support:

* Phone: 64 (9) 357-5575

* Fax: 64 (9) 357-5577

Northern Ireland

See United Kingdom

Norway

Microsoft Norway AS

Phone: +(47) 22 02 25 00

Fax: +(47) 22 95 06 64

Technical Support:

· Standard: + (47) 22 02 25 50

· Priority: + (47) 22 02 25 45

· Premier: + (47) 22 02 25 46

Microsoft Sales Support: +(47) 22 02 25 80

Microsoft MSDL: +( 47) 22 18 22 09

Microsoft FastTips: + (47) 22 02 25 70 (Document 404040 in FastTips contains detailed instructions)

Panama

Technical Support/Soporte Tecnico: (506) 298 2020

Support E-mail/Correo Electronico Para soporte tecnico: mscasup

Customer Service/Centro de Servicios: (506) 298 2000

Customer Service E-mail/Correo Electronico para Atencion a Usuarios: msccatus

Papua New Guinea

See Australia

Paraguay

See Uruguay

Perú

Phone: (511) 421-1200

Fax (511) 4217307

Technical Support:

(511) 2155002 & (511) 2155005

Philippines

Phone: (632) 811-0062

Technical Support:

· Phone: (632) 892-2295/2495

· Fax: (632) 813-2493

Poland

Microsoft Sp. z o.o.

Phone: +(48-22) 661-54-00

Fax: +(48-22) 661-54-34

Information Service: +(48-22) 865-99-33

Technical Support: +(48-22) 865-99-66

Portugal

Microsoft Portugal MSFT, Lda.

Phone: (351) 1 4409200

Fax: (351) 1 4412101

Technical Support:

· Standard Support: +(351) 1 4409280

· Fax : +(351) 1 4411655

Puerto Rico

Soporte Tecnico: (408) 953 8086

Support E-Mail/Correo Electronico Para soporte tecnico: mscarsup

Customer Service/Centro de Servicios: (800)297 5982 for area codes 787 & 809 only

Customer Service E-mail/Correo Electronico para Atencion a Usuarios: msccatus

Romania

Microsoft s.r.l.

Phone: (+40) (1) 222 90 16

Fax: (+40) (1) 222 90 12

Technical Support: (+40) (1) 312 09 48

Russia

Microsoft Z.A.O.

Microsoft Information Center:

Phone:

· Moscow: +7 (095) 916-7171

· St.Peterburg: +7 (812) 118-3636

· Novosibirsk: +7 (3832) 119-019

· Kiev +380 (044) 2305101

Fax:

· Moscow: +7 (095) 916-7112

Technical Support:

Phone:

· Moscow: +7 (095) 745-5445

· St.Peterburg: +7 (812) 118-3636

· Novosibirsk: +7 (3832) 119-019

· Kiev +380 (044) 2305102

Fax:

· Moscow: +7 (095) 916-7112

Saudi Arabia

Phone: +966 (1) 218-0808

Fax: +966 (1) 218-0809

Technical Support (Personal Operating System and Desktop Applications only):

· Phone: 800 124-2255 (toll free within Saudi Arabia)

· Fax: 800 124-2255 (Press 2 to send a fax)

Scotland

See United Kingdom

Singapore

Microsoft Singapore Pte Ltd

Phone: (65) 337-6088

Fax : (65) 337-6788

Customer Services Phone: (65) 324-5255

Customer Services Fax: (65) 324-6181

Product Support Services Phone: (65) 378-3600

Product Support Services Fax: (65) 378-3662

Slovakia

Microsoft Slovakia s.r.o.

Bratislava Business Center IV

Prievozska 6/A

821 09 Bratislava

SLOVAK REPUBLIC

Phone: +421-7-5341 9841

Fax: +421-7-5341 9840

Hotline: +421-7-67 296 296

Infoservice: +421-7-67 296 297

Y2K Infoservice: +421-7-67 296 200

Slovenia

Microsoft d.o.o.

Phone: (+386) (61) 1 800 800

Fax: (+386) (61) 1 800 822

Technical Support: (+386) (61) 185 3449

South Africa

Microsoft South Africa

All services

Phone: (+27)11 257 0000 or

0860225567 (inside South Africa)

Fax: (27)11 257 0257

Technical Support Fax: (+27)11 257-0424

South East Africa and Indian Ocean Islands

See South Africa

Spain

Microsoft Iberica SRL

Inside Spain

Phone: 902 197 198

Fax: 91 803 8310

Technical Support: 902 197 198

Customer Service: 902 197 198

Fax Back telephone: 902 197 198

Outside Spain

Phone: (34) 91 353 69 60

Fax: (34) 91 803 8310

Technical Support: (34) 91 353 69 60

Customer Service: (34) 91 353 69 60

Fax Back telephone: (34) 91 353 69 60

Sweden

Microsoft AB

Phone: +46-(0)8-752 56 00

Fax: +46-(0)8-750 51 58

Technical Support:

· Standard: +46-(0) 8- 752 09 29

· Priority: +46 (0) 8 751 09 80

· Premier: +46 (0) 8 632 57 01

Sales Support: +46-(0)8- 752 56 30

Switzerland

Microsoft AG

Phone: 01-839 61 11

Fax: 01-831 08 69

Customer Service Phone: 0848-858-868

· Microsoft Info-Service, Postfach, 8001 Zürich, Fax: 01 311-72-27

Support:

· Standard Technical Support (German speaking) Installation and Handling: Phone 0848 80 - 2255

· Standard Technical Support (French speaking): Phone 022-738 96 88

· General information about Microsoft Support in Central Europe: Phone 0848-80-2330

Tajikistan

See Russia

Taiwan

Microsoft Taiwan Corp.

Phone: (886) (2) 2504-3122

Fax: (886) (2) 2504-3121

Technical Support:

· Phone: (886) (2) 2508-9501

· Fax: (886) (2) 2508-9575

Thailand

Microsoft (Thailand) Limited

Phone: (662) 266-3300

Fax: (662) 266-3310

Product Support:

Phone: (662) 613-7208 through 11

Fax: (662) 613-7198

Turkey

Microsoft Turkey

Phone: 90 (212) 258 59 98

Fax: (90 (212) 258 59 54

Support Hotline:

· Phone: 90 (212) 275 2466

· Fax: 90 (212) 272 7755

Turkmenistan

See Russia

United Kingdom

Microsoft Limited

Phone: (0870) 60 10 100

Fax: (0870) 60 20 100

Microsoft Technical Support

· Desktop Applications, Home Products, Personal Operating Systems and hardware. 0870 50 10 100

· Developer Products 0870 50 10 200

· Business Systems 0870 50 10 300

· Customers phoning from Ireland should dial 706 5353 for technical support.

Pre-Sales Information: Microsoft Connection (0345) 00 2000

Uruguay

Technical Support:

· Phone: (598) (2) 774934

· Fax: (598) (2) 774935

See also Uruguay Online

Uzbekistan

See Russia

Venezuela

Corporation MS 90 de Venezuela S.A.

Other information: (582)265-9922

Fax: (582)265-0863

Technical Support: (582)993-6755

Wales

See United Kingdom

© 2000 Microsoft Corporation. All rights reserved. Terms of Use.

Last Updated: July 1, 1999


Small Business Server 2000

Release Notes

December 2000

This document contains important, late-breaking information about Microsoft Small Business® Server 2000. Before installing Small Business Server, please read this entire document. It contains critical information that will help you ensure proper installation and use of the product.

© 2000 Microsoft Corporation. All Rights Reserved.

These materials are provided “as-is,” for informational purposes only.

Neither Microsoft nor its suppliers makes any warranty, express or implied, with respect to the content of these materials or the accuracy of any information contained herein, including, without limitation, the implied warranties of merchantability or fitness for a particular purpose. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you.

Neither Microsoft nor its suppliers shall have any liability for any damages whatsoever including consequential incidental, direct, indirect, special, and loss profits. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you. In any event, Microsoft's and its suppliers' entire liability in any manner arising out of these materials, whether by tort, contract, or otherwise shall not exceed the suggested retail price of these materials.

CONTENTS

Before Installing Small Business / Small Business Server 2000...

Suite Requirements.

Server Upgrades.......

Installing Small Business/Small Business Server 2000..............

Connectivity....

Management Consoles........

Server Health and Monitoring

Shared Fax Service..........

Shared Modem Service..........

SQL Server 2000..............

Exchange 2000 Server............

Microsoft Connector for POP3 Mailboxes.......

Internet Security and Acceleration Server 2000...

Client Notes....

Uninstalling Applications....

Before Installing Small Business Server 2000

Download Updated Release Notes from the Web

It is recommended that you go to http://www.microsoft.com/sbserver/relnotes.htm and download an updated version of these Release Notes. The update may contain additional information critical to your installation that was not available when Small Business Server 2000 was released to manufacturing.

Before Running Setup, Fill Out the ‘Before You Begin’ Card

Before running Small Business Server 2000 Setup, fill out the Before You Begin card. Small Business Server Setup will ask you for information about your network, and the Before You Begin card ensures that you have all the necessary setup information on hand. If the Before You Begin card is not available, you can also fill out the worksheets in Appendix C of the Small Business Server 2000 Planning and Installation guide.

Latest Windows 2000 Service Packs and Updated Security Fixes

Small Business Server 2000 includes Windows 2000 Service Pack 1. Later versions of Windows 2000 Service Packs as well as security updates can be obtained from the Microsoft Web site at:
http://www.microsoft.com/windows2000/downloads/default.asp

Connect or Disable Network Adapters Before Running Setup or the Internet Connection Wizard

Windows 2000 automatically detects network adapters on a domain controller that is not connected to an active network, and assigns them a fixed IP address of 169.254.x.x. If either Small Business Server Setup or the Small Business Server Internet Connection Wizard is run while any network adapters have this IP address, some network services, such as DNS or WINS, will not be configured correctly. If this happens, you may incur networking errors.

To avoid this issue, ensure that all network adapters are either disabled or are connected to an active network segment, such as a hub or router, before running Small Business Server Setup or the Small Business Server Internet Connection Wizard.

Unplug UPS During Windows 2000 Portion of Setup

Windows 2000 hardware detection can cause some Uninterruptible Power Supplies (UPS) to switch to battery mode. This may cause setup to fail. Unplug any UPS devices during installation of Windows 2000, and then install the UPS after completing Windows 2000 Setup.

Bootable Startup Disks for DVD are Not Interchangeable with Startup Disks for CD-ROM

Both the CD-ROM version of Small Business Server and the DVD version contain a BOOTDISK directory providing users with utilities to create bootable startup floppy disks. Startup disks created for the CD-ROM version of Small Business Server, however, will not permit you to install the DVD-ROM version, or vice versa. You must create bootable startup disks from the same medium that you use for your installation.

Internet Explorer 5.0 or Later Required to View Small Business Server Tours and Online Help Topics in Windows NT 4.0

Small Business Server 2000 tours and Online Help require that Internet Explorer 5.0 or later be installed on the computer. If you attempt to open any Small Business Server 2000 tour or Online Help on a computer running Windows NT 4.0 or earlier, the following error message appears:

“Error: automation server cannot create objects.”

Download the latest version of Internet Explorer from: http://www.microsoft.com/windows/ie/

Small Business Server Setup Will Not Run on Windows 95 Without Internet Explorer 3.02 or Higher Installed To install Small Business Server 2000 on a computer running Windows 95, you must have Microsoft Internet Explorer 3.02 or higher installed.

Suite Requirements

‘Apply Windows 2000 Service Pack 1 to Windows 2000 Server Before Upgrading to Small Business Server 2000’

If you have installed an evaluation edition of Windows 2000 Server and want to upgrade to Small Business Server 2000, you must install Windows 2000 Service Pack 1 first.

To install Windows 2000 Service Pack 1, run the Sp1i386full.exe file located in the \Win2K_SP1\i386 folder of Small Business Server 2000 Disc 1.

Exchange Internet Mail Connector Installed

When upgrading from Exchange Server 5.5 to Exchange 2000 Server, you must remove the Internet Mail Connector (IMC). You should record any custom IMC configuration properties before deleting it.

To record the IMC information

1. Open Microsoft Exchange Administrator.

2. Expand Servername, expand Configuration, and then click Connections.

3. Double-click Internet Mail Service, and record the following settings:

· On the Connections tab, note whether message delivery is using DNS or if it is configured to forward all messages to host; if the latter, note the host name.

Note if the dial using checkbox is selected. If it is, note which connection is being used.

Under Specify by E-Mail domain, click E-Mail Domain. Note the domains listed.

· On the Dial-Up Connections tab (for dial-up connections only) note the dial-up schedule, and the information displayed under Mail Retrieval and Logon Information.

· On the Routing tab, note the domains listed under routing. This is typically your external domain name.

· On the Address space tab, note the entry listed under ‘Address'. This is typically listed as *.

4. After recording all this information, delete the connection named Internet Mail Service.

‘This Computer is Running an Evaluation Version of Windows 2000 Server’

If you receive this message on the Suite Requirements page of Small Business Server Setup, you have the Not for Resale version of Windows 2000 Server installed. Small Business Server cannot be installed on this version of Windows. Before you can install Small Business Server, first install a new version of Windows 2000 Server from Small Business Server Disc 1.

‘Network Properties Page is Open’

Small Business Server 2000 Setup cannot install or configure networking components if the Network Properties page is open. Close the page and restart setup.

Small Business Server Upgrade Language Mismatch

If you are running Small Business Server 4.5 in one language, you cannot upgrade to Small Business Server 2000 in a different language. For example, English Small Business Server 4.5 cannot be upgraded to German Small Business Server 2000.

Windows 2000 Server Evaluation Copy in One Language Cannot Be Upgraded to Small Business Server 2000 in a Different Language

If you are running an evaluation copy of Windows 2000 Server in one language, you cannot upgrade it to Small Business Server 2000 in a different language. For example, German Small Business Server 2000 cannot upgrade an evaluation copy of English Windows 2000.

After Upgrading to Windows 2000 Server, Session Must Be Set to ‘Install’ Mode

For you to install Small Business Server on a Windows 2000 Server running Terminal Services in Application Server mode, Windows 2000 Server must be running in ‘install’ mode to install applications on the computer. After the upgrade to Windows 2000 Server, you will receive a message stating that you need to launch setup from the Add/Remove Programs in Control Panel. To continue with setup, do one of the following:

1. Re-launch setup from Add/Remove Programs in Control Panel.

2. Change the mode of the server from 'execute' to 'install' by running change user /install from a command prompt.

Note: If setup reboots again you will receive a message that you must launch setup from Add/Remove Programs in Control Panel. In this case, perform option 2 from above and then run Small Business Server Setup using the temporary shortcut created in <Systemdrive>\Documents and Settings\All Users\Start Menu\Programs\Startup. This will re-launch setup from the place it was interrupted.

Server Upgrades

Windows 2000 Components

Configure DHCP Scope Options After Upgrading from Small Business Server 4.5 to Small Business Server 2000

DHCP scope options are not set when upgrading from Small Business Server 4.5 to Small Business Server 2000. After completing the upgrade, configure these options manually from the DHCP snap-in.

To configure DHCP Scope Options

1. Open the DHCP management console. (Click Start, point to Programs, point to Administrative Tools, and then click DHCP.)

2. In the Console Tree, expand the node that represents your DHCP server, and then expand Scope.

3. Right-click Scope Options, and then click Configure Options.

4. Under Available Options, select and configure the following options:

003 Router - For IP address, specify the IP address of your Small Business Server computer.

006 DNS - For IP address, specify the IP address of your Small Business Server computer.

044 WINS/NBNS Servers - For IP address, specify the IP address of your Small Business Server computer.

046 WINS/NBD Node Type - For Byte, specify 0x1 (type B).

5. After configuring scope options, click OK to save the changes.

DHCP Server Unreachable if IP Address is Changed During Upgrade from Windows 2000

When upgrading to Small Business Server 2000, if you change the IP address of a Windows 2000 Server computer running DHCP, you will receive an error stating that the DHCP server is unreachable when you attempt to access the DHCP snap-in.

To work around this problem

1. In the Console Tree, right-click DHCP, and then click Manage authorized servers.

2. Select your server computer in the list, and then click OK.

The new DHCP server will be added to the Console Tree. The old IP address will be shown with an error icon.

Note: Even though the old IP address still appears as a node in the Console Tree, DHCP clients are being assigned IP addresses correctly according to the scope defined for the new DHCP server.

You Must Reapply Windows 2000 Server Service Pack 2 After Setup is Complete

You currently have a Service Pack later than Service Pack 1 installed on your evaluation copy of Windows 2000 Server. Upgrading to Small Business Server will upgrade the evaluation copy of Windows 2000 Server to the full version of Windows 2000 Server with Service Pack 1. You will need to reapply your current Service Pack when Small Business Server installation is complete.

Small Business Server Unable to Resolve DNS Names

If you are installing Small Business Server 2000 on a computer running Windows 2000 Server, and that computer is configured as the root of the active directory forest but is using DNS services on a different computer, Internet Protocol (TCP/IP) Properties will be configured to point the Local Area Network (LAN) back to itself for DNS services. To correct this problem, you must manually change the IP Address for the DNS server to point to the computer that is providing DNS services.

To change the IP addresses for DNS servers

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click the icon for your Local Area Network, and then click Properties.

3. In the list of components, select Internet Protocol (TCP/IP), and then click Properties.

4. For Preferred DNS server, specify the IP address for the computer that is providing DNS services.

5. Click OK to save your changes.

6. Close the Local Area Connection Properties page.

Error Message: ‘DNS cannot be configured for Domain <YourDomain>, but DNS Service Has Been Successfully Installed. Error: DNS Zone Already Exists’

This error appears if you have already configured DNS on Small Business Server 4.5 and have specified the same domain name during Small Business Server 2000 Setup. It is expected behavior. If you see this message, click OK to continue with setup. DNS will function properly.

WINS Behavior on Small Business Server 2000 with DHCP Installed

If you upgrade a Windows 2000 computer that is running DHCP Server without Windows Internet Naming Service (WINS) to Small Business Server 2000, setup will not install WINS. Rather, it will configure the Internet Protocol (TCP/IP) properties to point to the computer's internal static IP address. In this scenario, you can either clear the WINS IP address in the network settings, or install WINS.

To clear the WINS IP address

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click your internal connection, and then click Properties.

3. Select Internet Protocol (TCP/IP), click Properties, and then click Advanced.

4. Click the WINS tab, select the IP address listed, and then click Remove.

5. Click OK in each open dialog box.

To install a WINS server

1. Click Start, point to Settings, and then click Control Panel.

2. Double-click Add/Remove Programs, and then click Add/Remove Windows Components.

3. Under Components, click Networking Services.

4. Click Details.

5. Under Subcomponents of Networking Services, click Windows Internet Name Service (WINS), and then click OK.

If you install Small Business Server 2000 on a network that already has a computer running DHCP, WINS will be installed on the Small Business Server computer. Since DHCP is running on another computer, the WINS entry is not added to network settings.

To add the WINS IP address to network settings

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click your internal connection, and then click Properties.

3. Select Internet Protocol (TCP/IP), click Properties, and then click Advanced.

4. Click the WINS tab, and then click Add.

5. Type the IP address for the WINS server, and then click Add.

6. Click OK in each open dialog box.

Small Business Server Setup

Small Business Server Administration Sub-Component Fails to Install if There is no Web Site 1 in the Metabase

If you do not have a Web site in your metabase when you run Small Business Server Setup, the administration sub-component will fail to install. To address this issue, complete setup and then create a new Web site with the Internet Information Services snap-in in the Small Business Server Administrator Console. When this Web site is created, restart Small Business Server setup in Maintenance mode, and select to re-install the administration sub-component.

Note: The administration component is a sub-component of the Small Business Server component.

To create a new Web site

1. In the Small Business Server Administrator Console, expand the Internet Information Services snap- in.

2. Right-click Your Computer, point to New, and then click Web Site.

3. Follow the on-screen instructions to complete the Web Site Creation Wizard.

Small Business Server Upgrade Language Mismatch

If you are running Small Business Server 4.5 in one language, you cannot upgrade to Small Business Server 2000 in a different language. For example, English Small Business Server 4.5 cannot be upgraded to German Small Business Server 2000.

Error When Using Setup to Change the Install Action for a Component

When attempting to change the install action for a component, if you encounter a problem on the Component Selection page of setup, perform one of the following workarounds:

· If you have made changes for other components, complete setup so that you do not lose the changes, then correct the problem, and then re-run setup to complete the action for the component that created the install problem.

· If you have not made changes to other components, cancel setup, correct the problem, and then re-run setup to perform the action for the component that created the install problem.

SQL Server 2000

SQL Server 7.0 OLAP with Service Pack 2 Cannot be Upgraded to Analysis Services via BackOffice Server Setup

If you are running SQL Server 7.0 OLAP with Service Pack 2, you cannot upgrade to Analysis Services using BackOffice Server setup. To upgrade to Analysis Services, you must run native SQL Server setup from BackOffice Server Setup Disc 2 and install Analysis Services manually.

SQL Server 2000 and English Query Install in Default Directories Even If Installation Path is Changed

When upgrading to BackOffice Server 2000, SQL Server 2000 and English Query will be installed to their default directories even if you change the installation path. This does not affect the functionality of SQL Server or English Query.

MSSQLSERVER Service Must Be Running Before Upgrading to Small Business Server 2000

If SQL Server 2000 is already installed on a computer that will be upgraded to Small Business Server 2000, start the MSSQLSERVER service before running Small Business Server 2000 Setup. Otherwise, setup may fail.

Restart After Applying Service Packs for SQL 7.0 or English Query

If you are installing Service Packs on SQL Server 7.0 or English Query, before upgrading to SQL Server 2000, you should restart the computer upon conclusion. This ensures that all Service Pack updates and file changes have occurred before running BackOffice Server 2000 setup.

Upgrading SQL Server 2000 Evaluation Version to SQL Server 2000 Standard Version

When upgrading from the evaluation (time-bombed) version of Small Business Server 2000 to the standard (full) version of the product, set the install action for SQL Server 2000 to “Upgrade.” Otherwise, the SQL Server 2000 time bomb will not be removed.

Critical Error Message: ‘Could Not Open File SQLCTR60.DLL’

When installing the SQL Server 6.5 Service Pack 5 component during setup, the following critical error message may appear:

“A critical error has occurred.

Could not open the file named:

‘<drive>:\MSSQL\BINN\SQLCTR60.DLL’ ”

If you encounter this error, click Retry. The file will be added the next time the computer is restarted.

Innocuous Event Viewer Errors Occur When Not Upgrading to SQL Server 2000

Not upgrading to SQL Server 2000 from a Small Business Server 4.5 computer running SQL Server 7.0 will cause application event errors that will not affect the SQL Server application. Some of these errors occur when Performance Monitor counters are not properly implemented by the open applications that are running.

The following event viewer errors are innocuous

Source Event ID Description

SQLCTR70 1001 SQL Performance DLL Open function.

SQLCTR70 1001 Shared Memory Segment

Perflib 1008 Open Procedure for service MSSQLServer

To resolve this issue, you can either install Service Pack 2 for SQL Server 7.0, or upgrade to SQL Server 2000.

World Wide Web Publishing Service May Not Restart After ISA Server Installation

The World Wide Web Publishing Service (W3SVC) may not restart after Internet Security and Acceleration (ISA) Server is installed. Before starting this service, ensure that you have not configured the Web publishing service to use port 8080, because ISA Server uses this port.

Autodial Settings Are Not Migrated When Upgrading Proxy Server 2.0 to ISA Server

Autodial and Dial-on-Demand settings are not migrated when upgrading from Proxy Server 2.0 to ISA Server 2000. After completing the upgrade, you can reconfigure this functionality by running the Small Business Server Internet Connection Wizard.

After Upgrading to Small Business Server 2000, Microsoft Search Service May Not Start Automatically

After upgrading from Small Business Server 4.5 to Small Business Server 2000, the Microsoft Search Service may need to be manually started and then set to start automatically.

To start the Microsoft Search Service and set it to start automatically

1. Click Start, point to Programs, point to Administrative Tools, and then click Services.

2. Right-click Microsoft Search, and then click Properties.

3. From the Start type list, select Automatic, and then click Start.

4. When the service has started, click OK.

Microsoft Exchange Server

Do Not Overwrite Dll Files When Upgrading from Exchange 5.5 with Service Pack 4 to Exchange 2000 Server

During Small Business Server 2000 Setup, when upgrading Exchange 5.5 with Service Pack 4 to Exchange 2000 Server, you may be asked to overwrite existing Exchange .dll files. To prevent the .dll files from being overwritten, click No or Do not overwrite all. Overwriting the .dll files causes setup to fail.

If Exchange 5.5 Upgrade Fails You Must Run Disaster Recovery to Re-run Setup

If the upgrade from Exchange Server 5.5 to Exchange 2000 Server fails, to run Exchange 2000 Setup again, you must run Exchange 5.5 disaster recovery.

Only Previously Installed Exchange Server Components Can be Upgraded

When upgrading Small Business Server 4.5 to Small Business Server 2000, you will only be able to upgrade Exchange Server components previously installed on the server computer. If you want to install new Exchange Server 2000 components, complete the upgrade, and then run Small Business Server 2000 Setup in Maintenance mode to install the new components.

Message: ‘A Valid Ordering Could Not Be Found’

When upgrading to Small Business Server 2000, if the following conditions are true, a message appears stating “A Valid Ordering Could Not Be Found”:

· Exchange Server 5.5 is installed on the server computer.

· Small Business Server 2000 is installed without SMTP service or Exchange 2000 Server.

· You are re-running Small Business Server Setup in maintenance mode to upgrade to Exchange 2000 Server.

To address this message, on the Component Selection page of Small Business Server Setup, set the action to Install for the Internet Information Services (IIS), SMTP Services component.

Numerous Event Viewer Errors Following Upgrade to Exchange 2000 Server

After you upgrade Exchange Server 5.5 to Exchange 2000 Server, you may receive numerous Event Viewer errors because old performance counters from Exchange 5.5 are attempting to load. To correct this problem, manually install the counters associated with the Exchange Database Engine.

To manually install Exchange Database Engine counters

· At the command prompt, change to the Exchsrvr\Bin folder, type lodctr eseperf.ini, and then press Enter.

For more information about this issue, refer to Knowledge Base article Q273177 at:
http://support.microsoft.com/support/kb/articles/Q273/1/77.ASP

Exchange LDAP Event Log Error 10048

After upgrading to Exchange 2000 Server, the following error may appear in the Application event log:

“Source MSExchangeDS

Category: LDAP Interface

Description: Register LDAP Port Failed with error 10048. The LDAP SSL Server is not available. Make sure port number 636 is not in use by another application”

This was an issue when running Exchange 5.5 on a Windows 2000 Server domain controller. If you have upgraded to Exchange 2000 Server, you may safely disregard this error.

SBSETRN.exe Mail Connections are Not Compatible with Small Business Server 2000

Small Business Server 4.5 mail connections using Sbsetrn.exe to download mail from an ISP are no longer supported in Small Business Server 2000. Before upgrading to Small Business Server 2000, contact your ISP to determine what other mail download options are available to you.

Small Business Server

Re-distributable Components May Require Windows 2000 Service Pack 1

Some of the re-distributable components included with Small Business Server 2000 require Windows 2000 Service Pack 1, which is automatically installed by Small Business Server Setup. If you plan to install any of these components on a Windows 2000 Server or Windows 2000 Professional computer outside of Small Business Server Setup, before doing so, make sure that Windows Service Pack 1 is installed on the computer.

Installing Small Business Server 2000

Windows 2000 Components

Manual Logon Required After Computer Restarts Following Configuration of Domain Controller

After the domain controller configuration phase of Small Business Server Setup, the computer will restart, and you will be required to manually log on to the computer. This is true even if you selected Automatically log on during setup. Additionally, if you cancel setup, you may be required to log on to the computer manually even though you selected automatic log on.

Note: Password information is not stored on the computer when automatic log on fails.

Setup Blocked by Duplicate IP Addresses in Multiple Network Adapter Configuration

If you are installing Small Business Server 2000 on a computer with two network adapter cards, you may receive a blocking message from Small Business Server Setup indicating that the static IP address you have chosen for your internal network adapter is already in use. This can result when a computer on the external network (the network that your external adapter in on, such as your ISP) has the same IP address that you have chosen for your internal network adapter. Disable the external network adapter card and you will be able to continue with setup.

Event Messages During Setup: ‘DNS Bad Key Error’

After restarting Small Business Server during setup, there may be multiple event log error messages from the net logon service referring to “DNS bad key error.” This message can safely be ignored at this time. For more information about these events, refer to Knowledge Base article Q259277 at:
http://support.microsoft.com/support/kb/articles/Q259/2/77.ASP

Event ID 1002 ‘The DHCP Service Failed to Initialize its Global Parameters. The Following Error Occurred: %%0’

After completing setup, this event can appear in an event log when the DHCP Server service attempts to impersonate an account to prevent domain hijacking by way of a Dynamic Domain Name Services (DDNS) update. You can safely ignore this message because DDNS updates are disabled during installation of Small Business Server 2000.

For additional information about this and related event messages, or if you plan to enable DDNS updates, refer to the Microsoft Knowledge Base (KB) article Q255134 located at:
http://support.microsoft.com/support/kb/articles/Q255/1/34.ASP

Windows 2000 Service Pack 1 May Disable BlackICE And ZoneAlarm Firewall Software

Installation of Windows 2000 Service Pack 1 may disable the firewall programs BlackICE from Network ICE, and ZoneAlarm from Zone Labs. Updates that correct this problem are available from the manufacturer’s Web sites.

Small Business Setup

Message Following Installation: ‘Setup is Loading Installation Components’

When your Small Business Server 2000 computer restarts after completing installation, you may see a message stating, “Setup is loading installation components. This may take a minute or two” along with the post-installation To Do List. Setup is not re-running on your system. This message runs in the background and will remain open while you complete the items on the To Do List.

SQL Server 2000

SQL Server Service Account Selection During Setup

If you are installing SQL Server 2000 as part of the Small Business Server 2000 Setup, you will be asked to assign a service account to SQL Server. Unless you have special circumstances, it is recommended that you do not assign this service account. Not assigning a service account enables Server 2000 to run as localsystem account, which is sufficient for most installations.

Accounts you specify should be in the Domain\User format.

Warning: Specifying a non-existent account will cause SQL Server Setup to fail because Small Business Server Setup will not validate the account.

Microsoft Exchange Server

Message: ‘Microsoft Exchange Messaging and Collaboration Services Depends on Microsoft Exchange Domain Preparation, Which Has an Install Problem’

Before installation of Exchange 2000 Server, setup attempts to update the Active Directory schema. The Exchange 2000 Server DomainPrep utility is run once per domain to identify the address list server and set permissions within the domain. To successfully update the Active Directory schema, you must be logged on with an account that has Schema Administrator privileges. If you are not logged on with an account that has these privileges, the following message appears:

"Microsoft Exchange Messaging and Collaboration Services depends on Microsoft Exchange Domain Preparation, which has an install problem.”

Work around the problem by running Small Business Server 2000 Setup while logged on as a user with Schema Administrator privileges.

Alternatively, you can run the Microsoft Exchange Domain Preparation utility manually by following the steps below [BOS Only]. You can run DomainPrep on any computer running Windows 2000 Server in the domain.

To run the Exchange 2000 Server DomainPrep utility manually

1. Insert Small Business Server 2000 Server Disc 3 into your disc drive.

2. From a command prompt, type <drive>:\EXCHSRVR60\setup\i386\setup /DomainPrep, where <drive> is your disc drive.

3. On the Welcome page, click Next.

4. On the End User License Agreement (EULA) page, read the EULA. If you agree to the terms, click I agree, and then click Next.

5. On the Recipient Update Server page, type the name of the computer that will be your Exchange Recipient Update server for this domain. This computer must not be installed yet, but a computer account must exist in the Active Directory Users and Computers snap-in. When you install the first instance of Exchange in this domain, it must use the computer account that you enter in this step. Click Next.

6. On the Completion page, click Finish.

Installation of Microsoft Exchange System Management Tools Fails if CD Not in Disc Drive

If you are running Small Business Server Setup to install only the Microsoft Exchange System Management Tools component of Exchange 2000 Server, be sure that Disc 3 is seated in the disc drive before clicking Next on the Installation Summary page of setup. If the disc is not already in the disc drive, installation of the tools will fail.

Exchange System Management Tools Fail to Install

If Small Business Server Setup is unable to stop the IIS Admin Service, the Exchange System Management Tools will fail to install. To correct this problem, rerun Small Business Server Setup, and select to install the Exchange System Management Tools component again.

Service Packs

Cannot Install Service Pack if High Encryption Pack is Installed on Windows NT Server 4.0

If you encounter an error during Service Pack installation on Windows NT Server 4.0 that Internet Explorer High Encryption Pack or Internet Explorer 5.01 or later is already installed, perform one of the following:

Internet Explorer 5.01 or earlier

1. At the command prompt, type RunDll32 advpack.dll,LaunchINFSectionC:\WINNT\INF \ie5dom.inf,Uninstall,5, where C:\WINNT represents the system root.

2. In the \WINNT\SYSTEM32\ folder, rename the Schannel.dll file to Schannel.old.

3. Copy the Schannel.dll file from the Service Pack disc to the \WINNT\SYSTEM32 folder.

4. Restart Windows NT Server 4.0.

5. Delete the Schannel.old file in the \WINNT\SYSTEM32\ folder.

6. Install the applicable Service Pack, and then restart the computer.

7. Re-install High Encryption Pack.

Internet Explorer Service Pack 1 or later

1. Uninstall Internet Explorer.

2. In the \WINNT\SYSTEM32\ folder, rename the Schannel.dll file to Schannel.old.

3. Copy the Schannel.dll file from the Service Pack disc to the \WINNT\SYSTEM32 folder.

4. Restart Windows NT Server 4.0.

5. Delete the Schannel.old file in the \WINNT\SYSTEM32\ folder.

6. Install the applicable Service Pack, and then restart the computer.

7. Re-install Internet Explorer.

For more information, refer to Knowledge Base article Q250867

Connectivity

Unable to Join Domain on Windows NT 4.0 and Windows 2000 Client Computers

Client computers running Windows NT 4.0 Workstation or Windows 2000 Professional may be unable to join the Small Business Server domain under these scenarios:

· When running client setup after being a member of another domain.

· After rebuilding the Small Business Server computer.

· After migrating Small Business Server from one computer to another.

To work around this issue, remove the Windows NT 4.0 or Windows 2000 client computers from domain membership.

To remove Windows NT 4.0 client computers from domain membership

1. On the desktop, right-click Network Neighborhood, and then click Properties.

2. Click the Identification tab, and then click Change.

3. In the Identification Changes dialog box, under Member of, select Workgroup, and then specify a temporary name for the workgroup.

4. Click OK to save your changes.

To remove Windows 2000 client computers from domain membership

1. On the desktop, right-click My Computer, and then click Properties.

2. Click the Network Identification tab, and then click Properties.

3. On the Identification Changes dialog box, under Member of, select Workgroup, specify a temporary name for the workgroup, and then click More.

4. On the DNS Suffix and NetBIOS Computer Name dialog box, clear the entry for the primary DNS name of the computer, and then click OK.

5. On the Identification Changes and System Properties dialog box, click OK.

After removing computers from domain membership

1. On the client computers, release the IP address, and then flush the DNS cache by doing the following:

At the command prompt, type ipconfig /release, and then press Enter. This will release the IP address of the client computer.

At the command prompt, type ipconfig /flushdns.

2. Run client setup.

DNS Server Required for Networking Services

For Small Business Server networking services to function correctly, the DNS Server Service must be running on the Small Business Server computer. If you disable the DNS Server Service, you will experience problems with your network.

Small Business Server Internet Connection Wizard Default Recipient Policy May Override Custom Mail Policies

If you have customized the Reply address in Exchange 2000 Server for a user's SMTP e-mail account and then run the BackOffice Server Internet Connection Wizard, the customized setting may be overridden. For example, if you have set a user's reply address to user@microsoft.com and then run the BackOffice Server Internet Connection Wizard and configure the Internet mail domain as domainname.com, the user's reply to address will be changed to user@domainname.com. This scenario is likely to occur if you are using the Microsoft Connector for POP3 Mailboxes, and have added custom e-mail addresses to your POP3 users.

To correct this issue

1. Open the Small Business Server Administrator Console (click Start, and then click Small Business Server Administrator Console).

2. Expand the Active Directory Users and Computers node, expand the node for your domain, and then click Users.

3. In the list of users, right-click the affected user, and then click Properties.

4. Click the E-mail Addresses tab, select the SMTP address with the custom setting, and then click Set As Primary.

5. Click OK to save your changes.

DC Locator Records Sent to Internet Service Provider

In Windows 2000, the DNS server computer will attempt to send DC Locator records out through the external network connection to your ISP on a regular basis. This will result in added network traffic to your ISP, and could pose a security risk if the information is misused. This is a known issue with Windows 2000 that will be fixed in Service Pack 2.

A supported patch that corrects this problem is now available from Microsoft, but it has not yet been fully tested and should be applied only to computers that are experiencing this specific problem. If you are not affected by this specific problem, it is recommended that you wait for Windows 2000 Service Pack 2.

For more information, refer to Knowledge Base article Q265395 at:
http://support.microsoft.com/support/kb/articles/q265/3/95.ASP

Small Business Server Internet Connection Wizard Does Not Configure Content or Protocol Filtering

The Small Business Server Internet Connection Wizard configures Internet Security and Acceleration (ISA) Server 2000 to provide IP packet filtering. The wizard does not configure content or protocol filtering on ISA Server. For information on configuring those security settings, refer to ISA Server documentation.

Internet Explorer Unable to Find a Connection

After you run the Small Business Server Internet Connection Wizard, an error stating that ’Internet Explorer was unable to find a connection’ may appear if you run Internet Explorer from the Small Business Server computer using a dial-up connection. To resolve this problem, click Try Again.

Restart Services if Changes are Made to Dial-up Connection Properties

If you have configured ISA Server 2000 to use a dial-up connection to connect to your ISP, and you then make changes to the properties of that dial-up connection, you will need to restart the Microsoft Web Proxy Service and Microsoft Firewall Service.

Management Consoles

Migrate User Wizard Cannot Create Mailboxes When Logon Name Contains Only DBCS Characters

If you run the Migrate User Wizard attempting to migrate user accounts that use strictly DBCS characters, Exchange mailboxes may not be created for those users. You can, however, manually create mailboxes using the Active Directory Users and Computers snap-in, located in the Small Business Server Administrator Console.

To manually create an Exchange mailbox

1. Click Start, and then click Small Business Server Administrator Console.

2. In the Console Tree, expand Active Directory Users and Computers, expand your domain, and then click Users.

3. Right-click a user account in the Details Pane, and then click Exchange Tasks.

4. If this is the first time you have run the Exchange Task Wizard, select Do not show this Welcome Page again if desired, and then click Next.

5. Select Create Mailbox, and then click Next.

6. Fill in the required information, and follow the on-screen instructions to complete the wizard.

Note: Perform these steps for each mailbox you need to create.

Server Health and Monitoring

Configure SMTP Service to Relay E-Mail Alerts from Health Monitor 2.1

For Health Monitor to send e-mail alerts, SMTP service needs to be properly configured to relay e-mail from Health Monitor.

To configure e-mail relay in Exchange Server, do one of the following:

· Run the Small Business Server Internet Connection Wizard.

-Or-

· Perform the following steps:

1. Open the Small Business Server Administrator Console.

2. In the Console Tree, expand the Server (Exchange) node, expand Servers, expand Servername, expand Protocols, and then expand SMTP.

3. Right-click Default SMTP Virtual Server, and then click Properties.

4. Click the Access tab, and then click Relay.

5. Click Add, type the IP address of the computer where Health Monitor is installed, and then click OK.

Note: It is recommended that you add the IP address for each network adapter.

6. Click OK to close all open dialog boxes.

Close and then Re-open Server Status View to Reconnect Interfaces lingansStopping and starting Windows Management Instrumentation (WMI) may disconnect some interfaces to the Server Status View. To re-establish these interfaces, close and then re-open the Server Status View.

Update Health Monitor Thresholds to Reflect Your Network Monitoring Needs

The default counter thresholds provided with Health Monitor 2.1 are sample counters. You should establish a baseline for your network configuration and update the threshold values accordingly. In particular, the default values for Page faults/sec and Processor queue length need to be addressed.

Shared Fax Service

All Users Have Access to Fax Printer After Upgrade

After an upgrade, all members of the Domain Users security group have permission to fax documents regardless of what fax permissions they had prior to the upgrade. For information about assigning permissions to security groups, refer to the topic “Using Security Groups to Control Access to Resources” in Small Business Server 2000 Online Help.

Not All Modems Support Adaptive Answering

Adaptive answering enables a fax device to identify whether incoming calls are fax or data calls. Using the Shared Fax Service Manager console, you can choose to enable this functionality on the Properties page of each fax device. It should be noted that although you can enable this option for all devices, adaptive answering would only be enabled for modems that support this feature.

Windows 2000 Personal Fax Can Receive Inbound Fax Transmissions

Windows 2000 Personal Fax can be configured with a higher transmission priority than the Shared Fax Service application included with Small Business Server. To avoid confusion, you should either disable Windows 2000 Personal Fax or the Receive setting.

Asian Characters Not Displayed for Shared Fax Services Cover Page

When you send a fax with a cover page and use Asian characters from an English-only version of Shared Fax Service, the Asian characters are not correctly displayed.

To change the fax cover page to display an Asian language

1. Open the BackOffice Server Management Console.

2. Expand the Microsoft Shared Fax snap-in, and then click Cover Pages.

3. In the Details Pane, right-click the cover page you want to modify and then click Edit.

4. Click OK for the Cover Page Editor Tips.

5. To modify the default font for the cover page, click Select All from the Edit menu, click Font from the Format menu, and then select the appropriate language font. Click OK.

6. To save the modified cover page, select Save As from the File menu, name the file, and save the template in the default folder \\ Documents and Settings\All Users\Documents\Microsoft\Shared Fax\Common Cover Pages.

7. Quit the Fax Cover Page Editor.

Note: The computer must be configured to read and write documents in multiple languages. To install additional languages, open Regional Options in Control Panel.

Upgrading the Shared Modem Client

Upgrading the Shared Modem Client removes all existing modem sharing ports on the computer. To reestablish the modem sharing ports, refer to the Microsoft Shared Modem Service Client Help in <system drive>\Program Files\Microsoft Shared Modem\Clients\Platform.

Reinstall Shared Fax Service if the Fax Printer is Deleted

When Shared Fax Service is installed on a server computer, a fax printer is created. If this fax printer is deleted for any reason, you must reinstall Shared Fax Service to create a new fax printer.

Shared Fax Service Unable to Detect Some ISDN Modems

Microsoft Shared Fax Service cannot detect or use ISDN modems that do not emulate analog modems. To enable Shared Fax Service to work with ISDN modems of this type, Fax Service Provider software must be installed on the computer. If your ISDN modem does not work with the Shared Fax Service, check with your ISDN modem supplier for the availability of Fax Service Provider software that works with Microsoft Shared Fax Service.

Windows 95 Client Computers May Need to Install a .tif Viewer to View Faxes

To view sent and received faxes on a Windows 95 computer, you must have an application installed that can open files with a .tif file extension. For example, both Kodak Imager and Adobe Acrobat can view .tif files.

Selecting ‘Store in a Folder’ as an Incoming Method

When selecting Store in a folder as the incoming method for a specific device, or as the global method for incoming routing, the computer account must have access rights to the folder specified. It is not sufficient for the local user to have access rights to the folder.

Support in Send Fax Wizard for Languages Other Than the Default System Locale Language

When sending a fax using the Send Fax Wizard on a Windows 2000 client computer, if you enter an address from the Windows Address Book with characters in a language other than that of the default system locale, the characters will appear as question marks ("?") in the To field. This occurs because Shared Fax Service does not support Unicode for this entry. For recipient names to appear correctly in the To field, you must change the system locale to one that represents the language of the recipient, before you select a recipient from the address book. For example, if the system locale is English (United States) and you want to include the name of a recipient that appears in Japanese, you must change the system locale to Japan.

To change the system locale

1. Click Start, point to Settings, and then click Control Panel.

2. Double-click Regional Options.

3. Click Set Default, and then select the appropriate system locale.

4. To close the Select System Locale dialog box and Regional Options properties page, click OK.

Sending a Fax from Outlook, Using Both E-mail Addresses and Fax Numbers

When you use Shared Fax Service to send a fax from Outlook, if the fax has both an e-mail address and a fax number, you will receive a message stating that the e-mail cannot be sent because the e-mail address is incorrect. However, the fax was submitted and sent successfully. This issue will be resolved in a future Exchange 2000 Service Pack..

Do Not Select a Separator Page for the Shared Fax Printer

A separator page must not be selected for the Shared Fax printer, even though this option is available. If you elect to use a separator page, Shared Fax Service will not be able to send faxes until the option is turned off.

Non-Textual Content Cannot Be Copied and Pasted into Microsoft Outlook Fax Documents

You cannot use Shared Fax Service to send a fax from Outlook that includes non-textual content, such as graphics and tables that have been copied and pasted into the fax document. Rather, save the non-textual content to a file and attach it to the Outlook document.

Microsoft Outlook Should Be Configured as the Default Mail Client

If Outlook is not installed as the default mail client, the address book displayed by the Send Fax Wizard will be the Windows Address Book. Outlook is not configured as the default mail client unless the user specifies that option when Outlook is opened for the first time on the client computer.

To configure Microsoft Outlook as your default mail client

1. Start Microsoft Internet Explorer.

2. Open the Internet Options properties page, as follows:

· In Microsoft Internet Explorer versions 3.x, or 4.x, on the View menu, click Internet Options.

· In Microsoft Internet Explorer 5.0 or later, on the Tools menu, click Internet Options.

3. Click the Programs tab, select Microsoft Outlook in the Mail or E-Mail list, and then click OK.

‘Print Directly to Option’ Not Supported by Shared Fax Printer

A Shared Fax printer does not support the Print directly to printer option in printer properties. You must set printer properties to the Spool print documents so program finishes printing faster option.

To change the printer properties

1. Click Start, point to Settings, and then click Printers.

2. Right-click the Shared Fax printer icon, and then click Properties.

3. Click the Advanced tab, select Spool print documents so program finishes printing faster, and then select one of the sub-options.

4. Click OK.

Printing a Document to the Shared Fax Printer as it is Displayed in Microsoft Word 2000

When sending a fax (printing) to the Shared Fax Printer, the resulting fax document layout is displayed differently than the Word 2000 document. You can change a setting in Word to print a document as it is displayed.

To print a Word 2000 document as it is displayed

1. In Word, on the Tools menu, click Options.

2. Click the Compatibility tab, and then select Use printer metrics to lay out document from the Options list.

3. Click OK.

Can't Use 'Mail To' Feature if Outlook is Not Configured

From the Small Business Server computer, you will be unable to send a received fax as e-mail unless you have configured Outlook on the Small Business Server computer. To send a received fax as e-mail, right-click a received fax and then click Mail to.

Shared Fax Service Modem Unavailable

If you are unable to send or receive faxes with a modem in use by the Microsoft Shared Fax Service, one of the following may resolve the issue:

· Turn the modem off and then on, without stopping Shared Fax Service.

-or-

· Stop Shared Fax Service, turn the modem off and then back on, and then restart Shared Fax Service.

Shared Modem Service

Install Service Pack 2 to Replace Modem.sys

To use a Windows 2000 Professional Modem Sharing Service client with tone dialing, you must first download and install Windows 2000 Service Pack 2. For more information, refer to Knowledge Base article Q263643 at
http://support.microsoft.com/support/kb/articles/Q263/6/43.asp

After Upgrade, Modem Sharing Client Does not Automatically Detect the Shared Modem

After upgrading to Small Business Server 2000, some clients may not be able to detect the shared modem on the Small Business Server computer. To address the issue, perform the following steps.

On the server

1. From the Services snap-in, stop the Shared Modem Service.

2. Update the modem driver to a Windows 2000 Server-compatible driver.

3. From the Shared Modem Service applet in Control Panel, add a modem to the desired modem pool.

4. From the Services snap-in, start the Shared Modem Service.

On the client

1. Open Control Panel, double-click the Modems applet, and then remove the Small Business Server 4.5 shared modem.

2. Install Modem Sharing Client on the Small Business Server client computer.

3. Configure the client to use the modem pool on the server:

· For Windows 9x clients, go to MS Shared Modem Service Client in Add/Remove Programs and then select "Add a Shared Modem Service Port."

· For Windows NT Workstation 4.0 and Windows 2000 Professional clients, run "netmodem use * \\servername\poolname"

4. Open Control Panel, and then double-click the Modems applet.

5. Add a modem, and try to detect it automatically.

Virtual Port Does Not Appear in List of Available Ports in Install New Modem Wizard

If a virtual port mapped to a modem pool is busy, the virtual port will not appear in the list of available ports in the Install New Modem Wizard. A pool is considered busy when all of the ports in it are in use. This issue only applies to the Windows 2000 Modem Sharing client.

To avoid this issue, do not attempt to install a modem on a virtual port for a Windows 2000 Modem Sharing client if it is mapped to a modem pool that is busy.

Removing the Shared Modem Service may not removed Shared Modem Service Icon from Control Panel

Removing the Shared Modem Service Server may remove the Shared Modem Service applet from Control Panel.

The applet can be manually removed by deleting the file modemshr.cpl from the winnt\system32 directory. If the file cannot be deleted because it is being used by another process (for example, explorer.exe), restart your computer and try to remove the file again.

Do Not Install Microsoft Shared Modem Service and Modem Sharing Client on the Same Computer

A Modem Sharing Client must not be installed on a computer that is running Microsoft Shared Modem Service. Installing both components together results in unstable components.

Exchange 2000 Server

Exchange 2000 Server Release Notes

For further information about Exchange 2000 Server, refer to the Exchange 2000 Server Release Notes located in the \EXCHSRVR60 directory on Small Business Server 2000 Setup Disc 3.

The 'Synchronize Mail' Task Will Run on the Next Piece of Outgoing Mail

On the Small Business Server Administrator Console, when you select the Servername (Exchange) snap-in, and on the Small Business Server Personal Console when you select E-mail, there is a taskpad task called Synchronize Mail. Clicking this task triggers Exchange 2000 Server to send any mail that is waiting in the Outside Delivery queue. If there is no mail in the queue, the trigger will be set to send mail the next time e-mail arrives in the queue for outside delivery.

Additionally, if you have configured your SMTP connector to use a scheduled ETRN or TURN signal to retrieve mail from your ISP, that ETRN or TURN signal will be sent at the same time the outbound mail is being sent, regardless of the delivery schedule that has been defined.

Configure the Postmaster Address to Receive Non-Delivery Reports and Undeliverable E-mail

If your Internet domain name is not identical to your Active Directory domain name, you must configure the postmaster address. The postmaster address allows users who receive non-delivery reports to reply to a designated postmaster to report delivery failure or seek assistance. You will need to configure the postmaster address in both a clean installation and an upgrade.

Note: Exchange Server automatically configures a postmaster address for the Administrator account during setup. If you want the administrator to receive postmaster mail, you must modify this account. If the Administrator account is not the designated recipient for postmaster mail, delete the postmaster address entry.

To configure the postmaster address

1. From the Small Business Server Administrator Console, expand the Active Directory Users and Computers snap-in, expand the node that represents your server computer, and then click Users.

2. Right-click the user account you want to receive postmaster mail, and then click Properties.

3. Click the E-Mail Addresses tab, and then click New.

4. Under E-mail address type, select SMTP Address, and then click OK.

5. Type the e-mail address for the postmaster. For example, postmaster@<domain> where <domain> is the domain name for your organization.

6. Click OK, and then close the Administrator Properties dialog box.

Unable to Resolve Exchange Server Alias When Client Language Differs from Server Language

You are unable to resolve an Exchange 2000 Server e-mail alias when the client language differs from the server language. To resolve the problem:

1. On the server computer, open Control Panel, and then double-click Regional Options.

2. In the list of language settings for the system, select all applicable languages.

3. Click Apply, and then close the Regional Options dialog box.

Power Users May Not Be Able to Create Mailboxes if Exchange Server is Installed in Maintenance Mode

If you install Small Business Server 2000 without Exchange 2000 Server, and then install Exchange Server later using Small Business Server Setup in maintenance mode, power users will not be able to create Exchange mailboxes for users. To provide this capability, refer to the topic “Enable Small Business Template Power Users to Create Exchange Mailboxes for New Users” in Small Business Server Online Help.

Microsoft Connector for POP3 Mailboxes

Unable to Download POP3 Mail After Configuring Router Trigger

If you configure Microsoft Connector for POP3 Mailboxes to use a router trigger when it attempts to download mail, the mail will not be downloaded from your Internet service provider (ISP) until the router trigger has finished executing. If the program defined in the router trigger fails or hangs, the POP3 Connector will be unable to download POP3 mail. Since the router trigger is still attempting to execute, clicking Retrieve Now will have no effect. This functionality occurs by design.

If you suspect this problem, use Task Manager to end the task defined as the router trigger. Once the task is ended, the POP3 Connector should be able to finish downloading mail from your ISP.

Define a Global Mailbox to Receive Mail Downloaded from an External Mailing List

Before you can configure the Microsoft Connector for POP3 Mailboxes to retrieve mail from an external mailing list, you must first define a global mailbox in the POP3 Connector to download POP3 mail from your ISP. Once this has been done, you can define an external mailing list to route POP3 mail to Exchange users.

Internet Security and Acceleration (ISA) Server 2000

ISA Services Will Not Start if Network Address Translation (NAT) is Enabled

If ISA Server is installed on a computer that has the Network Address Translation (NAT) routing protocol enabled through Routing and Remote Access Service (RRAS), ISA services will not start. This occurs because the NAT configuration in RRAS conflicts with the NAT service provided by ISA Server. To correct this issue, disable the NAT configuration in RRAS.

To disable NAT in RRAS

1. Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

2. Expand the node that represents your server computer, and then click IP Routing.

3. In the Details Pane, right-click Network Address Translation (NAT), and then click Delete.

4. Click Yes to verify removal of the NAT from the computer.

Use Only the Dial-up Connection Specified in ISA Server to Connect to the Internet

If your Small Business Server computer is connected to the Internet by way of a dial-up connection other than the one that is defined in your ISA Server settings, ISA Server will not properly monitor network traffic over the connection, which may pose a security risk to your network. As a best practice, use only the dial-up connection defined in ISA Server. Use the Small Business Server Internet Connection Wizard to easily select the dial-up connection you want to use to connect to the Internet.

Using ISA Server With a Dial-up Connection May Cause Unexpected Dialing When ‘Active Caching’ is Enabled

By default, ISA Server enables active caching, which causes ISA Server to dial at intervals to retrieve Web content. If ISA Server is configured to connect to the ISP using a dial-up connection, the modem dials at intervals, even if no user is requesting Web content. To correct this problem, run the Small Business Server Internet Connection Wizard, which will disable active caching. As an alternative, perform the steps in the following procedure.

To disable active caching

1. Click Start, point to Programs, point to Microsoft ISA Server, and then click ISA Management.

2. In the Console Tree, expand the Servers and Arrays node, and then expand your server node.

3. Right-click Cache configuration, and then click Properties.

4. Click the Active Caching tab, and then clear the Enable active caching check box.

5. Click OK to save your changes.

Client Notes

Error When Upgrading Fax Client Software: ’Fax network client setup failed. Please contact your system administrator.’

This may occur after upgrading a client computer's operating system to Windows 2000 Professional. If you see this error, you must add the fax printer manually through the Windows 2000 Add Printer Wizard. In the wizard, enter the name of the printer as \\SBSservername\SharedFax.

Before Upgrading Client OS to Windows 2000 Professional, Uninstall Fax Sharing Client 4.5 and Modem Sharing Client 4.5

Before upgrading a client computer's operating system to Windows 2000 Professional, you need to uninstall both Fax Sharing Client 4.5 and Modem Sharing Client 4.5. Once these have been removed, upgrade the operating system to Windows 2000 Professional. When the operating system is upgraded, install the fax and modem sharing client software for Small Business Server 2000.

Error When Running Client Setup: ‘Conflicting Credentials’

This message appears if you attempt to run Client Setup without first logging on as a user with local administrator privileges. To avoid this problem, log on to the client computer as a local administrator.

Auto Logon Information Error: ‘Your Auto Logon Password is Incorrect. Re-enter Your Password’ When Password is Entered Correctly

This error message appears if you select the Automatically logon option in setup on a Windows 2000 Server computer where the Client for Microsoft Networks networking component has been disabled or removed. Additionally, the following error will appear in your System event log:

Event ID 12291, SAM failed to start the TCP/IP or SPX/IPX listening thread

To correct this problem, install the Client for Microsoft Networks networking component on the Windows 2000 Server computer before attempting to install Small Business Server 2000.

To add the Client for Microsoft Networks networking component

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click your network connection, and then click Properties

3. In the list of components, select Client for Microsoft Networks, and then click Install.

4. When asked, restart the computer.

Interactive Logon is Disabled on a Windows 2000 Server Computer Running Terminal Services

If you install an additional Windows 2000 Server computer on your network running Terminal Services, you may receive the message “interactive logon has been disabled” when attempting to log on over the network or locally.

To resolve this, you must manually restart the Windows 2000 computer running Terminal Services, logon using an account in the computer's local Administrator group and install Service Pack 1 for Windows 2000. After installing Service Pack 1 for Windows 2000, you need to grant permissions for users to logon to the computer.

To allow users to logon to a computer running Terminal Services

1. Click Start, and then click Small Business Server Administrator Console.

2. In the Small Business Server (BackOffice Manager) snap-in, click Users.

3. Right-click a user account, and then click Properties.

4. Click the Terminal Services Profile tab, select Allow logon to terminal server, and then click OK.

5. Repeat this procedure for each user that will access Terminal Services.

Note: Service Pack 1 for Windows 2000 is located in the W2K_SP1 directory on Small Business Server Setup Disc 1.

Tip: If you want all new users to have this access, perform this procedure on the Small Business User template user account.

Error When Creating Networking Setup Disk: ’Insufficient Space’

If you run the Add User Wizard or Set Up Computer Wizard and receive an “Insufficient space” error when writing to the networking setup disk, you may have a system language issue. Check to ensure that your Small Business Server 2000 computer is using the same locale as the client computers on the network.

1. Click Start, point to Settings, and then click Control Panel.

2. Double-click Regional Options.

3. Under Your locale (location), ensure that the proper locale is listed, or set the proper locale to match that of your client computers.

4. Under Language settings for the system, ensure that all applicable client computer languages are selected.

5. After verifying and/or configuring locale and language settings, re-run the Add User Wizard or Set Up Computer Wizard.

Uninstalling Applications

Stop MSSQLSERVER Service Before Uninstalling SQL Server 2000

When using Small Business Server Setup to uninstall SQL Server 2000, you must first stop the MSSQLSERVER service. Otherwise, SQL Server 2000 will not be uninstalled.

To stop the MSSQLSERVER service

1. Open the Services administrative tool (click Start, point to Programs, point to Administrative Tools, and then click Services).

2. In the list of services, right-click MSSQLSERVER, and then click Stop. Do Not Restart Computer

When Uninstalling English Query 2000

When using Small Business Server Setup to uninstall English Query 2000, a dialog box appears asking you to restart the computer. Do not restart the computer at this time, otherwise setup will not complete the uninstall process. Rather, click Exit Setup. Another dialog box appears informing you that you must restart the computer to complete the installation of the software. Click OK in this dialog box; a message appears stating that “Microsoft English Query 2000 Setup was not completed successfully.” This is expected behavior and there is no cause for alarm. Click OK and complete setup. After setup is complete, restart the computer.

Before Uninstalling Exchange 2000 Server on Small Business Server 2000

If you are running Small Business Server 2000 and need to remove Exchange 2000 Server, you will need to stop the Exchange IFS service and remove the drive mapping to the Exchange Web Store.

To stop the Exchange IFS service, open a command prompt and type net stop exifs. With the command prompt still open, type subst m: /d, which will remove the drive mapping to the Exchange Web Store.

Exchange 2000 Server Requires IIS

If you attempt to uninstall Internet Information Services (IIS) when Exchange 2000 Server is installed, a message appears informing you that Exchange Messaging and Collaboration Services will also be removed. This is due to a dependency that Exchange 2000 Server has on IIS. If there are any existing user mailboxes, IIS will be removed, but Exchange Messaging and Collaboration Services will not. Because Exchange 2000 Server depends upon IIS, removal of IIS will cause Exchange Server to stop functioning.


Configure Server Status Reports

You can configure Small Business Server to automatically create and send Server Status Reports to administrators by e-mail and/or by fax. You can customize Server Status Reports to include information about hardware condition, application health, and system performance. You can also attach log files to the reports that are sent by e-mail to help administrators troubleshoot system problems. When kept on file, Server Status Reports provide valuable historical information about server usage that you can use to plan for upgrades and required maintenance.

To configure Small Business Server to automatically create and send Server Status Reports

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure Report. The Server Status Report Configuration page appears.
  3. Click the Report Options tab.
  4. Select the types of data that you want to include on the Server Status Report. To receive reports in XML format, select Attach above data in XML format.
  5. Under Application log files, select the log files that you want to attach to the Server Status Report.
  6. To attach a log file that does not appear in the list, click Add, specify the information and path of the log file to be attached, and then click Add again.
  7. Click the Send Options tab. Specify if you want to send the Server Status Report to an e-mail address or fax number.

    Note

    • Before you can send a report by fax, you must install Shared Fax Service or its client software on the computer. In addition, a fax modem that is compatible with Microsoft Windows 2000 must be connected to the computer on which the fax server application is installed. Refer to the Windows 2000 Hardware Compatibility List.
    • Log files cannot be transmitted by fax.
  8. Click the Task tab.
  9. (Optional) You can type a comment that describes the report that will be created. In the Run as box, you can specify a user account and password.
  10. Click the Schedule tab.
  11. Select a task from the list, or click New to schedule a new task.
  12. Specify when you want the Server Status Report to run. To schedule a start or end date for running the report, or to schedule the report to run at repeated intervals, click Advanced. The Advanced Schedule Options page appears.
  13. Specify advanced scheduling options, and then click OK.
  14. Click OK to save your settings and close the Server Status Report Configuration page.

Before you can send a report by e-mail, you must first configure SMTP service on the computer that you are monitoring.

To configure SMTP service on a computer without Microsoft Exchange Server installed

  1. Configure TCP/IP properties. To do so, click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the preferred LAN connection, and then click Properties.
  3. Select Internet Protocol TCP/IP. If Internet Protocol TCP/IP does not appear in the Components list, click Install, select Protocol, and then click Add.
  4. Click OK on each open properties page to save your changes.
  5. Restart the computer when prompted to do so.
  6. Configure SMTP properties. To do so, click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  7. In the Console Tree, expand the node for the server, and then right-click Default SMTP Virtual Server.
  8. Specify the default SMTP virtual server settings, and then click OK to save your changes.

    Note If necessary, consult your ISP for assistance in configuring these settings.

To configure SMTP service on a computer with Exchange Server installed

  • Use the Small Business Server Internet Connection Wizard to configure SMTP services.

Related Topics

Send Server Status Report Immediately


Display Server Status View

The BackOffice Home snap-in must be installed in a management console to display the Server Status View. The Small Business Server Administrator Console and Small Business Server Personal Console are configured with the BackOffice Home snap-in by default.

To display the Server Status View in the Small Business Server Administrator Console

  1. Open the Small Business Server Administrator Console. To do this, click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Administrator Console.
  2. In the Console Tree, click BackOffice Home. The Server Status View appears in the Details Pane.

To display the Server Status View in the Small Business Server Personal Console

  1. Open the Small Business Server Personal Console. Click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Personal Console.
  2. Under Favorites, click Home. The Server Status View appears in the Details Pane.

To add the BackOffice Home snap-in to a new console in MMC

  1. On the Console menu, click Add/Remove Snap-in, and then click Add. The Add Standalone Snap-in page appears.
  2. Under Snap-in, double-click BackOffice Home.
  3. Close the Add Standalone Snap-in page.
  4. On the Add/Remove Snap-in page, click OK. A node for BackOffice Home appears in the Console Tree.

Notes

  • To open the Microsoft Management Console, click Start, click Run, type mmc and then click OK.
  • If the BackOffice Home snap-in does not appear in the list, you must first install it by using BackOffice Server Setup.

Related Topics

Customize Server Status View


Customize Server Status View

You can customize the Server Status View to display only the performance counters or services that you want to appear.

Note Services that are configured to start automatically by default appear in the Server Status View when they are not in use. You can monitor additional services by selecting them on the Server Status View Configuration Properties page.

To customize the Server Status View

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure View. The Server Status View Configuration Properties page appears.
  3. Click the tab for the server that you want to manage.
  4. Select the check boxes for performance counters that you want to appear in the Server Status View. Clear the check boxes for performance counters that you do not want to appear.
  5. Select the check boxes for services that you want to appear in the Server Status View. Clear the check boxes for services that you do not want to appear.
  6. If you want to periodically refresh the Server Status View, click the Global Settings tab, select Automatically refresh, and then specify a refresh interval.
  7. Click OK to save your settings, and then close the Server Status View Configuration Properties page.

Related Topics

Send Server Status Report Immediately


Send Server Status Report Immediately

Sometimes you might want to create and send a current Server Status Report immediately.

To create and send a current Server Status Report immediately

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure Report. The Server Status Report Configuration page appears.
  3. Click the Report Options tab.
  4. Select the types of data to include on the Server Status Report. To receive reports in XML format, select Attach above data in XML format.
  5. Under Application log files, select the log files that you want to attach to the Server Status Report.
  6. To attach a log file that does not appear in the list, click Add, specify the information and path of the log file to be attached, and then click Add again.
  7. Click the Send Options tab.
  8. Specify if you want to send the Server Status Report to an e-mail address or to a fax number.

    Notes

    • Before you can send a report by fax, you must install the Shared Fax Service or its client software on the computer. In addition, a fax modem that is compatible with Microsoft Windows 2000 must be connected to the computer where the fax application is installed. Refer to the Windows 2000 Hardware Compatibility List.
    • Log files cannot be transmitted by fax.
  9. Click Send Now.

Related Topics

Configure Server Status Reports


Grant Access to Server Status View

Users cannot use the Server Status View unless they are administrators for the computer that is being accessed or have been granted access permissions.

To grant a user access to the Server Status View

  1. Open the Microsoft Windows 2000 Computer Management Console. To do so, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  2. In the Console Tree, expand the Services and Applications node.
  3. Right-click WMI Control, and then click Properties.
  4. Click the Security tab, and then expand the Root folder.
  5. Select the CIMV2 folder, and then click Security. The Security for Root\CIMV2 properties page appears.
  6. Click Add. The Select Users, Computers, or Groups properties page appears.
  7. Select the user or group to be granted access to the Server Status View, click Add, and then click OK to save your changes.
  8. In the list of users, select the user or group to be granted access to the Server Status View, and then select the Enable Account and Remote Enable check boxes in the Allow column.
  9. Click Advanced. The Access Control Settings for CIMV2 properties page appears.
  10. Select the desired user or group, and then click View/Edit. The Permission Entry for CIMV2 properties page appears.
  11. Under Apply onto, select This namespace and subnamespaces.
  12. Click OK to save your changes and close the Permission Entry for CIMV2 properties page.
  13. Click OK to close the Access Control Settings for CIMV2 properties page.
  14. Click OK to save your changes and close the Security for Root\CIMV2 properties page.
  15. Click OK to save your changes and close the WMI Control Properties page.

This user or group can now use the Server Status View and Health Monitor 2.1.


Small Business Server ISP Information Forms

You can use one of the forms below to obtain information about your Internet connection method. The information in these forms can help you connect Small Business Server to an ISP. You might need to contact your ISP to help you complete the form.

  • Modem or Terminal Adapter Connection Form (for example, terminal adapters, internal Integrated Services Digital Network [ISDN] cards)
  • Router Connection Form (for example, ISDN routers)
  • Full-time Broadband Connection Form (for example, Digital Subscriber Line [DSL], cable, MMDS)


Modem or Terminal Adapter Connection Form

ISP Dial-Up Number: ___________________________

ISP Account Name: ___________________________

Password: ___________________________

Will your ISP assign you a static IP address?

Static IP address: ____.____.____.____

What type of e-mail do you receive? (choose one type)

  • Exchange (SMTP) Server
  • POP3
  • No e-mail

If you are using Exchange (SMTP) Server, provide the following information:

Your domain name (for example, microsoft.com): ________________________________________

What service do you use to deliver your e-mail?

  • Forward all messages to host

    Host name or IP address of your ISP’s e-mail (SMTP) server (for example, exchange.microsoft.com or 170.10.10.10)
    ________________________________________

  • DNS

How do you signal your ISP to send e-mail to you?

  • ETRN
  • TURN with authentication

    User name: _________________________

    Password: _________________________

  • No signal

How often should this signal be sent? ______________________

Does your ISP use different servers for sending e-mail and for receiving e-mail? If yes, provide the following information:

IP address of the mail server: ____.____.____.____

Name of mail server:

________________________________________

How often do you want to send and receive e-mail?

______ Hours

______ Minutes

If you are using POP3 e-mail, provide the following information:

IP address of POP3 server: ____.____.____.____

Name of POP3 server:

________________________________________


Router Connection Form

IP address for your router (for example, 192.168.16.1): ____.____.____.____

Primary DNS service address (provided by your ISP): ____.____.____.____
Secondary DNS service address (optional): ____.____.____.____

Is your router connected to your server with a second network adapter?

  • Yes
  • No

What type of e-mail do you receive? (choose one type)

  • Exchange (SMTP) Server
  • POP3
  • No e-mail

If you are using Exchange (SMTP) Server, provide the following information:

Your domain name (for example, microsoft.com): ________________________________________

What service do you use to deliver your e-mail?

  • Forward all messages to host

    Host name or IP address of your ISP’s e-mail (SMTP) server (for example, exchange.microsoft.com or 170.10.10.10)
    ________________________________________

  • DNS

How do you signal your ISP to send e-mail to you?

  • ETRN
  • TURN with authentication

    User name: _________________________

    Password: _________________________

  • No signal

How often should this signal be sent? ______________________

Does your ISP use different servers for sending e-mail and for receiving e-mail? If yes, provide the following information:

IP address of the mail server: ____.____.____.____

Name of mail server:

________________________________________

How often do you want to send and receive e-mail?

______ Hours

______ Minutes

If you are using POP3 e-mail, provide the following information:

IP address of POP3 server: ____.____.____.____

Name of POP3 server:

________________________________________


Full-time Broadband Connection Form

Would you like to:

  • Obtain an IP address automatically from a DHCP service?
  • Specify an IP address?

If you are specifying an IP address, provide the following information for your external network adapter:

IP Address: ____.____.____.____
Subnet Mask: ____.____.____.____
Default Gateway: ____.____.____.____
Primary DNS service address (provided by your ISP): ____.____.____.____
Secondary DNS service address (optional): ____.____.____.____

What type of e-mail do you receive? (choose one type)

  • Exchange (SMTP) Server
  • POP3
  • No e-mail

If you are using Exchange (SMTP) Server, provide the following information:

Your domain name (for example, microsoft.com): ________________________________________

What service do you use to deliver your e-mail?

  • Forward all messages to host

    Host name or IP address of your ISP’s e-mail (SMTP) server (for example, exchange.microsoft.com or 170.10.10.10)
    ________________________________________

  • DNS

How do you signal your ISP to send e-mail to you?

  • ETRN
  • TURN with authentication

    Username: _________________________

    Password: _________________________

  • No signal

How often should this signal be sent? ______________________

Does your ISP use different servers for sending e-mail and for receiving e-mail? If yes, provide the following information:

IP address of the mail server: ____.____.____.____

Name of mail server:

________________________________________

If you are using POP3 e-mail, provide the following information:

IP address of POP3 server: ____.____.____.____

Name of POP3 server:

________________________________________


Management Consoles

Microsoft® Small Business Server 2000 enables an administrator to manage the server completely from Microsoft Management Console (MMC) version 1.2. By using a management console that is configured for Small Business Server, administrators can view and configure any server application from any computer that is connected to the network.

Small Business Server Management Consoles

Small Business Server management consoles are preconfigured with all the snap-ins, taskpads, and tasks that are necessary to manage your Small Business Server network. You can use the preconfigured consoles as they are, customize them according to your requirements, or create your own custom consoles.

You can start users in one of the preconfigured Small Business Server management consoles or in a customized management console when they log on through Microsoft Windows® 2000 Terminal Services. To grant users access to your management consoles, you must grant Terminal Services privileges to users and configure the Small Business Server computer to accept Terminal Services connections.

Small Business Server includes the following preconfigured management consoles:

  • Small Business Server Administrator Console
  • Small Business Server Personal Console

Small Business Server Snap-ins

Each Small Business Server snap-in is designed to manage a particular server application or network resource. You can add or remove Small Business Server snap-ins from your management consoles as you add or remove resources from your Small Business Server network.

After installation, you can use the preconfigured snap-ins as they are or customize them to your requirements. You can change how snap-ins query particular Active Directory™ directory service objects or change the display to use particular taskpads and tasks. You can also add or remove snap-ins from the management consoles that you distribute to others to control which management tasks are available to individual users.

Small Business Server includes the following preconfigured snap-ins:

  • BackOffice Home snap-in
  • BackOffice Manager snap-in
  • Windows 2000 Active Directory Users & Computers snap-in
  • Windows 2000 Computer Management snap-in
  • Exchange 2000 Server snap-in
  • Internet Security and Acceleration Server 2000 snap-in
  • Microsoft Shared Fax snap-in
  • Health Monitor snap-in
  • Windows 2000 Terminal Services snap-in
  • Internet Information Services snap-in
  • BackOffice To Do List snap-in

Small Business Server Scripts and Wizards

All preconfigured Small Business Server management consoles provide links to scripts and wizards to assist users with common management tasks.

You can use the Small Business Server scripts and wizards to perform the following tasks:

  • Add client computers to the Small Business Server network
  • Add security groups
  • Add software to client computers
  • Add user accounts
  • Change your Internet service provider (ISP) password
  • Configure network printers
  • Configure Server Status Reports
  • Create distribution groups
  • Create shared folders
  • Manage faxes
  • Set up an Internet connection
  • Synchronize e-mail with your ISP

Related Topics

Best Practices


Customizing Management Consoles

Small Business Server uses Microsoft Management Console (MMC) to give administrators a single interface from which to manage hardware, software, and network objects. Small Business Server has two preconfigured management consoles that are sufficient for most administrative needs:

  • Small Business Server Administrator Console (ITProSBSConsole.msc)
  • Small Business Server Personal Console (MySBSConsole.msc)

You can also change these consoles to create your own management consoles, which users can access when they log on to the server through Microsoft Windows 2000 Terminal Services.

Designing Consoles

Before you create a new console, identify the tasks that the console will perform, the components it will administer, the snap-ins and controls that it will use to perform the tasks, and the level of access you will grant to the person who will use the console. After you have a console design, you can open an existing console and add or remove snap-ins and tasks as necessary. To create or edit a console you must open the console in author mode.

Adding or Removing Snap-ins

The first step in creating a custom console is adding or removing the required snap-ins from the Console Tree.

You can create a new console with a specific snap-in as the top node of the Console Tree (known as the Console Root) by right-clicking the desired snap-in and selecting New Window from Here. You can then add any additional snap-ins from Add/Remove Snap-in on the Console menu.

If you are customizing an existing console, use Add/Remove Snap-in on the Console menu to change the snap-ins in the console. After you have added a snap-in to a console, you can enable or disable any associated snap-in extensions. When you enable an extension, it is automatically placed under the selected snap-in as a node in the Console Tree.

For detailed snap-in customization steps, refer to the following links:

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Customize Query List Views

Adding Taskpads

After you have configured the console with all necessary snap-ins and extensions, you can add one or more taskpads.

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used to accomplish a variety of functions, including launching executable files, running scripts, accessing Web pages, and launching other management consoles.

Many preconfigured taskpads are included with Small Business Server. The Favorites tab of either of the pre-configured Small Business Server management consoles contains taskpads for users, security groups, shared folders, printers, e-mail, faxes, and computers. These taskpads are especially helpful for novice users and users who do not need to know about moving through the Console Tree, which can be hidden from view.

You might want to create or change a taskpad for the following reasons:

  • To add commonly used tasks
  • To remove unneeded tasks
  • To group a sequence of related tasks
  • To simplify the list of tasks and options available to particular users

For detailed taskpad customization steps, refer to the following links:

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing the Console View

Not every console administrator needs all the functionality provided by MMC. Before making a console available to users, you can customize the console view to fit the intended administrator. You can customize the following console elements:

  • Console Tree
  • Description bar
  • Status bar
  • Snap-in buttons
  • Snap-in menus
  • Standard buttons
  • Standard menus
  • Details Pane columns
  • Taskpad navigation tabs
  • Favorites entries

Customize the Console View

Add an Item to the Console Favorites Menu

Set Console to User or Author Mode

The console access mode determines whether a console administrator can change the console view, add or remove snap-ins and taskpads, or save console changes. Every console must be saved in one of the access modes described below.

Author Mode

Setting a console to author mode grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

After author mode is set as the access mode for a console, MMC continues to open that console in author mode until it is saved in a user mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Setting a console to user mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, single window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties. Also prevents users from creating new windows.

Set a Console to User or Author Mode

Save the Console File

After you have finished configuring a custom console, save the file.

Make the Console File Available Through Terminal Services

After you save a console file, you can configure a user to start in a particular management console whenever they log on to the server through Windows 2000 Terminal Services.

Save and Distribute Custom Console Files

More Information

For more information, refer to "Authoring MMC Consoles" in the Microsoft Management Console Online Help.

Related Topics

Best Practices


Using Security Groups to Control Access to Resources

Small Business Server controls access to network resources by using Microsoft Windows 2000 security groups. By default, Small Business Server uses global security groups to control access rights to all network resources, such as server applications and shares. To give a Small Business Server user access to any particular network resource, the administrator adds the user to the global security group that controls the particular network resource.

To follow the Small Business Server security group scheme, an administrator creates a Windows 2000 global security group for each network resource and only adds users to the global groups that control the appropriate network resources. Administrators can also use or customize the preconfigured Small Business Server user templates to create users with predefined group memberships.

Example of using security groups to control resources

Suppose the fictional company A Datum Corporation has the following users and resources to manage:

Table 1

Users | Network resources
Alpha Beta Delta Gamma | Fax Network Printer: PRNT001 Shared Folder: Payroll Shared Folder: Product Information

First, the administrator uses the Add Security Group Wizard to create global security groups for each network resource listed in Table 1. Next, the administrator configures each network resource for use by only the global security group created for it. For example, the administrator can use the Add Shared Folder Wizard to grant members of the Payroll Users security group exclusive access to the Payroll shared folder.

Table 2

Global security groups | Network resources
Fax Users | Fax
Printer Users | Network Printer: PRNT001
Payroll Users | Shared Folder: Payroll
Product Users | Shared Folder: Product Information

Next, the administrator uses the Add User to Group task to assign the users listed in Table 1 to their appropriate global security groups listed in Table 2. The final result is listed in Table 3 below.

Table 3

Global security groups | Assigned users
Fax Users | Alpha and Beta
Printer Users | Alpha, Beta, Delta, and Gamma
Payroll Users | Delta and Gamma
Product Users | Alpha and Beta

Related Topics

Add a Security Group

Add a User to a Security Group


Best Practices

You can get the most out of Small Business Server by following these best practices of management technique.

Using Templates to Add Users

Small Business Server enables you use any existing user's settings as a template to create new users.

Using Templates to Add Users

Adding New Users from Templates

Disabling User Accounts

Learn why it is better to disable a user account then to delete it.

Disabling User Accounts

Using the Default Shared Folders

Small Business Server installs and configures several shared folders during setup.

Using the Default Small Business Server Shared Folders

Changing Existing Consoles to Create New Consoles

You can quickly create your own management consoles by changing the snap-ins and tasks that are included in the preconfigured Small Business Server consoles.

Changing Existing Consoles to Create New Consoles

Using Security Groups and Group Policies to Control Access to Resources

When created, all users are assigned to security groups. Using security groups and group policies to manage access to system resources increases your network security.

Using Security Groups to Control Access to Resources

Applying Windows 2000 Group Policies

Using Security Groups to Restrict Access to Shared Folders

Designing Consoles

Learn some of the conceptual details of and best practices for making your management consoles.

Customizing Management Consoles


How To

Small Business Server uses Microsoft Management Console (MMC) to administer and manage network resources. Use the following information to design, create, and change management consoles.

Customizing the BackOffice Manager Snap-in

Learn how to customize the BackOffice Manager snap-in by adding queries, Active Directory objects, and context menus.

Add a Query Node to the BackOffice Manager Snap-in

Add an Aggregator Node to the BackOffice Manager Snap-in

Add an Active Directory Object to the BackOffice Manager Snap-in

Customize Query List Views

Define the Context Menu for BackOffice Manager Queries

Managing Snap-ins

Learn how to add and remove stand-alone snap-ins and their extensions.

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Managing Taskpads

Learn how to create, change, and remove taskpad views.

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing Console Views

Learn how to display or hide management console elements and set the console mode.

Customize the Console View

Set a Console to User or Author Mode

Add an Item to the Console Favorites Menu

Saving and Distributing Console Files

Learn how to save and distribute your custom console files.

Save and Distribute Custom Console Files

Give Users Access to Terminal Services

Configure Users' Terminal Services Start Up with the Add User Wizard

Adding Security Groups

Learn how to add new security groups to manage your network resources.

Add a Security Group

Managing Users

Learn how to perform common user management tasks.

Add a User

Add a User to a Security Group

Set User Account Restrictions

Review or Change User Information

Reset User Passwords

Grant or Revoke Remote Access Permissions for a User

Control User Access to the Internet

Disable a User Account

Delete a User Account

Add a User Template to the Add User Wizard

Change User Template Properties

Remove a User Template

Add a User to the Backup Operators Security Group

Add or Remove Distribution Group Members

Delete a Distribution Group

Managing Printers

Learn how to perform common user management tasks.

Add a Printer

Review or Change Printer Properties

View or Manage Print Jobs

Delete a Print Job

Related Topics

Best Practices


Set User Account Restrictions

In addition to assigning users to security groups, administrators can control user access to the Small Business Server network by setting user-specific account restrictions. This includes logon hours, password expirations, and available Microsoft Exchange features.

To set user-specific account restrictions

The way in which you set user account restrictions depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change User Properties.
  2. In the User Properties dialog box, click the tab for the account features on which you want to restrict user access, and then click Help for more information.
  3. Click OK when you are finished defining account restrictions.

Related Topics

Review or Change Printer Properties


Using Security Groups to Restrict Access to Shared Folders

If you use the default selections, all shared folders that are created with the Add Shared Folder Wizard will grant full control access to members of the Administrators and BackOffice Folder Operators security groups. Members of the Domain Users security group, which includes all users created from Small Business Template Users, will have only read access to shared folders that are created on the Small Business Server computer.

If you need greater control over shared folders, you can change the default share settings in the Add Shared Folder Wizard to restrict user access to a shared folder. For example, if you want to restrict read access on a shared folder to a particular group, you can configure the Domain Users security group to have no share permissions and grant a custom security group exclusive access. The following sections illustrate how you can do this.

Suppose the fictional company A Datum Corporation has the following users and shared folders to manage:

Table 1

Users | Shared folders
Alpha Beta Delta Gamma | Payroll Product Information

The administrator decides to grant only the users Alpha and Beta read access to the Payroll shared folder. However, the administrator wants to grant all users read access to the Product Information shared folder.

The administrator first creates four new user accounts by using the Add User Wizard. The administrator creates each new user account by using the Small Business User template. By default, this template makes all four users members of the Domain Users security group and grants them access to all shared folders.

Next, the administrator uses the Add Security Group Wizard to create a new global security group called Payroll Users. This global group will be given exclusive read access to the Payroll shared folder. The administrator now uses the Add User to Group Wizard to assign users Alpha and Beta to the new global security group. The final result is listed in Table 2.

Table 2

Global security groups | Assigned users
Payroll Users | Alpha and Beta
Domain Users | Alpha, Beta, Delta, and Gamma

Now the administrator uses the Add Shared Folder Wizard to create and customize the share permissions on the Payroll shared folder. On the Share Permissions page of the wizard, the administrator adds the Domain Users security group and clears the read, change, and full control access options. This prevents Domain users from accessing the Payroll shared folder. Lastly, the administrator adds the Payroll Users security group and selects the read, change, and full control access options. The final result is listed in Table 3.

Table 3

Global security groups | Access to Payroll shared folder
Payroll Users | Read, change, and full control
Domain Users | No access

Based on the share permissions listed in Table 3, only the users Alpha and Beta, as members of the Payroll Users global security group, have access to the Payroll shared folder. As members of the Domain Users security group, however, users Alpha, Beta, Delta, and Gamma have access to the Product Information shared folder.

Related Topics

Add a New Security Group

Add a User to a Security Group


Grant or Revoke Remote Access Permission for a User

User accounts cannot access Small Business Server remotely until you grant them remote access privileges. You can grant a user account remote access permission when creating the user from the Add User Wizard or from the BackOffice Manager snap-in that is available from the Small Business Server Administrator Console.

Important You must also configure your server to accept remote access connections from the users and groups that you grant permission.

To grant or revoke remote access permission for a user

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click the Users query.
  2. In the Details Pane, right-click the user account name for which you want to grant or revoke permission, and then click Properties.
  3. Click the Dial-in tab.
  4. In the Remote Access Permission (Dial-in or VPN) pane, click either Allow Access or Deny Access.
  5. Click OK to add or revoke remote access permission.

Related Topics

Give Users Access to Terminal Services


Folder Identity

Type the shared folder information.

  • Server. The server that is sharing the resource.
  • Folder path. The physical folder that you want to make available to users. Use the Browse button to locate the folder.
  • Shared folder name. The unique share name that users will use when connecting to the folder.
  • Comments. Descriptive text that helps to describe the shared folder. Users will see this comment when they browse for resources.
  • Publish the shared folder in the Active Directory. If selected, this will add the shared folder object to the Active Directory.


Add User Wizard

The Add User Wizard allows you to assign permissions to users who use Small Business Server remotely through Terminal Services.

To log on to the server through Terminal Server, users need:

  • Remote access permission
  • Group Policy rights (to log on locally to the server), and
  • Terminal Server logon rights

Users need all three items to log on to the Small Business Server.

For users to receive Group Policy rights and Terminal Server connection rights, you need to either add them to the BackOffice Remote Operators group, or grant them Administrator rights. Users modeled after the template Power User and template Administrator receive these group memberships by default. You can also set this property manually from the Group Membership Page of the Add User Wizard.

Add User Wizard Options

  • Allow remote access permission. Selecting the option allows the user to connect to the network from a remote location.
  • Allow logon to TS. Selecting the option specifies in the user property sheet that the user is permitted to log on to the Terminal Server.
  • Start end user console. Selecting the option automatically starts a limited console, the Small Business Server Personal Console, upon log on through Terminal Services. The user is automatically logged out of the server when they exit the console.
  • Start full desktop. Selecting the option grants users access to the full desktop of the server when they log on through Terminal Services, allowing them to edit files and change settings on the server.
  • Start following program at login. Selecting the option opens a program you specify when the user logs on to the server through Terminal Services.


Newly Created User Unable to Logon or Access E-mail

This problem typically occurs when a new user attempts to logon or access network resources immediately after the account is created and before the Active Directory has had time to update. There can be a delay of several minutes between when a user is first created and when the Active Directory recognizes the user.

Recommendation

Wait fifteen minutes for the Active Directory to update. If the problem persists, run the

Small Business Server Troubleshooter for Network Access

to resolve possible connectivity problems.


User Unable to Connect Through Windows 2000 Terminal Services Client

If you have created a user account with permission to logon to Terminal Services yet you still cannot use the account to logon, your server may not have been configured to allow Terminal Services connections.

This problem can also occur if you have not configured the Terminal Services Configuration snap-in to allow a user account, or a security group of which the user is a member, proper access to Terminal Services. Additionally, the user may belong to the wrong security group or may not have access to start a particular application when running Terminal Services.

Recommendation

Review your Terminal Services configuration, and ensure that you have completed all the To Do Lists tasks necessary to grant your users Terminal Services privileges. You should also verify that the user account has sufficient privileges to start the application or management console listed in their Terminal Services profile.

To support Terminal Services connections, configure the following three items:

  • Individual user or security group rights to logon to Terminal Services.
  • The domain controller security policy must allow Terminal Services connections from the specified users or groups.
  • The Terminal Services Configuration snap-in must be configured to accept connections from the specified users or groups.

To grant a user Terminal Services logon rights

  1. In the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Users.
  2. In the Details Pane, right-click the user to whom you want to grant Terminal Services rights, and then click Properties.
  3. Click the Terminal Services Profile Tab, select the Allow Logon to Terminal Server check box, and then click OK to close the User Properties dialog box.

Tip To grant users Terminal Services rights, use the User Template in the Add User Wizard.

To configure the domain controller security policy to accept Terminal Services connections

  1. Click Start, point to Programs, point to Administrative Tools, and then click Domain Controller Security Policy.
  2. Expand Security Settings, expand Local Policies, and then click User Rights Assignments.
  3. In the Details Pane, right-click Log on Locally, and then click Security.
  4. Select the Define these policy settings check box, click Add, click Browse, and then select the user or security group to whom you want to grant Terminal Services rights (for example BackOffice Remote Operators).
  5. Click Add, click OK to add the group, click OK to add user or group, and then click OK to close the Security Policy Setting dialog box.

To configure the Terminal Services Configuration snap-in to accept Terminal Services connections

  1. In the Small Business Server Administrator Console, expand the Terminal Services Configuration snap-in, and then click the Connections folder.
  2. In the Details Pane, right-click the network connection for your server (for example, RDP-TCP), and then click Properties.
  3. Click the Permissions tab, click Add, select the user or security group to whom you want to grant Terminal Services rights (for example BackOffice Remote Operators), click Add, and then click OK.
  4. Select the User Access check box, and then click OK to close the Connection Properties dialog box.

More Information

If you still cannot connect to Terminal Services after following the steps outlined above, you may have a network connection problem. For more information about diagnosing and resolving network connection problems, refer to the

Small Business Server Troubleshooter for Network Access.

Grant Users Access to Terminal Services


User Account Gets Locked Out

A user can be locked out as a result of too many failed logon attempts.

Recommendation

You can unlock the account by using the Active Directory Users and Computers snap-in in the Small Business Server Administrator console.

  1. Click Start, and then click Small Business Server Administrator.
  2. In the Console Tree, expand the Active Directory Users and Computers node, expand the node displaying the DNS name of your server computer, and then click the Users node.
  3. In the Details Pane, right-click the user account that is locked out, and then click Properties.
  4. On the User Properties page, click the Account tab.
  5. Unlock the account by clearing the Account is locked out check box.
  6. Click OK to save changes.


Application With Service Account Fails

This problem can occur if you have changed account passwords used for your service accounts, but have not updated the automatic logon properties to use the new passwords. Small Business Server does not automatically propagate password changes to all applications that use the service account.

Recommendation

You can update the service accounts and passwords used with a particular application by running Small Business Server Setup again.

To configure service accounts from Small Business Server Setup

  1. Place the Small Business Server installation disc (or digital video disc) into your disc drive, click Start, click Run, browse to your disc drive, and then double-click Setup.
  2. On the Service Accounts page of the setup wizard, select the application you want to configure, and then click Assign Account(s).
  3. Follow the on-screen instructions to complete the wizard.


Difficulty Logging On with a New User Account

If the user is having problems logging in for the first time, verify that the user account is not disabled or has not expired.

  1. In the Console Tree of the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Users.
  2. In the Details Pane, right-click the user name, and then click Properties.
  3. On the Account tab, in the Account Options frame, ensure that the Account Disabled box is clear.
  4. Verify that, in the Account Expires frame, Never is selected.
  5. Click OK.

Note Users who do not have administrative privileges cannot log on to Small Business Server. To see the privileges assigned to a user, click Groups.


Print Job Finishes but Nothing Prints

First, try to determine whether the client's printing problem is tied to a specific application or whether the user cannot print anything on the printing device. Try sending a simple document, such as a Notepad file, to the printer.

If the client is able to print a simple document

The printing problem could be tied to the settings in the application from which the user is printing.

  1. On the File menu of the application from which the user is trying to print, choose Print Setup (or Page Setup), then click Printer.
  2. Ensure that the printing device specified in the dialog box matches the printing device.
  3. If you change any settings, try printing the document again.

If the user is trying to print a PostScript file, make sure the printer is a PostScript printer.

  1. Click Start, point to Settings, and then click Printers.
  2. Right-click the printer and point to Properties.
  3. Click the General tab.

    Verify that the correct printer driver is installed.

  4. Change the printer driver by clicking the Advanced tab, then clicking New Driver.

If the client is unable to print a simple document

  1. Click Start, point to Settings, and then point to Printers.
  2. Verify that the client's printer network path is correct.
  3. Make sure the client's network cable is plugged in.
  4. Make sure the printing device is online.

    Most printing devices have an On Line button with a light next to it. The light should be on.


Problems Installing a Printer Driver on a Client Computer

When you install a shared printer on Small Business Server, you can select which client computer operating systems can automatically install the printer drivers from the server. If you choose not to do this, then you must install the printer driver manually during printer installation on the client computer. Follow the steps below to install the printer driver manually on the client computer.

  1. On the client computer, click Start, point to Settings, and then click Printers.
  2. Double-click Add Printer.
  3. Follow the on-screen instructions.
  4. When prompted, insert the printer manufacturer's disk or browse to the network location containing the printer drivers.
  5. Complete the installation.


Cannot Find a Printer in the Shared Printer List

If you are unable to select a printer from the printer list, do the following:

Verify that the printer is being shared

  1. Click Start, point to Settings, and then click Printers.
  2. Right-click the printer and then point to Sharing.
  3. Click the Sharing tab, and verify that Shared as is selected, and that the share name is correct.
  4. Verify that the List in the Directory box is selected.

Verify that the client computer can view other network resources

  1. On the client computer, click Start, point to Search, and then click Files or Folders.
  2. In the Search for files or folders named box, enter the name of your file server.

    Users of older versions of Windows can type net view \\servername from the command prompt.

  3. If the client computer can't see any network resources, check to see that the network cable is attached to the computer.

Make sure the printer's access list is correct

  1. Click Start, then select Settings, and then select Printers.
  2. Right-click the selected printer, and select Properties.
  3. Click the Security tab. There is a list of user groups with access to the printer. Make any necessary adjustments to the access list.


Problems Deleting a Print Job

If the user has problems canceling a print job from his or her client computer, an administrator or print operator can delete the print job from the Small Business Server Administrator console.

  1. From the Small Business Server Administrator console, select the Favorites tab, click Management Shortcuts, and then click Printers.
  2. Right-click the printer you want to manage, and then click Manage Printer Jobs.
  3. Select a print job from the list, and then click Cancel a Print Job.


Cannot Connect to a Network Printer

There are several possible reasons why a client computer cannot connect to a network printer. If you cannot connect to a network printer:

  • Verify that the Client Computer is Connected to the Network
  • Verify That the Printer is Being Shared
  • Verify That Users Have Access to the Printer
  • Check the printer.
    • Make sure the printing device power switch is on.
    • Make sure the printing device is online.

      Most printing devices have an On Line button with a light next to it. The light should be on.

  • Refer to documentation provided by the manufacture of the printer.


Shared Folders List View Disappears After Using the Stop Sharing Task

When you stop sharing a folder using the Stop Sharing task, all shared folders will momentarily disappear from the list view. The problem only occurs from the Shared Folders taskpad view of the My Small Business Server Console.

Recommendation

Refresh the Shared Folders list view.

To refresh the list of shared folders

  • In the Details Pane of the My Small Business Server Console, click Refresh.


Cannot Access a File in a Shared Folder

A user must have at least Read permission on the file or the shared folder.

Recommendation

Use the Small Business Server Administrator console to check, add, and change user permissions to a folder.

To check, add, or change user permissions to a folder

  1. From your Small Business Server Administrator console, select the Favorites tab, open Management Shortcuts, and then click Shared Folders.
  2. Double-click Shares, right-click a shared folder from the list, and then click Properties.
  3. Click the Share Permissions tab, and then select a user from the list. Permissions for that user are displayed under Permissions.

If the user has access to the shared folder but is still unable to find the file, verify that the user has permission to access to the file.

  1. Right-click Start, and then click Explore.
  2. Browse the directory to locate the file.
  3. Right-click the file, click Properties, and then click the Security tab.
  4. Click Add to add the user to the Name list.
  5. Click Advanced, select the user in the list, and then click View/Edit.
  6. Modify permissions as necessary, and then click OK.


User Cannot Access Shared Folder

Verify that the client computer is properly connected to the Small Business Server network and that the user is logged on.

Use the Small Business Server Administrator Console to verify that the user has permission to access the shared folder.

  1. From the Small Business Server Administrator console, select the Favorites tab, open Management Shortcuts, and then click Shared Folders.
  2. Double-click Shares, right-click a shared folder from the list, and then click Properties.

Click the Share Permissions tab, and then click Add or Remove to add or remove users who have access to the shared folder.


Unable to Access a Delegated Mailbox

This problem typically occurs when you are trying to delegate mailbox access by using the Exchange snap-in. This snap-in only enables you to grant a user send-on-behalf privileges; it does not enable you to delegate mailbox access.

Recommendation

Use the Outlook client to delegate mailbox access.

To delegate access by using Outlook 2000

  1. From the Tools menu, click Options.
  2. Click the Delegates tab, and then click Add.

Note If you do not have the Delegates Access feature, you can add it by using the Add-In Manager option in Outlook, as described in the following steps:

  1. From the Tools menu, click Options.
  2. Click the Other tab, click Advanced Options, and then click Add-In Manager.
  3. Select the Delegate Access check box, and then click Install.


NNTP Events 420 and 421 Are Filling Up the Event Log

The Network News Transport Protocol (NNTP) service (NNTPSVC) begins each time you start your server. NNTPSVC will continuously log messages regarding newly received or newly posted news group items, and can fill up your Event Log if left unattended.

Recommendation

This logging behavior is normal and should not affect performance. If desired, however, you can change the Event Log logging frequency or clear the Event Log.


Internet Services Manager Displays Stop Sign Icons On Exchange Virtual Directories

Internet Information Services (IIS) Web Service operates on the assumption that, when it starts, Exchange is running. If Exchange is not running when the IIS Web Service starts, users will see a Stop Sign icon next to all Exchange virtual directories in Internet Services Manager. This does not affect IIS or Exchange functionality.

Recommendation

To clear the Stop Sign icons, restart the IIS Web Service.

To restart the IIS Web Service

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. Right-click Default Web Site, and then click Stop.
  3. Right-click Default Web Site, and then click Start.
  4. Refresh Internet Services Manager to verify that the stop sign icon no longer appears.


Setting Up a Filter in Exchange to Block Unwanted E-mail

If your network is receiving a substantial amount of unwanted e-mail messages, you can set up a filter to prevent the messages from being delivered. This is a two-step process, as described in the following procedures.

To set up the filter

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings, right-click Message Delivery, and then click Properties.
  3. Click the Filtering tab. A current list of e-mail addresses and display names appears. Mail sent from these e-mail accounts to the Exchange server is not delivered to the recipient.
  4. Click Add to add an entry to the filter.
  5. Type in a specific e-mail address or use a wildcard to filter out an entire domain, and then click OK.
  6. Select the Accept messages without notifying sender of filtering check box to prevent an NDR from being mailed to the sender of the filtered message. If you receive large amounts of filtered e-mail, this can improve network and server performance.

To apply the filter

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Servers, double-click your Exchange server name, double-click Protocols, and then double-click SMTP.
  3. Right-click the Default SMTP Virtual Server, click Properties, and then click Advanced.
  4. Select the virtual server, and then click Edit.
  5. Select the Apply filter check box, and then click OK.
  6. Exit System Manager.


Adding a Mail Exchanger (MX) Record to a DNS Server

MX records map a DNS domain name to the name of a computer that exchanges or forwards mail. If your network has a DNS Server and an Exchange Server installed on separate computers, you must add an MX record to the DNS Server.

To add an MX record

  1. Click Start, point to Programs, point to Administrative Tools, and then click DNS.
  2. Double-click the DNS server that you want to modify, double-click Forward Lookup Zones, and then double-click the applicable zone.
  3. From the Action menu, click New Mail Exchanger.
  4. In the Host or domain box, leave this box blank or verify your e-mail settings with your ISP.
  5. In the Mail server box, type the DNS host computer name of the MX or mail server host that delivers mail for the specified domain name.

Note Click Browse to view the DNS namespace for MX hosts in this domain that have host (A) records already defined.

  6. Click OK to add the new record.

More Information

For more information about MX records, refer to Windows 2000 Help.


TURN or ETRN Signal Not Downloading E-mail from ISP

This problem occurs when you upgrade from Exchange 5.5 to Exchange 2000 Server. During the upgrade, your ETRN and TURN domain information is lost and must be entered again using the Small Business Server Internet Connection Wizard.

Recommendation

Run the Small Business Server Internet Connection Wizard and enter your domain name information. The Small Business Server Internet Connection Wizard will configure Exchange 2000 Server to use your domain name, which will ensure that your TURN or ETRN signals are sent using the correct domain information.

To reconfigure ISP mail server settings

  1. From the Small Business Server Administrator Console, click Internet Information Services from the Console Tree, click the Tips – Connecting to the Internet tab at the bottom of the Details Pane, and then click Manage Connections.
  2. On the Configure Internet Domain Name page of the wizard, type the domain name of your Small Business Server computer.
  3. Follow the on-screen instructions to complete the wizard.


Unable to Send Attachments in E-mail

This problem may result from message delivery restrictions defined for Exchange 2000 Server.

Recommendation

Review your Exchange 2000 Server SMTP connector configuration and determine what, if any, message delivery restrictions are set. If any message delivery restrictions are active, review the current threshold limits and determine if you need to change the delivery restrictions.

You can review and set message delivery restrictions from the Small Business Server Administrator Console.

To set limits on e-mail file size

  1. In the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Global Settings node, right-click Message Delivery, and then click Properties.
  2. Click the Defaults tab, and then set the desired file size limits, as follows:.
    • Outgoing message size can be set to No limit or a maximum size in kilobytes (KB).
    • Incoming message size can be set to No limit or a maximum size in KB.
  3. Click OK to set the file size limits.

To set limits on the number of e-mail recipients

  1. In the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Global Settings node, right-click Message Delivery, and then click Properties.
  2. Click the Defaults tab, and then set the desired recipients limits.
    • Recipient limits can be set to No limit or a maximum number of recipients.
  3. Click OK to set number of recipient limits.

To filter e-mail from specific senders

  1. In the Small Business Server Administrator Console, expand the Exchange node for your organization, expand the Global Settings node, right-click Message Delivery, and then click Properties.
  2. Click the Filtering tab, and then do one of the following:
    • To add a new filter, click Add, type the e-mail address of the sender (the address must include a fully qualified domain name such as someone@microsoft.com), and then click OK to add the address to the filtered senders list.
    • To edit a filter, in the Filtered Senders list, select a sender address, click Edit, and then type the new e-mail address for the sender (the address must include a fully qualified domain name such as someone@microsoft.com).
    • To remove a filter, in the Filtered Senders list, select a sender address, and then click Remove.
  3. Click OK to save filtering options.


E-mail is not Sent, Remains in Outbox

There are several possible reasons why your e-mail is not being sent. You will need to verify the following:

To check for errors in the event log files

  1. Click Start, point to Programs, point to Administrative Tools, and then click Event Viewer.
  2. Check both the Application and System logs.
  3. If necessary, resolve any system problems.

To check that all Microsoft Exchange services are running

  1. Click Start, point to Programs, click Administrative Tools, and then click Services.
  2. Verify that all the Exchange services are up and running.
  3. If necessary, restart the services.

To check that you can connect to your ISP

  • Your system's e-mail is sent and delivered by means of a connection to an ISP. Verify that your connection is working by using your browser to connect to the Internet. If you cannot connect to the Internet, check your modem and network cabling. You may also need to contact your ISP if you suspect the problem is on the provider's end.


Duplicate Contacts

In Microsoft Outlook, importing a Personal Address Book (PAB) that contains a Personal Distribution List (PDL) may generate duplicate contact records.

The import process sets up a contact record for each entry in a PDL. If the PDL entries are also in the PAB, then contacts are set up for these records, also, resulting in duplicates.

To resolve this, delete the duplicate contacts after importing your PAB, or include only entries not found in your PAB list in the PDL. If the PDL entries are located in other than the PAB, such as another contact list or a Global Address Book, no duplicates will occur.


Unable to Browse Internet After Installing Internet Security and Acceleration Server 2000

This problem can occur for a number of reasons:

  • Internet Security and Acceleration (ISA) Server 2000 Site and Content Rules may be blocking a user from a particular Internet site.
  • You could have enabled IP packet filters if you configured a virtual private network (VPN).
  • You may not have configured your Internet connection using the Small Business Server Internet Connection Wizard.
  • You may not have installed the ISA Server firewall client software that sets browsers to use port 8080.

Recommendation

Review your ISA Server settings to determine if there any Site and Content Rules or Protocol Definitions that are denying Internet traffic. You may also want to run the Networking Connectivity Troubleshooter to check your Internet connection.

Check the port settings on client computer's browser and verify that it uses port 8080.

To change the Internet Explorer port setting

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Internet Options.
  3. Click the Connections tab, and then click LAN Settings.
  4. In the Proxy Server section, change the Port field to 8080, and then click OK.


Cannot Back Up a File

If you are having problems backing up information on your computer, check to see if you are attempting to back up any files that are in use. Windows 2000 Backup cannot back up files if they are being used. Close all files before you run a full or incremental backup.

To view which files on your server are open

  1. Open the Small Business Server Administrator Console.
  2. From the Favorites tab, click Management Shortcuts, and then click Shared Folders.
  3. In the Details Pane, double-click Open Files.
  4. Right-click each file you want to close, and then click Close Open File.

Note Closing the files remotely will not save the current file. All changes made to the file will be lost. Encourage your employees to close all files and disconnect from the server before they leave work each day. This will ensure the integrity of your backup procedure.

For additional information, view the Windows 2000 Backup and Recovery Tools online Help.


Remote Computers Cannot Establish Non-VPN Connection to Server After Configuring VPN

If you use the Routing and Remote Access Service (RRAS) Configuration Wizard to configure a virtual private network (VPN), it configures IP packet filters to automatically filter out all other non-VPN network traffic. This RRAS configuration will deny RRAS connections from remote computers that are not connecting to your server using a VPN.

Recommendation

Remove the IP packet filters set by the Routing and Remote Access Service Configuration Wizard. This will allow RRAS access to remote computers that are not using VPN connections.

To remove IP packet filters

  1. Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  2. In the Console Tree, expand the node with your Small Business Server computer name, expand IP routing, and then click General.
  3. Right-click the Local Area Connection interface, and then click Properties.
  4. Click the General tab, click Input Filters, select any filter listed in the Filters list box, and then click Remove.
  5. Click OK to close the Input Filters dialog box.
  6. On the General tab, click Output Filters, select any filter listed in the Filters list box, and then click Remove.
  7. Click OK to close the Output Filters dialog box.
  8. Click OK to close the connection properties dialog box.

More Information

Consult the

Small Business Server Troubleshooter for Network Access

to diagnose and correct any additional network problems.


Cannot Log On to Terminal Services Because There are Too Many Open Sessions

This problem occurs because all users, including the administrator account, are limited to 2 concurrent Terminal Services sessions at a time.

Recommendation

Close all open Terminal Services sessions, and then attempt to logon through Terminal Services.

To view current Terminal services connections

  1. Click Start, point to Programs, point to Administration Tools, and then click Terminal Services Manager.
  2. Expand the node with your domain name, and then expand the node with your server name.

    Each Terminal Services connection will be shown as a separate node beneath the server name node.

To close a Terminal Services connection

  1. Click Start, point to Programs, point to Administration Tools, and then click Terminal Services Manager.
  2. Expand the node with your domain name, expand the node with your server name, right-click the connection you want to close, and then click Logoff.

To suspend a Terminal Services connection

  1. Click Start, point to Programs, point to Administration Tools, and then click Terminal Services Manager.
  2. Expand the node with your domain name, expand the node with your server name, right-click the connection you want to close, and then click Disconnect.

Note A disconnected Terminal Services connection can be re-established at any time by re-enabling the connection. A disconnected session counts as an open session against the 2 open session maximum Terminal Services connection limit.


Modem Does Not Hang Up

This may occur when the Idle time before hanging up value in the Dial-Up Connection properties page is set to 0.

Recommendation

Set the Idle time before hanging up value to 1. This will ensure that RAS always disconnects after each dialing attempt.

To set the idle seconds before hanging up

  1. From the Start menu, point to Settings, point to Network and Dial-up Connections, and then click your dial-up connection
  2. On the Connect <Connection> page, click Properties, and then click the Options tab.
  3. Under Redialing options, change Idle time before hanging up to a value other than never, and then click OK.
  4. Click Cancel to close the Connection properties page.


Problems with Incoming Calls Always Answered by RAS

An adaptive answer modem can determine which type of call is incoming (RAS or FAX) and process the call accordingly.

If a modem is an adaptive answer modem and calls are only being answered by RAS, there are two possible causes:

  • Shared Fax Service has been configured not to receive a call on that modem.

    -or-

  • The ring count for the modem is set to greater than two rings.

To configure Shared Fax Service to receive a call on a modem and set the number of rings before answering

  1. From the Console Tree of the Small Business Server Administrator Console, expand the Microsoft Shared Fax node, expand Devices and Providers, and then click Devices.
  2. In the Details Pane, right-click the name of the fax device and then click Properties.
  3. On the General tab, select Receive Faxes.
  4. Set Rings Before Answer to less than or equal to two.
  5. Click OK to save your changes.

Recommendation

Use different modems for Shared Fax Service and Internet connectivity.


Client Dial-up Settings Lost After Client Installation

After you install a client for Small Business Server on a computer that had Windows 95, Windows 98, or Windows Me previously installed and configured for Dial-Up Networking, all previously selected settings for Dial-Up Networking are lost.

To resolve this issue, make note of any configured Dial-Up Networking settings and replace them after Small Business Server is installed.


Problems Dialing Out Using a Shared Modem

If you have recently added or changed a modem on Small Business Server and are now having trouble dialing out, the problem may be caused by any of a number of reasons. Consider the following when troubleshooting a problem of this type:

  • Are there unattached modems that need to be removed from Small Business Server?
  • Are the communication ports properly configured?
  • Is the correct modem driver being used?
  • Is the modem in use?
  • Is the modem of the same type as other modems in a modem pool.
  • Is the correct modem pool name specified?

To review configuration settings for Shared Modem Service

  1. Click Start, point to Settings, click Control Panel, and then double-click Shared Modem Service.
  2. Click the Configuration tab.
  3. From the Pool list, select a modem and then click Properties.
  4. Make any necessary changes, and then click OK to save the settings.


Modem Dials Randomly

The following Small Business Server applications may cause your modem to dial unexpectedly:

  • Microsoft Internet Security and Acceleration (ISA) Server 2000.

    If ISA Server is installed, your modem will periodically dial out to perform Active Caching of Web site content for those sites you specified. Use the ISA Server snap-in to control Active Caching properties.

  • Microsoft Shared Fax Service.

    If Microsoft Shared Fax Service is installed, your fax queue may be set to send faxes only during non-peak hours. Use the Microsoft Shared Fax snap-in to control the transmission of faxes.

  • Microsoft Shared Modem Service.

    If Microsoft Shared Modem Service is installed, your modem will dial out any time a client computer needs to access the Internet.

Recommendation

If you have ISA Server, Shared Fax, or Shared Modem Service installed, review the properties for each application to ensure they are using the modem at the appropriate and desired times.

Additionally, because other applications may also be connecting to the Internet to check for updates, review your server's connection settings for all TCP/IP applications.


Shared Fax Service Not Sending Faxes to New Modem

If you install a new modem for use by Microsoft Shared Fax Service, you may need to restart the service before it recognizes the new modem.

Recommendation

Stop and then restart Microsoft Shared Fax Service.

Note Before you begin, disable new fax transmissions to the fax queue.

To disable new fax transmissions

  1. In the Small Business Server Administrator Console, right-click the Microsoft Shared Fax snap-in, and then click Properties.
  2. Click the General tab and then click Disable submission of new outgoing faxes.
  3. Click OK to close the Properties dialog box.

To restart Shared Fax Service

  1. In the Small Business Server Administrator Console, right-click the Microsoft Shared Fax snap-in, and then click Stop.
  2. Right-click the Microsoft Shared Fax snap-in, and then click Start.

More Information

Additional information is available in the Shared Fax Service Help.

To access Shared Fax Service help

  • In the Small Business Server Administrator Console, right-click the Microsoft Shared Fax snap-in, and then click Help.


Client Computer Does Not Receive E-mail Notification of Fax

Small Business Server 2000 no longer provides default e-mail notification of fax transmissions.

Recommendation

If you want to receive e-mail notification of fax transmissions, you need to manually configure notification using Microsoft Shared Fax Service.

To configure e-mail notification of fax transmissions

  1. In the Small Business Server Administrator Console, right-click the Microsoft Shared Fax snap-in, click Properties, and then click the Receipts tab.
  2. Select the Enable SMTP e-mail receipts delivery check box, and then type the information for the fields listed below.
    1. From e-mail address. Type the return address of the e-mail account you want to use for fax notification.
    2. Server address. Type the IP address or domain name of your Exchange 2000 Server.
    3. Port. Type the communications port number used by your SMTP server. This is usually port 25.
    4. Authentication. Select the authentication method used to connect to your SMTP server.
  3. Click OK to close the Microsoft Shared Fax Properties dialog box.


Cannot Revert Changes Made to ISP Password

This problem occurs if you change your ISP password using either the Small Business Server Internet Connection Wizard or the Change ISP Password Wizard, but cancel out before completing the wizard. These wizards do not store your old ISP password and therefore cannot restore the password once you confirm a new one and proceed to the next page of the wizard. Both wizards set your ISP password to the new password you confirmed within the wizard.

Recommendation

If you need to restore your old ISP password, re-run the Small Business Server Internet Connection Wizard or the Change ISP Password Wizard and enter your old password information.


Unable to Access Internet with Internet Connection Sharing

Small Business Server does not support Internet Connection Sharing (ICS), and the Small Business Server Internet Connection Wizard will not run if ICS is enabled. If you enable ICS after installing Small Business Server, you will lose all Internet connectivity.

Recommendation

Disable ICS and then run the Small Business Server Internet Connection Wizard to properly configure your network settings.

To disable Internet Connection Sharing

  1. Click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the Internet connection you want to configure, and then click Properties.
  3. Click the Sharing tab, and then clear the Enable Internet connections sharing for this connection check box.
  4. Click OK to close the properties dialog box.

To run the Small Business Server Internet Connection Wizard

  1. Start the Internet Connection Wizard
    From the Small Business Server Administrator Console, click Internet Information Services from the Console Tree, click the Tips - Connecting to the Internet tab at the bottom of the results pane, and then click Manage Connections.
  2. Follow the on-screen instructions to complete the wizard.


Users Are Prompted for a User Name and Password When Logging On to an Internal Web Site That Has Been Set Up for Anonymous Access

The anonymous user account (by default, IUSR_<computer_name>) may need to be resynchronized. In other words, the password listed for the anonymous account in the Active Directory Users and Computers Managerand the password again listed for that anonymous account in the Internet Service Manager do not currently match.

Recommendation

To work around this problem, do either of the following (each option is described in more detail below):

  • Enable Internet Information Server (IIS) to control the password for anonymous users.

    -or-

  • Manually synchronize passwords for the anonymous user account by setting the password in both the Internet Service Manager and the Active Directory Users and Computers Manager to the same value.
Enable IIS to Control Anonymous User Password

IIS cannot control the anonymous user password on an additional domain controller or when the original anonymous account has been deleted and re-created. Furthermore, this method of password control should not be used with remote computers. When you create a new anonymous account, you must make sure that the settings for your internal Web site and the Windows 2000 password settings are identical.

To enable IIS to control the anonymous user password

  1. Click Start, point to Programs, point to Administration Tools and then click Internet Services Manager.
  2. In the Console Tree, expand the server node, and then right-click the desired web site to open the Properties page.
  3. On the Directory Security tab, under Anonymous Access and Authentication Control, click Edit.
  4. Under Anonymous Access, click Edit.
  5. Verify that the correct user name is listed, and then select Allow IIS to control password.
Manually Synchronize Passwords

If you choose not to allow IIS to control the password, perform the following steps.

Manually synchronize the user name and password used by both IIS and Windows 2000

  1. Click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the Console Tree, expand the server node, and then click Users.
  3. In the Details Pane, right click the built-in account for anonymous users, and then click Reset Password.
  4. Type and confirm the new password, and then click OK.
  5. In the Internet Services Manager, open the Properties page for your web site.
  6. On the Directory Security tab, under Anonymous Access and Authentication Control, click Edit.
  7. Under Anonymous Access, click Edit.
  8. Set the user name and password to the same settings you specified in Active Directory Users and Computers.

Note The Allow IIS to control password check box must be cleared in order to set the password manually.

More Information

This topic was derived from Microsoft Knowledge Base article Q190005.


Communications Applications Fail to Connect to the Internet

This problem can occur if you have configured Small Business Server 2000 to use Internet Security and Acceleration (ISA) Server 2000 but have not created a policy to allow network traffic on the particular ports or from the particular users that your communications applications use.

By default, ISA Server is configured to allow all TCP/UDP traffic from the members of the BackOffice Internet Users security group.

Recommendation

If you are using ISA Server as your firewall, review your access policies and add any necessary communications ports to your Small Business Server policy.

To add a communications port to an ISA Server array policy

  1. Define a protocol definition for the communications port your applications use. For example, SMTP e-mail uses port 25 to establish connections.
    1. In the Small Business Server Administrator Console, expand the Internet Security and Acceleration Server snap-in, expand Arrays, expand the node with your server name, expand Policy Elements, and then click Protocol Definitions.
    2. To review a protocol's definition, double-click a protocol name in the Details Pane.
    3. To add a new protocol definition, right-click Protocol Definitions in the Console Tree, point to New, and then click Definition to start the New Protocol Definition Wizard.
    4. Follow the on-screen instructions to complete the wizard.
  2. Define a site and content rule to allow access to the communication port defined in Step 1.
    1. In the Small Business Server Administrator Console, expand the Internet Security and Acceleration Server snap-in, expand Arrays, expand the node with your server name, expand Access Policy, and then click Site and Content Rules.
    2. In the Details Pane, click Create Site and Content Rule to start the New Site and Content Rule Wizard.
    3. Follow the on-screen instructions to complete the wizard.


Unable to Resolve DNS Names

This problem can occur if you have not configured Small Business Server to use your Internet service provider's (ISP's) DNS Server. It may also reflect a larger DNS problem that you will need to resolve with the help of your ISP.

Recommendation

Run the Small Business Server Internet Connection Wizard and enter the IP address of your ISP's DNS Server. If running the Small Business Server Internet Connection Wizard does not resolve the problem, contact your ISP about your DNS configuration. Have your ISP verify that your domain name and IP addresses are listed properly in DNS.

To configure your Small Business Server connection

  1. Start the Small Business Server Internet Connection Wizard
    From the Small Business Server Administrator Console, click Favorites, point to Small Business Server Tips, click Internet, and then click Manage Connections from the Details Pane.
  2. On the Set Up Second Network Adapter page of the wizard, type the Primary DNS server address and Secondary DNS server address information provided by your ISP.
  3. Follow the on-screen instructions to complete the wizard.


Seeing Another User's Folder on Your Desktop

This is expected behavior if you are sharing a client computer with another user. You have a shared desktop, and you will see the other user's folders on your desktop. However, you should not be able to access any files in the other user's folders unless you have been given permission to do so.


Cannot Connect Client Computer to the Mail Server

You should check the following if you are having problems connecting a client computer to the mail service.

To verify that the e-mail client profile configured properly

  1. Start Outlook on the client computer.
  2. On the Tools menu, click Services.
  3. Select Microsoft Exchange Server, and then click Properties.
  4. Verify the settings for Microsoft Exchange Server (should be the Small Business Server computer name) and Mailbox (should be the user's account on Small Business Server).

To verify that the client computer can connect to the server

  • To rule out a general networking problem, verify that the client computer can use other network resources. Try accessing a shared folder on the server.

To verify that services for Microsoft Exchange Server are available

  1. On the Small Business Server computer click Start, point to Programs, point to Administrative Tools, and then click Services.
  2. Verify that all the Microsoft Exchange services are up and running.
  3. If necessary, restart the services.


Client Applications Cannot Be Installed on Client Computers

If client applications are not being installed on a client computer when a user logs on to it, verify that the following conditions have been met:

  • Client applications are on the server

    During Small Business Server installation, the client application source files are placed in \\servername\ClientApps5 by default. However this location can be changed during installation of Small Business Server 2000.

  • The shared folder containing the client application source files is shared correctly.

    The share permissions on this folder should be everyone:full.

  • Share Permissions on the \Clients\Response\ folder of the Small Business Server client computer should be set as everyone:full
  • NTFS Permissions on the \Clients\Response\<clientname> folder of the Small Business Server client computer should be set as everyone:full

When all of these conditions have been met, run the Set Up Computer Wizard and follow the on-screen instructions to assign client applications for the client computer. If you also have a second Windows 2000 Server computer acting as an additional domain controller attached to your Small Business Server network, you should copy the logon scripts to the additional domain controller. Logon could be erratic depending on which server is authenticating the client computer.


User Cannot Access the Correct E-mail on a Shared Client Computer

If you are setting up a client computer to be used by more than one person, you must complete the setup before adding another user. Completing the setup includes logging on as the user and opening Microsoft Outlook 2000. On the client computer, follow the steps below to modify a user's e-mail settings.

  1. Click Start, point to Settings, click Control Panel, and then double-click Mail.
  2. Click Show Profiles.
  3. Select the appropriate user, and then click Properties.
  4. Select Microsoft Exchange Server and click Properties.
  5. Type the user name in the Mailbox box.
  6. Click OK twice.
  7. Click Close.


Client Computer Cannot Join Domain

You may be unable to join a client computer to a domain if you are logged on with a user account that has insufficient network privileges, or if the client computer has an incorrect DNS configuration that is preventing communication with the server computer. To add a client computer using a Networking Setup Disk, you must be a domain administrator or have administrator privileges to add computers to the domain.

Recommendation

Run the Networking Setup Disk using an administrator account. The Networking Setup Disk will ask you for a valid administrator account to logon to the domain.

If you still cannot add a client computer to the domain, you may have an improper DNS configuration for your server or domain. Try checking the DNS server specified in the client's Network and Dial-up connections.

  1. If the IP address for the client computer is specified manually, make sure that:
    • The IP address of the client computer is unique to the network
    • The IP address of the client computer falls within the IP address range of your Small Business Server network
    • The subnet mask of the client computer matches the subnet mask of your Small Business Server computer.
  2. If the IP address for the client computer is specified automatically:

<EXPAND><HOTTEXT>For computers running Windows 98, Windows Me, Windows NT 4.0 or Windows 2000</HOTTEXT><CONTENT>

  1. From a command line, run ipconfig /all. In the resulting list of information, make sure there is an IP address specified for a DHCP server and a DNS server. If no IP address is specified, try to correct the problem by performing Step b.
  2. From a command line, run ipconfig /release and then run ipconfig /renew.

</CONTENT></EXPAND>

<EXPAND><HOTTEXT>For computers running Windows 95</HOTTEXT><CONTENT>

  1. On the Start menu, click Run.
  2. Type winipcfg, and then click Enter.
  3. From the drop-down list, select your network adapter.
  4. Click Release All, and then click Renew All.
    1. </CONTENT></EXPAND>

If these steps do not solve the problem, check for the following:

  • Is the Small Business Server computer running?
  • Are DNS and DHCP services running on the Small Business Server Computer?
  • Are other client computers connected to the network without problems? If so, check to make sure that the network cable is properly connected and that the network adapter of the client computer is enabled.
  • Do the network settings for other client computers match the network settings for the computer that cannot join the domain?

More Information

Additional information about the DNS records necessary to add client computers to a domain is available from the Microsoft Knowledge Base.

http://support.microsoft.com/support/kb/articles/Q266/3/24.asp

http://support.microsoft.com/support/kb/articles/Q256/0/83.asp

http://support.microsoft.com/support/kb/articles/Q258/5/00.asp

http://support.microsoft.com/support/kb/articles/Q251/3/35.asp

http://support.microsoft.com/support/kb/articles/Q228/3/28.asp


Cannot Migrate Client Computer to Small Business Server Domain

This problem occurs if you try to connect an existing client computer with a dynamically assigned IP address to your Small Business Server without first releasing and renewing the IP address of the client computer.

Recommendation

Release and renew the IP address of the client computer, and then re-run setup from the Networking Setup Disk.

To release and renew the IP address of Windows NT4.0 and Windows 2000 client computers

  1. Connect the Windows NT 4.0 or Windows 2000 client computer to the Small Business Server network.
  2. On the client computer, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  3. Type ipconfig /release to release the previous IP address.
  4. Type ipconfig /renew to obtain a new IP address from Small Business Server.

To release and renew the IP address of Windows 95/98 client computers

  1. Connect the Windows 95/98 client computer to the Small Business Server network.
  2. On the client computer, click Start, point to Programs, and then click MS-DOS Prompt.
  3. Type winipcfg to start the Windows IP Configuration.
  4. Select the Ethernet adapter option.
  5. Click Release to release the previous IP address.
  6. Click Renew to obtain a new IP address from Small Business Server, and then follow the on-screen instructions to complete the Windows IP Configuration.


The Courier V. Everything Modem Is Unable to Dial-out after a Server Upgrade

After upgrading Small Business Server, the following message may appear when dialing out using the Courier V. Everything modem:

"Error 797: The connection failed because the modem (or other connecting device) was not found. Please make sure that the modem or other connecting device is installed."

The Courier V. Everything modem and Standard modem might appear to be installed in the Phone and Modem Options or Dial-up Connection Properties dialog boxes.

Recommendation

Uninstall both the Courier V. Everything modem and Standard modem, and then reinstall the Courier V. Everything modem. Check the Shared Modem Service and Shared Fax Service, and verify that the Courier V. Everything modem is installed.

To uninstall the modems

  1. Open Phone and Modem Options
    Click Start, point to Settings, point to Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Select the Courier V. Everything modem, and then click Remove.
  3. Click Yes to confirm that you want to remove the modem.
  4. Select the Standard modem, and then click Remove.
  5. Click Yes to confirm that you want to remove the modem.

To reinstall a modem

  1. Open Phone and Modem Options
    Click Start, point to Settings, point to Control Panel. Double-click Phone and Modem Options and then click theModems tab.
  2. Click Add, and then click Next.
  3. In the Digital Signature Not Found dialog box, click Yes to continue the reinstallation. After reinstalling your modem, verify that the dial-up connection is correctly updated, as follows:
    1. Open Network and Dial-up Connections
      Click Start, point to Settings, and then click Network and Dial-up Connections.
    2. Right-click the dial-up connection, and then click Properties.
    3. If both modems still show in the Connect using drop-down list, select the Courier V. Everything modem, and then click OK.
    4. Reopen the dial-up connection Properties dialog box. The Standard modem should no longer appear in the Connect using drop-down list.


Unable to Locate the Web Publishing Wizard

Small Business Server 2000 no longer includes the Web Publishing Wizard.

Recommendation

Use FTP to post Web content to your ISP.

Note For more information on how to use FTP, refer to Windows 2000 Help.

To post Web content by using FTP

  1. Open Command Prompt
    Click the Start, point to Programs, point to Accessories, and then click Command Prompt.
  2. FTP to the computer hosting your Internet Web site, as follows:
    ftp IP_address_of_ISP_computer
  3. When asked, type your account and password information.
  4. Change to the local directory where your Internet Web content is stored, as follows:
    lcd c:\Inetpub\wwwroot

    By default this location is system_drive:\Inetpub\wwwroot, where system_drive is the drive containing the Small Business Server system files.

  5. If necessary, change to the remote directory where you want to post your files. For example:
    cd web_dir
  6. Post the Web page to your ISP, as follows:
    put web_file
  7. Exit FTP.
    quit


Client Computer Logon Errors

Client computers logging on to the network must have their logons validated by the domain controller. The domain controller is your Small Business Server computer. If the server fails to validate a client’s logon, the client may still be able to use the network.

Make sure that the Net Logon service is running on your Small Business Server computer. This service is responsible for validating a client computer’s logon.

  1. Click Start, point to Programs, click Administrative Tools, and then click Services.
  2. Right-click Net Logon, and then click Properties.
  3. On the General tab, ensure that Startup Type is set to Automatic, and that the Service status is Started.

    If the Service status is not Started, click Start.

  4. Click OK.
  5. Verify that your Small Business Server computer is plugged into the network.


Processor Monitoring

The Health Monitor snap-in is pre-configured with several thresholds to monitor the server processor. Consult the appropriate threshold description below to learn more about the health monitor alerts on your server.

You should first create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. You can find additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

Processor

Percent Interrupt Time

The % Interrupt Time threshold measures the percentage of time the main processor spends receiving and servicing hardware interrupts during the sample interval. This value is an indirect indicator of the hardware devices that generate interrupts, such as the system clock, the mouse, disk drivers, data communication lines, network interface cards, and other peripheral devices. These devices normally interrupt the processor when they have completed a task or require attention. Normal thread execution is suspended during interrupts.

Note Most system clocks interrupt the processor every 10 milliseconds, creating a background of interrupt activity.

Possible Problems

If your server is exceeding its baseline measurement of % Interrupt Time threshold, review your server's hardware configuration and check for any interrupt conflicts or hardware failures.

Percent Privileged Time

The % Privileged Time threshold measures the percentage of non-idle processor time spent in privileged mode. This value includes processor time spent servicing interrupts and Deferred Procedure Calls (DPCs). This counter displays the average busy time as a percentage of the sample time.

Note Privileged mode is a processing mode designed for operating system components and hardware-manipulating drivers. It allows direct access to hardware and all memory. The alternative, user mode, is a restricted processing mode designed for applications, environment subsystems, and integral subsystems. The operating system switches application threads to privileged mode to access operating system services.

Possible Problems

If your server is exceeding its baseline measurement of % Privileged Time threshold, check the value of the % Interrupt Time threshold. A high rate of privileged time might be attributable to a large number of interrupts generated by a failing device.

Percent Processor Time

The % Processor Time threshold measures the percentage of time that the main processor is using to run non-idle threads. It can be viewed as the fraction of the time spent doing useful work. Each processor is assigned an idle thread in the idle process that consumes those unproductive processor cycles not used by any other threads.

Possible Problems

If your server is continually exceeding its baseline measurement of % Processor Time threshold, review the active processes running on your server and determine if there are any processes you can stop or run from another server. If you see a sustained high value for this threshold, you may want to upgrade to a faster processor or add additional processors to handle the load.

Percent User Time

The % User Time threshold measures the percentage of non-idle processor time spent in user mode. This counter displays the average busy time as a percentage of the sample time.

Note User mode is a restricted processing mode designed for applications, environment subsystems, and integral subsystems. The alternative, privileged mode, is designed for operating system components and allows direct access to hardware and all memory. The operating system switches application threads to privileged mode to access operating system services.

Possible Problems

If your server is exceeding its baseline measurement of % User Time threshold, review the other processor thresholds to determine if there are any processor bottlenecks. A high % User Time value may simply be an indication that the system processor is doing most of its work in User Mode. This is an expected condition for a server running many applications simultaneously. If, however, your server is consistently exceeding its baseline measurement of % User Time, review the active applications running on your server and determine if there are any applications processes you can stop or run from another server.

Interrupts Per Second

The Interrupts Per Second threshold measures the number of hardware interrupts the main processor receives and services in a one second interval.

Note There are several activities that produce processor interrupts even in an idle system. To determine the actual number of interrupts per second, you need to subtract out the number of background interrupts generated by the main processor (for example, a Windows 2000 Server can expect about 1000 interrupts per second), any network interrupts, and any known hardware errors (like failing drives) from the value listed by this collector.

Possible Problems

If your server is exceeding the Interrupts Per Second threshold, first check for any hard disk failures. A failing hard disk may produce a high number of interrupts. You may see a sustained high value for this threshold if there is a hardware conflict between a network interface card and a hard disk controller. If you see a high-sustained rate of interrupts, then you may want to add more processing power to your server to handle the load.

System Information

Processor Queue Length

The Processor Queue Length threshold measures the number of threads in the processor queue. Unlike the disk monitoring collectors, this collector only counts ready threads, not threads that are currently running. This counter displays the last observed value only; it is not an average.

Note There is only a single queue for processor time even on computers with multiple processors. For example, on a four-processor system, the expected range of the processor queue length on a system with high CPU activity is from 4 to 12.

Possible Problems

If your server is exceeding the Processor Queue Length threshold, first review the active applications running on your server and determine if there are any applications processes you can stop or run from another server. If you still exceed the queue threshold, then you may want to add more processing power to your server to handle the load.


Memory Monitoring

The Health Monitor snap-in is pre-configured with several thresholds to monitor server memory usage. Consult the appropriate threshold description below to address any health monitor alerts your server is experiencing.

Note You will always see some amount of paging during normal operation, especially when starting up the system.

First you'll need to create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. There is additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

Memory and Paging

% Committed Bytes

The % Committed Bytes threshold measures the ratio of committed bytes to the available commit limit. This collector displays the current percentage value only; it is not an average.

Note Committed memory is physical memory in use. Space has been reserved in the paging file should the committed memory need to be written to disk. The commit limit is equal to the size of the paging file. If the paging file is enlarged, the commit limit increases, and the ratio is reduced.

Possible Problems

If your server is consistently exceeding its baseline measurement of % Committed Bytes threshold, review the active processes running on your server to determine if there are any processes you can stop or run from another server. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load.

Available Bytes

The Available Bytes threshold measures the amount of physical memory available to processes running on the computer. Health Monitor calculates this value as the sum of the memory listed in the Free, Zeroed, and Standby memory lists. This collector displays the last observed value only; it is not an average.

Note Free memory is memory ready for use. Zeroed memory consists of pages of memory filled with zeros to prevent later processes from incorporating data used by a previous process. Standby memory is memory removed from a process' working set (physical memory allocated to the process) and will be paged onto disk, but can still be recalled to the working set.

Possible Problems

If your server is exceeding its baseline measurement of Available Bytes threshold, review the active processes running on your server to determine if there are any processes you can stop or run from another server. You may also observe excessive paging as a result of the low Available Bytes threshold. Excessive paging is an indicator that your system has insufficient physical memory. If your system continually exceeds the Available Bytes threshold, you may want to add memory to your server to handle the load.

Cache Faults Per Second

The Cache Faults Per Second threshold measures the number of failures experienced while caching memory to the paging file in a one second interval. This collector displays the average value for the sampling interval.

Note Excessive Cache Faults are typically more common on servers.

Possible Problems

If your server is exceeding its baseline measurement of Cache Faults Per Second threshold, review the Pages Input Per Second threshold to determine if hard page faults are occurring. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load. You should also check the Processor Monitoring thresholds to determine if you have a failing hard disk.

Change in Pool Non-paged Bytes

The Change in Pool Non-paged Bytes threshold measures the number of bytes in the non-paged pool (an area physical memory used by the operating system for objects that cannot be written to disk), but must remain in physical memory as long as they are allocated. This collector displays the last observed value only; it is not an average.

Possible Problems

If your server is exceeding its baseline measurement of Change in Pool Non-paged Bytes threshold, review the active processes running on your server to determine if any of the active processes have memory leaks.

Page Faults Per Second

The Page Faults Per Second threshold measures the number of page faults in a one second interval. This collector displays the average value for the sampling interval.

Note Hard page faults occur when a process requires code or data that is not in its working set (physical memory allocated to the process) or elsewhere in physical memory, and must be retrieved from disk.

Possible Problems

If your server is exceeding its baseline measurement of Page Faults Per Second threshold, review the Pages per Second and Pages Input Per Second thresholds to determine if hard page faults are occurring. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load. You should also check the Processor Monitoring thresholds to determine if you have a failing hard disk.

Pages Per Second

The Pages Per Second threshold measures the total number of pages read from or written to disk, to resolve hard page faults. This collector was designed as a primary indicator of the kinds of faults that cause system-wide delays. This collector displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

Note Hard page faults occur when a process requires code or data that is not in its working set (physical memory allocated to the process) or elsewhere in physical memory, and must be retrieved from disk.

Note The collector computes this value as the sum of Pages Input Per Second and Pages Output Per Second. This value includes pages retrieved to satisfy faults in the file system cache, which are usually requested by applications, and in non-cached mapped memory files.

Possible Problems

If your server is exceeding its baseline measurement of Pages Per Second threshold, review the active processes running on your server to determine which processes are generating page faults. You may want to stop faulting processes or run them from another server. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load. If you have sufficient disk space but still consistently exceed the Pages per Second threshold, then you may want to upgrade your disk subsystem with faster disks and/or disk controllers. You may also want to move the paging file to the system's fastest disk or disk set.

Paging: Page Reads Per Second

The Page Reads Per Second threshold measures the number of times the disk was read to resolve hard page faults. This collector was designed as a primary indicator of the kinds of faults that cause system-wide delays. This collector displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

Note Hard page faults occur when a process requires code or data that is not in its working set (physical memory allocated to the process) or elsewhere in physical memory, and must be retrieved from disk.

Note This collector counts the number of read operations, without regard to the numbers of pages retrieved by each operation. This value includes pages retrieved to satisfy faults in the file system cache, which are usually requested by applications, and in non-cached mapped memory files.

Possible Problems

If your server is exceeding its baseline measurement of Pages Reads Per Second threshold, review the active processes running on your server to determine if there are any processes you can stop or run from another server. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load. If you have sufficient disk space but still consistently exceed the Page Reads per Second threshold, then you may want to upgrade your disk subsystem with faster disks and/or disk controllers. You may also want to move the paging file to the system's fastest disk or disk set.

Paging: Pages Input Per Second

The Pages Input Per Second threshold measures the number of pages read from the disk to resolve hard page faults. This collector was designed as a primary indicator of the kinds of faults that cause system-wide delays. This collector displays the difference between the values observed in the last two samples, divided by the duration of the sample interval.

Note Hard page faults occur when a process requires code or data that is not in its working set (physical memory allocated to the process) or elsewhere in physical memory, and must be retrieved from disk.

Note This collector counts the number of read operations, without regard to the numbers of pages retrieved by each operation. This value includes pages retrieved to satisfy faults in the file system cache, which are usually requested by applications, and in non-cached mapped memory files.

Possible Problems

If your server is exceeding its baseline measurement of Pages Input Per Second threshold, review the active processes running on your server to determine which processes are generating page faults. You may want to stop faulting processes or run them from another server. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load. If you have sufficient disk space but still consistently exceed the Pages Input per Second threshold, then you may want to upgrade your disk subsystem with faster disks and/or disk controllers. You may also want to move the paging file to the system's fastest disk or disk set.

Paging File

% Usage

The % Usage threshold measures the amount of the Page File currently in use by percentage.

Possible Problems

If your server is exceeding its baseline measurement of % Usage threshold, review the active processes running on your server to determine if there are any processes you can stop or run from another server. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load.

% Usage Peak

The % Usage Peak threshold measures the peak Page File usage over the sampling interval.

Possible Problems

If your server is exceeding its baseline measurement of % Usage Peak threshold, review the size of your paging file, and increase it if necessary. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load.

Server Memory

Pool Non-paged Failures

The Pool Non-paged Failures threshold measures the number of times allocations from non-paged pool have failed.

Possible Problems

If your server is exceeding its baseline measurement of Pool Non-paged Failures threshold, review the size of your paging file and increase it if necessary. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load.

Pool Paged Failures

The Pool Paged Failures threshold measures the number of times allocations from paged pool have failed.

Possible Problems

If your server is exceeding its baseline measurement of Pool Paged Failures threshold, review the active processes running on your server to determine which processes are generating page faults. You may want to stop faulting processes or run them from another server. If you have excessive paging consuming your hard disk, then you may want to add memory to your server to handle the load. If you have sufficient disk space but still consistently exceed the Pages per Second threshold, then you may want to upgrade your disk subsystem with faster disks and/or disk controllers. You may also want to move the paging file to the system's fastest disk or disk set.


Disk Monitoring (Physical & Logical)

The Health Monitor snap-in is preconfigured with several thresholds to monitor physical and logical disk usage. Consult the appropriate threshold description below to address any health monitor alerts your server is experiencing.

First you'll need to create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. There is additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

Check if DiskPerf is Running

Is DiskPerf Running?

The Is DiskPerf Running? threshold determines whether the DiskPerf service is running. DiskPerf must be running in order to collect disk information.

Possible Problems

If DiskPerf is not running, you can start it from the command prompt by typing the following command:

DISKPERF -Y

You will need to restart your server to start DiskPerf.

Logical Disks

% Disk Time

The % Disk Time threshold measures the percentage of disk time the selected disk drive is servicing read or write requests.

Possible Problems

If your server is exceeding its baseline measurement of % Disk Time threshold, investigate your disk subsystem for a physical memory shortage by examining the Memory and Paging thresholds. A sustained high % Disk Time value may represent a large amount of disk paging to compensate for insufficient physical memory. If you do not have a memory or paging problem, you may want to update your hard disk controller card to one with a higher bit rate or one that uses bus-mastering DMA instead of Programmed Input/Output (I/O).

Note The % Disk Time counter can yield inaccurate or misleading values when multiple disks are in use. For example, a system with 5 disks could display a 500% disk time value, but not have a disk bottleneck. If your system has multiple disks, you may want to monitor the % Idle Time threshold and compare its value to the % Disk Time, % Disk Read Time, and % Disk Write Time counters.

Note Programmed I/O uses the server's main processor to setup disk transfers. Switching to a DMA disk adapter will free up the main processor from disk transfers and may improve your overall disk performance.

% Free Space

The % Free Space threshold measures the ratio of the free space available on the logical disk unit to the total usable space provided by the selected logical disk drive.

Possible Problems

If your server falls below the % Free Space threshold, first review your Memory and Paging thresholds to see if there is a large amount of disk paging consuming disk space. If you do not have a memory or paging problem, review your disk usage to determine if there are any applications or data that can be removed or run from another server. You may also want add another hard disk to increase your overall disk capacity.

Current Disk Queue Length

The Current Disk Queue Length threshold measures the number of requests outstanding on the hard disk at the time the performance data is collected. This collector only displays the queue length of requests in service at the time of measurement; it is not an average over a time interval.

Note Multi-spindle disk devices can have multiple requests active at one time, but other concurrent requests are awaiting service. This collector might reflect a transitory high or low queue length, but if there is a sustained load on the disk drive, it is likely that this value will be consistently high. Requests will experience delays proportional to the length of this queue, minus the number of spindles on the disks. This difference should average less than 2 for good disk performance.

Possible Problems

If your server is exceeding its baseline measurement of Current Disk Queue Length threshold, first review your Memory and Paging thresholds to see if there is a large amount of disk paging consuming disk time. If you do not have a memory or paging problem, you may want to defragment the disk to improve performance. If you still have a problem you may want to update your hard disk controller card to one with a higher bit rate or one that uses bus-mastering DMA instead of Programmed I/O. You may also want to add another hard disk to increase your overall disk capacity.

Free Megabytes

The Free Megabytes threshold measures the unallocated space on the disk drive in megabytes.

Note One megabyte is equivalent to 1,048,576 bytes.

Possible Problems

If your server falls below the Free Megabytes threshold, first review your Memory and Paging thresholds to see if there is a large amount of disk paging consuming disk space. If you do not have a memory or paging problem, review your disk usage to determine if there are any applications or data that can be removed or run from another server. You may also want add another hard disk to increase your overall disk capacity.

Physical Disks

% Disk Time

If your server is exceeding its baseline measurement of % Disk Time threshold, investigate your disk subsystem for a physical memory shortage by examining the Memory and Paging thresholds. A sustained high % Disk Time value may represent a large amount of disk paging to compensate for insufficient physical memory. If you do not have a memory or paging problem, you may want to update your hard disk controller card to one with a higher bit rate or one that uses bus-mastering DMA instead of Programmed I/O.

Note The % Disk Time counter can yield inaccurate or misleading values when multiple disks are in use. For example, a system with 5 disks could display a 500% disk time value, but not have a disk bottleneck. If your system has multiple disks, you may want to monitor the % Idle Time threshold and compare its value to the % Disk Time, % Disk Read Time, and % Disk Write Time counters.

Note Programmed I/O uses the server's main processor to setup disk transfers. Switching to a DMA disk adapter will free up the main processor from disk transfers and may improve your overall disk performance.

Current Disk Queue Length

The Current Disk Queue Length threshold measures the number of requests outstanding on the hard disk at the time the performance data is collected. This collector only displays the queue length of requests in service at the time of measurement; it is not an average over a time interval.

Note Multi-spindle disk devices can have multiple requests active at one time, but other concurrent requests are awaiting service. This collector might reflect a transitory high or low queue length, but if there is a sustained load on the disk drive, it is likely that this value will be consistently high. Requests will experience delays proportional to the length of this queue, minus the number of spindles on the disks. This difference should average less than 2 for good disk performance.

Possible Problems

If your server is exceeding its baseline measurement of Current Disk Queue Length threshold, first review your Memory and Paging thresholds to see if there is a large amount of disk paging consuming disk time. If you do not have a memory or paging problem, you may want to defragment the disk to improve performance. If you still have a problem you may want to update your hard disk controller card to one with a higher bit rate or one that uses bus-mastering DMA instead of Programmed I/O. You may also want to add another hard disk to increase your overall disk capacity.


Changes Made to Home Snap-in Server Status View Not Saved

This problem occurs if you configure the Server Status View displayed in the Home snap-in without opening the management console in author mode. Unless you open the management console in author mode, you will lose any changes you make when you close the management console.

Recommendation

If you want to permanently change the Server Status View displayed in the Home Snap-in, open the management console in author mode, configure the Server Status View, and save your changes.

To open a management console in author mode

  1. Use Windows Explorer to browse to the location of the user's management consoles (for example, c:\Documents and Settings\All Users\Application Data\Microsoft\BackOffice\Management).

    Note To see a user's Application Data folder, you may have to configure Windows Explorer to show hidden files and folders.

  2. Right-click on the management console file name (for example, MySBSConsole.msc), and then click Author.
  3. Make your changes, click Console, and then Save.


File System Monitoring

The Health Monitor snap-in is preconfigured with several thresholds to monitor the server file system. Consult the appropriate threshold description below to address any health monitor alerts your server is experiencing.

First you'll need to create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. There is additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

File System Cache

% Copy Read Hits

The % Copy Read Hits threshold measures the percentage of cache copy read requests that did not require a disk read in order to provide access to the page in the cache. A copy read is a file read operation that is satisfied by a memory copy from a page in the cache to the application's buffer. The LAN Redirector uses this method for retrieving information from the cache, as does the LAN Server for small transfers. This method is used by the disk file systems as well.

Possible Problems If your server falls below the % Copy Read Hits threshold, you may need additional cache resources to fulfill copy read requests without calling the hard disk.


System Monitoring

The Health Monitor snap-in is preconfigured with several thresholds to monitor the server's Windows system status. Consult the appropriate threshold description below to address any health monitor alerts your server is experiencing.

First you'll need to create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. There is additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

System Information

Percent Registry Quota in Use

The % Registry Quota In Use threshold measures the percentage of the Total Registry Quota Allowed currently being used by the system. This collector displays the current percentage value only; it is not an average.

Possible Problems

If your server is exceeding the % Registry Quota In Use threshold, review the applications installed on your server to determine if there are any applications you can remove or run from another server. If you still exceed the % Registry Quota In Use threshold, then you may want to add hard disk space to your server to handle the load.

The Amount of Time the System has been Online

The Amount of Time the System has been Online threshold measures the elapsed time (in seconds) the computer has been running since it was last started. This collector displays the difference between the last start time and the current time.


Security Monitoring

The Health Monitor snap-in is preconfigured with several thresholds to watch for security violations on the system. Consult the appropriate threshold description below to address any health monitor alerts your server is experiencing.

First you'll need to create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. There is additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

Server Access Errors

Change in Access Permission Errors

The Change in Access Permission Errors threshold measures the number of times opens on behalf of clients have failed with STATUS_ACCESS_DENIED. This value can indicate whether somebody is randomly attempting to access files in hopes of getting at something that was not properly protected.

Possible Problems

If your server is exceeding the Change in Access Permission Errors threshold, it could indicate someone is attempting to gain unauthorized access into your system. Review the Event Viewer to determine what files and user accounts are generating the access permission errors.

Change in Granted Access Errors

The Change in Granted Access Errors threshold measures the number of times accesses to files opened successfully were denied. A high number of granted access errors can indicate attempts to access files without proper access authorization.

Possible Problems

If your server is exceeding the Change in Granted Access Errors threshold, it could indicate someone is attempting to gain unauthorized access into your system. Review the Event Viewer to determine what files and user accounts are generating the granted access errors.

Change in Logon Errors

The Change in Logon Errors threshold measures the number of logon errors from the last sampling interval.

Possible Problems

If your server is exceeding the Change in Logon Errors threshold, it could indicate someone is attempting to gain unauthorized access into your system. Review the Event Viewer to determine what user accounts are generating the logon errors.

Sessions Errored Out

The Sessions Errored Out threshold measures the number of sessions that were closed due to unexpected error conditions. Additionally, it measures the number of sessions reaching the autodisconnect timeout that were disconnected.

Possible Problems

If your server is exceeding the Sessions Errored Out threshold, it could indicate someone is attempting to gain unauthorized access into your system. Review the Event Viewer to determine what sessions and user accounts are generating errors and closing unexpectedly.


Network Monitoring

The Health Monitor snap-in is preconfigured with several thresholds to monitor your local network performance. Consult the appropriate threshold description below to address any health monitor alerts your server is experiencing.

First you'll need to create a baseline measurement of your server performance to help you distinguish between normal operations and potential problems. There is additional information about baseline measurements and server health and monitoring tips in the Windows 2000 Server Operators Guide.

Network Interface

Bytes Total Per Second

The Bytes Total Per Second threshold measures the rate at which bytes are sent and received on the network interface, including framing characters.

Possible Problems

If your server is exceeding the Bytes Total Per Second threshold, review your network's current bandwidth to determine network usage. If you find a network bottleneck, you may want to upgrade or segment your network to improve performance. You should also review the current applications running on the server and determine whether you can stop or move applications to another server to increase the amount of system resources available to the network.

Redirector

Change in Server Reconnects

The Change in Server Reconnects thresholds measures the number of times your Redirector has had to reconnect to a server to complete a new active request. Normally, the server will disconnect a user if the session remains inactive for too long. Even if a user closes all open remote files, the Redirector will keep the connection intact for approximately ten minutes to avoid time-expensive reconnections. Such inactive connections are called Dormant Connections.

Possible Problems

If your server is exceeding the Change in Server Reconnects threshold, review your network time out settings and determine whether to increase them.

Network Errors Per Second

The Network Errors Per Second threshold measures the number of network errors that occur in a one second interval.

Possible Problems

If your server is exceeding the Network Errors Per Second threshold, review the Event Viewer to determine if your network is having serious communication difficulties. For example, there might be an SMB (Server Manager Block) protocol error that is generating a network error.


Exchange Server Reports Errors Starting Services

Here are some resolutions to some of the more common messages you may see from Exchange Server.

  • There is not enough memory.

    Use the System option in Windows 2000 Control Panel to increase the virtual memory.

  • There is not enough hard disk space.

    Check the hard disk for available space. You need a minimum of 20 MB after Setup is completed to initialize the directory and information store.

  • The Internet Mail Service cannot start because the TCP/IP domain name was not found during initialization.
  1. Open the Network and Dial-up Connections
    Click Start, point to Settings, and then click Network and Dial-up Connections.

    -or-

    Click Start, point to Settings, point to Network and Dial-up Connections, and then click your dial-up connection.

  2. Click Properties, and then click the Networking tab.
  3. Under Components checked are used by this connection window, select Internet Protocol (TCP/IP) and then click Properties.
  4. Make sure that the correct IP address is entered for your DNS server, and then click OK.
  5. Click OK to save your settings, and then click cancel to close the Connection properties page.


Remove a User Template

If you no longer need a user template, you can remove it from the BackOffice Template User security group.

To remove a user template

The way in which you remove a user template depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Security Groups, right-click the BackOffice Template Users account in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Security Groups Favorites link, select the BackOffice Template Users account in the Details Pane, and then click Change User Properties.
  2. Click the Members tab, click the user account that you want to remove, and then click Remove.
  3. Click Yes to close the Active Directory dialog box.
  4. Click OK to close BackOffice Template Users Properties.

Related Topics

Add a New User


Change User Template Properties

You can change user template properties, such as group membership and Terminal Services access rights, from either of the preconfigured Small Business Server management consoles.

To change user template properties

The way in which you change user template properties depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user template in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user template in the Details Pane, and then click Change User Properties.
  2. Click the tab for the user property or properties that you want to change, make your changes, and then click OK to close the dialog box.

Note By default, the Small Business Server user templates include Small Business User, Small Business Power User, and Small Business Administrator.

Related Topics

Add a User


Move or Restore Intranet Data After Upgrade

During the upgrade from Small Business Server 4.5 to Small Business Server 2000, a new intranet file was installed to a new location to protect the security of your Intranet files. The old files were not deleted; however, the virtual root that points to the intranet site was moved.

To restore the old intranet site, you can do either of the following:

  • Move the existing intranet to the new location by copying the files from \\%systemdrive%\InetPub\WWWRoot\Intranet to \\%systemdrive%\InetPub\Intranet, and updating any links in the files if necessary. Be sure that the names of your intranet files do not conflict with those of the client help files.
  • Move the virtual root back to the previous location by doing the following:
    1. From the Start menu, click Programs, then Administrative Tools, and then Internet Services Manager.
    2. Expand the server name, and then expand the default web site.
    3. Right-click the Intranet folder, and then click Properties.
    4. In the Local Path dialogue, change from %systemdrive%\inetpub\Intranet to %systemdrive%\InetPub\WWWRoot\Intranet.
    5. Click OK to save the changes.

Note You can link from your existing intranet to the new client help at: \\%systemdrive%\InetPub\Intranet\default.htm